GNU bug report logs - #28605
26.0.60; Part of leftmost character hidden

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ola Nilsson <ola.nilsson@HIDDEN>; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 28605 <at> debbugs.gnu.org and Ola Nilsson <ola.nilsson@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Sep 2020 05:05:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 04 01:05:37 2020
Received: from localhost ([127.0.0.1]:36929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kE3ur-0004I0-IB
	for submit <at> debbugs.gnu.org; Fri, 04 Sep 2020 01:05:37 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kE3un-0004Hi-4K
 for 28605 <at> debbugs.gnu.org; Fri, 04 Sep 2020 01:05:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yNwCrp5lV0No2OkaSTXyhViMVFe4+FsQV++yxUuRZ8Y=; b=Av6xhaILaMapIFiqFVlCcyIQMs
 6he/Tn8pQdxAWJGC+vDzutjcLVpTX5Ggzedv8qFH2VLBSScV+890+0WnzynATr0RJzJsukQ8CY5T4
 lzYbxBUK1L7+qHLZkhSazQo360v+UzceFTmeQRMjvZFUpzy5XvJSAhWVI1pBVBjUUxbo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kE3uZ-0002uh-Oc; Fri, 04 Sep 2020 07:05:26 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN> <87tvz7m319.fsf@HIDDEN>
 <5A341195.20008@HIDDEN> <87zi6gjaed.fsf@HIDDEN>
 <5A38B989.3040402@HIDDEN>
 <471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN>
 <87vah3jfye.fsf@HIDDEN> <83bmiupum6.fsf@HIDDEN>
 <5A3A251B.7090202@HIDDEN>
X-Now-Playing: Machinedrum's _Vapor City Citizenship Programme_: "Vapor City
 - Vizion Centre Mix"
Date: Fri, 04 Sep 2020 07:05:18 +0200
In-Reply-To: <5A3A251B.7090202@HIDDEN> (martin rudalics's message of "Wed, 20
 Dec 2017 09:53:47 +0100")
Message-ID: <87h7sedtdd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  martin rudalics <rudalics@HIDDEN> writes: >> Thanks, this
 is okay for the release branch. > > Pushed to the release branch. I've just
 skimmed this very long bug report, but if I understand correctly, Robert's
 patched fixed the reported bug, so I'm closing this bug report. If there's
 more to be fixed here (I may well have m [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: ola.nilsson@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>, 28605 <at> debbugs.gnu.org, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

>> Thanks, this is okay for the release branch.
>
> Pushed to the release branch.

I've just skimmed this very long bug report, but if I understand
correctly, Robert's patched fixed the reported bug, so I'm closing this
bug report.  If there's more to be fixed here (I may well have missed
something), then please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 20 Dec 2017 08:54:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 20 03:54:09 2017
Received: from localhost ([127.0.0.1]:43114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRa8f-0004nq-0K
	for submit <at> debbugs.gnu.org; Wed, 20 Dec 2017 03:54:09 -0500
Received: from mout.gmx.net ([212.227.15.19]:65367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eRa8c-0004nM-QE
 for 28605 <at> debbugs.gnu.org; Wed, 20 Dec 2017 03:54:07 -0500
Received: from [192.168.1.100] ([212.95.5.153]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MegbQ-1ecfyY0Gfg-00OIVD; Wed, 20
 Dec 2017 09:53:58 +0100
Message-ID: <5A3A251B.7090202@HIDDEN>
Date: Wed, 20 Dec 2017 09:53:47 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>
 <87tvz7m319.fsf@HIDDEN>	<5A341195.20008@HIDDEN>
 <87zi6gjaed.fsf@HIDDEN>	<5A38B989.3040402@HIDDEN>	<471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN>
 <87vah3jfye.fsf@HIDDEN> <83bmiupum6.fsf@HIDDEN>
In-Reply-To: <83bmiupum6.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:IYd1UVGqkgcK9Q6I+etii6Q/OYF9U0jD77PlaQY7EnE818wBdAK
 O85gJ++Xksm37xdEKjdwHr6rwcojqlSvUA9Fow5gZzQzSirA1HOGlusSkKfft3jv2EwXBmm
 VLLWkZzn545MZ8FxdieKzD2FqiHlxyYnSEmJBmycJ1aHX0QWtOTTwkkD5K6ZFs3K9OfEn+8
 v8lHzcaxQtKihMczsIQdw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:1JVtCJqjxZM=:qikFxZ/WwKY2+rtfEk7P/S
 LGjPO6vS9dXsvJkK5lug2KqebxqIqIYenlCPu1CRMPKLRtq9Vhuna6i0VI2a7OaC47hnsBcr6
 KojER3NnEymt2tVsv4iZfhnR2WQIhLzC5ZCWL0Z8zsQiUAWOB+HMIq0pu1yWK5+LWtW+uxFAu
 9d+f/af8fYrlght7G+LPZX+8WU/RXFo/QK2+RePP13DakaeYEiphVEQi04H6xGxKMuU45yKJN
 13v5ebE9GZy6T9cVyoTOoBLmxiEoMloGwxEskz5SWSJhC3poukMht0ctA68BOh8Kzg4r8SUY6
 1O3a3BSXRfyX65GXru7wW26J2ZsyC0uNgqfRXmGDYeeqgigjuQ7ukuTTjzLdav29TdpdZKK/Z
 7vIxk8QPyWqoMauU6xRXQxrMziJpl0H12Mf0xzCRmR5EH743XvM3gN6WtGmAzagzVBh816gEa
 GGTcKCwKtZkmzytotMMHxwdq8dNYxB6L8qBbLpS40WJa9Rg343NCKbUMdCgL2zmMZcyHFZo35
 pRAmPqnUj7l5s7XJndkDwWSE7oeNNVJjNTyEZBQryrPLklr/CQSHzyO4UWyGk8V/XwiqFmPtp
 W1HDs98PrtO7ZDm5DgaVAhz+WZaaleq+/xEfRmGDSDkhTgYmzxSBw+4rpBYLNVkccscGUqPqy
 EdnTCahyodLefwYNwknAluoF0jcFYTnhEUAKa1ZwoZGfTdIeKTqDE+XDuMkoZ1P5uwFL95Rxt
 BVo91SifMEuUMpgAzDD1NljG5u0elbgRhZ4zQuXb8BszBhiV7RVwSj2UkT+ZdRhbwQLd9d/Wc
 EAnxDapVSsSRQ7sJmECt8mmaIxIvcCU2YoBOwglr4eyViFfU3U=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: ola.nilsson@HIDDEN, larsi@HIDDEN, 28605 <at> debbugs.gnu.org,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Thanks, this is okay for the release branch.

Pushed to the release branch.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 19 Dec 2017 16:10:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 11:10:19 2017
Received: from localhost ([127.0.0.1]:42492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRKTA-0006fU-DQ
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 11:10:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eRKT5-0006fH-Sq
 for 28605 <at> debbugs.gnu.org; Tue, 19 Dec 2017 11:10:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eRKSu-0004qH-Ne
 for 28605 <at> debbugs.gnu.org; Tue, 19 Dec 2017 11:10:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33756)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eRKSM-0004MM-9L; Tue, 19 Dec 2017 11:09:26 -0500
Received: from [176.228.60.248] (port=2142 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eRKSL-0008Sh-Og; Tue, 19 Dec 2017 11:09:26 -0500
Date: Tue, 19 Dec 2017 18:09:37 +0200
Message-Id: <83bmiupum6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-reply-to: <87vah3jfye.fsf@HIDDEN> (message from Robert Pluim on Tue, 19
 Dec 2017 09:10:33 +0100)
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN> <87tvz7m319.fsf@HIDDEN>
 <5A341195.20008@HIDDEN> <87zi6gjaed.fsf@HIDDEN>
 <5A38B989.3040402@HIDDEN>
 <471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN> <87vah3jfye.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28605
Cc: rudalics@HIDDEN, ola.nilsson@HIDDEN, larsi@HIDDEN,
 28605 <at> debbugs.gnu.org, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: 28605 <at> debbugs.gnu.org,  rudalics@HIDDEN,  ola.nilsson@HIDDEN,  larsi@HIDDEN,  kaushal.modi@HIDDEN
> Date: Tue, 19 Dec 2017 09:10:33 +0100
> 
> >From 074d39597b1cff03053e369cf89ee701874afddb Mon Sep 17 00:00:00 2001
> From: Robert Pluim <rpluim@HIDDEN>
> Date: Tue, 10 Oct 2017 16:20:50 +0200
> Subject: [PATCH] Adjust scrollbar dimensions when scaling
> 
> 2017-10-10  Robert Pluim  <rpluim@HIDDEN>
> 
> 	* src/gtkutil.c (xg_update_scrollbar_pos): Update width of
> 	scrollbar when scaling is in effect
> 	(xg_update_horizontal_scrollbar_pos): Update scrollbar size
> 	when scaling is in effect.
> ---
>  src/gtkutil.c | 8 +++++++-
>  1 file changed, 7 insertions(+), 1 deletion(-)
> 
> diff --git a/src/gtkutil.c b/src/gtkutil.c
> index c7d8f92829..88b7fd7e7b 100644
> --- a/src/gtkutil.c
> +++ b/src/gtkutil.c
> @@ -3890,7 +3890,7 @@ xg_update_scrollbar_pos (struct frame *f,
>        top /= scale;
>        left /= scale;
>        height /= scale;
> -      left -= (scale - 1) * ((width / scale) >> 1);
> +      width /= scale;
>  
>        /* Clear out old position.  */
>        int oldx = -1, oldy = -1, oldw, oldh;
> @@ -3966,6 +3966,12 @@ xg_update_horizontal_scrollbar_pos (struct frame *f,
>        GtkWidget *wfixed = f->output_data.x->edit_widget;
>        GtkWidget *wparent = gtk_widget_get_parent (wscroll);
>        gint msl;
> +      int scale = xg_get_scale (f);
> +
> +      top /= scale;
> +      left /= scale;
> +      height /= scale;
> +      width /= scale;
>  
>        /* Clear out old position.  */
>        int oldx = -1, oldy = -1, oldw, oldh;
> -- 
> 2.15.0.rc1

Thanks, this is okay for the release branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 19 Dec 2017 08:10:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 03:10:43 2017
Received: from localhost ([127.0.0.1]:41149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRCz5-0007sc-LQ
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 03:10:43 -0500
Received: from mail-wr0-f181.google.com ([209.85.128.181]:43354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1eRCz3-0007sP-OK
 for 28605 <at> debbugs.gnu.org; Tue, 19 Dec 2017 03:10:42 -0500
Received: by mail-wr0-f181.google.com with SMTP id w68so5281580wrc.10
 for <28605 <at> debbugs.gnu.org>; Tue, 19 Dec 2017 00:10:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=eGSLKpKJED8YaHA+zNKDLgqNgFbPnMSKcs3u9clS/IQ=;
 b=gOW1+Y6I7wxk0ubg5LU4yToKRYEIZh/cYqcAViTX2JTBfM+nM3YzD8MHakIeJ6S6DZ
 H6xttSOMN8JgQw2g64h9iM1ge+/ocGMkQVU+FnqQrrcD1cov7YuCFjNs1i1JRU02NWJR
 P3bykbiGstN6dvsnS7SC8IYabt+A2T591Hb2Ff6R2+2KdK2O4CatKTKhd6crwK1XspqF
 v7cvDS0rk6jjrPZbrlLPEf4h6iSYgoIb6WV9oMEImUvU//Lh8jaNEn7dljvTXIsoc6jt
 lnix4hyTGzOPQcuguI8rBlJeeXFsVbZLO7FLn/OLeYJ53duSo8T8YFEW3KiYhdWqDCks
 4pIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=eGSLKpKJED8YaHA+zNKDLgqNgFbPnMSKcs3u9clS/IQ=;
 b=lZrZ972aC7rF2KFROCPvwKRSqhTRKq8KUveEW3Xyk3BNOq5+HiIUw44AYdqpT6E+Ct
 IVxAKWL5TzrHxPAqmCnuqhOQO5PB+UsHKzCnc8QhiSLgL4pYDrdQ67OmCf1t99MEyNPL
 Tjf5tYei+LQvVbOXe8YMzSleZpP5Gt1C0vBTtUrUMhAx0A+MehMfafP6S5t8JWXplDeT
 Jo5+DOYSR7QbNuCaj3lplLUw2yK+7gQwDrTWzIRtkdUu9dmhdbTDkXebwwq01zsJ0zRN
 qRkP3O5msv+QV9WkSoVQgDoYjeqRFwsIMxGwsZXp2vfVCRGR/XgpE3CGCrH0EKo9lOZu
 n6NQ==
X-Gm-Message-State: AKGB3mI5PWdikxSpkGrKbbwsw9r+Ax/FnF7oAFggZjJJIH523tHnNnzk
 c0UBDRm9ZBd0oU+CGqhYRrE=
X-Google-Smtp-Source: ACJfBouqT780Ol0uG50fzNdVn7PcF9bqbDcgWpL1DKEtFHy53JuQxtM9d0NA1RptCeY6X6gxaBXS4w==
X-Received: by 10.223.150.178 with SMTP id u47mr1359282wrb.115.1513671035973; 
 Tue, 19 Dec 2017 00:10:35 -0800 (PST)
Received: from rpluim-ubuntu ([2a01:e34:ecfc:a860:9d1d:243:d7da:c232])
 by smtp.gmail.com with ESMTPSA id g7sm12459884edf.50.2017.12.19.00.10.34
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 19 Dec 2017 00:10:34 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN> <87tvz7m319.fsf@HIDDEN>
 <5A341195.20008@HIDDEN> <87zi6gjaed.fsf@HIDDEN>
 <5A38B989.3040402@HIDDEN>
 <471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 19 Dec 2017 09:10:33 +0100
In-Reply-To: <471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN> (Eli Zaretskii's
 message of "Tue, 19 Dec 2017 09:56:10 +0200")
Message-ID: <87vah3jfye.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: rudalics@HIDDEN, ola.nilsson@HIDDEN, larsi@HIDDEN,
 28605 <at> debbugs.gnu.org, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> On December 19, 2017 9:02:33 AM GMT+02:00, martin rudalics <rudalics@HIDDEN> wrote:
>> > I'm perfectly happy to have it applied by someone with commit rights
>>  > (my paperwork is complete). As a bugfix I think it should go on the
>>  > release branch, but that's not my decision to make.
>> 
>> Eli, is it OK to install Robert's patch on the release branch?  To me
>> it
>> seems the best we have so far and any glitches it might add should be
>> tolerable.  And it could suppress complaints that some faulty behavior
>> now already persists through three or four Emacs versions ...
>> 
>> martin
>
> Please show tbe actual patch you are asking about.  This has been a long discussion with quite a few patches, and I'd like to know what I'm asked to approve.

Attached.

Regards

Robert


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Adjust-scrollbar-dimensions-when-scaling.patch

From 074d39597b1cff03053e369cf89ee701874afddb Mon Sep 17 00:00:00 2001
From: Robert Pluim <rpluim@HIDDEN>
Date: Tue, 10 Oct 2017 16:20:50 +0200
Subject: [PATCH] Adjust scrollbar dimensions when scaling

2017-10-10  Robert Pluim  <rpluim@HIDDEN>

	* src/gtkutil.c (xg_update_scrollbar_pos): Update width of
	scrollbar when scaling is in effect
	(xg_update_horizontal_scrollbar_pos): Update scrollbar size
	when scaling is in effect.
---
 src/gtkutil.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/gtkutil.c b/src/gtkutil.c
index c7d8f92829..88b7fd7e7b 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -3890,7 +3890,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
-      left -= (scale - 1) * ((width / scale) >> 1);
+      width /= scale;
 
       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;
@@ -3966,6 +3966,12 @@ xg_update_horizontal_scrollbar_pos (struct frame *f,
       GtkWidget *wfixed = f->output_data.x->edit_widget;
       GtkWidget *wparent = gtk_widget_get_parent (wscroll);
       gint msl;
+      int scale = xg_get_scale (f);
+
+      top /= scale;
+      left /= scale;
+      height /= scale;
+      width /= scale;
 
       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;
-- 
2.15.0.rc1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 19 Dec 2017 07:57:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 02:57:02 2017
Received: from localhost ([127.0.0.1]:41125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRClp-0007XG-Uo
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:57:02 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50663)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eRClm-0007Wx-E9
 for 28605 <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:56:58 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eRClc-0006wA-Tj
 for 28605 <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:56:53 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54287)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eRCl6-0006aK-5I; Tue, 19 Dec 2017 02:56:16 -0500
Received: from [176.12.177.221] (port=40867 helo=[10.213.2.34])
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eRCl5-0006u7-7S; Tue, 19 Dec 2017 02:56:15 -0500
Date: Tue, 19 Dec 2017 09:56:10 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <5A38B989.3040402@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN> <87tvz7m319.fsf@HIDDEN> <5A341195.20008@HIDDEN>
 <87zi6gjaed.fsf@HIDDEN> <5A38B989.3040402@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: bug-gnu-emacs@HIDDEN, martin rudalics <rudalics@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On December 19, 2017 9:02:33 AM GMT+02:00, martin rudalics <rudalics@gmx=2E=
at> wrote:
> > I'm perfectly happy to have it applied by someone with commit rights
>  > (my paperwork is complete)=2E As a bugfix I think it should go on the
>  > release branch, but that's not my decision to make=2E
>=20
> Eli, is it OK to install Robert's patch on the release branch?  To me
> it
> seems the best we have so far and any glitches it might add should be
> tolerable=2E  And it could suppress complaints that some faulty behavior
> now already persists through three or four Emacs versions =2E=2E=2E
>=20
> martin

Please show tbe actual patch you are asking about=2E  This has been a long=
 discussion with quite a few patches, and I'd like to know what I'm asked t=
o approve=2E

Thanks=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Dec 2017 07:56:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 02:56:28 2017
Received: from localhost ([127.0.0.1]:41122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRClI-0007WJ-LH
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:56:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:50110)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eRClH-0007W5-JR
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:56:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eRClB-0006dv-EB
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:56:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42853)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <eliz@HIDDEN>) id 1eRClB-0006dh-9L
 for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:56:21 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41009)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eRCl9-0004op-Li
 for bug-gnu-emacs@HIDDEN; Tue, 19 Dec 2017 02:56:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eRCl6-0006aX-Ay
 for bug-gnu-emacs@HIDDEN; Tue, 19 Dec 2017 02:56:19 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54287)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eRCl6-0006aK-5I; Tue, 19 Dec 2017 02:56:16 -0500
Received: from [176.12.177.221] (port=40867 helo=[10.213.2.34])
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eRCl5-0006u7-7S; Tue, 19 Dec 2017 02:56:15 -0500
Date: Tue, 19 Dec 2017 09:56:10 +0200
User-Agent: K-9 Mail for Android
In-Reply-To: <5A38B989.3040402@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN> <87tvz7m319.fsf@HIDDEN> <5A341195.20008@HIDDEN>
 <87zi6gjaed.fsf@HIDDEN> <5A38B989.3040402@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: bug-gnu-emacs@HIDDEN, martin rudalics <rudalics@HIDDEN>,
 Robert Pluim <rpluim@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <471E581E-45F8-4E67-82A1-B974498D1166@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On December 19, 2017 9:02:33 AM GMT+02:00, martin rudalics <rudalics@gmx=2E=
at> wrote:
> > I'm perfectly happy to have it applied by someone with commit rights
>  > (my paperwork is complete)=2E As a bugfix I think it should go on the
>  > release branch, but that's not my decision to make=2E
>=20
> Eli, is it OK to install Robert's patch on the release branch?  To me
> it
> seems the best we have so far and any glitches it might add should be
> tolerable=2E  And it could suppress complaints that some faulty behavior
> now already persists through three or four Emacs versions =2E=2E=2E
>=20
> martin

Please show tbe actual patch you are asking about=2E  This has been a long=
 discussion with quite a few patches, and I'd like to know what I'm asked t=
o approve=2E

Thanks=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 19 Dec 2017 07:02:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 19 02:02:52 2017
Received: from localhost ([127.0.0.1]:41104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eRBvQ-0006IH-6a
	for submit <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:02:52 -0500
Received: from mout.gmx.net ([212.227.15.18]:60075)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1eRBvN-0006I3-RH
 for 28605 <at> debbugs.gnu.org; Tue, 19 Dec 2017 02:02:50 -0500
Received: from [192.168.1.100] ([46.125.249.17]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Lcjgd-1etLc52hfT-00k5w1; Tue, 19
 Dec 2017 08:02:42 +0100
Message-ID: <5A38B989.3040402@HIDDEN>
Date: Tue, 19 Dec 2017 08:02:33 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>
 <87tvz7m319.fsf@HIDDEN>	<5A341195.20008@HIDDEN> <87zi6gjaed.fsf@HIDDEN>
In-Reply-To: <87zi6gjaed.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:Bp8GS9S1OkLX8KNu9ROQKTNeaISOsKVfVn3yIYatu6C7uVns/Pq
 LA0aE9lw4vcGqORBYMgDmGbAnGQWcHJKQEuLUBrr/iMUeUshPjaoLRnbHNModwm7jtE+dTN
 OHm2J9nWdZMjWxwEbAxm+myLenL4U3UgFN9dFILS58SOh9VP/kK/emEUhhZuQzXFw7oTGis
 F8E2P/lbuTiz9cOYM0VGA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:WQhhCFPJUVk=:Y6mtftRHYEOdOJNRmnaHdC
 fSt2E1wJDZx5im5/8DXO1vniWOaFhdRlXhlnVklQKvoBTDkRZbpkomtU18L8g4J3gU1krH1s4
 bSqZTL2VYKbN7Uv5Ml6Qkh8T2pP5AZIrp6bsqkkp9OpApnuktxfrRL9TlHwIRjZM+quYHau93
 h+KN9TRkjXuY2xzcuqJkkq6dxSCXi0HiP31M++eTinniVy6QZwzxCaB6VYoLhCZGeAKmRH7PO
 KwYWBxidQxqZX/f/cgUnfUBoMgEM63ZwamMQ/69QMBl7l8ehii6YTEa6i615F3Issm5UzKelq
 3UaUdLtJM3nuJPuZQg+KShQvTJVFxqaUGsOJxm26UMSEGar2JCXcJP3LgNpmR/QuxJvsQvCz3
 WAxp3LvObYUYZAhaCpQtkTvBGIrplTvDZfZa5gcQ1hB8PrxkzmAj3Xymi+hGrWNNa2Lg84Ih6
 ymiQ6sxru/4PvzuPji2CBbA4dhGFuTSuJMVBreS/5O/wG8wz/ADE3G/9ROnNGU7ZlcrkkwBKg
 QhuyU1nkkTLc5a2OnQU7GLaiO92ew0giXciTTkSMEn/F/I9hM0DxG3rcVzwzkFw1SobKz8Yw8
 tMw/YOsUweXP8zAJgmM0qrtVC2ooT8VggJK7myxsZokGSIpVjEk39kN8f+QTq/rE+a9c0wGy5
 MH4195GemtUlUA9sGruFljo7TIHRBsnyr0X5AwnPfF83bK0nA+jsSJ+ukEBo5A3zQK1pj2Y6b
 R8Z7yC/z66sn0ZfR3oGfw3dDEa6XYjGnaEeGQk8F4BpFLu/NHCFIphqnFiPZluvnAnctfArXV
 LIz5OHnUP2ZPNdvkR9jAc6u4xNyW89I9ZNcyS5iXHeZEJaCmTHz03w/mfbJPvLkDLVuW4Vn
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > I'm perfectly happy to have it applied by someone with commit rights
 > (my paperwork is complete). As a bugfix I think it should go on the
 > release branch, but that's not my decision to make.

Eli, is it OK to install Robert's patch on the release branch?  To me it
seems the best we have so far and any glitches it might add should be
tolerable.  And it could suppress complaints that some faulty behavior
now already persists through three or four Emacs versions ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 18 Dec 2017 15:58:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 18 10:58:28 2017
Received: from localhost ([127.0.0.1]:40739 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eQxoC-0002qj-NT
	for submit <at> debbugs.gnu.org; Mon, 18 Dec 2017 10:58:28 -0500
Received: from mail-wm0-f43.google.com ([74.125.82.43]:37122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1eQxoB-0002qW-5e
 for 28605 <at> debbugs.gnu.org; Mon, 18 Dec 2017 10:58:27 -0500
Received: by mail-wm0-f43.google.com with SMTP id f140so30177103wmd.2
 for <28605 <at> debbugs.gnu.org>; Mon, 18 Dec 2017 07:58:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=TRPJAXQVX/CVlooSbrGo0+MIp45zdjGxsYODfrq0Qmw=;
 b=q7/fTENcbF7WuG5pmeBs1j28a6daZ28bul64McnazqxrXcEatNiocB5f36schRN7+x
 hnXka4O7cgJDHWSq0/7b5H1H/w0or+hFT0QaRSZ+OvbmIi8FoN/WDCjtqBu9wISLW3eB
 /G1xAkBbQfRTNC0qmNqmXcK29Wd+XyL/rUNLeyJ3ltjyaK3w3lw45jFiaXzNz8r4S/Al
 jI+3Azboi9cxkzUFMBGFqGwg5AhMW1k6mSWlxG+1yTRrHKVbHYbBrhSBmj5/BIcAwn/p
 oMFpmT+kj4WiAbl/4gC3ky2ljTUX7mVrOf98O4Krjiuo4hSoAXzKmyFP+659F3EkSBCd
 Rh/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=TRPJAXQVX/CVlooSbrGo0+MIp45zdjGxsYODfrq0Qmw=;
 b=BW1F2Hq0yxHbAfR78Z8A3g79TOCsjGpWtkWHvHZv5HpB/1GO7+xcESZoFpWSjUohab
 Hw8I3NXaXNhnmmZ/rRSBtXTFC24436qAal60tNP0DwaROFrQ3RvfLQKyvf3DgNhLm2g1
 JNlw/dvx5eDo9BXh/DUpDO1lcb87Wunq4/PITYpIBr/jUk4VORYAu6XRoEIQWJCZUap3
 fy6e1cf6S5ITGycOIbGsrzPt8H4BK0ySAhAOQKfhJkzM/vwq4uXD2Ua1cS6fqGegmaes
 vS05pg1sK6ebbaWV+KT+xAe11mdPl8LStEOhSWh7q87LjNM73ZPEZ0i0CN11l4uFhZqr
 pdlg==
X-Gm-Message-State: AKGB3mIJPJwetYMv5qk0JsBZ42TyFWbBCVTObAgXChLaIg2T9X1zxG7y
 T0OB3C271DEbYYDM+hY35WU=
X-Google-Smtp-Source: ACJfBoudaOk1pr1fblRChhVSLSESvsaebLt1QMm9r/VqXiyaJi0e62XTVjyNfKhzuzc/1AHJOdN7CQ==
X-Received: by 10.28.145.18 with SMTP id t18mr140496wmd.32.1513612700795;
 Mon, 18 Dec 2017 07:58:20 -0800 (PST)
Received: from rpluim-ubuntu ([2a01:e34:ecfc:a860:9d1d:243:d7da:c232])
 by smtp.gmail.com with ESMTPSA id z56sm10713587edb.72.2017.12.18.07.58.19
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 18 Dec 2017 07:58:19 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN> <87tvz7m319.fsf@HIDDEN>
 <5A341195.20008@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Mon, 18 Dec 2017 16:58:18 +0100
In-Reply-To: <5A341195.20008@HIDDEN> (martin rudalics's message of "Fri, 15
 Dec 2017 19:16:53 +0100")
Message-ID: <87zi6gjaed.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Good. Git patch below.
>
> Robert, IIUC your paperwork is complete but we never applied that patch.
> How shall we proceed?

I'm perfectly happy to have it applied by someone with commit rights
(my paperwork is complete). As a bugfix I think it should go on the
release branch, but that's not my decision to make.

Regards

RObert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 15 Dec 2017 18:17:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 15 13:17:04 2017
Received: from localhost ([127.0.0.1]:36044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ePuXg-0004Ne-Nb
	for submit <at> debbugs.gnu.org; Fri, 15 Dec 2017 13:17:04 -0500
Received: from mout.gmx.net ([212.227.15.19]:65100)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1ePuXf-0004N6-9K
 for 28605 <at> debbugs.gnu.org; Fri, 15 Dec 2017 13:17:03 -0500
Received: from [192.168.1.100] ([46.125.250.80]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MDhGw-1eEOUI1m6I-00H6dt; Fri, 15
 Dec 2017 19:16:56 +0100
Message-ID: <5A341195.20008@HIDDEN>
Date: Fri, 15 Dec 2017 19:16:53 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>
 <87tvz7m319.fsf@HIDDEN>
In-Reply-To: <87tvz7m319.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:iAs7FMwghmq+j6aifG3jc2B8uBFr6abu20Zz+3fVMJt3b781krU
 yEoq+LZJkpOB+R80PB1pRbI8ew/hrv5RcU9AK12CbjjoGtiWYUgWjieNhD9jkttx5GogODM
 zrKiVjg6CiUdmsA3EExaXv2cc4iouiIOv4VWrhhvmG4Rvtwn7s9MsxvqEDL253ntMD/SqsI
 CBdT9lUFTNTrDdwNT/2eg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:U63HkVnndSw=:Z1KCTr9P4tqA7wk8xbPIkK
 niCwnbKg1O1YZGYMpRuNgBRkEghBprX19jCLBIqoTssfBkObjm+rzpa7zmlyxxlhJAGggP7Ie
 6htLFv2bsmLyypkhfyaL+66JsN1MAJnmxOB6EdFwUJXomU6MMYNvvwaYHEuVDqtQqpC/jijE0
 v1GkGMMFw9fQNl9atZu3ZreDte203cZprm+YFF1V4/QKsXanrzWAGKx5c2sqHotZnZMlVuDQQ
 GpwrxaTh1pFuPF5H13OWbUAsKQRz8egqbd3r7A5SfRVTN9ovLAuYJCCs3GA6gPbyBRBarpfN9
 F91fdxuB/GLPBgSRSgfXdbAI7HolzGvZKSO/m3SwG5/FHUES1OeVni3izndowa73Ey9xAojoP
 maIY9YQ/Bc6flLDT/5ZxYiiTAZGZqKyCZpy1GM80CtjjsixCWKPOWrP4IZatbRG9qNNC3+tb/
 Pty+3ARZE7nhBG3TX9VYqCKPIJFD8EPcsgkP60pwS4qFeHcMrmt+Vjzkix7XpoiG0n/rP74eo
 RRovwR3xhDo/N6BkWptYfQu0xydTs56y3MwCUGRgEZtndeCw6z2LSJxNJ7dblkfUniz9a8r70
 ngS7+7UlISFjeZOipESpGtKnD/3yb0BZrv+uTD4/j08eCZJtutAbZ6Rt/8HJoeyACo83nUPIW
 JUcTgtE3X8RnA3+EoXR11M94mTrqF0MFouY27RYMJMRmpL1cpehv0iaLn7cS2VK2bRes6eZR6
 TEK5km+tdmYxS+l+Qa8a0eYzKYHfyIGh2k6uDRDWSCm5nd1k5FPPlDj/7BM3ezm507YhHQTsH
 ImNOfUj9NR88o8LfrDnsWus5Rr+1Yg2ca0zCs3U8rq5+q/JCJY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Good. Git patch below.

Robert, IIUC your paperwork is complete but we never applied that patch.
How shall we proceed?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 24 Oct 2017 09:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 24 05:17:49 2017
Received: from localhost ([127.0.0.1]:58376 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6vLJ-00037p-D7
	for submit <at> debbugs.gnu.org; Tue, 24 Oct 2017 05:17:49 -0400
Received: from mout.gmx.net ([212.227.17.20]:65072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e6vLH-00037Y-Ty
 for 28605 <at> debbugs.gnu.org; Tue, 24 Oct 2017 05:17:48 -0400
Received: from [192.168.1.100] ([46.125.250.55]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LraSn-1d3zuT0hob-013O28; Tue, 24
 Oct 2017 11:17:40 +0200
Message-ID: <59EF052C.7090907@HIDDEN>
Date: Tue, 24 Oct 2017 11:17:32 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>	<59E1D6FD.5060203@HIDDEN>
 <878tgbs4ke.fsf@HIDDEN>	<59E5C5E0.3070103@HIDDEN>
 <87tvyycbih.fsf@HIDDEN>	<59E600F3.6020905@HIDDEN>
 <87zi8njoi8.fsf@HIDDEN>	<59E9ABE4.5060903@HIDDEN>
 <87r2tyey32.fsf@HIDDEN>	<59EAFF8C.9080509@HIDDEN>
 <87inf6faiv.fsf@HIDDEN>	<59EDD85E.10104@HIDDEN> <87efpuf4h0.fsf@HIDDEN>
In-Reply-To: <87efpuf4h0.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:UuFIrVu7/IXqe81WuZpw5t+SydSBnyRkovJrIANLdcffxOQw5Nw
 GVP8qX0JYpgmnWjvhKmRdTA5nPgDxq78fGIcrYtjHTilHXk607KVt7gHF5xfglolE1tJgyX
 pPtRhjdVskt8vtm1Yp9ZCjV+AxT8gzf8oQc/cSq4jIgXUtLMsboZYVLbxHqSLa4zhzlaZN3
 rrEX9IdqvKF3AxLmg8WZg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:q5h7vr5DvwA=:vvU2CHZaA5CPx5+hIUPRKR
 L2RjzXEuitRS0HtOvOND3yRPkaGQLnwU9ESXhIrHIy9OnDrT90cJAgT/XOmpazLwv25BbxBDU
 K515jcEIwDZPYPwE1Skc5TcCd9NUmDyFjJ9orFUmLrNonhePFk8fyeWy7d0S86k8aKa0sMupm
 HV+nGvPbaFkpe6/EP9RIl9yRo1DmVhDPScC/SBi/6HJrc1IDpXV4IpECe0/yJAetc+A1rimXh
 RGx5yDMPjCVJD1BgS9nZ63H6NDkMLVMk/8ynfofkw36NKbxT7TUf7xWAqioNBAZXHHPLLO5Le
 LcDoYSXgbIcIlZeBBAsc2OUvfOjQiPAS7knLGlPA9y5t1WAxwcnNgxZ8CDwKlZpEGr73QZEnD
 zvdHGmDhKa3TWcKX/68xzJ6YbPNqk8QZJNsuiUk2jjA89FtKelAqw/S+BEd8nPHTAIa8SQylX
 h4/3vx0YKAjLmmBlGpNiGbBn0Vue1GW6C0/DDNudj957rzWarI6SljsdG8tbMl9ildPrF8LI1
 FdS539s65f1mn2tO+EpgV3MLeG+r1uqhexDOCMgOaU4s4CTx4YMtU230hkzYvDYJtIUK50J3l
 uOPk8SvJdJ6iAxosMCikUcIVe45s+wm2M7qBo7Ly4np8ucti0upiED/vckNKZzThnQ7WeXeEx
 0LvVpA8UFLBf7H6Lq5DqqqZY040OliwarJjl4eFPkoPRmUDqooHeC+9mcyRWOVm/svCt9Zj9W
 ExrIW8/tItJ47sWsNBJ/DogulVyprKY9StjZitKT2AjypnRuw7q0bpP95e3aRdyPC0vYXt/GL
 VT2nP7LzkUyrF2hJBm18QP21zIQwK5aPpyuvMPsxEfSq7I7BL/RBHhXTzL9GHJiWk24Vbgo
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 28605
Cc: 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

 >>> (tool-bar-mode 0)
 >>> (scroll-bar-mode 0)
 >>> (tooltip-mode 0)
 >>> (menu-bar-mode 0)
 >>>
 >>> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 >>> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >>>
 >>> => frame cycles back to same size
 >>>
 >
 > I forgot to mention: the next line is executed in the same emacs
 > session as the previous ones

Does it matter?

 >>> (menu-bar-mode 1)
 >>>
 >>> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 >>> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >>>
 >>> => frame height shrinks
 >>
 >> Sounds "great".  To check further: If with
 >>
 >> (menu-bar-mode 0)
 >>
 >> you toggle scroll bar or tool bar off and on, does the frame also cycle
 >> back to the same size?
 >
 > Of course not, that would make this issue too easy to fix ;-)

Too bad.

 >>From emacs -Q:
 >
 > (menu-bar-mode 0)
 > (scroll-bar-mode 0)
 > (scroll-bar-mode 1)
 >
 > The width goes back to the original, but the height shrinks
 >
 > However things work correctly from emacs -Q with:
 >
 > (menu-bar-mode 0)
 > (tool-bar-mode 0)
 > (scroll-bar-mode 0)
 > (scroll-bar-mode 1)
 >
 > so looks like both the menu-bar and the tool-bar need to be disabled
 > for things to work as expected.

The gtk_distribute_natural_allocation error here always triggers when I
make an (unscaled) frame so narrow that the menu bar doesn't fit any
more.  I can't trigger it via the tool bar though when the menu bar is
turned off.  Can you trigger it via the tool bar alone?

Alas, I have no idea idea whether and how to switch off that natural
allocation distribution voodoo.  And obviously we don't know whether
eliminating these warnings would help us with the frame shrinking
phenomena.  In any case, eliminating these warnings should be the first
goal now.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 23 Oct 2017 12:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 23 08:12:21 2017
Received: from localhost ([127.0.0.1]:56670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6baf-0008Jf-FV
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:12:21 -0400
Received: from mail-wr0-f181.google.com ([209.85.128.181]:53276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e6bad-0008JT-Ib
 for 28605 <at> debbugs.gnu.org; Mon, 23 Oct 2017 08:12:19 -0400
Received: by mail-wr0-f181.google.com with SMTP id u40so11241622wrf.10
 for <28605 <at> debbugs.gnu.org>; Mon, 23 Oct 2017 05:12:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=992ia0V9qJX8UZTW/JHygdrGiaZreHDZ0rbkWgAlx1A=;
 b=JrufHIC/ybbJjLlsWDbwrP52KOWVzf+s7n4g6P+akasj74548XKBN07JML3fBNVvMz
 OM9S0v2/XVZU1g7xLWAUgoCe+4bpuQYJJtUg22levDgfrI//KSLw9GnQXVToNWVEHKcJ
 +LXPRDiTGUSDnRlHAgZzobY8u5SexiLwmfOpVGK3XdWYKPRASJFvuWmm+Fo/F++FyyXw
 HH42fB53dl43mPKgN6rwWnprn50cxucuJKSGBXHtxZNWOXYKO9M6zhiv/UWWdmXq4orO
 BGwnYLZDacUghgT9OUbB/5DmfZ6eX7Xs3GJvG0N6Fr4JdwyOOegURzLOSp/hDC0lRbXg
 tYUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=992ia0V9qJX8UZTW/JHygdrGiaZreHDZ0rbkWgAlx1A=;
 b=OJkHMOPlnMDxLTMTIOO0yKfONq1PphLDUgxqPPTf6TqAF/AjIyEpQPQOuLj/Z+dCAK
 t+962vjx7ryOSbcT9OmVsMELacHGUvSHJLQqaIE9ZfCUHnO/9CjMcnZqQrCyg+VWNwdV
 TPJg4yoo5AZxMiBG+km9vvkjrOAupnsMxhR7iHUTbGNGkN12zEjCCtbTXjHrw7N1QmQ2
 pryWywjRQ9VaoiNk1VUI2mY4lGyZKwWv6nwjxncNNc/0YQVsL8EFRKZ6DKs3AAMj2nwT
 pE5EtQcjsXcOu/sZpXgHoXUoT8+lvavYf0wDxWfa6l1aUC9V3AKWpHs15GmaSLJgmpO5
 pSXw==
X-Gm-Message-State: AMCzsaVJHfI3huk77/A7JxGtXXFLb8yyYLpbZFNaykOkwIDjeXLh8xVX
 FX9ib8K+TIRQfDkSp/R9Ba5bBlvP
X-Google-Smtp-Source: ABhQp+SGIy7Xn1SlpImlUV8jN3CKLVoPtOmY1rys+AW3o8pXOMhoHv8ZyW1cQftkph208OUJZA96iw==
X-Received: by 10.223.159.83 with SMTP id f19mr10482462wrg.20.1508760733447;
 Mon, 23 Oct 2017 05:12:13 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id k105sm11597896wrc.90.2017.10.23.05.12.11
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 23 Oct 2017 05:12:12 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN> <87mv4urtsp.fsf@HIDDEN>
 <59E1D6FD.5060203@HIDDEN> <878tgbs4ke.fsf@HIDDEN>
 <59E5C5E0.3070103@HIDDEN> <87tvyycbih.fsf@HIDDEN>
 <59E600F3.6020905@HIDDEN> <87zi8njoi8.fsf@HIDDEN>
 <59E9ABE4.5060903@HIDDEN> <87r2tyey32.fsf@HIDDEN>
 <59EAFF8C.9080509@HIDDEN> <87inf6faiv.fsf@HIDDEN>
 <59EDD85E.10104@HIDDEN>
Date: Mon, 23 Oct 2017 14:12:11 +0200
In-Reply-To: <59EDD85E.10104@HIDDEN> (martin rudalics's message of "Mon, 23
 Oct 2017 13:54:06 +0200")
Message-ID: <87efpuf4h0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

>> (tool-bar-mode 0)
>> (scroll-bar-mode 0)
>> (tooltip-mode 0)
>> (menu-bar-mode 0)
>>
>> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
>> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
>>
>> => frame cycles back to same size
>>

I forgot to mention: the next line is executed in the same emacs
session as the previous ones

>> (menu-bar-mode 1)
>>
>> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
>> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
>>
>> => frame height shrinks
>
> Sounds "great".  To check further: If with
>
> (menu-bar-mode 0)
>
> you toggle scroll bar or tool bar off and on, does the frame also cycle
> back to the same size?

Of course not, that would make this issue too easy to fix ;-)

From emacs -Q:

(menu-bar-mode 0)
(scroll-bar-mode 0)
(scroll-bar-mode 1)

The width goes back to the original, but the height shrinks

However things work correctly from emacs -Q with:

(menu-bar-mode 0)
(tool-bar-mode 0)
(scroll-bar-mode 0)
(scroll-bar-mode 1)

so looks like both the menu-bar and the tool-bar need to be disabled
for things to work as expected.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 23 Oct 2017 11:54:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 23 07:54:24 2017
Received: from localhost ([127.0.0.1]:56649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6bJH-0007sT-V8
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 07:54:24 -0400
Received: from mout.gmx.net ([212.227.17.21]:57578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e6bJF-0007sF-II
 for 28605 <at> debbugs.gnu.org; Mon, 23 Oct 2017 07:54:22 -0400
Received: from [192.168.1.100] ([46.125.249.110]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LbPza-1dMqQG0LcY-00l0re; Mon, 23
 Oct 2017 13:54:14 +0200
Message-ID: <59EDD85E.10104@HIDDEN>
Date: Mon, 23 Oct 2017 13:54:06 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>	<59E1D6FD.5060203@HIDDEN>
 <878tgbs4ke.fsf@HIDDEN>	<59E5C5E0.3070103@HIDDEN>
 <87tvyycbih.fsf@HIDDEN>	<59E600F3.6020905@HIDDEN>
 <87zi8njoi8.fsf@HIDDEN>	<59E9ABE4.5060903@HIDDEN>
 <87r2tyey32.fsf@HIDDEN>	<59EAFF8C.9080509@HIDDEN>
 <87inf6faiv.fsf@HIDDEN>
In-Reply-To: <87inf6faiv.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:4tS0Kt7B3SbqHVRdZflI8B4FVeQ1Qp8Zw65i+WfLkeOBbMK5DjS
 QjyzBnlk2Db8bP93zEDsmeT7So9pOU42qsf8VKCeuxiWs4GBzqMsxMawXHvmw9jCHuRVlzc
 Ka3Fe9h0VIuGnXYmV55cAXoMUTJxu7WprLc4suxk5EnfFpUAK4fDeuEnIkKlqn41v+SEzLL
 cFc8iO9OeqhzyyZ8bFKVA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:lIeSS0K/SMU=:oDTQVJR3RJpyzXHS7Ja4k/
 WGi6ZV1g1OByJ3fxV3U1lLtBSmKwdyLAoRlK8crcQIURzxQ+EYQ/y+GmB2IB5bncA1itB0dTV
 Jc2VqQBf35g9FuGktQbBJNXoZ2u7k+t+zGIri3uKKa7SHHMz/gMJ5eUx6NJYBXAnsCb++PjCq
 wXZ6T3HCuRbv3IhXfaSSPrF99ZToVTHQcrkxEJU4BH7eV1sAz1W6aClIY83jvUVPkYFxZB0CB
 TJx6dX0y4JrJEYtvo3TbWYsg9+pv/wJkf4mpPS8GzmEWZdf8ovtYSP/U3z9V96267+WZIDKCO
 yzBFKjd1B0OQPe1wZDWj50YIbZ608c8GthWIzikvXr08OnkhAmRyhTvTB8s5Sm9re9YeOpHUR
 4CIxNoSyN3/PrT9aVxcZcExupoj1NMi5TPVOxCfJ6sQ3hD1kCjbk/qqd7AEqALYa4PpnBu7kw
 OtF6zBIBOWmvhAcvbJaSmNnHXbTbfUbo8rB8YHj5zgyQT4KN4fapiL0lR3G0pBrSCQa1yG9gX
 tTbg5VTRqydrpI1v1zA/g/X2+fFamZEUS4J+/CBjzWuzuziVFt9yATfL5GRvA8vYyum+xI3lu
 Pwem/1Qq0zzVvVpxHCGw+Bl344monu5HLMdqwGisTdO6En2XxURAzXw3FcLylF6fyGBcTO+Ss
 W9pmRyzcwytYnM4AqRyXCeY3jmwMZ5n1GqoaPFDFgaW3wU1dF8cNeJBMQ2qZHYLN+vKApYjGt
 gyW9kCUqPYLhB4IP2Xyy6w5z1MXhOLRNSqEzUrD08MIsUKp+d7Rs7m2oOm15i2QDoQhSXCSIZ
 vLiv1pwuVJZbh14zBEI2xSdRu44va/eUjWtZaiTuB85dZ4huShwcSN3eecz9hx4mlgMuTTT
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 28605
Cc: 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

 > (tool-bar-mode 0)
 > (scroll-bar-mode 0)
 > (tooltip-mode 0)
 > (menu-bar-mode 0)
 >
 > (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 > (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >
 > => frame cycles back to same size
 >
 > (menu-bar-mode 1)
 >
 > (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 > (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >
 > => frame height shrinks

Sounds "great".  To check further: If with

(menu-bar-mode 0)

you toggle scroll bar or tool bar off and on, does the frame also cycle
back to the same size?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 23 Oct 2017 10:01:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 23 06:01:40 2017
Received: from localhost ([127.0.0.1]:56624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e6ZYB-0003GG-R1
	for submit <at> debbugs.gnu.org; Mon, 23 Oct 2017 06:01:40 -0400
Received: from mail-wr0-f169.google.com ([209.85.128.169]:49216)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e6ZYA-0003G3-BK
 for 28605 <at> debbugs.gnu.org; Mon, 23 Oct 2017 06:01:38 -0400
Received: by mail-wr0-f169.google.com with SMTP id g90so16705171wrd.6
 for <28605 <at> debbugs.gnu.org>; Mon, 23 Oct 2017 03:01:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=K+Fa14gFP+lEQbNKt6fxswCyQ9JjqLjYLMjdozMYG38=;
 b=tk8N+dDJ1Tm4SHJFmIi0YKTXgPF5v6vRDMfsFylzoW2RiMYjuXdO2/WkQ7ZSKUEVN8
 umt7ZvHQZtF2Scbj9ctpmc42QwIPikP9fQlphwv+tuKNgmlJaYMRSu0PXP3OSb6gLKeZ
 tflVh8EY8yQzUnTwSCOpzAp7AelP5h3PU2Aqxik9z1jyUNx/+fm4BZK8mLTf4Q1OhSdF
 sEY2wT4NlTijpZ9C7uDU4hsxQWN2rcUi8+4TQgsOEHbmYwEdSDI1f+OqvdXogQ3d5VVR
 OJgFOZQsRvdc3Ryb+G1ra9bNBeVz9NDxskfl/zcfd4umirirPovdfsxVpNt1UPsWFEjZ
 SYfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=K+Fa14gFP+lEQbNKt6fxswCyQ9JjqLjYLMjdozMYG38=;
 b=BNqasR6FqhzZgP3cS7A1nBn3jM0IFIYHCFabBuAVqlD3EuARsJyXNbxxYFQoyHK1Sg
 cx5N4hQJ4uxzvKpo2yPinT+1BNcQZqfHAboO0Ko44dKcLMRbSmsoC1lHCnLVNz101Rrh
 6fP56engXXs/Nzpz18oo3/hUiprbToO3Yf7FKqYSA6ZhLEs30gVaVSxJHGBB2mfmRJqD
 qyqPr/Nj0m+XrZXLrClVXvB2r7edFC89drCpNIM22Gg8fldEUwsdofcvhG/P4lsbcV9q
 LUWKS1CuSt73KMJbyMsrEgF1BqRLr5S1mxxe0doNUpT2Fq9zyR9f2OWDRTEbnx+JYB3u
 Vckg==
X-Gm-Message-State: AMCzsaWpXgbL38c3Pw0v6PGeNck8eErKkXFiJAXJupDPlLGHpKzemBu5
 pW3PugVXe/Cgkp0I2fH2viR54XZ4
X-Google-Smtp-Source: ABhQp+R6nFtyUZ6tznUFAf4iRG+BjUG7vS1AZjuqaQJGDVvPiL04sXxc9IwjAt6rUeawE7LVHVPV/A==
X-Received: by 10.223.132.135 with SMTP id 7mr11451667wrg.74.1508752892178;
 Mon, 23 Oct 2017 03:01:32 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id w5sm4421240wrg.65.2017.10.23.03.01.30
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 23 Oct 2017 03:01:30 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN> <87mv4urtsp.fsf@HIDDEN>
 <59E1D6FD.5060203@HIDDEN> <878tgbs4ke.fsf@HIDDEN>
 <59E5C5E0.3070103@HIDDEN> <87tvyycbih.fsf@HIDDEN>
 <59E600F3.6020905@HIDDEN> <87zi8njoi8.fsf@HIDDEN>
 <59E9ABE4.5060903@HIDDEN> <87r2tyey32.fsf@HIDDEN>
 <59EAFF8C.9080509@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Mon, 23 Oct 2017 12:01:28 +0200
In-Reply-To: <59EAFF8C.9080509@HIDDEN> (martin rudalics's message of "Sat, 21
 Oct 2017 10:04:28 +0200")
Message-ID: <87inf6faiv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

>> I've retested with scroll bars turned off, that doesn't make any
>> difference, the frame height still shrinks.
>
> So for the moment we can omit scroll bars as the lone culprit.  They are
> too complicated - theme based size, minimum size constraints - anyway.

I think it's the menu-bar, see below

> Anyway, the strategy now seems to be to switch off _everything_ toolkit
> related (scroll bar, menu bar, tool bar and tooltips) and check whether
> the problem persists.  If it does, something very fundamental is broken
> and we at least know from where to start.  If it doesn't, then add each
> of these but never two at the same time.  This should give as a next
> clue.

(tool-bar-mode 0)
(scroll-bar-mode 0)
(tooltip-mode 0)
(menu-bar-mode 0)

(set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
(set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))

=> frame cycles back to same size

(menu-bar-mode 1)

(set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
(set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))

=> frame height shrinks

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 21 Oct 2017 08:04:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 21 04:04:41 2017
Received: from localhost ([127.0.0.1]:53016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5ols-000561-Tx
	for submit <at> debbugs.gnu.org; Sat, 21 Oct 2017 04:04:41 -0400
Received: from mout.gmx.net ([212.227.17.21]:49614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e5olq-00055n-Sw
 for 28605 <at> debbugs.gnu.org; Sat, 21 Oct 2017 04:04:39 -0400
Received: from [192.168.1.100] ([46.125.249.29]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MgXCF-1dtLnE43ct-00O2v1; Sat, 21
 Oct 2017 10:04:32 +0200
Message-ID: <59EAFF8C.9080509@HIDDEN>
Date: Sat, 21 Oct 2017 10:04:28 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>	<59E1D6FD.5060203@HIDDEN>
 <878tgbs4ke.fsf@HIDDEN>	<59E5C5E0.3070103@HIDDEN>
 <87tvyycbih.fsf@HIDDEN>	<59E600F3.6020905@HIDDEN>
 <87zi8njoi8.fsf@HIDDEN>	<59E9ABE4.5060903@HIDDEN>
 <87r2tyey32.fsf@HIDDEN>
In-Reply-To: <87r2tyey32.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:gkNC8qJ0QnlOC3QcIUfA6Qeidlec5w3797QkKTBWpLDesz3C/4S
 EU91cuz6aD720Nszm25pI3zxrocKJmhjA8BgV4sagY9Fxnm03ViKp54ZDIqvX/HcMhlqV5K
 4GP+pJxsPTe26SPLFI8ghf38wHZNdxLmsKYdkCz6jbC2SikvIcYPmCZzekTeSeFEiJ2s9bb
 xHGZb5Lmjgtove0sNA4Mg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:vsCNMy09fZc=:EYrWqjn9dq09p3x46sqOCI
 2zpo4w4lIjYGTx3eCplg3Rntv3q3Q3p0dZxRxV36uGhMqP3GvJ2spo40/ZqfAU9qOemkyyzGT
 W1fDdY4K9cRm5/KebYXtB4fzo0kW2MVjCSi3yQRdrJasWtcehzAy+5lBUi6YBbW5ULo9SMM99
 sB6q9hbEIN6+fEJxMEDgMdJGI8D+jH+7zlkziKQVBmxt9Ka4d+NcXaPz7xUzYgcX9EBXs1ysP
 15CMYuUWO1IlwISc04fqpMjVm0zVJ/S43r1wxx4VUlQOREELBHOiUghKpKuV/fdep/V+UDnfW
 GZkVHu4h5wq+bBLwoRGpzejhI+9mh+p57z0vPXADybBJENGXJHqhzWSoht2howSsJ78AKdRbZ
 rE0Kmd75ECT2GWLakYRJJVXgSQ0jLW6agixoyyzdRwdZDGZqOWvDjebkH0DdYvHZQxloIxNp1
 BvY03i82RzxDS+iuN6pYXZs2BcDBtX/Y+mdDUoMAbUAvK00OVa9IQq0HMcFicdbxvFQ+PYp27
 M3rjP2ErKbCoi+bAQZcu0gG/3sJQp0vPsBmmC0J24+jeXdCiWigNocDvDRKGgqjwFUufdmi43
 Io2TyLdsVLV1m0lrz/1NFbNvuV/xIer6RDlRlNHb3rxTJYAL21ty5SITthkKUKwrnib+tqiOH
 29YdgMIBlVmGz3gaM8LgDU4Ypf0ESESBgGu6pccZlqMzPgogDSEIZCd5aj3xvyp7FLVMAUwzb
 u5aNgCwJYgfEnf5X7p2CMR2G2VAO4naG2AVFan0b6qW2G5h3qy/XVTKvJjoOycSu38qez+TFq
 RHhnrhU55oWsjYkfk1KIpBavII3M1yuBuafEXDBaDYe+LOm6gDinqtj+VKsMED1cHdb8E32
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 >> I'm afraid you didn't test these with scroll bars turned off.  So it's
 >> easily possible that scroll bar calculations overshadow the frame size
 >> adjustments we do for handling the above.  Please try with scroll bars
 >> turned off before you test these.
 >
 > I've retested with scroll bars turned off, that doesn't make any
 > difference, the frame height still shrinks.

So for the moment we can omit scroll bars as the lone culprit.  They are
too complicated - theme based size, minimum size constraints - anyway.

 >> One thing you could check with scroll bars on is whether changing the
 >> frame width (or height) and undoing that gets us back the initial size.
 >> For example, does evaluating the following forms
 >>
 >> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
 >> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
 >>
 >> in sequence result in a frame of the same size?
 >
 > Now that's weird. That gets me back to a frame of the same *width*,
 > but each invocation of set-frame-parameter reduces the *height*, and
 > gives me:
 >
 > (emacs:24843): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
 > assertion 'extra_space >= 0' failed
 >
 > when I reduce the width (with or without scroll bars). Are we back at
 > "It's a GTK bug"?

Recently this was mostly due to /etc/PROBLEMS

*** Emacs built with GTK+ toolkit can unexpectedly widen frames

BTW I found Ola's tool and menu bar sizes very disproportionate.  Are
yours similarly large?

Anyway, the strategy now seems to be to switch off _everything_ toolkit
related (scroll bar, menu bar, tool bar and tooltips) and check whether
the problem persists.  If it does, something very fundamental is broken
and we at least know from where to start.  If it doesn't, then add each
of these but never two at the same time.  This should give as a next
clue.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 20 Oct 2017 13:41:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 20 09:41:18 2017
Received: from localhost ([127.0.0.1]:51292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5XY5-000487-T4
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 09:41:18 -0400
Received: from mail-wm0-f48.google.com ([74.125.82.48]:56775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e5XY3-00047u-RG
 for 28605 <at> debbugs.gnu.org; Fri, 20 Oct 2017 09:41:16 -0400
Received: by mail-wm0-f48.google.com with SMTP id l68so22611396wmd.5
 for <28605 <at> debbugs.gnu.org>; Fri, 20 Oct 2017 06:41:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=syXPM0WPtd68wK4Ejvu3+TNP340+Dm/XdwXSHAekLM8=;
 b=gujJaMlGBhfUPpC0KRdhSPEWo+X9DdtoyG6/7KJEKHNeTf056lZtfnou8dUE25YKvb
 Mw8d5xxFMTVjkFUuCX+uthS2Wol6tda93+2oYECxslRf8MOmgh/0wasw6j1BP168ohEN
 TasyJxTH02uCF58JaVRnwG/P+qFRVG8vx/HQY7SCrNctOlhPEiTIqlkkiA87kCGcw9/j
 XCFX7mohyD9fWJQKjuCI6NHytrzCrlzs7SwPTgWcSHN+fgMCuUEvXcMs+YgRhqrsaLE8
 uaQGFjWKPXdvc/MHpPIwW/t3LFFMeMdiLpMzrOp2fFd2L4Wc1ZaPTHh2ZBZRxA9XPyol
 Tp+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=syXPM0WPtd68wK4Ejvu3+TNP340+Dm/XdwXSHAekLM8=;
 b=UlGAeTARacexftnZ0gv962SlxjSPanQ1luid6ad8OqU9oUCgHN+ku9z0KnC27fkoP3
 sjjCGXJz83BorLmWbhCLqAH0Lfw0xb0C3/h88RWipBgK2G2KEd+wbTAIQd8kC1p0BBDI
 bFv+PyWz0FOOkSR53Ruw1LZOaPBs9uj65eZv1GQ5l6mqifarQf4D0klK+F/jkslXXRmp
 3dOxSTlrt6flCWkRsBPUyDZ7TTFegCllNRhzjZ8L0B4j3ukUCjCVdOEyjgEthrXWrg+0
 ieltCZ/aaaFAKTMQpK/9tUzhuqvk5PKLPfWp/j1W2lgBgOkB1CIJmAOiuZUZUnQLTJQV
 YYHA==
X-Gm-Message-State: AMCzsaW2Vw9EFzm0Q6Vq6yq5W9irNTpPYQMFv9tMik6f051h8qPpiyCE
 VVU7SjAyuugZFeuA3r+HiMKRXrbU
X-Google-Smtp-Source: ABhQp+TXX+OG9L1eEfhJcy12E5B1U/w3TWzUUbrASecujEczPHSkvZ7j9EXGlvxaE1Z7XhLMcw5uIQ==
X-Received: by 10.28.197.65 with SMTP id v62mr1593769wmf.9.1508506869657;
 Fri, 20 Oct 2017 06:41:09 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id k57sm1664839wrf.95.2017.10.20.06.41.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 20 Oct 2017 06:41:08 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN> <87mv4urtsp.fsf@HIDDEN>
 <59E1D6FD.5060203@HIDDEN> <878tgbs4ke.fsf@HIDDEN>
 <59E5C5E0.3070103@HIDDEN> <87tvyycbih.fsf@HIDDEN>
 <59E600F3.6020905@HIDDEN> <87zi8njoi8.fsf@HIDDEN>
 <59E9ABE4.5060903@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Fri, 20 Oct 2017 15:41:05 +0200
In-Reply-To: <59E9ABE4.5060903@HIDDEN> (martin rudalics's message of "Fri, 20
 Oct 2017 09:55:16 +0200")
Message-ID: <87r2tyey32.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Toggling the menu bar or the tool bar on/off shows the same type of
>> effects as the scroll bars. Toggling the fringe-mode on/off *always*
>> shrinks both the height and width.
>
> I'm afraid you didn't test these with scroll bars turned off.  So it's
> easily possible that scroll bar calculations overshadow the frame size
> adjustments we do for handling the above.  Please try with scroll bars
> turned off before you test these.

I've retested with scroll bars turned off, that doesn't make any
difference, the frame height still shrinks.

> One thing you could check with scroll bars on is whether changing the
> frame width (or height) and undoing that gets us back the initial size.
> For example, does evaluating the following forms
>
> (set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
> (set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))
>
> in sequence result in a frame of the same size?

Now that's weird. That gets me back to a frame of the same *width*,
but each invocation of set-frame-parameter reduces the *height*, and
gives me:

(emacs:24843): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
assertion 'extra_space >= 0' failed

when I reduce the width (with or without scroll bars). Are we back at
"It's a GTK bug"?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2017 07:55:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 20 03:55:37 2017
Received: from localhost ([127.0.0.1]:51047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5S9Y-0001gy-UO
	for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 03:55:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47305)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e5S9W-0001gj-Q6
 for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 03:55:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e5S9Q-0008TM-IW
 for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 03:55:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51592)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1e5S9Q-0008TA-BN
 for submit <at> debbugs.gnu.org; Fri, 20 Oct 2017 03:55:28 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38257)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e5S9P-0006cQ-5Q
 for bug-gnu-emacs@HIDDEN; Fri, 20 Oct 2017 03:55:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e5S9K-0008S2-4t
 for bug-gnu-emacs@HIDDEN; Fri, 20 Oct 2017 03:55:27 -0400
Received: from mout.gmx.net ([212.227.17.22]:63841)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1e5S9J-0008Re-HI
 for bug-gnu-emacs@HIDDEN; Fri, 20 Oct 2017 03:55:22 -0400
Received: from [192.168.1.100] ([46.125.250.4]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Ltqmn-1d6a5T3lLh-0118vf for
 <bug-gnu-emacs@HIDDEN>; Fri, 20 Oct 2017 09:55:19 +0200
Message-ID: <59E9ABE4.5060903@HIDDEN>
Date: Fri, 20 Oct 2017 09:55:16 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>	<59E1D6FD.5060203@HIDDEN>
 <878tgbs4ke.fsf@HIDDEN>	<59E5C5E0.3070103@HIDDEN>
 <87tvyycbih.fsf@HIDDEN>	<59E600F3.6020905@HIDDEN>
 <87zi8njoi8.fsf@HIDDEN>
In-Reply-To: <87zi8njoi8.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:PdnA2flqVusTZnEkGH4TwzJZoO8kFVueYd4xvkrEMDhstthH0Qk
 Dk+xHaroAFo/Emv76kno60AKk3Df7AoTdet5sOV41ut5qOnmEgzq7EAY2oNNUZb+qHXI9rj
 uHEzuXw5WnegAUH6PKnpIC3GfFBrtRGLw961AfI7HlFdAS0rNMO1gPn/YcnbHCsJpyv/l6E
 C6dBXVLlzt5Xy+L6TdQIg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:C4NmJGuKZLo=:/7fr5owVwP+A/UtZqJXsGz
 nCUo9n09mHqtxeNFfp3IQ1+v+Y1idEDii/fyKA1cqlcMr7wCxduYI4W4SAWNEjBCLMIv6vTpV
 799oKjH0wJiBLNeKOigA8ufGauzc//A8rILMZO6kaf4Ev+dDZCYgic76LM1OVc3JvmXq4C9eU
 YM6btJGO5HFxsE3Xw4rtxjUr+kmX5+poacCPwTG8xjkv44Uy+5zZXfBfJt4XDwG0OoQF82D7m
 EjgWKWLxQWKXpAKJMt8IXl7KOoGQ6ndKdYCURr0uG2D9atErNqgKP9rVdG9+AYUw0zaCW5xpH
 0QutyTwjUKwU8JUnQpPXUp9ddoXT5p+YrMIV7XRQdiVI+DOjUhtd5z1YBht0/2EKOxfHBMMbA
 ICFcFLLVtuLNNMcZs3SS38rEdTE5i9yiBMQJkislc4GkEONdmZcy3QIwemFR+6kZ7yPKLPvMR
 InlBVbHRBkipQKN53GsTlCSvS3cZzXpYoY3JoNpQ8GqVlV30c2Yt5HZCJF25KuV8At5UlZC4b
 G+kgxeoy9HystLzFRFIDEBVfxqt7apwYvXoyWvjUdxXoSbldSOiQQhlPm74PIWFujm2cmAYHk
 FNsieKlzMoVy7krKTyFZEhbWR6LfV9V4yRrxKAYCr7tdFiWUQQlPkc1Bg3fEpSoRyd1h2oW4W
 KgrAOq//6KHrEn31LL9fFkXKilx6UsJa02maGHc2yziCF6TJBljwYvYybD3TA81qs2sicGmAx
 HdVQtO4Kz0e6OjZ1Cdsv6V5SLt5OOiLE/ouZcQVF7yW/44Wg+QOAmin3cq2ATK5247seB/2E1
 KUlAdro6RXQtrVxxEMoIozv9oXpA8eZyMi6CScizpbaoTRIJC7qQTRWhwpK5Sbn2JQrh6UG
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

 > Toggling the menu bar or the tool bar on/off shows the same type of
 > effects as the scroll bars. Toggling the fringe-mode on/off *always*
 > shrinks both the height and width.

I'm afraid you didn't test these with scroll bars turned off.  So it's
easily possible that scroll bar calculations overshadow the frame size
adjustments we do for handling the above.  Please try with scroll bars
turned off before you test these.

One thing you could check with scroll bars on is whether changing the
frame width (or height) and undoing that gets us back the initial size.
For example, does evaluating the following forms

(set-frame-parameter nil 'width (+ (frame-parameter nil 'width) 5))
(set-frame-parameter nil 'width (- (frame-parameter nil 'width) 5))

in sequence result in a frame of the same size?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Oct 2017 12:44:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 19 08:44:53 2017
Received: from localhost ([127.0.0.1]:49252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e5ABx-0005xT-GX
	for submit <at> debbugs.gnu.org; Thu, 19 Oct 2017 08:44:53 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36777)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e5ABv-0005xE-Rs
 for submit <at> debbugs.gnu.org; Thu, 19 Oct 2017 08:44:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e5ABp-000770-Vv
 for submit <at> debbugs.gnu.org; Thu, 19 Oct 2017 08:44:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35785)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e5ABp-00076t-SH
 for submit <at> debbugs.gnu.org; Thu, 19 Oct 2017 08:44:45 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55980)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e5ABo-00026L-N4
 for bug-gnu-emacs@HIDDEN; Thu, 19 Oct 2017 08:44:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e5ABl-00072l-K0
 for bug-gnu-emacs@HIDDEN; Thu, 19 Oct 2017 08:44:44 -0400
Received: from [195.159.176.226] (port=55948 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e5ABl-000726-DB
 for bug-gnu-emacs@HIDDEN; Thu, 19 Oct 2017 08:44:41 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e5ABa-00068h-C5
 for bug-gnu-emacs@HIDDEN; Thu, 19 Oct 2017 14:44:30 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
Date: Thu, 19 Oct 2017 14:44:31 +0200
Organization: not if I can help it
Lines: 24
Message-ID: <87zi8njoi8.fsf@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN> <87mv4urtsp.fsf@HIDDEN>
 <59E1D6FD.5060203@HIDDEN> <878tgbs4ke.fsf@HIDDEN>
 <59E5C5E0.3070103@HIDDEN> <87tvyycbih.fsf@HIDDEN>
 <59E600F3.6020905@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
Mail-Copies-To: never
X-Debbugs-No-Ack: yes
Cancel-Lock: sha1:/udV8nyiznIPI/IWpaYmitbLxtM=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bug-gnu-emacs@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

martin rudalics <rudalics@HIDDEN> writes:

>> I tried adding
>>
>> (add-to-list 'default-frame-alist '(inhibit-double-buffering  . t))
>>
>> to my .emacs, but that doesn't seem to make a difference.
>
> Well, I wouldn't have expected much to change anyway.
>
>> Hmm, reverting that commit doesn't seem simple. Maybe it's easier to
>> go back to the commit just before that one and apply the scaling
>> changes. I'll see if I can get to that this week.
>
> Before you embark on that please check that a similar problem (frame
> widening/shrinking) does not exist also when toggling off/on the tool
> bar (including putting it on any other side of the frame), the menu bar,
> the fringes and internal borders and also change the default font size.

Toggling the menu bar or the tool bar on/off shows the same type of
effects as the scroll bars. Toggling the fringe-mode on/off *always*
shrinks both the height and width.

Robert





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 17 Oct 2017 13:09:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 17 09:09:28 2017
Received: from localhost ([127.0.0.1]:45059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4Rce-0001Kc-1R
	for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 09:09:28 -0400
Received: from mout.gmx.net ([212.227.15.15]:52770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e4Rca-0001KM-L5
 for 28605 <at> debbugs.gnu.org; Tue, 17 Oct 2017 09:09:26 -0400
Received: from [192.168.1.100] ([46.125.249.51]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LqylH-1dZWqV1ODL-00egm9; Tue, 17
 Oct 2017 15:09:16 +0200
Message-ID: <59E600F3.6020905@HIDDEN>
Date: Tue, 17 Oct 2017 15:09:07 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>	<59E1D6FD.5060203@HIDDEN>
 <878tgbs4ke.fsf@HIDDEN>	<59E5C5E0.3070103@HIDDEN>
 <87tvyycbih.fsf@HIDDEN>
In-Reply-To: <87tvyycbih.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:gfH9LHzuFTEa0jtJb2t31ISoV8NrorzxZl5B4hC+VBwUa2qSvWp
 45QIKptKERuHcWhxOnegeKa2ScWRL6MJR+O4vHp7CQv89nriuqtGxafRDkrkVSG0cApsvSc
 bMapdT5LC4qHkxAr9UQjlN+yjKtTu74iZadCaDFW/gF7P09eH3+6WkUGjlFaZutPzAj5LSN
 63fXOjLlot/BRcZKUg/yQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:9rnjdzZzC4k=:BVy6Ht3u2kIR/qHT90uEW1
 oJXFQ+GD+CFNW/Evxbk5fjJUuJnIHKRYLIztcZ7OPMRbJRInOqctcOyJ8u5qndHDK8xgl2epY
 8vQJ+wafK5KmqVet1zIuREhN3KPnTzI53D95BXc6MqUYRskeDZ7yt9e3nc7SxT3/IcVwamWes
 /IJT6bumec20c1mA/impI5X68WkgrrhAWoHZ1dp6N0Lt6vBMWTCSprVyThpPmwtPXw1NKm7UR
 1iG7QKfNPcECOE1KmMZjT4ZwQHozUjCTCt8MvMbMIyp3hd9vcci0HgV+rp6IY8+FMeseekTjS
 Q7WPdaPNhKsh8UIYYtGZXo6uPaWoM69uP1c42th5W2D0J5nYs9flLXTayRyAqcVvQ8CeHcKQg
 Pno+wjQ13TTeW/oyD9BiK8lXYTk+ov4UBzpPHrNAt0jg+unW8gBkbiAM0+3jzXsarjURDvpC+
 JvVJPP4bFpdV1CJZL6h0Sxfdn+mQyzUrhKxdsH4vk8cQiDrPcaXaY9ghU/i6zyeow460Wv7Cy
 LvQid0gbL7s/fG40k5+7TqADk93iuEGcD5SVX7oNm3IKUwVzE/4QHnOapVp4wZly68FGLC8J4
 THC6GKkNaZmEvxQ5axSnD71/1Bui2yTP6urVIILAcz3qwC9YQpaXWrWDRZuMc39s7weKuQyAn
 OpNq+Wq0BMzpNQ9V+sGEH4AV3WQyuqxTnHRGMK/4DS3xDNa7EI2shElt86v87dahvathRO3S0
 tj9vVZbibwrJwGlcnwkMw7d0EoeMKboxFCurt83IvMynA52ReaV1mq8Lmuz5DLzI8LZp1dvh7
 Ejihv7c/EcwAKu+G3gQfvC7oLEE2F29lOWDt2054f3v9lgGfrFJir7jxVMpa5Sfn3foKbVh
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I tried adding > > (add-to-list 'default-frame-alist
 '(inhibit-double-buffering
 . t)) > > to my .emacs, but that doesn't seem to make a difference. Well,
 I wouldn't have expected much to change anyway. [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.15 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.15 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.125.249.51 listed in dnsbl.sorbs.net]
 1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net
 [Blocked - see <http://www.spamcop.net/bl.shtml?46.125.249.51>]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I tried adding > > (add-to-list 'default-frame-alist '(inhibit-double-buffering
    . t)) > > to my .emacs, but that doesn't seem to make a difference. Well,
    I wouldn't have expected much to change anyway. [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net
                [Blocked - see <http://www.spamcop.net/bl.shtml?46.125.249.51>]
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [46.125.249.51 listed in dnsbl.sorbs.net]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.15 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.15 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > I tried adding
 >
 > (add-to-list 'default-frame-alist '(inhibit-double-buffering  . t))
 >
 > to my .emacs, but that doesn't seem to make a difference.

Well, I wouldn't have expected much to change anyway.

 > Hmm, reverting that commit doesn't seem simple. Maybe it's easier to
 > go back to the commit just before that one and apply the scaling
 > changes. I'll see if I can get to that this week.

Before you embark on that please check that a similar problem (frame
widening/shrinking) does not exist also when toggling off/on the tool
bar (including putting it on any other side of the frame), the menu bar,
the fringes and internal borders and also change the default font size.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 17 Oct 2017 10:30:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 17 06:30:26 2017
Received: from localhost ([127.0.0.1]:44919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4P8k-0003uS-3O
	for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 06:30:26 -0400
Received: from mail-wr0-f174.google.com ([209.85.128.174]:46796)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e4P8i-0003uF-39
 for 28605 <at> debbugs.gnu.org; Tue, 17 Oct 2017 06:30:24 -0400
Received: by mail-wr0-f174.google.com with SMTP id l1so1114349wrc.3
 for <28605 <at> debbugs.gnu.org>; Tue, 17 Oct 2017 03:30:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=hd2eAl+KorC6zG+Z5ogALVefA/W3Lm79seU+wQ6LK1M=;
 b=OR6UI07rtDbNm4l4Cdnxji1OCcToHuKWGsrA2JxmR1eHo5we+up5GSt1atpUH2HsrR
 ble7DPycQi2whP/CR3Il4tOXTpaZnq2tgRgRQxRsw3EYe+EUCtNOLR1vILAPa9m9+1U6
 NbvWG30+LQ/5zj7uDwXtFxEDsfqGdNlQAX/EWgQGUB4o15cbxOQMjyHT1WVGorOUxzU/
 olSNyGXaADfSBblYD3H0FyxhiI+UjAy4jXZJhdXHRgwhXZL8hjKOtKG5Cnsx2i45dd8b
 ioB1sBVQEGDTV8UrnGBMRdtlgJtRDoRS+OyEZrNZ/5+Rtl8lS0mtZ1MG2oN358RGYAdc
 X/Hw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=hd2eAl+KorC6zG+Z5ogALVefA/W3Lm79seU+wQ6LK1M=;
 b=lRLX74CnYZ3JZIbfF98Xuf1JsJSfUf1VBUFQD8Ygis6B/yt4Mc8gXD4B6Gsti6VGNq
 NZnbFzloACaWIqb5CUig8FR2ezay5JlW5gfaspJ0eT7+fdHNHeEMCEGIhvsB2h8cgLZS
 rj3vCpc6/SYxEUxHasZkpCb+O1Zb+KiyBESjmpk2aHHmLapiaTCtSe4h8DZK+AyH8mtW
 N4b3ZmKWckVp1mAqTGDHlanMrhs6ztZLTu9WWj/lcCu5aNzikyeax/OQkjfHldLBdOV/
 7eGCS6qHlr9vbjxav/V8TxMb5NvW0kiW//TYZ6pC2zeRulv71ZKJKJDl0n9/AGKVr7AD
 7lEw==
X-Gm-Message-State: AMCzsaXj6ZFdNaFVabZkwazrrWmrKZIPInOgscQo1TZaI1OdvIpJ2zfm
 Hw8ADQ4Cmsk5CjzWoDC2PYc=
X-Google-Smtp-Source: ABhQp+REKRyzftrwSF0/6cwsRXpYZ4uY4SXYku/k7ogy6BVvls7MJDcMCNy8iFgJRhxG2Yk5rkCfdA==
X-Received: by 10.223.156.199 with SMTP id h7mr2811022wre.247.1508236218270;
 Tue, 17 Oct 2017 03:30:18 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id l96sm20078892wrc.21.2017.10.17.03.30.16
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 17 Oct 2017 03:30:17 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN> <87mv4urtsp.fsf@HIDDEN>
 <59E1D6FD.5060203@HIDDEN> <878tgbs4ke.fsf@HIDDEN>
 <59E5C5E0.3070103@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 17 Oct 2017 12:30:14 +0200
In-Reply-To: <59E5C5E0.3070103@HIDDEN> (martin rudalics's message of "Tue, 17
 Oct 2017 10:57:04 +0200")
Message-ID: <87tvyycbih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

> Would inhibiting double buffering change anything?  I'm still not sure
> about that "Force scroll bars to be real X11 windows" change.

That does seem to go against the desired direction of using the
toolkit for as much as possible.

I tried adding

(add-to-list 'default-frame-alist '(inhibit-double-buffering  . t))

to my .emacs, but that doesn't seem to make a difference.

> In the worst case we would have to test with some irrational build which
> OT1H excludes
>
> 2016-10-28  Daniel Colascione  <dancol@HIDDEN>
>
> 	Add double-buffering support to reduce flicker
>
> and OTOH includes your and Lars' changes to scaling.
>

Hmm, reverting that commit doesn't seem simple. Maybe it's easier to
go back to the commit just before that one and apply the scaling
changes. I'll see if I can get to that this week.

> martin
>
> PS: I'm afraid there are no news on the paperwork front.  Right?

I received the assignment form and have sent it back, so we're now
just waiting on the processing on the FSF side.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 17 Oct 2017 08:57:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 17 04:57:23 2017
Received: from localhost ([127.0.0.1]:44854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e4Ngg-0001YQ-Kf
	for submit <at> debbugs.gnu.org; Tue, 17 Oct 2017 04:57:22 -0400
Received: from mout.gmx.net ([212.227.15.15]:60933)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e4Nge-0001YC-S9
 for 28605 <at> debbugs.gnu.org; Tue, 17 Oct 2017 04:57:21 -0400
Received: from [192.168.1.100] ([46.125.249.51]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MY7ZA-1diMgb1gWG-00UpGo; Tue, 17
 Oct 2017 10:57:13 +0200
Message-ID: <59E5C5E0.3070103@HIDDEN>
Date: Tue, 17 Oct 2017 10:57:04 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>	<59E1D6FD.5060203@HIDDEN>
 <878tgbs4ke.fsf@HIDDEN>
In-Reply-To: <878tgbs4ke.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:p/9yaoeanc38jFoaf6+4cjxnghb7CWewsoFSXKY2BQKY+C46qIk
 4rM6v/9gHjTLsKV90DYLJTg0+qm0jnOPVIKrMjIfG/q4cdEeerfB9mVdE53nS7mR4NquG45
 rr0qyLhr+VtUOH7vO3K9whbI4Ke2skL/XCkXhETvYmA3z4PrqtNWZVc8ua8hgxhd8FJltaB
 ssDo0DPEavVp1R27Ln9kg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:S4CylZ7pgis=:Ii+y25YQiXX98BQFKq4MPm
 LhoOiN1nGYq6tYZ1X/hOBtA1eNBl6FTUv7YM10Qo8txS28RWknYFCAiJ+Kk1wIvhIc/4Y5PEc
 lg8hdyYK5FQaFt13/A9YAncDhjkpFl9HUyNBExYP6z4o7D2Pnbb+5a5UtjOEb/2kuSwbsMkz2
 VsG6xL2TVT1U9SIftBvnevoDUZbIAtFBWZca5jSac6UuSCJLqYeLRRQog5WlzRbMHz7nqHhSL
 2zVilvUT3yN26cuuS4XdQq5Yuhbgn4vJdHSRSPHN5zVixhBBa/5K+ixD3fp1OgD75vRlVt9gJ
 apoPOkg1KshA9wFyIQCVS3zCiSiLgEbCMVOkFxDdO4T4cutixO3R2hsvokbq4G2SALVO6VPmD
 Ske4Zy2PgBzBrW8zIGzl/31wC+kmGwRUPeNpn7EYcb2i8pASRmAQnypthl4Gn6IAeWLBNAujy
 N7IqEoHBdljGFnm00nFxoV/+nwcqNdFpCW/rvq2chsQ165yrMCUXAzppsgwzUvW1hv18N4BRk
 Dn9R/6rwbCyMBYrDLOQKAgTvYG96dn1ED3g/b/3UgsgOGK6Rl1PiMd5ZFr7g/92EJoMkBwm7N
 pmIuilJMaKdTGK4WapYl1kKmIxTeC8r+XqtxqdkzQEV2x7ttCohrCQzA4vGfnd1TYKGMotAp/
 g1MrnnOTmxTf8GuZDuABZ+vPna9JvN1beYwuULHNjRfXXdXak0eCFSKlMIT9maJvRCdQr7YeL
 NcpQxfAmRH4Nfp3ZDLYHmlnaUJ19ALuSfuaDJb+PuUvxo631DbRLqKRfjBtBMkNcuGykglF+3
 GWw+gGH2FXgwODcS6jr75Lrdzi0phGu3rQO1r27h76jo7KY+3Vvub2eZynt0ukmOaxm+R+z
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > (75 [...] Thanks. This adds yet another facet to that
 completely
 irrational behavior with scaling. The earlier trace you posted had this for
 the first scroll bar removal (#<frame emacs@rpluim-ubuntu 0x13462d0>
 adjust-frame-size-1
 (1494 1100 1494 1100) (set-window-configuration 1)) [...] (#<frame
 emacs@rpluim-ubuntu
 0x13462d0> xg-frame-resized (1476 1100 1494 1100) nil) [...] (#<frame
 emacs@rpluim-ubuntu
 0x13462d0> xg-frame-resized (1458 1100 1476 1100) nil) [...] (#<frame
 emacs@rpluim-ubuntu
 0x13462d0> adjust-frame-size-1 (1458 1100 1458 1100) (vertical-scroll-bars
 3))) [...] 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net
 [Blocked - see <http://www.spamcop.net/bl.shtml?46.125.249.51>]
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.15 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.15 listed in list.dnswl.org]
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.125.249.51 listed in dnsbl.sorbs.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > (75 [...] Thanks. This adds yet another facet to that completely
    irrational behavior with scaling. The earlier trace you posted had this for
    the first scroll bar removal (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
    (1494 1100 1494 1100) (set-window-configuration 1)) [...] (#<frame emacs@rpluim-ubuntu
    0x13462d0> xg-frame-resized (1476 1100 1494 1100) nil) [...] (#<frame emacs@rpluim-ubuntu
    0x13462d0> xg-frame-resized (1458 1100 1476 1100) nil) [...] (#<frame emacs@rpluim-ubuntu
    0x13462d0> adjust-frame-size-1 (1458 1100 1458 1100) (vertical-scroll-bars
    3))) [...] 
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in bl.spamcop.net
                [Blocked - see <http://www.spamcop.net/bl.shtml?46.125.249.51>]
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [46.125.249.51 listed in dnsbl.sorbs.net]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.15 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.15 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > (75
[...]

Thanks.  This adds yet another facet to that completely irrational
behavior with scaling.  The earlier trace you posted had this for the
first scroll bar removal

  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 1100)
	  (set-window-configuration 1))
[...]
  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1476 1100 1494 1100)
	  nil)
[...]
  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1458 1100 1476 1100)
	  nil)
[...]
  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1458 1100)
	  (vertical-scroll-bars 3)))

so the width went up from 1458 to 1476 and then to 1494 while the
height remained at 1100.  Now you have

  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1458 1100 1494 998)
	  (1500 1100 1510 998))
[...]
  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1458 1100 1494 998)
	  nil)
[...]
  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1458 1100)
	  (vertical-scroll-bars 3)))

so the width went up (albeit in one step only) to 1494 again but at the
same time the height went down from 1100 to 998.

Would inhibiting double buffering change anything?  I'm still not sure
about that "Force scroll bars to be real X11 windows" change.

In the worst case we would have to test with some irrational build which
OT1H excludes

2016-10-28  Daniel Colascione  <dancol@HIDDEN>

	Add double-buffering support to reduce flicker

and OTOH includes your and Lars' changes to scaling.

martin

PS: I'm afraid there are no news on the paperwork front.  Right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 16 Oct 2017 11:41:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 16 07:41:34 2017
Received: from localhost ([127.0.0.1]:42566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e43m2-0000mv-2m
	for submit <at> debbugs.gnu.org; Mon, 16 Oct 2017 07:41:34 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:43426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e43lz-0000mf-Sv
 for 28605 <at> debbugs.gnu.org; Mon, 16 Oct 2017 07:41:32 -0400
Received: by mail-wm0-f54.google.com with SMTP id m72so4610988wmc.0
 for <28605 <at> debbugs.gnu.org>; Mon, 16 Oct 2017 04:41:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Nqnj6v4FuKM3wKFbkr120hylnUNA+bJlmR0cA6Kk3pg=;
 b=gEB9lOhMsPbP1l0knEDMaCAaEf1C7/ZrZ2NWZlPAJbOrShMDh3dINQ/vE/DLMKMTg6
 X2q2GdKISHezo11wDHkm6GCd0K9lFi/RrDlgRBiUaFmt/HSCd0qOnf6nbrB0bVhNikrP
 Wdujonfb9g7NjytYftwk0zZOzffBKOwKD7nO2iNvsNI3IKvr9EoZ0u0Gpa2VGeGb7+8v
 LyWuw2/yilnQdCnKX5Mlp+5+9VKdyJgEVI3wXynMlvS7C8mLwQRREUXGiQe/w08IJg/R
 XXRIC09OHlYq1kTTTpOar3uIklXq1C/MdrQrEaZ0OrcfrlJTOyysIlFYLFcySXljrZNx
 hkTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=Nqnj6v4FuKM3wKFbkr120hylnUNA+bJlmR0cA6Kk3pg=;
 b=ZWcjwTu6a4iwHhoz06QG9YjRd4ysyyV/zEAUZaV2ILLKKTRt6iORAvod+j+bsO37S/
 s+QQv9bMZ/YibHOgEFH16St057h5LiywsAkBGabh36rNNDecPwl7p4AKo/jSPUSAACYY
 PQ+HGyCNduB1e5nUfepGkFuHKRa5cwDlKYzvbTXHNWGh0RyjBRYEny8WCJ95AVQjnxEK
 rpvOV5JjvzzmwG15Fr0N1CHri1WJLgR/nA5gPzM8KQh84LNhCYb6aiJQg5p1eXgoiqZT
 zqJQruy+nfvJp9oH6LPHN5KpxLbt6GI0v79wye/+uwBbRkvZV3d+5wO+8zN4USFpjz1m
 g/1w==
X-Gm-Message-State: AMCzsaXWu36tcYxByFfg/RN+MsxRgAU1yW0/P/gLo4/owhGPRvlWQqtE
 +djYKFMw7OIGSiG0wxRVOUdhrPawCUw=
X-Google-Smtp-Source: ABhQp+Rf3/NrxlXOEVrwQTZxa0ywLsHlLEXHK+nUzAWrkKH2BBbZuiIIjqhbu3d2GpJ9H6BDYaRPUA==
X-Received: by 10.223.165.67 with SMTP id j3mr280578wrb.271.1508154085796;
 Mon, 16 Oct 2017 04:41:25 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id r21sm6161439wmd.26.2017.10.16.04.41.23
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 16 Oct 2017 04:41:24 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN> <87mv4urtsp.fsf@HIDDEN>
 <59E1D6FD.5060203@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Mon, 16 Oct 2017 13:41:21 +0200
In-Reply-To: <59E1D6FD.5060203@HIDDEN> (martin rudalics's message of "Sat, 14
 Oct 2017 11:21:01 +0200")
Message-ID: <878tgbs4ke.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> This screen is 3840x2160 pixels, and the emacs frame is well away from
>> the edges.
>
> Can you please again do (setq frame-size-history '(100)) and post its
> value after you toggled scroll bars on and off _two_ times.  I'd like to
> understand why it stops increasing the width after the first toggling
> but continues to decrease the height with subsequent togglings.

(75
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 692 1494 692)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1494 794 1494 692)
	  (1510 794 1536 692))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 794 1494 692)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 794 1494 692)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1494 794 1494 794)
	  (768 442))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1494 794 1494 794)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 794 1494 794)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1494 896 1494 794)
	  (1536 896 1510 794))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 896 1494 794)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 896 1494 794)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1494 896 1494 896)
	  (755 493))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1494 896 1494 896)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 896 1494 896)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1494 998 1494 896)
	  (1510 998 1536 896))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 998 1494 896)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 998 1494 896)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1494 998 1494 998)
	  (768 544))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1494 998 1494 998)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 998 1494 998)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1458 1100 1494 998)
	  (1500 1100 1510 998))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1494 998)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1458 1100 1494 998)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1458 1100 1458 1100)
	  (737 595))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1458 1100 1458 1100)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1458 1100)
	  (vertical-scroll-bars 3)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 14 Oct 2017 09:21:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 14 05:21:15 2017
Received: from localhost ([127.0.0.1]:38827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3Id9-0003wv-Kq
	for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 05:21:15 -0400
Received: from mout.gmx.net ([212.227.15.18]:64133)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e3Id7-0003wh-Gr
 for 28605 <at> debbugs.gnu.org; Sat, 14 Oct 2017 05:21:13 -0400
Received: from [192.168.1.100] ([46.125.249.54]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MFuC6-1e0Yop37Pa-00EtGq; Sat, 14
 Oct 2017 11:21:05 +0200
Message-ID: <59E1D6FD.5060203@HIDDEN>
Date: Sat, 14 Oct 2017 11:21:01 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>	<59E1CC8C.9030005@HIDDEN>
 <87mv4urtsp.fsf@HIDDEN>
In-Reply-To: <87mv4urtsp.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:fkGBsVEvMJMGo6C1dgyitEVEx4uBBmOjFCKp/SBNRfEacvR2CdP
 8FIXHTSoGLS8gMJxGJikpP9+r94clxytYlWeqWJu7vdjdSWC1JVnzHleylGjeP5N7oALyA5
 Z//RScDT8/EE1JFvAi7g2Pj/x5LAuYmeSys0GSZCBkyAkKSwOBTPYAJfaosJZDE8Z1wU/ON
 KHfwFuNT0IJiM3EtPy/lQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:0PBMGLAWgZM=:iWJ7IfgdYrcCg7znL1BALQ
 iQck0Lpd3HxtT0qQK3PdWjvblG7ZfZl7C17323GtdfDcJEOa8JOJGE01vvk9oeiXcnDqwzrp5
 SmZxVZrK/uxFwtltxfUcEYG52mmqCIju7wr7b8h0YtzBcn/WHLRumOO4LjqJILTh1kNh9Whuo
 8kIUN9n+wy8WIIXZYLhZN3HJJF+Bed7u1nDqPhpLMbhElz73BexxCpi42jyD03v5jVLBNOu/V
 19OPgupMwqzTAsUxCIOVMX9RCPBW0KItr9bgpw0B+WwN6AfnmkPIIfq39TXw0ALQqoqOie3IG
 JI+XhBKnvJWpfwMWQFCKLKFwTX3FF5Gcansi1VVfux6VV8bntYeXWE+/jQKMWJNfpVpttMpoC
 n9YGgR8non2uquU6v/GdSSO2peNppVB+jySlbyqOLezSDhvNF8IpembSYgFwddelxUTVA8kS3
 0cV6fBuP6MQjm214RSJG/zwXofD8mteaNHF3xjkUTriNzY2aZ4nNltmNInEZRHErb2K/CXnvc
 fXZHcjYI5epnpS0OLupDsFetj+/FMhDO5Wa/wKyXp/MyY9IH7OGuJn2AZEp/QLvKZATsaAF+g
 r7W62U3WmfwuCevlixdHjjdTQrPvKOkHwsXi1+Ey7Kq9nvYKSbItIuR0BzeLKEhD03+eZ5miT
 DygOdo8X1/U/kOhyeaW6TAV9rXaTEn5sMfaKErs0Wrd2JzhQa3DyQ7NRkcmupY1QQzG/UqX2w
 HMzWWiBXniE3dU4fkEPqMn1Q3+w9J7NfvIlu90PYMDdY5tDruoZF9jwVv4UWu/tRcjlyekp6k
 fYwQpKBsYR32YD8OYHBssVvFZBeb45JrAfwe9Rhx5GOuNaIMxK8vfomKmulm1pcMTyhNDiz
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

 > This screen is 3840x2160 pixels, and the emacs frame is well away from
 > the edges.

Can you please again do (setq frame-size-history '(100)) and post its
value after you toggled scroll bars on and off _two_ times.  I'd like to
understand why it stops increasing the width after the first toggling
but continues to decrease the height with subsequent togglings.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 14 Oct 2017 08:57:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 14 04:57:19 2017
Received: from localhost ([127.0.0.1]:38812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3IFy-0003Lm-VW
	for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 04:57:19 -0400
Received: from mail-wr0-f180.google.com ([209.85.128.180]:44422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e3IFy-0003LZ-59
 for 28605 <at> debbugs.gnu.org; Sat, 14 Oct 2017 04:57:18 -0400
Received: by mail-wr0-f180.google.com with SMTP id l24so2417765wre.1
 for <28605 <at> debbugs.gnu.org>; Sat, 14 Oct 2017 01:57:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bKJdJFnumnTarhjSuvnYu+MOos0JbvycPUwykQ2agM0=;
 b=W6GjFPVB+Lf13XDOeDoOByLmmmmc6Yry1tNb8ozh2sc6d5o7c60K958uD55nBwT1Ih
 3eAqciKPVCt2oiKmmnn7Qi2Ds8ZohUelMTjgbsJ2vbQrJJrwwztjKhMqJBS5aGKJc33q
 1C+uNADnxQk8v7Rl52KCJ0tUKhZXpAlqKeF5y4UHuhAcZa9arqH9IyoFVjdkuvAyhjz6
 4NZFPhaJjIcVCujINGgxkh/7xOk1E3ro8dPry7AGpoXjFEkzIhvFrSTDZvTSmDgMvLMH
 cAGBejnNKSLBybZxadvlrVQ9yiI7LU8hAww3ZlF3u9j4kTT+XX5BAui6xpsNMyz7hZrX
 ikEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=bKJdJFnumnTarhjSuvnYu+MOos0JbvycPUwykQ2agM0=;
 b=PRKC7/zNclWArj1GBAz3AN6N+o5cngD6vzH/E8/b48uB/1rr6AaJhH4iox4PYfQhgQ
 7TV/rLvaFiNcrxJEKu7MH+vUUBo1gUVG2vrRdoPem8WOfy5OgHuGYQa6age/qQx2sjfg
 R9jOl+8GoDBloDDk8iu2xvNSZxkYvOdY8mjnkydLe1SWyskPUfi1N6z4HXHpYsZkAAZ/
 3okWIFvdamnHb6fvaX8+xjsurPXd1l8q3IzrkOLHBpyLWoK1LPKmN2SF0Aq4/kyI8upU
 aQV9JUcgpxYJNejQlLKwQopxPTJPR5ASc0u8M4scsDlqW+xLpP9K0jt49bY0JDCa+Ju8
 EcyQ==
X-Gm-Message-State: AMCzsaVR4Xl7OdrWe1fBaBNCHW8ZB5TSFRZ+YL+dlWZb1SriCQBQ6CYB
 onICcjnbLTiVingqQ1aMr7o=
X-Google-Smtp-Source: AOwi7QBi/mZbD7USAX7V7htvhiJn6+ZwhTGzNmiDvknauSqc4gMV43y8RXzs/jrRktOBQPceYvYIKQ==
X-Received: by 10.223.150.25 with SMTP id b25mr3424997wra.147.1507971432260;
 Sat, 14 Oct 2017 01:57:12 -0700 (PDT)
Received: from rpluim-ubuntu ([2a01:e34:ecfc:a090:c820:d938:8aa7:871c])
 by smtp.gmail.com with ESMTPSA id 10sm4480364wmy.35.2017.10.14.01.57.10
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 14 Oct 2017 01:57:11 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN> <87bmlb5hif.fsf@HIDDEN>
 <59E1CC8C.9030005@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Sat, 14 Oct 2017 10:57:10 +0200
In-Reply-To: <59E1CC8C.9030005@HIDDEN> (martin rudalics's message of "Sat, 14
 Oct 2017 10:36:28 +0200")
Message-ID: <87mv4urtsp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

>> re-enable vertical:
>>
>> (frame-pixel-width)
>> 1536
>> (frame-pixel-height)
>> 896
>> (frame-edges (selected-frame) 'outer-edges)
>> (1590 314 3142 1453)
>> (frame-edges (selected-frame) 'native-edges)
>> (1598 458 3134 1445)
>> (frame-edges (selected-frame) 'inner-edges)
>> (1598 458 3134 1445)
>
> According to this after the first cycle the frame's width must have
> increased from 1500 to 1536 pixels.  Can't you confirm that visually?
>

You're right, it has. I wasn't paying enough attention to the right
edge of the frame.

>> After a couple more cycles we end up at:
>>
>> (frame-pixel-width)
>> 1536
>> (frame-pixel-height)
>> 488
>> (frame-edges (selected-frame) 'outer-edges)
>> (1590 314 3142 1045)
>> (frame-edges (selected-frame) 'native-edges)
>> (1598 458 3134 1037)
>> (frame-edges (selected-frame) 'inner-edges)
>> (1598 458 3134 1037)
>
> What are the pixel dimensions of your screen?  Maybe 3142 is already at
> the right edge of your screen and the window manager refuses to increase
> your frame any further.

This screen is 3840x2160 pixels, and the emacs frame is well away from
the edges.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 14 Oct 2017 08:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 14 04:36:47 2017
Received: from localhost ([127.0.0.1]:38776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3Hw7-0002qZ-Cx
	for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 04:36:47 -0400
Received: from mout.gmx.net ([212.227.15.18]:51369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e3Hw6-0002qG-AZ
 for 28605 <at> debbugs.gnu.org; Sat, 14 Oct 2017 04:36:46 -0400
Received: from [192.168.1.100] ([46.125.249.56]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MUoiS-1dkYlQ0bWe-00YDGc; Sat, 14
 Oct 2017 10:36:40 +0200
Message-ID: <59E1CC95.8050606@HIDDEN>
Date: Sat, 14 Oct 2017 10:36:37 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN>
 <CAKyOKyGyACYwuNjYfWhNZe422sEv067xzgM7cR0KS15qRYZmwQ@HIDDEN>
In-Reply-To: <CAKyOKyGyACYwuNjYfWhNZe422sEv067xzgM7cR0KS15qRYZmwQ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:BIvVrtcr+Fv7d19Bv+qCCjq+fRXxOtQn3UCQdYPn1UFE6Xjb64r
 3kGNUu+xcoVrOzGwkk1ezSQ2dNGQfcT8vjhTBw4lurvM3i0vYC3RQFMxwvmohA2eAuURwEv
 j+8Iup+IsgioA43ZUUjqjgIk42xasfBJdSH6ZrTkQ5HbQx1DSbD3apHSTpd9lrZHgWCpqiU
 o9XtZn/iAFRn/1TzV/Dtg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:2D9HX0Ul1yE=:g+38bVwW6kFKcluqzpKJgA
 /4Qjs0XCxhP00NbathzFy1y5KSB5izNNAK3B98I7JZ2bd7dP+1VAKq7pvrO+ROkKxquoqGvS+
 fsU4W+lR4MTRQvdI3oxigIBEy9zGSkDuTkLpRDGyY2ZLTi7K1eH6L4eSiHHFcNOTvZKIPAfKS
 vEqR8kbN58F27QI5I4ZpY8FZQG+3xbXcN4R05IMBQ4pUJABe+nBtQjO+q0Md8a204SvFid8Io
 n3vpe1CQ9wqxXHYUr+ICDH0jWHTAnsNmcf3dbyMTcpf0rjd94S4Eiwzy3bV2rotYNeieEWwz+
 LvrJoqTSk3BjT2Iy4akS8iHiEKg/ECsMIO7B3bRUInYZTGPk68aqt/xTL52xy+7b6OAdHyfNT
 jYnOo4h7LFBtYGOIjK80oGlx7oD5I9FbajWn40ui90yDghUCyZ1LkBMqm+PgPeKcU0PqBpwaJ
 NC3f/B4wimV+7a6o0urZRQNAW0lXhd1HZm1z4CyS2C7/2lpp5CBJgAMYoCdcCpLQRRFoyeTNT
 tziwXhalymZpr0SZFVe9Y5k+MX/Ah1fT0JVcDG83CeYL95aXBzzcL9OOZrwbpWvdmq4/pxSpN
 trx0L4ORw5dFsE2xsKpyqMakI7XeVUxp5bjTj+OePxmlxZfDnue/DDm3IUaYIaezCWahNwPXr
 fq+JyGKL0Lvrg4XNw3S8QBkJz2i2NlnAEWP0sl5M29LHJPfDxHntiyT5LIznxGe3FbdP7CRk0
 AdC+xRyQ3hkMuio0HCTwZTif05JB0P9v+hWNV7JGdQODOzG2BEd3LMiEPhb313kYobzdOBomN
 2Bs6Tp/FginQ5qjEAchnyqjjqvLxskqJpI+UbuKFdoBVhOFFkHonbVIUlVHpjWJjOVhdTXG
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > We could let either of the scroll bars use that space, either let the
 > verticall go all the way down or the horizontal all the way right (or
 > left).

I have never seen something the like.  Can you point me at an
application which does that?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 14 Oct 2017 08:36:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 14 04:36:41 2017
Received: from localhost ([127.0.0.1]:38773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e3Hw1-0002qH-5B
	for submit <at> debbugs.gnu.org; Sat, 14 Oct 2017 04:36:41 -0400
Received: from mout.gmx.net ([212.227.15.19]:61510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e3Hvz-0002q4-C2
 for 28605 <at> debbugs.gnu.org; Sat, 14 Oct 2017 04:36:39 -0400
Received: from [192.168.1.100] ([46.125.249.56]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LfCX2-1dRnOS3qfI-00or7O; Sat, 14
 Oct 2017 10:36:33 +0200
Message-ID: <59E1CC8C.9030005@HIDDEN>
Date: Sat, 14 Oct 2017 10:36:28 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>	<59E0B5BB.6070302@HIDDEN>
 <87bmlb5hif.fsf@HIDDEN>
In-Reply-To: <87bmlb5hif.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:0iZR8mI5Ha9U2TO8mSFxaQcsrK/Mjc4A8Un1F3qAGAc1mxlWZE3
 frfzw6VAA8M1q8PWq1zYscnbyquIvalJFhm0PS9jsxgl5EvE6wOw6gObJgP4I7cKEfFcjCL
 6+seciC8UqTMxTFaj9uMqf1dnqHarnXXOFvOkf4fb6RDYcrY2G506toyiS9UxQG+M52gw91
 E+6+K0gqEWgBmsa+IMJtg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:dKeq2UvK7j8=:V5VvQBE3fIhYqlUrI3PJbA
 UFaKmOwerGbHi2644tuXyY7ZVnNZptcIaKw5tEXZFF6YK2QdmGA2gY9Sv0FJVBgU1jVwV0pY5
 QOsk7Zr4i8c32nkni2CBQInpzagqMJLeop2pf71MnTnXIUGX66Pf0qn++cvG4mN6mh+VPH074
 wrHH03K66C4YRoo5ALln4CVEVb7KhehtlfV/hzMkdKs+SNWHoBh/1pHyZsLL3qGXLqd7nP8Qk
 NUDNF6L4WtmpKseX8E6ferscgsbwLy7qnU5gUzULZiIqeMsJkLplRK5tRChGKXUgUyDbJyx64
 xK4w7jjrQ6ZhT2Cfn5eEMkX5L9qsIkTwVsnTBYAKs8OClAx8Sl25ggWAPQc2p/7mgSK/74R1y
 0Rp1QyOkIoozHshtiqcEnwh/dOa7I+Zw2alnf4WM1s/IZgldWZ8Y09uodxOmF6yv24BaySEOJ
 j0bI/cp8BaZlnuUtv29k8TpayW2RhB2zShp+BRt5BLt5SdvujwHxAxlIF0xzwVlSMQQ5lNFl2
 FBNy5QnnhuC+ya8QAK9i+8eJCVlSYutm9MpzhV40/2ziA8d8yL7jmSWpBwypjQEDE8TiB8rye
 XTolEbKWsC4+MNWQSRagJ6lgGp3W+wre1oXvAPnope+mDwSCDwt18ZRPfxHXnzXujmOxL6Ghw
 JVvnblzWotqmjE8j0lYWQ+daYI0hT5bLiEMMTwZ5WyS29UprK+ZTxPQqqt6uSr1TRrZmaHyxK
 mNbYgjJlXrQOs58PX4loYmJ9iXNDc59waSk+ZprAQouvYGra1gNY5MJfcZAzOPzqV3OmPQusu
 2lwVKZUmPf7EjF5XBTniRTaOVM9C53BQkbdVkjYkH4Tr0Q8rg24W06gqkUu5ZmealqvcI9T
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

 > (frame-pixel-width)
 > 1500
 > (frame-pixel-height)
 > 1100
 > (frame-edges (selected-frame) 'outer-edges)
 > (1590 314 3106 1657)
 > (frame-edges (selected-frame) 'native-edges)
 > (1598 458 3098 1649)
 > (frame-edges (selected-frame) 'inner-edges)
 > (1598 458 3098 1649)
 >
 > Disable vertical:
 >
 > (frame-pixel-width)
 > 1510
 > (frame-pixel-height)
 > 998
 > (frame-edges (selected-frame) 'outer-edges)
 > (1590 314 3116 1555)
 > (frame-edges (selected-frame) 'native-edges)
 > (1598 458 3108 1547)
 > (frame-edges (selected-frame) 'inner-edges)
 > (1598 458 3108 1547)
 >
 > re-enable vertical:
 >
 > (frame-pixel-width)
 > 1536
 > (frame-pixel-height)
 > 896
 > (frame-edges (selected-frame) 'outer-edges)
 > (1590 314 3142 1453)
 > (frame-edges (selected-frame) 'native-edges)
 > (1598 458 3134 1445)
 > (frame-edges (selected-frame) 'inner-edges)
 > (1598 458 3134 1445)

According to this after the first cycle the frame's width must have
increased from 1500 to 1536 pixels.  Can't you confirm that visually?

 > After a couple more cycles we end up at:
 >
 > (frame-pixel-width)
 > 1536
 > (frame-pixel-height)
 > 488
 > (frame-edges (selected-frame) 'outer-edges)
 > (1590 314 3142 1045)
 > (frame-edges (selected-frame) 'native-edges)
 > (1598 458 3134 1037)
 > (frame-edges (selected-frame) 'inner-edges)
 > (1598 458 3134 1037)

What are the pixel dimensions of your screen?  Maybe 3142 is already at
the right edge of your screen and the window manager refuses to increase
your frame any further.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 13 Oct 2017 16:18:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 12:18:18 2017
Received: from localhost ([127.0.0.1]:38300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e32fC-0005hB-MY
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 12:18:18 -0400
Received: from mail-oi0-f52.google.com ([209.85.218.52]:53863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1e32fB-0005gy-Ru
 for 28605 <at> debbugs.gnu.org; Fri, 13 Oct 2017 12:18:18 -0400
Received: by mail-oi0-f52.google.com with SMTP id j126so15055564oia.10
 for <28605 <at> debbugs.gnu.org>; Fri, 13 Oct 2017 09:18:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=Dmwi1lWivaWKxzxuDRvThEgkKvkCYOthMjNau4j8WRE=;
 b=OF75yDEgVrQyaMWFl1i3kqM5zAJ63jNCvmINnIONA+YeNRrPX/BV6LeqSGN07KVNfA
 AsCvoZnqFiILZcBx8tF3buBWFia0sGX6ax5dVR22UZgER/NjdYf3EEcao6+oCkH81E0g
 e7LuCXMflhx1D4fNsb+tt1BcdSKZNjTfe729a06CMdLPelCEDcTrJ2MT+ONR1xgFOQmc
 knNaTs/5NTXvKeD1fWhnhaddNq/BS0CAZ3WtZF/SqWnmiGVytuzKvF/USyTtm8y2QJX4
 NtTfhT00OAecM7uHXKvQM3Fvh9Pu7xgGeQwsm+Eivjh0/heUcNOGxlKHrbYRlVpmyhq7
 eNpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Dmwi1lWivaWKxzxuDRvThEgkKvkCYOthMjNau4j8WRE=;
 b=kmiWT/322fFZ59p8+CiLJXYMHZqGpMP0/K3glbhZ0WNtLcyhhY14IqDGNraVNbN0hi
 PMHSkS/agSq3IZyVmCAdzbY33ggVs9Tepwj6Lvn8GPR5NI+7w+DggTWZvKrfLhdZgA5A
 3VktUQl1hMVey6tDN2K51C6QWo/hyxUGe8tfFzw4eYSE4TMsIhe+picgUXBKM2YLb2BV
 SmVHdCDrO/oP+OI5pKLbq8puYV//y1zGRxwVhNFi1sOCmv0EPAwFBD9dHMDfa3apESeJ
 gHek17j5LCyqE2JcogTurBQbZNDm++0+p2mS0FQ+Es6FpfPyvGcv0OqMSyrcGjxojuWL
 OB/w==
X-Gm-Message-State: AMCzsaUNnDslZXouvAjFg3nzCmG2VDV2kEhoR3qT7bD2K1g1ALJ2kDvj
 2difHGKgCinNgnAG3g5PCWA/y7LFP6ZIPrc9pi4=
X-Google-Smtp-Source: ABhQp+QBQQYShL0D3op9BgjPp+jc1iXBhu0YWVa1m4DRTEaPeRXxomDo6ETKH3NRJJjq+W9PSe2XtxWNS15L+Z9gIss=
X-Received: by 10.202.69.85 with SMTP id s82mr1035056oia.269.1507911492176;
 Fri, 13 Oct 2017 09:18:12 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.199 with HTTP; Fri, 13 Oct 2017 09:18:11 -0700 (PDT)
In-Reply-To: <59DF2220.4030705@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN> <59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Fri, 13 Oct 2017 18:18:11 +0200
Message-ID: <CAKyOKyGyACYwuNjYfWhNZe422sEv067xzgM7cR0KS15qRYZmwQ@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Thu, Oct 12, 2017 at 10:04 AM, martin rudalics <rudalics@HIDDEN> wrote:
>> I'm not sure.  It just looks like something is missing when there is a
>> white square there instead of some scroll bar theme color.
>
> Incidentally, that square is produced by the function that troubles us
> in this thread - x_clear_area.  That square represents some sort of
> blind area, I have no good idea what to show there or how to paint it.
>

We could let either of the scroll bars use that space, either let the
verticall go all the way down or the horizontal all the way right (or
left).

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 13 Oct 2017 13:01:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 09:01:23 2017
Received: from localhost ([127.0.0.1]:36985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2zac-0008AX-WC
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 09:01:23 -0400
Received: from mail-wm0-f53.google.com ([74.125.82.53]:51173)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e2zab-0008AF-QB
 for 28605 <at> debbugs.gnu.org; Fri, 13 Oct 2017 09:01:22 -0400
Received: by mail-wm0-f53.google.com with SMTP id u138so21317426wmu.5
 for <28605 <at> debbugs.gnu.org>; Fri, 13 Oct 2017 06:01:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=U4j5FRAuhc8IUKIyY9U1ylB4U/Rd5+wHjQs4EYarVSE=;
 b=uMvXTfrZXpSbGGXfrbNEr4o7sEmlObSx956cyNgMgi8KnZWzrS4aWxdZcuizZvZdIp
 T7tYgJHLHgz0aIwupLMfFWBZwc1qwWmetZE5Ax61PTR02SoRHjSH4RtqkRI5E/HYX+zu
 ZPE6lIaOGsmCTTQUTCMT8C407M/AIWSbNCIem27BlQbAAMFwhOyJ9Me8PUasU+ct2hax
 rZgqaBLYigriG/7b/Tn/m1KHwMou+tnWMqzo3ZigOuqSAiyEo455+H/4pP215JVcjg/T
 02Ml5kspXSeVUEBgN6DKckUIj/lgEba7slhQMyYyy/YM+LA/jlzg707BEVwUA8yvWB86
 77RA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=U4j5FRAuhc8IUKIyY9U1ylB4U/Rd5+wHjQs4EYarVSE=;
 b=V/3hKfXj/JH6427g2nWaQLdILEUBx4V+kuPYcU+j+OVVOuRrTIkmnQq84/xecEuZNy
 EzJTA9DynFi7KATjsTbDoIhAXckcUN+Tws/9WoduECAFT5TtsO9cvxEYdZfdduLyRNT6
 yIRjwM+N5kljsqQ42I64jh0zXqlnBOEZgAHoqf2IJbhOvEvN5WBeSr9IVrVdxabMm53L
 DzgD3Bng2ERGKCx/F5k1Li67uCj6IFlZ2I+lpHNuZ/1o1aYMqE387ZaVL30359vI71TK
 stFcWeKN4L8c2PLIAsKNdXh9ZkrChTFJGpA29n1+aXmVlvllEezd+ehRhj5JKLnGOBAA
 EkFA==
X-Gm-Message-State: AMCzsaUj0QmLg0X7Z628r8i6wcMvj5iPqNk2yKfrnlEWS+SYBfG0tHs4
 PqgP77WduuC/BCJNzoTBEAM=
X-Google-Smtp-Source: AOwi7QAYvY4OOdGjLlL33Gb4ZvJOi9Qp3RPMnFPigH2jLYgR8Fv0/mnAyFV5igHDSpxABhc9cE74lA==
X-Received: by 10.80.214.71 with SMTP id c7mr2019484edj.271.1507899675840;
 Fri, 13 Oct 2017 06:01:15 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id k51sm879070ede.42.2017.10.13.06.01.14
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 13 Oct 2017 06:01:14 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN> <87376n4bfb.fsf@HIDDEN>
 <59E0B5BB.6070302@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Fri, 13 Oct 2017 15:01:12 +0200
In-Reply-To: <59E0B5BB.6070302@HIDDEN> (martin rudalics's message of "Fri, 13
 Oct 2017 14:46:51 +0200")
Message-ID: <87bmlb5hif.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>
> So for the scaled version we have 1458x1100 -> 1494x998 while the
> unscaled version returns to the initial value.  What do
> =E2=80=98frame-pixel-width=E2=80=99 and =E2=80=98frame-pixel-height=E2=80=
=99 return when called before,
> in the middle and after toggling in the scaled version?  And maybe you
> could also look into the values returned by =E2=80=98frame-edges=E2=80=99=
 with varying
> arguments.  Maybe they reveal something interesting.

Start:

(frame-pixel-width)
1500
(frame-pixel-height)
1100
(frame-edges (selected-frame) 'outer-edges)
(1590 314 3106 1657)
(frame-edges (selected-frame) 'native-edges)
(1598 458 3098 1649)
(frame-edges (selected-frame) 'inner-edges)
(1598 458 3098 1649)

Disable vertical:

(frame-pixel-width)
1510
(frame-pixel-height)
998
(frame-edges (selected-frame) 'outer-edges)
(1590 314 3116 1555)
(frame-edges (selected-frame) 'native-edges)
(1598 458 3108 1547)
(frame-edges (selected-frame) 'inner-edges)
(1598 458 3108 1547)

re-enable vertical:

(frame-pixel-width)
1536
(frame-pixel-height)
896
(frame-edges (selected-frame) 'outer-edges)
(1590 314 3142 1453)
(frame-edges (selected-frame) 'native-edges)
(1598 458 3134 1445)
(frame-edges (selected-frame) 'inner-edges)
(1598 458 3134 1445)

After a couple more cycles we end up at:

(frame-pixel-width)
1536
(frame-pixel-height)
488
(frame-edges (selected-frame) 'outer-edges)
(1590 314 3142 1045)
(frame-edges (selected-frame) 'native-edges)
(1598 458 3134 1037)
(frame-edges (selected-frame) 'inner-edges)
(1598 458 3134 1037)

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 13 Oct 2017 12:47:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 08:47:05 2017
Received: from localhost ([127.0.0.1]:36981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2zMn-0007bb-NO
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 08:47:05 -0400
Received: from mout.gmx.net ([212.227.17.20]:49475)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e2zMl-0007aw-BH
 for 28605 <at> debbugs.gnu.org; Fri, 13 Oct 2017 08:47:04 -0400
Received: from [192.168.1.100] ([46.125.249.63]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LvhC4-1dAyYN2YhQ-017T4p; Fri, 13
 Oct 2017 14:46:55 +0200
Message-ID: <59E0B5BB.6070302@HIDDEN>
Date: Fri, 13 Oct 2017 14:46:51 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>	<59E07FC9.9050907@HIDDEN>
 <87376n4bfb.fsf@HIDDEN>
In-Reply-To: <87376n4bfb.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:qxTZwqYofTil9jbhITz/SZqLWPHcNw+XOWQV0WF6MIwzj+wF2V4
 lbByRpzezZ/JuKVYJMNQ5vR3pnCbukjCUYxMSzpSVeYGj4gtTnVmWmp+MlL66eFB38d1ZHU
 vjOmBZ9KcaqbhQYScsf6SzhYZiabinfKt8CdVpUi7eSrEWOWwoh/mlIyFmdEHkkVTSUSBtL
 7jS2mv3W6k/IO6W7simxw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Ypaea9c9ubE=:+8OcvbL9959VZ4LcA9vhdL
 +BO3v679gkUnbbzj4g//vwGxe9w7gk1nEWL7tNh1CdpqjPgWv5SRThm+IOODWUEpX7bVsNy/7
 2mr8Mv2OlX/FWw9ZXXsx8vq+iUu/aqoQQ2wLNhOymsVCGvzH1O6UUL8MkDx7YArvtGVwifs3A
 zCCD7oeSh+uzNS22iBF6EcNqmU4M7TlTTgcLaWRsWJOYxvytOVmSC1FUFGngAtG/Pj6spjipW
 f7aDg6yXMMQMo7NEjC7yUfcbXo8amWQVsH2sFe0BeKlX5rN5P9rVzHKOAxwQbqsMGDWFlUlBb
 poo90rNBkm8yiYyBccD7AS9qIuJqIpuAn02fuDk24lUCayID4a9B7e5ZotqnsGd42TDKk6yQ3
 KKBxu5KivMdeVaVCDvR/HaxvjtRHUWEqlZoWEEA55sIpFTNeWgEC/t2s/y9XKtqQEIlVQS43G
 b31NOvmekJjdIdZSI/W5tBxCUpY49nJ4/g7SLx9PmrWqiL09BflXJhbtnKYt9KojBCJaWaVnm
 xKXkPR7zQZ3A0R3bRpH0nRircsVITi0Q2Ehu0xhXQmOP1VjjEZeH1qyhWXUjhn3qLZfrNh/Ax
 /pa+rjWSCpUE+FKRL0DC7qI65+JdLksxCtiDj+cY/Dgnq560UCb9w+37ThBWz4szGLnPN9n7x
 YbsYPoZ8gAqg3tPtZi2pUTzD1ukCH72/731ye6uI2Y0qeqU4BWzlbyZjvAod6wgItBcYN6+S9
 kKRLDrRWIWTkaHNo7qBfQE8s6zWdVrOOCBTN2+1oJbo/90ElEZ+atCwdlCwZ/LI8ycROYIOHX
 Pn9TtaIoYqU9b/iNPzDRkVNrFhJKMSHV8CpVOMdkoS8TGQzBfS94R8aIyuq85dTfPIxI3gJ
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > non-scaled:

In the unscaled version we get one ConfigureNotify event for the removal
and one for the re-addition as expected.  With the scaled version we get
two for each.  The first two (when you remove the scroll bar) each
increment the width by 18 pixels each, 36 pixels in sum.  Strange but OK.=


The third one decrements the width as expected by 36 pixels and leaves
the height unchanged which is quite what we wanted.  But then the fourth
one increments the width back to where it was after the second one and
decrements the height.  Bad.

 > I don't observe that increase. The width of the frame after each
 > disable/enable cycle is unchanged as far as I can tell.

How comes?  The scaled version starts with

  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1458 1100)
	  (vertical-scroll-bars 3)))

and ends with

  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 998 1494 998)
	  (set-window-configuration 1))

while the unscaled version starts with

  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (vertical-scroll-bars 3)))

and ends with

  (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (set-window-configuration 1))

So for the scaled version we have 1458x1100 -> 1494x998 while the
unscaled version returns to the initial value.  What do
=E2=80=98frame-pixel-width=E2=80=99 and =E2=80=98frame-pixel-height=E2=80=
=99 return when called before,
in the middle and after toggling in the scaled version?  And maybe you
could also look into the values returned by =E2=80=98frame-edges=E2=80=99=
 with varying
arguments.  Maybe they reveal something interesting.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 13 Oct 2017 09:58:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 05:58:13 2017
Received: from localhost ([127.0.0.1]:36907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2wjN-0000fH-6U
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 05:58:13 -0400
Received: from mail-wm0-f50.google.com ([74.125.82.50]:48169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e2wjJ-0000f2-Av
 for 28605 <at> debbugs.gnu.org; Fri, 13 Oct 2017 05:58:11 -0400
Received: by mail-wm0-f50.google.com with SMTP id i124so19852382wmf.3
 for <28605 <at> debbugs.gnu.org>; Fri, 13 Oct 2017 02:58:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=QdT9yvKisN1K5vxCXRPydMDRrzHJ2Wfv11Qm7BJAQok=;
 b=cPpnPEXSYlAuslxqVYGvX2xtbUiW0eSfaoJSpBntk5HfBagpGU+I3IOTndtk0p3PIZ
 tjOsRmX6ZhdJwfdm8g+AoUgIU8YDDMZ4HF33ntlj/bU1O3VHXBSxfN+aJnKZM2D+wtME
 tILUArZ65B0h1kCCQghWqNlL3ZJ+Ed6zjSHjOp6Ft1MIbGhGnaYHyZEn2IsQazNqK6j9
 l0bdkUsv/TWH+eUdVObpXLwakjsckrWvZg5yU3Tf+KMxE6ad+yLRIxtcNKFPjtzPQaok
 sH7N2/Iq0XYJIFWmTwgKxMaf0qd9kYpY09PVas+g3DZ5B1zXrqoEmcPhGeSqdVCekzXN
 pxfA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=QdT9yvKisN1K5vxCXRPydMDRrzHJ2Wfv11Qm7BJAQok=;
 b=o09yvK/S6IMTY2400bHekSSIhPHw7FM2wkhC7Locsv3FTp/bMO450ARk6lemaXRGrI
 SxEJOccmHMqlfyTIfDd26RM6L3n5bCGlIG1RJVRp2SyJBJ1quEEA1Fg4M3QeefSBq3aE
 mrlacqC4zRlvSMctpAEEjFaAEjcdHXbMJJj8HYpdwOHPqlHkcRrC96QLNrt64FHABabR
 yVCFHnx+dmOBQUy1xXDu2qp4E8TLFO9oxl2g4zpYpuLXHeGPwclCt4nqWVqBDQjlqGG7
 F7R2gDooPrr5qENQsuLbeTdZxHEtKIkBHH8riYa3Lx6/4+Fa6UQxSKjfdZ7m2ybKy60Q
 K1Dg==
X-Gm-Message-State: AMCzsaXweMyt5x+YYkV3mH/mXTBGhjEflFshET28B+68eD2e0NPf7ju0
 bF13aH9BRqRYJR9F9Axn/Y0=
X-Google-Smtp-Source: AOwi7QBTBQg/ajHMYoh0jCPvpkXgoOhUxCDKd2wtFpGz90JNXSawSSS+oHgs8cPGieJy719lpURo5Q==
X-Received: by 10.223.164.18 with SMTP id d18mr1038622wra.232.1507888682320;
 Fri, 13 Oct 2017 02:58:02 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id i134sm711003wmf.31.2017.10.13.02.58.01
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 13 Oct 2017 02:58:01 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN> <87d15sn257.fsf@HIDDEN>
 <59E07FC9.9050907@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Fri, 13 Oct 2017 11:58:00 +0200
In-Reply-To: <59E07FC9.9050907@HIDDEN> (martin rudalics's message of "Fri, 13
 Oct 2017 10:56:41 +0200")
Message-ID: <87376n4bfb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> See below
>>
>>> (setq frame-size-history '(100))
>>>
>>> disable vertical scroll bars and enable them again.  Then post the value
>>> of =E2=80=98frame-size-history=E2=80=99.
>
> Thanks.  Obviously the ConfigureNotify event triggering
>
>  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
> 	  (1494 1100 1494 998)
> 	  nil)
>
> is responsible but I have no idea where it comes from.  I suppose
> there's no such second event in the non-scaled scenario.  Please post
> the history for the non-scaled case so we can verify that.
>

non-scaled:

(87
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1386 1190 1386 1190)
	  (1402 1190 1415 1190))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1386 1190 1386 1190)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1386 1190 1386 1190)
	  (1415 1281))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1386 1190 1386 1190)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1386 1190 1386 1190)
	  (1415 1190 1402 1190))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1386 1190 1386 1190)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1386 1190 1386 1190)
	  (1402 1281))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1386 1190 1386 1190)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1386 1190 1386 1190)
	  (vertical-scroll-bars 3)))

> But what stupefies me just as much is that removing the vertical scroll
> bar apparently changes the text width from 1458 to 1476 in
>
>  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
> 	  (1458 1100 1476 1100)
> 	  nil)
>
> and then to 1494 in
>
>  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
> 	  (1476 1100 1494 1100)
> 	  nil)
>
> when removing the scroll bars.  Can you observe that increase?  Doesn't
> it mean that the frame also gets wider every time you toggle the scroll
> bars?

I don't observe that increase. The width of the frame after each
disable/enable cycle is unchanged as far as I can tell.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 13 Oct 2017 08:56:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 13 04:56:54 2017
Received: from localhost ([127.0.0.1]:36857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2vm1-0007Gx-Sh
	for submit <at> debbugs.gnu.org; Fri, 13 Oct 2017 04:56:54 -0400
Received: from mout.gmx.net ([212.227.15.19]:49218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e2vm0-0007Ge-II
 for 28605 <at> debbugs.gnu.org; Fri, 13 Oct 2017 04:56:53 -0400
Received: from [192.168.1.100] ([46.125.249.63]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LvENG-1d3us22rju-010Kbt; Fri, 13
 Oct 2017 10:56:44 +0200
Message-ID: <59E07FC9.9050907@HIDDEN>
Date: Fri, 13 Oct 2017 10:56:41 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>	<CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>	<59DF2220.4030705@HIDDEN>
 <87d15sn257.fsf@HIDDEN>
In-Reply-To: <87d15sn257.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:4YAb+GI1ebeBdw1ZBklq8xyjaNF3LuoVQMOc49/iVqid0y/cyt/
 WbuSGHiGVVLnoVE4MuuUrC1arW6d6wowjVvk6OvPTblXINo/7hdfyfHM4x9CVWM+LEaaFCe
 H3gCmj48rZAuzGiRhlAbWs4ovriQOaPsWgcbiCSP3/F65ptYY1L2X+B4GYtOVsGNXq/9KuO
 NsCau3ef7WdNeokcJ/zCg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:sUZABw43WKE=:VQEHn5mxLosW3E7nYfr9xc
 ndMTUq5PKHEmW/3Z0nap7BM2scJF+duvXxPybzp9rwIDZzJVDZZdyD5HD3kMHvAobYaquggoP
 d5pig/EsUL+AffhPezmzJPg3LyG/zhTanDI1WRK/aIFJSAo0Zbrj81nY7t735yMUtayUNCWOj
 Vjx/jL/VITVlrOth1O2FUWnty2CWKMd9kEcC5qhjONMes1yfLgyEXGG9xi9PRHQ2m+ccaLSVr
 FXjJ/tME7s5HrlUd0lt/aeYKIT6SK60aHrs0WccXA1sNNUr0fdT9Al9g9t510xh+gV1dMb4qs
 OlCgA/ShEhehXRg3LSja4meQGMaTBD5NZ5siOK1VICBWCGALCp35AecgaMnWEkxnuUg4o/pjQ
 63IYi4tO7XTqzuBxA9AQ0bwY38EcDEP6kGhKk694dubsMcd/a4uTksRIn2EAL5v8BLTHiucJG
 JY9JGs1ha8HJAGp0oeo9Uf2zLoq8LWx5m7t4lWXwN6mUpzoPdiYpzAvgpiqLCYdzu1gr6DvcG
 /lJfLbzbVK11KQ631U6wR6QHPbSymoEbC6W4J7qUWbuJ4c6AHsqfOEZL1idWFSM4JcTPhxBQL
 8DSE8aoKKs6+qYu7RLyt7AyL/SLurA71LZwOiQFFmJMMWl8uxI1L0/Fd7DNKndgoGt1cmmwUw
 Rig6wL7NX8cTjdxdf+G0AJ3NFDLT9vmIlcLW2GAZ9B44AKfQSuJTPcLd75KuwEb6Rspg6ay3U
 U/gLHkBGn/MzNQfusggnhmfWd0GFiJAWtRuXmd1/df/nWZjEU4w6GFy645Ne9a8Sj0d/7dEhc
 6zVuSyfr9brIZb0XAopdTgRa9/uWP67G28W+BnBNLECrJq5ZRXvMf28KiTkmAj73sNYqpDj
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

 > See below
 >
 >> (setq frame-size-history '(100))
 >>
 >> disable vertical scroll bars and enable them again.  Then post the va=
lue
 >> of =E2=80=98frame-size-history=E2=80=99.

Thanks.  Obviously the ConfigureNotify event triggering

  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 1100 1494 998)
	  nil)

is responsible but I have no idea where it comes from.  I suppose
there's no such second event in the non-scaled scenario.  Please post
the history for the non-scaled case so we can verify that.

But what stupefies me just as much is that removing the vertical scroll
bar apparently changes the text width from 1458 to 1476 in

  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1458 1100 1476 1100)
	  nil)

and then to 1494 in

  (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1476 1100 1494 1100)
	  nil)

when removing the scroll bars.  Can you observe that increase?  Doesn't
it mean that the frame also gets wider every time you toggle the scroll
bars?

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 12 Oct 2017 09:31:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 12 05:31:28 2017
Received: from localhost ([127.0.0.1]:34864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2Zpu-0007oD-8z
	for submit <at> debbugs.gnu.org; Thu, 12 Oct 2017 05:31:26 -0400
Received: from mail-wm0-f42.google.com ([74.125.82.42]:55013)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e2Zps-0007o0-7q
 for 28605 <at> debbugs.gnu.org; Thu, 12 Oct 2017 05:31:24 -0400
Received: by mail-wm0-f42.google.com with SMTP id i124so11523296wmf.3
 for <28605 <at> debbugs.gnu.org>; Thu, 12 Oct 2017 02:31:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=owh4VCe57ULCg3c9p+3TVkNae24V5ClF2teavMOcyo8=;
 b=rpAYxiMDS/ck5z4wkTaQLizZzlaFEnXPDg1pBiT68cXZtQc8bW4xaOFbyiwy541Usb
 LJhcuiv3ELSyROQ5p1xjpIt3jelsOEg3rSeQEUMjCLBfwfp3j/fbkHG4fFd2BbM9ftX/
 +iU8dODFLOzc5pMIooLQ13T6061scOLUWoZL5ehAX6zgqwG4CgABEWuiAzgxrW6Wd61C
 VlZGy99juI5eykI+kiRl13mPfxEOVyG4vsZIJiIz8c133/3I5olZoeEbOZT9TX930/L5
 RRntG/b9V8QuMYePHYXVEb3Xc4TY3/pR4b0YD6WPsaBwpcuHAEn/X2Jur/cm4z1MFIZ/
 DSOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=owh4VCe57ULCg3c9p+3TVkNae24V5ClF2teavMOcyo8=;
 b=lZmL4XDy5s0jtHJIHC3Yo2u8Bv3g6vPVB9Q/gaPmBdgNUoAd+DwIutnkhiuE+ho6zH
 /IxRJgj8iqdlsCIRzFQwFDPVlmtd+AkGNAZ1UsOg04PmMZiiGddxgv4FW4uCrAbZJpy1
 R93NA0x4ffYAU3XjU7009lw3fNXIfM6KuBaQc27ec1DgMRqhN9jVjgjJ8x2G8WY3lguh
 x7A+3KotBXh4ppTHu2Q6EgRK0uQ3NufqgTHOPo/M1hV72b8KR08hQoCG8L63bpNOdHjF
 AU59mPC5m06OXIanCu23f1MjAJqBidOyypxZ0eqvIwG2geCAa4aZfOcs38BE+IpWkFkJ
 Q/ig==
X-Gm-Message-State: AMCzsaV5BdwqHlUGVUzZWzWG1So7jL8shxGUwHd+xfzoeiLVfEWd9hGU
 N2gZyocFPRVJtQPPaPI+SGU=
X-Google-Smtp-Source: AOwi7QC5Mjg1teYgeLf8eP0ZTNSPVjd9j/OeBvIjEOHDzq67HbRaEcONvIaVLm9jGBebOhJ8aIfCMg==
X-Received: by 10.223.175.71 with SMTP id z65mr1389793wrc.222.1507800678376;
 Thu, 12 Oct 2017 02:31:18 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id q188sm13498825wmb.43.2017.10.12.02.31.16
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 12 Oct 2017 02:31:17 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
 <59DF2220.4030705@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Thu, 12 Oct 2017 11:31:16 +0200
In-Reply-To: <59DF2220.4030705@HIDDEN> (martin rudalics's message of "Thu, 12
 Oct 2017 10:04:48 +0200")
Message-ID: <87d15sn257.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> I'm not sure.  It just looks like something is missing when there is a
>> white square there instead of some scroll bar theme color.
>
> Incidentally, that square is produced by the function that troubles us
> in this thread - x_clear_area.  That square represents some sort of
> blind area, I have no good idea what to show there or how to paint it.
>
>> I see the same behaviour as Robert.
>
> To verify, can you also try what I asked Robert?  Namely, evaluate
>

See below

> (setq frame-size-history '(100))
>
> disable vertical scroll bars and enable them again.  Then post the value
> of =E2=80=98frame-size-history=E2=80=99.
>

(82
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 998 1494 998)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1494 1100 1494 998)
	  (1510 1100 1536 998))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 998)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 1100 1494 998)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1494 1100 1458 1100)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1494 1100 1494 1100)
	  (768 595))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1494 1100 1494 1100)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 1100)
	  (vertical-scroll-bars 3))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1494 1100 1494 1100)
	  (set-window-configuration 1))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1476 1100 1494 1100)
	  (1492 1100 1510 1100))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1476 1100 1494 1100)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1476 1100 1494 1100)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-3
	  (1458 1100 1476 1100)
	  (1500 1100 1492 1100))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1476 1100)
	  (change-frame-size 5))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-resized
	  (1458 1100 1476 1100)
	  nil)
 (#<frame emacs@rpluim-ubuntu 0x13462d0> xg-frame-set-char-size-3
	  (1458 1100 1458 1100)
	  (737 595))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-2
	  (1458 1100 1458 1100)
	  (nil nil))
 (#<frame emacs@rpluim-ubuntu 0x13462d0> adjust-frame-size-1
	  (1458 1100 1458 1100)
	  (vertical-scroll-bars 3)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 12 Oct 2017 08:05:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 12 04:05:09 2017
Received: from localhost ([127.0.0.1]:34820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2YUP-0005Ze-Fp
	for submit <at> debbugs.gnu.org; Thu, 12 Oct 2017 04:05:09 -0400
Received: from mout.gmx.net ([212.227.15.19]:61581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e2YUN-0005Z4-Fm
 for 28605 <at> debbugs.gnu.org; Thu, 12 Oct 2017 04:05:07 -0400
Received: from [192.168.1.100] ([46.125.250.116]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MBFgr-1e9x050Xdl-00AIbP; Thu, 12
 Oct 2017 10:05:00 +0200
Message-ID: <59DF2220.4030705@HIDDEN>
Date: Thu, 12 Oct 2017 10:04:48 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
 <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
In-Reply-To: <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:8D4UKqBso7RgN+hyywKFHugdsZ9Qh+kL+TNmGP57P4vaaLe6bZO
 fO/U/Uh+14Qz8WAIchaZLgCjyIut/TkAJ0hYyoJrpl3EZTemrTBk194ncNKSwKZIBT09sel
 eIaWvcHwUjye28qn8mE0GhlQI5Tw0+/Czsexmife1gLdz6VkjycrvB5o682y5L0b3YzbhY1
 AUs7VWLxuRS22cppi1Nrw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:XEFGTq6b/5Q=:vv6RMkb5Zfi7MJwGBsr3ik
 LMK7BRN6rm2+wJzkt+0um3omtb8eWu4MTmFA2dXWEe/l/SUffvdGQfkctIASY/prjFF1QLgh4
 SXK32mZcppoKyuHUFHhU9m4jIocERdhGq2EBjn0RxvfEjHs8WaZjntSw3zfvnaCFOecmVMKhv
 27KVfIx56thxp+F2UUjeGeYZntJTZs5fUpl8CD3CeLsGf8wTHDH0KLggkceckQg3j0n4LCFqb
 mJ9rK2gZAbPAC/rRb0BQDF5KnTHkZbosUL4boaSmb2iItI7HnXaAdtfnj7VK3z5OS2Tz+WaLz
 o2KtNf+tzS6B9g8X6eKx2uFaxUp9KVrhktPQzViqI0m0E2XIiAE7xK8AVl1D0Qrnj7cMEo3KD
 2Cvm6snEWvZHPAIORLPB2vh8k/edJjmJ2ZOGxjW67D3odfy/SrUBIg8o39v/uQbQt0L2eRmcr
 mt8+OdqSkCuOxAtPUoqfMbDcdVhMluguZUnXaGS8LvcNH0gZPzAPv56B4qdLdiAMvXDV+vtUP
 Xaxk+/hLXet/RQaEulWdsdk3IXpq1IJqUkesvFQ+VqR+58dT5SimkqMMatl/fALxA8RwWrdPi
 BHmn5MxV70BGfJCRHj6dn/88Ust3G080rBM6NQOowWBD3WgmH48RoQGDU2tTjGO8uTLaT90x1
 FyWolCK3R5rfS/EUmWkV0c0wV50tHBF1abfUjkbJk+1OMRWCBbxpFwCe3kaBgICdjfdJU4hn7
 v6OpdDjZ/qxuO+NZsJeQiylgTsiHz+fr++ifo9wFUqvSHGTrmrWxihE76RhOFVFM6iBkvwoJk
 P8oDXh2aODLuBAz2ueQjofa2AhumLZ/tsNOZamPASpBDiUOKdt5nlSGbg3Dklihw9sIncNF
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > I'm not sure. It just looks like something is missing when
 there is a > white square there instead of some scroll bar theme color.
 Incidentally, 
 that square is produced by the function that troubles us in this thread -
 x_clear_area. That square represents some sort of blind area, I have no good
 idea what to show there or how to paint it. [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.125.250.116 listed in dnsbl.sorbs.net]
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.19 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.125.250.116 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -2.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.19 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I'm not sure. It just looks like something is missing when
    there is a > white square there instead of some scroll bar theme color. Incidentally,
    that square is produced by the function that troubles us in this thread -
    x_clear_area. That square represents some sort of blind area, I have no good
    idea what to show there or how to paint it. [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [46.125.250.116 listed in dnsbl.sorbs.net]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.19 listed in dnsbl.sorbs.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.125.250.116 listed in zen.spamhaus.org]
 -2.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.19 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > I'm not sure.  It just looks like something is missing when there is a=

 > white square there instead of some scroll bar theme color.

Incidentally, that square is produced by the function that troubles us
in this thread - x_clear_area.  That square represents some sort of
blind area, I have no good idea what to show there or how to paint it.

 > I see the same behaviour as Robert.

To verify, can you also try what I asked Robert?  Namely, evaluate

(setq frame-size-history '(100))

disable vertical scroll bars and enable them again.  Then post the value
of =E2=80=98frame-size-history=E2=80=99.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 11 Oct 2017 13:12:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 09:12:00 2017
Received: from localhost ([127.0.0.1]:33175 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2Gnn-0004u7-UG
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 09:12:00 -0400
Received: from mail-oi0-f53.google.com ([209.85.218.53]:43723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1e2Gnl-0004tq-Dq
 for 28605 <at> debbugs.gnu.org; Wed, 11 Oct 2017 09:11:57 -0400
Received: by mail-oi0-f53.google.com with SMTP id c77so2908641oig.0
 for <28605 <at> debbugs.gnu.org>; Wed, 11 Oct 2017 06:11:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=lUsXWHT+GibTbjVhNQrXCBFApSfd6KclMVfgZv7qqo0=;
 b=Hh/hraRBKTzTp6MHXAxJZse+mb9qP3L28nUwpdd/KYDDN2Oap4d4tCPRLwi2zBbASb
 I39XETz0skVJGKoa0lckaVHFMKDTv6guNto1Ci+wDAZiZaXqlXxRyniJeeCaIENSAowm
 G+7Cs4+/yWnHQbZp4JqFqhTK17xjkRxoqF/OzSoOWHVaHmUZL06FUGP38ugEgCIJenXV
 qlP7Ad63NRnG60fdWHygoDMBPSVj2XII+89R/FlLBtGjzvG73/epOl88o3L1mDtThUvc
 p6iu0r2olXFNtJR2cQkN4ivyFO+HoXuNBNwnL5rTOeXaB+wihNjuypFGaOOS9YB6Wf9/
 juKQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=lUsXWHT+GibTbjVhNQrXCBFApSfd6KclMVfgZv7qqo0=;
 b=Zvj2uIDlds4+vTbQ01QLyov7FombFnxZ1D1M71k5uoXMJNEgYkwU7Qkcple1KAlpks
 YonujB3WCbLbGjZN+ep2/u43RqUMwnrYFp1t5aA4qT6Htq4sqonjfP2KeNQalPSbgmkO
 sl9q6e+g4okzyuGiXxHPh9gvlBAtElF4DdUuI8nybuEDd+wRvh+0W7jF/YU1FdMmV9nI
 JEFJhEG6q3L6YiClSynF/ItYkZSygPhKlWmkXvN6b0OKNuxUChtxYa8qO4iwb/gRX7cc
 sned4giZvWqUlWCK0C0VzB7jCPLOJ0A7KKFKwKzEYLel2htrz9Lw2Ihd6leoVjO4GBer
 66WQ==
X-Gm-Message-State: AMCzsaVPpdzbDzwKqxcJAHVLFWf+wUD2jG19FtgStoutkLTPpgIGBOc0
 qzbd2c7ujXoIgW4Nrn05nCgvFT6XDNtZ7w53u+0=
X-Google-Smtp-Source: AOwi7QD0nQEwk1AEcpzEchHIDRNBhB+D4WKZkd3itWDeuFv2vBRnBqriHj3eKOmMmZOHVtZr1NbuEUYVi8mIuoFZMjs=
X-Received: by 10.157.65.207 with SMTP id v15mr3675404oti.452.1507727511700;
 Wed, 11 Oct 2017 06:11:51 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.199 with HTTP; Wed, 11 Oct 2017 06:11:50 -0700 (PDT)
In-Reply-To: <59DDD72B.3040003@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN> <59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Wed, 11 Oct 2017 15:11:50 +0200
Message-ID: <CAKyOKyFEHX0E0NCKq0=iHszA3WOJSNDJr6E7L=KhRaye1eqQLA@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Wed, Oct 11, 2017 at 10:32 AM, martin rudalics <rudalics@HIDDEN> wrote:
>>>> The area where the scroll bars "meet" is currently blank which looks
>>>> weird but I'm not sure it's related.
>>>
>>> Do you see the same effect with scaling turned off?
>>
>> Yes.
>
> Hmm... What did you want to see there instead?

I'm not sure.  It just looks like something is missing when there is a
white square there instead of some scroll bar theme color.

>>>> The frame is still resized to have fewer lines each time I turn
>>>> vertical scroll bars on or off.
>>>
>>> Does it happen without scaling?
>>
>> No.
>> When scaling is off the frame is enlarged to make room for the scroll
>> bar, and then shrunk back again when the scroll bar is disabled.
>
> So with scaling on, shrinking the frame is essentially the right thing
> to do and is also done correctly at the monent scroll bars are disabled.
> But the frame fails to enlarge appropriately at the moment scroll bars
> are enabled.  Is that interpretation correct?

I see the same behaviour as Robert.

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Oct 2017 10:37:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 06:37:12 2017
Received: from localhost ([127.0.0.1]:33070 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2EO0-0005bu-MH
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 06:37:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e2ENz-0005bj-Ri
 for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 06:37:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e2ENp-0001eW-51
 for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 06:37:06 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34790)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e2ENp-0001eR-1y
 for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 06:37:01 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39536)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e2ENn-0004rD-Jl
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 06:37:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e2ENj-0001cG-IP
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 06:36:59 -0400
Received: from [195.159.176.226] (port=47255 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e2ENj-0001bU-B5
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 06:36:55 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e2ENV-0002oe-H3
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 12:36:41 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
Date: Wed, 11 Oct 2017 12:36:32 +0200
Organization: not if I can help it
Lines: 26
Message-ID: <87h8v6m0nj.fsf@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN> <87lgkim5mj.fsf@HIDDEN>
 <59DDE423.4030208@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
Mail-Copies-To: never
X-Debbugs-No-Ack: yes
Cancel-Lock: sha1:1b0AgvzqfsKf1L7u7o1D0VBUnlc=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bug-gnu-emacs@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

martin rudalics <rudalics@HIDDEN> writes:

>>> So with scaling on, shrinking the frame is essentially the right thing
>>> to do and is also done correctly at the monent scroll bars are
>>> disabled.
>>
>> Shrinking the height of the frame when en/disabling vertical scroll
>> bars seems wrong to me.
>
> Silly me.  I confused vertical and horizontal scroll bars.  Obviously
> the frame height should be left alone when dealing with vertical scroll
> bars.  The frame width should change, though.

Yes, and it does.

>> With scaling:
>>
>> - en/disable vertical scroll bars: frame height shrinks with every toggle
>> - en/disable horizontal scoll bars: ditto
>
> Something silly triggers here.  Does the frame height at least remain
> unchanged when ‘frame-inhibit-implied-resize’ is non-nil?

Yes.

Robert





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 11 Oct 2017 09:28:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 05:28:27 2017
Received: from localhost ([127.0.0.1]:33045 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2DJT-0003nA-2e
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 05:28:27 -0400
Received: from mout.gmx.net ([212.227.17.21]:60887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e2DJR-0003my-Cq
 for 28605 <at> debbugs.gnu.org; Wed, 11 Oct 2017 05:28:25 -0400
Received: from [192.168.1.100] ([46.125.250.55]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lbi2Z-1dZjNS3pCF-00lHiD; Wed, 11
 Oct 2017 11:28:18 +0200
Message-ID: <59DDE423.4030208@HIDDEN>
Date: Wed, 11 Oct 2017 11:28:03 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>	<59DCCA92.8090501@HIDDEN>	<CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>	<59DDD72B.3040003@HIDDEN>
 <87lgkim5mj.fsf@HIDDEN>
In-Reply-To: <87lgkim5mj.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:QYyT9CuGvRyIp4u/TF+uVGpTMLagEeA9hOV5MqRZFXKdx1/rqLP
 QCZIVWmqNPAyTLf4vWAfZ4KjfQm/Exclupr1hcUGoZHjwoh3Yo87iIdgXSZxhXTeHJwNFnB
 xAdiQ3kpoXEQuiScmL1vqvWM7Frj3noauZn3WrIIujiF7Nw1vao05dvE7SrRXTRYgOYG2Bj
 A6WqFkVm0lkuDEL5rBgWw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Vl83JfO6KOg=:/U9LWQrYphRVpPBCYAChKp
 +Yn/4JVpXxWSbJ8u4a24wLj9yqb5kfHq8XA6Ttdc9rZRD5Wd2Ny1uweM3qFqj+a0RzPLkTTMU
 XDYKAqJH+81GmVhfgwJhMwKe54hsljOV80bkZx9nOdh1ymRx/2kzaQCAaZ8ubgXwP9gsq9TEy
 YK3pdgHWKiuYHmXkAPmeEUxuRBi4xYg3yWrpYRLizwlGzdZrBZf4Nv64J8jlAJ8xP911DQJTw
 hIhQMfF72VCD3awS/h4IlcNdHT6X+Wj231zPMxA66kV/dmPyZGkXMi3lguSJpeJE/MVi+mlRZ
 UKqvjaClVoz6YydoXPHde/3ILDYBcar0KjOEBavYH1HIxJjsE3pIn04Mz7+h1Q5ry7LPAYeqF
 EISpP5KVt+x7iDxoZAnIYdu7nhz46JqXfblHW/5sxa06LF+k5qwpOmxVQU9HFAaKipyt6WXT8
 fdWSmsyvLXx674sFb+QImJeLHGKHOF3eAC8p9oO48qEIfgBN7mMs9L70KhkA2qNdAzyrd02jp
 YiQvNTzRXvkmizW5mz0oPmtmlULe0X+33nJ1fBrfvxoph13UOS8KkSTwzkPWDUaFZATBephoG
 79CbfUQoFLA7ittgD9Kg0cqZ4bL3sRXyCTt+w3Zipsxeid1PcG6dKq/M4B9CwrxwG+O9LNMMe
 cMBalcFSa18MZg2jWmgO/YUD7Yay0ThiUbQbOy8zIIKIWjesvarH2nZlWvuXrWvbOXIimd2S7
 XpSz2bcxdi2WDFOjXGDeTcRRhRoxguX9L7qaAi8tvHG0SNKbD5A9FEAtTdTYaEfkwfAqROGb3
 xHOUlE08nQmZK7PotOr42GRRhiynmw2PUxym745oKEfFXVlyznq38x3UvTwua/nYGzkq7tB
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

 >> So with scaling on, shrinking the frame is essentially the right thin=
g
 >> to do and is also done correctly at the monent scroll bars are
 >> disabled.
 >
 > Shrinking the height of the frame when en/disabling vertical scroll
 > bars seems wrong to me.

Silly me.  I confused vertical and horizontal scroll bars.  Obviously
the frame height should be left alone when dealing with vertical scroll
bars.  The frame width should change, though.

 > With scaling:
 >
 > - en/disable vertical scroll bars: frame height shrinks with every tog=
gle
 > - en/disable horizontal scoll bars: ditto

Something silly triggers here.  Does the frame height at least remain
unchanged when =E2=80=98frame-inhibit-implied-resize=E2=80=99 is non-nil?=


martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 11 Oct 2017 08:49:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 04:49:17 2017
Received: from localhost ([127.0.0.1]:33027 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2ChZ-0002o6-EJ
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:49:17 -0400
Received: from mail-wr0-f174.google.com ([209.85.128.174]:50108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e2ChX-0002ns-ME
 for 28605 <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:49:16 -0400
Received: by mail-wr0-f174.google.com with SMTP id p10so673776wrc.6
 for <28605 <at> debbugs.gnu.org>; Wed, 11 Oct 2017 01:49:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xhPgD9McsJhplvibsVumbkWvQvOa8QHGiOSKVnmW1oA=;
 b=ZnjnVP/8OCoEZ2VMO1Dq5a/ZUsH8Nb+XufbdAK9xq+h+sYwgrSU3Fs9wj44Cpjc986
 qzze4iw8uonFJCI8Vc00THt8/h4PDbjqmlaSqmG2uuxfKgIRfOCshnZiCB8Q+FdTY0WT
 nRztiRPgOAi3OuTYAgj6hH6CwD7YK3ZTiBeois7jNRRVwZ/ibLBZvBeyyCGsggZOzgKR
 vyDUoXE9x6+4DCkqUaHVS+2Mixw0bvt+jzmO/KXm3hgUp/JlKPytnfxC8YsQ50N4/jt4
 JS0XwcaczqlxnvYVoNipIaq7t3fQZc7TkLG8mQdCVbFlqUFD/yb8uLNEiYoPXXXtU1eY
 INKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=xhPgD9McsJhplvibsVumbkWvQvOa8QHGiOSKVnmW1oA=;
 b=GL4IMJj8//humgRWLCd80rVWH0hggV2X6qJGfPwyaYlBKsZWwr6ycVONYX5E5DK90o
 I3LAiXdLW42EGqdFverS7oFEKPIdY/P//acTgFB8sCmiiT0wglaqYbpVTLev87nqbtc0
 2Qej+PPYQb7zoofNecFVs4Bg3yZSOsTI0lKy0EMlvgxLTs66qWPrd/Ac+Qy1eykQFiPT
 RxKcMdL+vS/HQgbwK3xhTen2tYvyo79LhXV2uwoaVjwKkrKnQDucjPAJC8pOu61XpARm
 Vm5tccemzl6M+t35xWCZ+iXVw0bithP35SJaCL+Fm7dFHuSsD2ZylEjQfFyT1RWq+taA
 4dGQ==
X-Gm-Message-State: AMCzsaUXthe63tRt3DF1e8GSdxkcESOuNfMZHCWwpZBNGhkY1u40cPTQ
 THJ9+EImbJE17y7WZmFedR8=
X-Google-Smtp-Source: AOwi7QB/ukPnLOhh6pk9juKIsF1m49v5jEirbetpQ6vGGRufNaMxEcVINwnM9sqHY9cGOby18BdeDw==
X-Received: by 10.223.175.71 with SMTP id z65mr13416937wrc.222.1507711749849; 
 Wed, 11 Oct 2017 01:49:09 -0700 (PDT)
Received: from rpluim-ubuntu ([2a01:e34:ecfc:a090:12e:cf1f:4693:5b2b])
 by smtp.gmail.com with ESMTPSA id f3sm4580571wre.66.2017.10.11.01.49.08
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 11 Oct 2017 01:49:09 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
 <59DDD72B.3040003@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Wed, 11 Oct 2017 10:49:08 +0200
In-Reply-To: <59DDD72B.3040003@HIDDEN> (martin rudalics's message of "Wed, 11
 Oct 2017 10:32:43 +0200")
Message-ID: <87lgkim5mj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

>> When scaling is off the frame is enlarged to make room for the scroll
>> bar, and then shrunk back again when the scroll bar is disabled.
>
> So with scaling on, shrinking the frame is essentially the right thing
> to do and is also done correctly at the monent scroll bars are
> disabled.

Shrinking the height of the frame when en/disabling vertical scroll
bars seems wrong to me.

> But the frame fails to enlarge appropriately at the moment scroll bars
> are enabled.  Is that interpretation correct?
>
> Robert, Lars: Do you see the same behavior as Ola?

I've lost track :-)

With scaling:

- en/disable vertical scroll bars: frame height shrinks with every toggle
- en/disable horizontal scoll bars: ditto

Without scaling:

- en/disable vertical scroll bars: frame height unchanged
- en/disable horizontal scoll bars: frame height increases with
  enable, shrinks with disable

This is all with my patch installed.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 11 Oct 2017 08:37:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 04:37:12 2017
Received: from localhost ([127.0.0.1]:33006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2CVr-0002Tn-S0
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:37:12 -0400
Received: from mail-wr0-f182.google.com ([209.85.128.182]:48273)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e2CVp-0002TZ-Kk
 for 28605 <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:37:09 -0400
Received: by mail-wr0-f182.google.com with SMTP id u5so647123wrc.5
 for <28605 <at> debbugs.gnu.org>; Wed, 11 Oct 2017 01:37:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=UsOe1QGfdNmrZbJWbhPpPertqcyaHHjrLFM+g+xddUI=;
 b=k7QhaQi6qVo9Y6ThvfbLDdqj1+Ag2xK8tlrEB0yQ80CVyhvZO1M9yONRUIo6OI2Ust
 qoNfOZr1sUc2G3cHMQv1PjxZN8ptnBd6Qy03jxqVn2M+ou76V8mNj9srsm6n33IdOIyZ
 5e3WTs1N/fZFJ2fhEbUvZvetgL5PLLpSeuLztTQaaQ3/atVL/gh/Bjx7LqIwC+i25/JZ
 ddVsrsdGPneEWax17J+3CLwFx+DFKYV5YeI8BbJt5DOZ0eB2kLf4qjicM0I9dwhahGxs
 4CtVSCNME1ZaxIS6hT0BeY8dcyF/AyWzoiIPT0T3KAVP96QNB/s61A6xjybIJQ3gDIe7
 bKng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=UsOe1QGfdNmrZbJWbhPpPertqcyaHHjrLFM+g+xddUI=;
 b=boAJJV2LgHLoU2EEqECThFEA1WiTQxjhbMkNNAWsGwQF0uKDanylF32chhLP0KwY0h
 Ckds3o+b5d+RVnfL7y8fvdZQMtMOZ9RQRo43TQCr393IGacAvKZbEr/jJkOn/n+XQnSU
 s5+Xqkl+3tbUP/iRRT5mHeihR8Uy8IJ5MjQhSlbLb02iUCpqH/xE38x6Sr+bZRZWVKsA
 OQE46uBIl2Hv5GPRD3xHckGQFlHw65cwRBMzsgXOHIAocVyeaPRqa9f70bkY1Z2CWUpS
 MZdrjBgu8VW10z9tUxHWacEHFtN3SBv3x4KqNmffgvnCXiYuqBtPi6OCiO92xCnQdG1V
 671g==
X-Gm-Message-State: AMCzsaXwqssReenVGyc/lqZyCXFxUlRDWDuJRDXNgUE+uP6ALD1v0zma
 pVl+Anv/1Sq/UTHQVx6wSWMovl9ytOw=
X-Google-Smtp-Source: AOwi7QAkmcuR+G6aoOjcxc4mqTkctiud6ZMsCsW6dHXvVORIuIhkjwB+od/dnLYwyvRNKlAVfDazPA==
X-Received: by 10.223.146.101 with SMTP id 92mr13635623wrj.21.1507711023465;
 Wed, 11 Oct 2017 01:37:03 -0700 (PDT)
Received: from rpluim-ubuntu ([2a01:e34:ecfc:a090:12e:cf1f:4693:5b2b])
 by smtp.gmail.com with ESMTPSA id e132sm15089371wmd.42.2017.10.11.01.37.02
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 11 Oct 2017 01:37:02 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <87zi90jvc9.fsf@HIDDEN>
 <59DC8141.60601@HIDDEN> <87mv4zo0i5.fsf@HIDDEN>
 <59DC8FE4.1000409@HIDDEN> <83a80zqrgi.fsf@HIDDEN>
 <87a80znxa5.fsf@HIDDEN> <59DCCA7B.4090301@HIDDEN>
 <871smbnlvz.fsf@HIDDEN> <59DDD713.90604@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Wed, 11 Oct 2017 10:37:01 +0200
In-Reply-To: <59DDD713.90604@HIDDEN> (martin rudalics's message of "Wed, 11
 Oct 2017 10:32:19 +0200")
Message-ID: <87po9um66q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

> In any case, checking that a GTK build without toolkit scroll bars
> handles scaling should have proven that a hypothetical GTK/XAW3D build
> should succeed as well.  So many thanks for doing that.
>
> Sorry for having you tormented with this matter, martin

No worries. Everything is a learning experience if you approach it
with the right attitude, and I learnt stuff here.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 11 Oct 2017 08:33:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 04:33:04 2017
Received: from localhost ([127.0.0.1]:32998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2CRs-0002Mt-3W
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:33:04 -0400
Received: from mout.gmx.net ([212.227.17.20]:50710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e2CRq-0002MJ-NU
 for 28605 <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:33:03 -0400
Received: from [192.168.1.100] ([46.125.250.87]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LswqM-1dIO7A1s4Y-012YBY; Wed, 11
 Oct 2017 10:32:54 +0200
Message-ID: <59DDD72B.3040003@HIDDEN>
Date: Wed, 11 Oct 2017 10:32:43 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
 <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
In-Reply-To: <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:O1cnKpmPoOAk9NuMtnovStT9VJohRptCCTnDK1dYPQGvpQKYnQC
 v8xOXp+sZbUSMeI7Gm0nVN5LY2tkwoKC+SJ8Aza6l8rjyjydMRqVBOu1EFqvUauDpne4ldv
 ztb8zv480C7aVZZ+mlfXYpLNAYL8oVeQxJSRlnSsYozGvN7jNZLzfeT/eyK8vz3ERHh+5YO
 irU5HNn6ugaxFJqX6taEA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:WP9rX2+we0Q=:l2W1Cs94lHZa/qQ9C/DRUl
 28egHK5wGNjQQqwjZWj6TnZc4+iDBQ0ixJRrO+R+7yXz/ErkGNotRgrq8fJ9ZZEHo1DSOklWw
 /j17fBa/tB3Wjj/lArCwocEa7wlnwKCKtdlzpSbQ2qMqZpseD77z76wOwaoBm1UXm3Yr2xgQ4
 wMjUJt40mehMR4n9wh9fBTiMKjh5PBAOlKSyu0wf/seTzPA0OoL9qYmRObZIv3OOx2muhIpNa
 HV9kwdTJPMFpzjCfB3/EmiIKnT1d7x7SOZqQZWnDtW9UBQh7RudBdm6KhoLOrKYyGOQ31uzSF
 /BGge0SkQleefRYe9o3ORXrufhLPtknrqOfp6+u7zsHrSx6UV8U6Iz5cIbvJuIlDniPSKJgp/
 EHdRfYr/3dQGFv5P1hKiKgHw3eAES+bKlBIWMEaM+pOIP9Vl85jwK+JPD2M/qvLYj8cdjkmz5
 UVJeL0Xbo9Z/7FJV/ZMr4FWJHHFr/ZBEQg4oZ6B9dC2tif764mVD68NhWq20ah7zy7YVKiZGD
 iBQiH1impWtdggvz75ORkEhnKvS0UbEB4z8f5d/NAFpdGj9wUet0Wc+hSkVaTPyMgVKS8R25Q
 UjiVqVmBi5o40ZLD7MTO1p+ThPQW4MVCyo2Rcu4VtfZFOy8LCvyFhezyGEIFi6Rq+3EX1Q7Kc
 JPpK+LxmLzXvD3KY7Xm1aOHzIb0yuZTWZnO9243usEFnEO4vDVk6lwGLu87vq2hHQk49z0lRP
 7kNaFJkgkW7hSb81dCgddSqDsrc6+FDYc2y8PkZZg52ga5n7xBmTIUzUsD61hT3ESsF4jMg5R
 bfOs/r2yLApdjUphRHU/GzL1XwGCZKqzosSKxioaNcE80W1aG5kLoaKN6JL2A0TkrWBjSrG
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 >>> The area where the scroll bars "meet" is currently blank which looks
 >>> weird but I'm not sure it's related.
 >>
 >> Do you see the same effect with scaling turned off?
 >
 > Yes.

Hmm... What did you want to see there instead?

 >>> The frame is still resized to have fewer lines each time I turn
 >>> vertical scroll bars on or off.
 >>
 >> Does the frame resizing happen with horizontal scroll bars disabled too?
 >
 > Yes
 >
 >> Does it happen without scaling?
 >
 > No.
 > When scaling is off the frame is enlarged to make room for the scroll
 > bar, and then shrunk back again when the scroll bar is disabled.

So with scaling on, shrinking the frame is essentially the right thing
to do and is also done correctly at the monent scroll bars are disabled.
But the frame fails to enlarge appropriately at the moment scroll bars
are enabled.  Is that interpretation correct?

Robert, Lars: Do you see the same behavior as Ola?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Oct 2017 08:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 04:32:50 2017
Received: from localhost ([127.0.0.1]:32994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2CRd-0002M1-Qq
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:32:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e2CRc-0002Lp-EJ
 for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:32:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e2CRU-0000hS-1f
 for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:32:43 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37838)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1e2CRT-0000hI-UG
 for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 04:32:39 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:57072)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e2CRO-0002DH-VV
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 04:32:39 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e2CRL-0000cg-Su
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 04:32:34 -0400
Received: from mout.gmx.net ([212.227.17.21]:56234)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1e2CRL-0000bE-IW
 for bug-gnu-emacs@HIDDEN; Wed, 11 Oct 2017 04:32:31 -0400
Received: from [192.168.1.100] ([46.125.250.87]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LeBPM-1dTzDU3M68-00pwly for
 <bug-gnu-emacs@HIDDEN>; Wed, 11 Oct 2017 10:32:28 +0200
Message-ID: <59DDD713.90604@HIDDEN>
Date: Wed, 11 Oct 2017 10:32:19 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <87zi90jvc9.fsf@HIDDEN>	<59DC8141.60601@HIDDEN>
 <87mv4zo0i5.fsf@HIDDEN>	<59DC8FE4.1000409@HIDDEN>
 <83a80zqrgi.fsf@HIDDEN>	<87a80znxa5.fsf@HIDDEN> <59DCCA7B.4090301@HIDDEN>
 <871smbnlvz.fsf@HIDDEN>
In-Reply-To: <871smbnlvz.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:S2atrM+niE586asigrT7VnKuBnOmTvWaxCXRRfQnJv1iOYztn7N
 2ul6W/KK2r5CNJfndIWzWP1YCeri3az/1WNO1fHRgLitoseOAH36pDRZB9DUY7Zw8cTETIs
 Sf+f/IxNlJeHjMYL5X3s7arLvOxMT9HaQh5Tr7UgxZU0ilY2fELurK054ZCVuRvyibrfcwf
 Go8c9lxfdo+16LjTne/ZA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:bR9bok7vQqA=:Eg4NhpnRYpD6vaoIYbN5Gb
 KlKzGelIG7fAkImIhhFsbeHh4KZq8gOZv1BSi7SkanjZrwwcnipbVYwx2YnIx9mgy1aB5YhUE
 RdXv0ccV5CMjp89cTarOrTS5es+0UGT8FFDCWYWf1zxbmj9RoE9wRSjAOHGPYZz1jHxSGzvcx
 9QFkdbjMIKFD7pJ4x1J13TQYSexuGfSSYziWkpxYN/A6okeLfZ7XjtlzBfhmQmd3CUk0D1zP2
 RZeh7y4oVrINnjRSvtFiqAdCg/P0jOyM1ZyOl0rUJTyPl1+Zz/OmLAKlbxZZEs0nQbfLHQK27
 BbDbe0LJ9CkrituPhQHZ9EqStQWvQzC9BBA4l0XQ1ampJ89Ik4NsuMS9KH6nUkMsRPmzFaRsF
 MsQfAZuDMFE6qG1vIyyImtaV9QMbN2TqBRjgqBxmm+jP5jmmWkAVogvM7J71frZ9WYZrHH7m3
 2N1IoLfcD3mc5vo/DWA+6oUkXbE2ivfGAPYTVGxG+y7OSQN4yf6+xT8UxaVtN0smlRbKq1+12
 pYXlpBVg/A3j8MYCPdKuYfCPrLLltz43Lo2r18bu5J4+P9A4EV6LDOO2qwQz+52/AGp98vG88
 5fZGxesEn0yk17Bu3yQ4odwSX6fOhvOXTY9wxQE1zzpltJsCrR0g62Q9XCWoV5f3T+Weh2aTU
 nQq/A1RTXwalap+J35Hv74ndHxWklVdOgLYM7uZZhlcHMb1RC3wNpXmT/sIxR/Swezaud84SJ
 +BL5K4xewsmZGSb5+V/LZ/v74hxE/B/6ANYN72aZqYqmIpOiQaZDTFzrDD48Fu8mym7ewl3V5
 knZoJ4sHxu7X5mwXvhf0cHf2aSUttGv5iw8Y43hm5L9bxoBVjxu2NmnjvdxToqjSrT8IDOk
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

 > That makes no difference. As far as I can tell from reading
 > configure.ac, xaw3d is only checked for when using the Lucid toolkit:
 >
 > if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
 >    if test "$with_xaw3d" != no; then
 >      AC_CACHE_VAL(emacs_cv_xaw3d,

You are right.  I was misguided by the snippet below

dnl Use toolkit scroll bars if configured for GTK or X toolkit and either
dnl using Motif or Xaw3d is available, and unless
dnl --with-toolkit-scroll-bars=no was specified.

AH_TEMPLATE(USE_TOOLKIT_SCROLL_BARS,
	    [Define to 1 if we should use toolkit scroll bars.])dnl
USE_TOOLKIT_SCROLL_BARS=no
if test "${with_toolkit_scroll_bars}" != "no"; then
   if test "${USE_X_TOOLKIT}" != "none"; then
     if test "${USE_X_TOOLKIT}" = "MOTIF"; then
       AC_DEFINE(USE_TOOLKIT_SCROLL_BARS)
       HAVE_XAW3D=no
       USE_TOOLKIT_SCROLL_BARS=yes
     elif test "${HAVE_XAW3D}" = "yes" || test "${USE_X_TOOLKIT}" = "LUCID"; then
       AC_DEFINE(USE_TOOLKIT_SCROLL_BARS)
       USE_TOOLKIT_SCROLL_BARS=yes
     fi
   elif test "${HAVE_GTK}" = "yes"; then
     AC_DEFINE(USE_TOOLKIT_SCROLL_BARS)
     USE_TOOLKIT_SCROLL_BARS=yes

which seems to indicate that we check _separately_ for either XAW3D or
Lucid presence before we check for GTK.  But apparently that only serves
to set USE_TOOLKIT_SCROLL_BARS.  Since HAVE_XAW3D is set only in
conjunction with USE_X_TOOLKIT=LUCID, that separate HAVE_XAW3D check
doesn't make sense.

In any case, checking that a GTK build without toolkit scroll bars
handles scaling should have proven that a hypothetical GTK/XAW3D build
should succeed as well.  So many thanks for doing that.

Sorry for having you tormented with this matter, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 11 Oct 2017 06:57:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 11 02:57:53 2017
Received: from localhost ([127.0.0.1]:32948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e2Axk-0008SP-Ra
	for submit <at> debbugs.gnu.org; Wed, 11 Oct 2017 02:57:52 -0400
Received: from mail-oi0-f43.google.com ([209.85.218.43]:50549)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1e2Axj-0008SD-IJ
 for 28605 <at> debbugs.gnu.org; Wed, 11 Oct 2017 02:57:52 -0400
Received: by mail-oi0-f43.google.com with SMTP id q4so1367049oic.7
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 23:57:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=JKqRMQEaRtD4aXalZ17vLYVitbDJrNwCZ/QZETA23qc=;
 b=pLTzD9ltrHO4dZb5zTVlFkVuY8T0v8YC7Rkd0aV3bUdwfBSUEEc9iWOWuQwzBkOnj2
 oX4/kuExCgOZo0leV4OaRw6/8I1ZEL+UqrUReOwqK1qh7UzBl4E/A96oLCfRrmGrSRdN
 zb0gFhL2tejWaYO1qtUBs/Rfq5KOVSEqduNPDpJGKhi1YCal2F7GqXOQe96FZ1fu9nK/
 Xc0/BA8zby9RW2A/CpMJAszUFYvm1QGXK9Rt1k87HIZKrRxeAFXIbS//C/rchbp1SKg0
 5PoY2ep4kLamP0nRBy5oOcPgTWYRNIhC50qC8wmhYon6DxUoAuhpNkM4ha79ht4GuocU
 ZkOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=JKqRMQEaRtD4aXalZ17vLYVitbDJrNwCZ/QZETA23qc=;
 b=hapQzd0+RenoOrwm0F8ioVeU9zOCBxzp0heGaUKKKg7nAirwXzlrjZTMzTrHgOabCy
 iwZLXZSe4kSEJN4JyC/jYHJJ/dd5pjCTTy7GD3UWRJb+yYIpBhZrj3Dw0HVIzUlDl6JT
 c7A2s/joy+EiskftJAbU+ArXYQv1Wnl2g2JehyLOf8G9f1RQnCYmuLgyWSQntO6wZ9GJ
 cGgYsSYVliMqMzdGSN9Ry0bkSqkO8ThpQaRy2C941JnERAREB47OGX/ooAXLxByPHpEa
 Ue/405Vbkp9HUinHhUYgAR5rVj6Kc7tnRt23Z6Sid08LLF2PfDVRLK25MygwlN1mReDm
 mtmw==
X-Gm-Message-State: AMCzsaXBdnsKuk2l+Pmu1RpoGnfYakqnOJOGyLAfuVI0kpmVHz7JWKKA
 fmE1GanP529wGwA5s/T/ir3TcBPxyAQT6kskOF8=
X-Google-Smtp-Source: AOwi7QCq7CMLGvbNzutv04Cy5/LBoLh4GAOmFlAYYe5A4XEFtVVsWX780SxROM+oPf7Kw6y0mvrCAUZl/s6qdkvIWoY=
X-Received: by 10.157.58.8 with SMTP id j8mr453383otc.342.1507705065794; Tue,
 10 Oct 2017 23:57:45 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.199 with HTTP; Tue, 10 Oct 2017 23:57:44 -0700 (PDT)
In-Reply-To: <59DCCA92.8090501@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN> <59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Wed, 11 Oct 2017 08:57:44 +0200
Message-ID: <CAKyOKyGSiOJx3RjNZYV7Eg1KRE0jtvzdfFbKPUE2orvbAEJSFA@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Tue, Oct 10, 2017 at 3:26 PM, martin rudalics <rudalics@HIDDEN> wrote:
>> The area where the scroll bars "meet" is currently blank which looks
>> weird but I'm not sure it's related.
>
> Do you see the same effect with scaling turned off?

Yes.

>> The frame is still resized to have fewer lines each time I turn
>> vertical scroll bars on or off.
>
> Does the frame resizing happen with horizontal scroll bars disabled too?

Yes

> Does it happen without scaling?

No.
When scaling is off the frame is enlarged to make room for the scroll
bar, and then shrunk back again when the scroll bar is disabled.

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 15:33:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 11:33:03 2017
Received: from localhost ([127.0.0.1]:60771 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1wWl-0000K2-C4
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 11:33:03 -0400
Received: from mail-wm0-f48.google.com ([74.125.82.48]:48555)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1wWi-0000JW-6O
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 11:33:00 -0400
Received: by mail-wm0-f48.google.com with SMTP id i124so6267957wmf.3
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 08:33:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=zmJgnCrMusID0jpp97BQ9LrXwXyxekI0MtEpIRuPL9s=;
 b=tWtJCn4Lmq4amn+ez/Lknv7AunaZqQWdD+WWm1+ohJ526mcMXEzeVwssLubErGuiXo
 tQAbdRoQWNppqHBDtY9PSJPIjuitADkYhSIa2hJpWagzkPYukB5/gi0XBqfWqNNUmbaV
 kP7VNPqJNIo9aaoFs7aRCTtXlsNOrNpIX0Q5xVAppJ9Z4L5AaBVEnFis0JGbbtOvloHo
 OMVWUtmLusd7XOayAHq/RjNcGvuWjplUI3c8B0zViUyjrU7Z67jHpYpKanj/rRhybmPb
 8EoUAGyZi0YGYmyikaGOngdjirYTyWRZNnVW6C5eZVEaZvWyoZvlJiU7RRS+ZXuovFOW
 HgVQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=zmJgnCrMusID0jpp97BQ9LrXwXyxekI0MtEpIRuPL9s=;
 b=WZe6UOvWU6DqFoihx4wH7/POMJiEXmyF53abLxhiVJRQwFB9Ud8x8lJBz+8+M1714k
 GH98jMq9cVUBZ+u27MivQXr2KvBxYLfwQ9ikIe4uBr+daYAuSkbLZUaDi3sZnk6YM+1I
 l3o4AToDHM7Yapi3RSE5VDes9E523VpZbb7T/9nMw2KPSQGNCAt6giMoaYUpJ+ne+JxB
 QvNpVNsbQ6it+bL0x0+wS8QtVc1Q57miQ7rkQS+NQgD+mIkWSCGPZdkycUDmtzdIOrEh
 7rDno8UvtOnVx/zba4lov9/TqJPv1kbXfJFNW/D/Wv0prHadGHHUcOIMA22gbE8/F7rj
 lVbA==
X-Gm-Message-State: AMCzsaVf/0wUoj7jX9LxQjMbSxhsxj0bKOEiOOrICNWDzij0/oMd3z5b
 GgypKIvJ86K1U4oIF2749FA=
X-Google-Smtp-Source: AOwi7QAfOiQOPt2SNvup8kCHkZSktYINsChYK4Qd9PK7qyr0p/HmXu5fCmQ4i4FjgeH0V4YjBs4DhQ==
X-Received: by 10.223.176.183 with SMTP id i52mr12113256wra.4.1507649574315;
 Tue, 10 Oct 2017 08:32:54 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 69sm12895482wmp.11.2017.10.10.08.32.52
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 10 Oct 2017 08:32:52 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
 <59DCCA92.8090501@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 10 Oct 2017 17:32:50 +0200
In-Reply-To: <59DCCA92.8090501@HIDDEN> (martin rudalics's message of "Tue, 10
 Oct 2017 15:26:42 +0200")
Message-ID: <87tvz7m319.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--=-=-=
Content-Type: text/plain

martin rudalics <rudalics@HIDDEN> writes:

>> I've tested Robert's patch now, and the horizontal scroll bars are
>> painted in the right place.
>
> Thanks.

Good. Git patch below.

>> The area where the scroll bars "meet" is currently blank which looks
>> weird but I'm not sure it's related.
>
> Do you see the same effect with scaling turned off?
>
>> The frame is still resized to have fewer lines each time I turn
>> vertical scroll bars on or off.
>
> Does the frame resizing happen with horizontal scroll bars disabled
> too?

Yes.

> Does it happen without scaling?

No.

Robert


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline;
 filename=0001-Adjust-scrollbar-dimensions-when-scaling.patch

From 8efc99515108966cece1667dddb4b1abcc35f19c Mon Sep 17 00:00:00 2001
From: Robert Pluim <rpluim@HIDDEN>
Date: Tue, 10 Oct 2017 16:20:50 +0200
Subject: [PATCH] Adjust scrollbar dimensions when scaling

2017-10-10  Robert Pluim  <rpluim@HIDDEN>

	* src/gtkutil.c (xg_update_scrollbar_pos): Update width of
	scrollbar when scaling is in effect
	(xg_update_horizontal_scrollbar_pos): Update scrollbar size
	when scaling is in effect.
---
 src/gtkutil.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/gtkutil.c b/src/gtkutil.c
index c7d8f92829..88b7fd7e7b 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -3890,7 +3890,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
-      left -= (scale - 1) * ((width / scale) >> 1);
+      width /= scale;
 
       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;
@@ -3966,6 +3966,12 @@ xg_update_horizontal_scrollbar_pos (struct frame *f,
       GtkWidget *wfixed = f->output_data.x->edit_widget;
       GtkWidget *wparent = gtk_widget_get_parent (wscroll);
       gint msl;
+      int scale = xg_get_scale (f);
+
+      top /= scale;
+      left /= scale;
+      height /= scale;
+      width /= scale;
 
       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;
-- 
2.14.2.642.g20fed7cad


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Oct 2017 14:01:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 10:01:05 2017
Received: from localhost ([127.0.0.1]:60715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1v5l-0004bq-1m
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 10:01:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e1v5i-0004bE-FL
 for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 10:01:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e1v5Z-0002Qb-BO
 for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 10:00:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:56817)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e1v5Z-0002QS-8k
 for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 10:00:53 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40010)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e1v5P-0008Qe-Km
 for bug-gnu-emacs@HIDDEN; Tue, 10 Oct 2017 10:00:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e1v5L-0002Jc-R0
 for bug-gnu-emacs@HIDDEN; Tue, 10 Oct 2017 10:00:43 -0400
Received: from [195.159.176.226] (port=41006 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e1v5L-0002Ie-Kg
 for bug-gnu-emacs@HIDDEN; Tue, 10 Oct 2017 10:00:39 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e1v57-0006ll-K1
 for bug-gnu-emacs@HIDDEN; Tue, 10 Oct 2017 16:00:25 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
Date: Tue, 10 Oct 2017 16:00:16 +0200
Organization: not if I can help it
Lines: 23
Message-ID: <871smbnlvz.fsf@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <87zi90jvc9.fsf@HIDDEN>
 <59DC8141.60601@HIDDEN> <87mv4zo0i5.fsf@HIDDEN>
 <59DC8FE4.1000409@HIDDEN> <83a80zqrgi.fsf@HIDDEN>
 <87a80znxa5.fsf@HIDDEN> <59DCCA7B.4090301@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
Mail-Copies-To: never
X-Debbugs-No-Ack: yes
Cancel-Lock: sha1:iCC9CLG4s7rizpWRM/TSmcVRTvI=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bug-gnu-emacs@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

martin rudalics <rudalics@HIDDEN> writes:

>>> What does --without-toolkit-scroll-bars do?
>>
>> That gives me a GTK build with non-gtk scroll bars. I guess we need to
>> change this text in configure:
>>
>>    --without-toolkit-scroll-bars
>>                            don't use Motif or Xaw3d scroll bars
>>
>> because that result is non-obvious to me.
>
> I think the necessary build option is --with-xaw3d.

That makes no difference. As far as I can tell from reading
configure.ac, xaw3d is only checked for when using the Lucid toolkit:

if test x"${USE_X_TOOLKIT}" = xmaybe || test x"${USE_X_TOOLKIT}" = xLUCID; then
  if test "$with_xaw3d" != no; then
    AC_CACHE_VAL(emacs_cv_xaw3d,


Robert





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 13:27:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 09:27:00 2017
Received: from localhost ([127.0.0.1]:59436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1uYm-0003Rr-AV
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:27:00 -0400
Received: from mout.gmx.net ([212.227.17.20]:50237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1uYk-0003Re-7x
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:26:58 -0400
Received: from [192.168.1.100] ([46.125.249.32]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LiHc7-1dXqno1fnv-00nThm; Tue, 10
 Oct 2017 15:26:51 +0200
Message-ID: <59DCCA92.8090501@HIDDEN>
Date: Tue, 10 Oct 2017 15:26:42 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
In-Reply-To: <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:mHlTbZ4xmhYNjvs05DUgJs4MsZKmWlCaCBWdrg7QMMZvKu7lUgp
 d9b5Z3FkamTgG4GZGXluANR2Xy6AVxl7ouikotoeL6dWp2lC6Vs0n7irJIxX2Q4/3thST2w
 9Z2mIdB3r0UA1gomqNl8iLrRMB0vQEAce8IPsFdj+7+HcEGqUX1xy993aW5H6VDmD+bnXmr
 Eeinj/vfrf94bk1hNdVtQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:niQWfCi+vWA=:3+9kCbcakQMtMx30WNmhpM
 Dm5h1R4V4d5fq6ouSKQ4N8wXnRcA0Bo8gBS5YFZjErGSWtFpRylmKnUoYKc4MveArGqFFpQxl
 pfv9Ju3tJ/O2R62gz+Et6OOmBPOV+wRSP250jZa9rFyzqu1/U/6RV/hFJ7eQfSJfufo3o9Llw
 hh1WiuCJ4NAnCpMcb/qZ0Gm8KHI9RHnAP8RD838imtmnDa0gxEWfH7u80SjjFyRQuCoTGD9p9
 2nYyytEEdqgD89+DrebgYHDURV+eVaMAzoSssO8UfA82lSyPy/1blNItmEqI3Rl/zmxAB4JZt
 piM7LYk3rPeOwME0x3G2/prqADHz89QyKhbQnpNYUp/biKIeNRynoABUCTCz8FMAScKHHWO+y
 apZOlCk4g43Obwj7UC//1ESCsZCNoqrGeLbmnXMn9uhyaxDKpEzM7ByEbQSLZXsCdj87ReTZf
 wfJ6AekfMBY7WspjzJN7QfnNQDxDAejwLQZ3dCmMJfsBrKDAwKz1ntTsQOdb+tpKM+YdK7dOw
 RxTZLBBThP/qAzjdoGzV05xipRk/jp/zF7fp2u3Vp/3ZzdlFI9/CR8k7keCvJEIYsePyI8mIe
 kPAPaUZ8ebN5megqa7qf7+H2G4m1g9c3wO7aOVFb3WElLn3oSAeGKbFfmo5zabgC915oLfBYU
 miR9zcvvKJVnRhLUQsduPbqADFm2MxwyvK1hbAdf60V3g8VpFKOxEpG36F3RfrGI99BQZg5RQ
 6Nn38Jr+bJ33HmOuTxCrZbK78hmfS97RHRSkjjqAdFRhFSkmtcSrAGosby8HQfl6MnMnTqmDB
 skjs63aVtPnuVJtNoaL1LPmby72ZDO+Z9fYguLihQJJC61FoeM=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > I've tested Robert's patch now, and the horizontal scroll bars are
 > painted in the right place.

Thanks.

 > The area where the scroll bars "meet" is currently blank which looks
 > weird but I'm not sure it's related.

Do you see the same effect with scaling turned off?

 > The frame is still resized to have fewer lines each time I turn
 > vertical scroll bars on or off.

Does the frame resizing happen with horizontal scroll bars disabled too?
Does it happen without scaling?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 13:26:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 09:26:35 2017
Received: from localhost ([127.0.0.1]:59433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1uYN-0003RC-1Z
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:26:35 -0400
Received: from mout.gmx.net ([212.227.17.21]:49466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1uYL-0003Qx-Rw
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:26:34 -0400
Received: from [192.168.1.100] ([46.125.249.32]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lk81O-1dQum83Gl0-00cCAD; Tue, 10
 Oct 2017 15:26:26 +0200
Message-ID: <59DCCA7B.4090301@HIDDEN>
Date: Tue, 10 Oct 2017 15:26:19 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <87zi90jvc9.fsf@HIDDEN>	<59DC8141.60601@HIDDEN>
 <87mv4zo0i5.fsf@HIDDEN>	<59DC8FE4.1000409@HIDDEN> <83a80zqrgi.fsf@HIDDEN>
 <87a80znxa5.fsf@HIDDEN>
In-Reply-To: <87a80znxa5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:Amvea1q8mblkgoPYaN6yei92FUtEMRgT81Ggeb8A03lIwjX/2ie
 OFxA+dGuxmDFLs5lGbvq1nlT81xj1c3o4S7JaWla3hJiVlapFNFDc2Ulfsispw5Pasl6Jse
 3ZsS658z835GfipdghhacQCu8eI4A06it4IjsljbpG8Os7pHB0eTpGGtGsqSrnrm1wfOdpK
 B5jyZq3YagDbTVYcR52rg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:o9l1lTmhmrc=:oJHcOdTEhbPhlekM/BToTe
 z74pG+Nvfrrpa7bJ2J6bVsm0jH4PdRosozBBIrJPBr3RVHnM9NQjaK1kHGGzrR/2/fIH+OVdS
 NFTHebZfIeXT4j8fVrk3E28Br3cENX6R6oXxafmc0z0cZU+wdecBBgIKkkZwr+rSHnKmCOwNK
 +x6mxzERN/APg3SyDy9wgz9c1SJD6bA7sKwjuW2EC5JWP2TOUjiGS6IFhzs3nk5Ji9XZw4bNu
 jUOexsGr/dMsjP6IZ+L/5TejwCgvUyFVfFiGuhE3k3AfP5yeI2LICaWp1XQHRs4euZaFAuShu
 zEg9lYXSTlW0+3GuVwEYj+eRw2dS5u5It3TXI8ZUvrJUw8f7z1fXcybbxlfjKyXKKl9Kg4ej9
 J71vf69kuCgd1l51Wnun3d/QHfwMoOyR2lA2nZjI5P/Kvr2QPBM1DKB4QKvbIZMATJysnC70u
 doPz8H6ZDs/CgtpQ5gXr9qJiEtZLnl3U5X6mAs24l7/55lw7FMrGJ5+dNyhnMaRsd3FOsBu5f
 Sr87TYPWw3z+HLE9C1qKbqTmH3/3TXcwJ6Dp5VWFm9cSR6O2i+ZHZrdlNGH8FYz10pI3Rt7Bd
 h3VLAZmZAJ35bjAPlCgOGWFsy92wZst+oXOSARp2iM85T+08oWZBYo20EM0LJdjcmgcMU0X6H
 Wml/ZTDM/TzSW8E8q/4PuXvit07Iq6GNsoM9GwP/HBAmZIpc2NiB3pDOXxZaVrmskb3T3gu2S
 1kdH+PBZhtmsiTwlbuE9bglUEpHQrZVpCS1zyslxW1lX6qJMFn5SJluodP/7/1gmKDAIXJleX
 345oP518UBJ9bUfJJf/QxtYwezZUVCI2sE3NhRwR+dOARm3UFg=
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: larsi@HIDDEN, ola.nilsson@HIDDEN, 28605 <at> debbugs.gnu.org,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 >> What does --without-toolkit-scroll-bars do?
 >
 > That gives me a GTK build with non-gtk scroll bars. I guess we need to
 > change this text in configure:
 >
 >    --without-toolkit-scroll-bars
 >                            don't use Motif or Xaw3d scroll bars
 >
 > because that result is non-obvious to me.

I think the necessary build option is --with-xaw3d.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 13:26:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 09:26:10 2017
Received: from localhost ([127.0.0.1]:59430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1uXx-0003QX-Py
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:26:09 -0400
Received: from mout.gmx.net ([212.227.17.20]:59146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1uXw-0003QF-At
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:26:08 -0400
Received: from [192.168.1.100] ([46.125.249.32]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M3ARX-1dAdXK2BVf-00su18; Tue, 10
 Oct 2017 15:26:01 +0200
Message-ID: <59DCCA60.1070603@HIDDEN>
Date: Tue, 10 Oct 2017 15:25:52 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <m3a810mmk0.fsf@HIDDEN>	<59DC8179.5060105@HIDDEN>
 <87r2ubo0qz.fsf@HIDDEN>	<59DC8FCF.6070501@HIDDEN>
 <87efqbnxn6.fsf@HIDDEN>
In-Reply-To: <87efqbnxn6.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:QygczjFkb/b9vqI2gvFVLVSh+JaIzhXVNCtZm1tjvlTPVEz+gpq
 xn5KiueQS0qx37rStRCgvTf2i9JPFAvh3ccqWvnGkPzX/U/hJkkwZFTpGibC1+usoqUbMjG
 SithRFoaEXKRPm3+8+s8yjlPyl+RF4Oa0bFSYeZnVNzHvKLYLkwEIbE7pq7RYDYxZ+i98AA
 GmtCN0YgLPNzY/UX8xT0g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:3jUe2LWwrng=:epnv0r8W+1vBcR2EH/gbtE
 ckSp8uyt7u/oUwkXmoMh0B1xZejyyM5dQyOOUp3VQu1gFTaDksSs+WquhHlSosahrWdzQU7Jt
 01JJ2c0/57N78g3qW04g02cY7TjHhh5NSQ5GqdKZFpbw7nrT+/Vrn/pmHOtQv0LuV9Me4Akzu
 lbL0R+T12nE7KvxLDt2CRahL5oPy0EMuFUqoXAkH0wi4fWcvq4mZ1LIAR/63UQFmyvifnCIPw
 rGJDLtFf7x3VMHIqzGqUiPuMzGAWe/jirMOY/G4iyV5nQxi8d+5ufssO9gAT3EWlJlihy4Ngy
 wTSDG30hEa37bjtUkrsDhaIGkWIVKQSj//UwyEt9/I4eadJ+HAX/fvdDj6RGo1W7TNxRWhUWw
 FgqO1g535RNmUFcrpVpEr+bxdriKijgGjLeJ+DUOEs9ZlmrUFwtCQ6rf7kEb7YDhpTru+XSGM
 3n+rRqzixQx/26EC/Y38SwCupGV2+gTsxXYOFppsWFLeCmhzF1u9D6Bp64VZE8vPwcCmk9P+t
 lW7f08c7PIz2jKf02vg4GvaiYSeVQfI9U2nZDEtbmSavaMDs4Ho8NWh65nJMnWOuQ6+CAn+AK
 kTGID1mERMi/p16KE8YZhAoqIdY0SyAXtw98URiskIWYu7n1LOD0cHZ6XGBOixi6OjHy33kSp
 nVf436wZjL3ymvMDmir6GZ8uqaosILzTHNzsTyDFbD6UgghF9Z0bjhUt1A9EzlG7hFoLQUuxO
 b3sCKwZBK720lcs7tN63GL+betlktQSwzB5+wueyjb8ZvRcfah/KEUoCMoqO1PJpKLD5at5QY
 KromcFZLukLLzVjzjj3p7wMxFWFdSANYDcKFNN34v7jQWCTShA=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >> Maybe it now no more auto-widens the frame?
 >
 > It autowidens for me when it adds the SGML menu.

If I only knew whether this is GTK version dependent or the window
manager catches this somehow ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 13:05:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 09:05:11 2017
Received: from localhost ([127.0.0.1]:59404 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1uDf-0002uA-87
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:05:11 -0400
Received: from mail-oi0-f52.google.com ([209.85.218.52]:53250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1e1uDd-0002tv-49
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 09:05:09 -0400
Received: by mail-oi0-f52.google.com with SMTP id j126so44980279oia.10
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 06:05:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=8Nk8JVINEH4rNmgfkwMa4wj2johqxkDOucJEsu0sNnc=;
 b=cB/gKGHT0ebkp+jvqLbBcN+kZd4fed+HgqQpIQmsFj+btygKSG85Y2EjsEkVZgRj+r
 ILsgld6x14t75VYjWSaTVLOOvQohK45bf5iEVBVzZJyyL7I75h3exIs4M7zBTa+CmvhI
 icRnp72jEdrVD721JNroT7hZ9tKMeZKbZwIXmHKJwPI0lxZrzWRjxHlmKUE1j5pPKeeP
 2rdxsxhGw0I3PV0uYwLT5zKSCQotX5DGQEaCu5bloR7MG3+HJSOS3NVbEsHOGKkV1n5S
 9aGkLS7fmIwWOj3psJCwW3BUmT5hAmpVF1sQMrwEKwUdeb+SK+hnXg12lkAsEC73HEh3
 BwKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=8Nk8JVINEH4rNmgfkwMa4wj2johqxkDOucJEsu0sNnc=;
 b=jq13ZdD85o4Q+qfBM5PffaZ4Ngv63Ncxi/2vVeyChrOcaIoWLRi5ngKfcye74RSGyJ
 6NZJfBkDFRg28QP+E/YaTjAurk4pOCTcVDzwy/twiyqiZYVb1kM4nL1HC5v3f7BxkylX
 DZlHJjjvfHWRLuxuCqGMDmD+WQbm9TwYvxKxi7Ml8nATrkDJ4mAxZvkhvj2Xv/nU4tCJ
 m+scU8N3QSJ6pOdf/vt/BT764uvcuU26X1He39+5I+/p3fh4J2b63fqhQoz2VgrrA1gB
 4/nAl1ZhFPYF0bRh6w6An/bjMOha9kyFBgb5OQOEKOHo5QDqIakpv5BHGvtj4XbdfhbA
 t8Uw==
X-Gm-Message-State: AMCzsaWzqz3j5ZNRZjlj0H2zt0UOoY90FfNXlaD+6suiQPpKmFI2TIUA
 vg7Gc+EzSTxdvmzX7bUN2laWCylxkhaJdsWYk0E=
X-Google-Smtp-Source: AOwi7QD8cwjdy8hVRpbpEu9d6ApYsb++iEehyIqDzExQScEzhUAmYQNXi6a+jlgV5C9xIjafPLsTrW4g6gh0F2FL2xc=
X-Received: by 10.157.9.196 with SMTP id 4mr1311353otz.315.1507640703347; Tue,
 10 Oct 2017 06:05:03 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.199 with HTTP; Tue, 10 Oct 2017 06:05:02 -0700 (PDT)
In-Reply-To: <87a8145wcr.fsf@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN> <59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Tue, 10 Oct 2017 15:05:02 +0200
Message-ID: <CAKyOKyGr6QJPNFitEp8=bxirrCH1iM0CxYyk7KPYTkCKS-CeXw@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Fri, Oct 6, 2017 at 1:50 PM, Robert Pluim <rpluim@HIDDEN> wrote:
> martin rudalics <rudalics@HIDDEN> writes:
>> To be on the safe side, we probably should leave the non-scaling parts
>> alone.  For the scaling parts do whatever you consider appropriate.  If
>> it fixes the behavior for Ola, we should install it and wait for
>> complaints.
>
> OK, I'll wait for Ola confirm, then clean it up (and split it into at
> least 2 to make it easier to revert).
>
> Robert

Sorry for taking so long.

I've tested Robert's patch now, and the horizontal scroll bars are
painted in the right place.

The area where the scroll bars "meet" is currently blank which looks
weird but I'm not sure it's related.

The frame is still resized to have fewer lines each time I turn
vertical scroll bars on or off.

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 11:11:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 07:11:59 2017
Received: from localhost ([127.0.0.1]:59301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1sS3-0004kK-IT
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 07:11:58 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:46235)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1sRy-0004k1-Tg
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 07:11:54 -0400
Received: by mail-wm0-f44.google.com with SMTP id m72so4076639wmc.1
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 04:11:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=cilbqWwGuph5DAZTqswjVd36S6tmOlfzfnbR0Ub5HLg=;
 b=Jy3zYcZ55+GHaudxohQb/oIQHKOd/fouhvnKzvqRJlzNLl+UE3WcL67YVghpij55ym
 QaxdYYxIwo/nHg382EpL1tAE4Y45//3uDb7DEi8wuvdp3b+HXNf4HBUsZ9H1a/5ur9Ow
 Su6n3xiBJjZGwzuxHCgzM1Po5qg+pZ3kQn2Los2RMAl4kw2OihXIDQvBqS4VLAXl+A0Z
 k6oKnEhDZfsNbLN7jzMXXr5Z1fn0W11ttPeCT2Se0eFTGcAVynQU5IYIBWpeg/XNc5nk
 5mcSXKeKh1RsYbyAhzsRSOu5cdykYINJ1p3luKYDUAFXID+xMiUeKusAjy4gwg1zBdOh
 X3Rw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=cilbqWwGuph5DAZTqswjVd36S6tmOlfzfnbR0Ub5HLg=;
 b=rcrIWjigyB2TNVNYZcsiXzDnrLLAw82qLga0xvJsCguI4nHjizmk0fvvOwPBtssIjA
 70EJquZVpm1i96sQJFAULUMrClRZTPBisuQGQs019V3XpHlAzMsvLyOsYgLVI0WYxLL5
 L7z1/iBDMvQ8OjEjQCLjTbVLrMKT/oZ2BU82vRFCifuxz/zEpftaioT76qYcZ5AFzB8D
 hYPZQGfiCiC4eFRqFHVkA61Bb/GpuvMNN0BufWcDj9JRsCuF9CjSMfT+QM0jpJHzZpT6
 mppVf48ppuQ3lf1/eQvsQ0PqGP1oLvz5FPa0WIbD+SpOBL2uWSw93JDo1Pp61fSWU9FN
 HM7g==
X-Gm-Message-State: AMCzsaUC9K0RP+nZZpOpCUW1QemNEI1NYaHRv4FcwCntnBI9JpU9g1eF
 FHtUxTXaQYF1srl5jTVRJf4=
X-Google-Smtp-Source: AOwi7QCmaZ0Ell259r6QLfYurv3k+wyFp1l7Z8n7EraWfRbDo0z9VUHhBx481sQZcEhiQOugsPHdeA==
X-Received: by 10.28.58.81 with SMTP id h78mr10969776wma.10.1507633905136;
 Tue, 10 Oct 2017 04:11:45 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id c37sm26520522wra.73.2017.10.10.04.11.43
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 10 Oct 2017 04:11:43 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <87zi90jvc9.fsf@HIDDEN>
 <59DC8141.60601@HIDDEN> <87mv4zo0i5.fsf@HIDDEN>
 <59DC8FE4.1000409@HIDDEN> <83a80zqrgi.fsf@HIDDEN>
 <87a80znxa5.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 10 Oct 2017 13:11:42 +0200
In-Reply-To: <87a80znxa5.fsf@HIDDEN> (Robert Pluim's message of "Tue, 10
 Oct 2017 11:54:10 +0200")
Message-ID: <8760bnntox.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: larsi@HIDDEN, ola.nilsson@HIDDEN, 28605 <at> debbugs.gnu.org,
 kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Robert Pluim <rpluim@HIDDEN> writes:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> Date: Tue, 10 Oct 2017 11:16:20 +0200
>>> From: martin rudalics <rudalics@HIDDEN>
>>> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
>>> 	28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
>>> 
>>>  > Is that combination possible? I thought
>>>  >
>>>  > 'configure --with-x-toolkit=lucid'
>>>  >
>>>  > disabled GTK usage completely.
>>> 
>>> I could have sworn that there was an option to make a GTK build with
>>> xaw3d scroll bars.
>>
>> What does --without-toolkit-scroll-bars do?
>
> That gives me a GTK build with non-gtk scroll bars. I guess we need to
> change this text in configure:

And those scroll bars are in the correct place when GDK_SCALE > 1,
with no character truncation.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 09:54:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 05:54:26 2017
Received: from localhost ([127.0.0.1]:59252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1rF0-0002gM-LH
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:54:26 -0400
Received: from mail-wm0-f41.google.com ([74.125.82.41]:53169)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1rEv-0002g2-R6
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:54:21 -0400
Received: by mail-wm0-f41.google.com with SMTP id k4so3578971wmc.1
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 02:54:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=92zUHc97Z5mvlE5fQFhahYSizZLHiIReQs1/+V3Y31s=;
 b=AEGXeF9bD/SHCpBXFAVJbBcaM8dE1/4f2DWeheMfr9cOKv6MYZaXZBML2BGWxN4N8h
 e/UbvRYn2jBqZoUSYyyb1ELFeU7wcUECZKi6h20UiFtkm9hRd973FGyPkNmKt7BX5RWZ
 capCtuNK1YvQBW70DpsoNIn54imYb8M9UU1SiDXwGighB3xLRjr1J5phzs6nLYJBWJgU
 pyERIuNxKeVEwbAyMzsT2bBYeuSU2527xX6vTVcjUtSR1EP+8AzGsFkyQRyt3gxbX4Yp
 rpbHn5RGeYUDCJv2ulSzjKD2oMUGOSKncfHccvMKGYMDLsE1UCHHNNlsUYRc28h9kNgz
 R4Gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=92zUHc97Z5mvlE5fQFhahYSizZLHiIReQs1/+V3Y31s=;
 b=U1tdR3XBiSnM7ZCQXCkseHYuGU/JE/ZhjlJnuCwjmcm2ZVw6Nhojds3oGayVEflWnK
 hjxgXXM6Omh0BbFGdkjjSX0Esd4QYaGNu9j91VVxTdZDBwcO9sRTZIKv34jA0PMqqmGi
 IhvnulY3/ZN8OKZzVcl8LPKlraMmAtaK0FD4uctF3MhZ1+3QX70kO0kETiVtDOVKHQfr
 PY6lT4woFRuB8lK8jl8doeipx86l3Idn8iK9rLtE/6yegVqhbcpArC9cePa6P/Vvg4Lk
 R2UP2B+3trKzyU/IcyT7IbhMfkqyAJylr2ZdoV1Cu+6txTjKwbk/NhNrQA77oTpYMPlf
 c6ZQ==
X-Gm-Message-State: AMCzsaXTGY9LE0qrGhO98ILzjkVH/IuzOabXhaZD6YHW3kLsPTveGCmz
 ijVjNMGb4tl0BGI2j1yCbnU=
X-Google-Smtp-Source: AOwi7QCNBLknPUDpFLmSqzqBtBWoq/kfOA1tmXBmsAHkcF4PXfWYFT1rn2SGWBGZGe0kRcQHhv0NCA==
X-Received: by 10.28.130.131 with SMTP id e125mr12331774wmd.125.1507629252112; 
 Tue, 10 Oct 2017 02:54:12 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id m48sm1783572wrf.51.2017.10.10.02.54.10
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 10 Oct 2017 02:54:11 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <87zi90jvc9.fsf@HIDDEN>
 <59DC8141.60601@HIDDEN> <87mv4zo0i5.fsf@HIDDEN>
 <59DC8FE4.1000409@HIDDEN> <83a80zqrgi.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 10 Oct 2017 11:54:10 +0200
In-Reply-To: <83a80zqrgi.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 10 Oct
 2017 12:31:41 +0300")
Message-ID: <87a80znxa5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, larsi@HIDDEN, ola.nilsson@HIDDEN,
 28605 <at> debbugs.gnu.org, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Tue, 10 Oct 2017 11:16:20 +0200
>> From: martin rudalics <rudalics@HIDDEN>
>> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
>> 	28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
>> 
>>  > Is that combination possible? I thought
>>  >
>>  > 'configure --with-x-toolkit=lucid'
>>  >
>>  > disabled GTK usage completely.
>> 
>> I could have sworn that there was an option to make a GTK build with
>> xaw3d scroll bars.
>
> What does --without-toolkit-scroll-bars do?

That gives me a GTK build with non-gtk scroll bars. I guess we need to
change this text in configure:

  --without-toolkit-scroll-bars
                          don't use Motif or Xaw3d scroll bars

because that result is non-obvious to me.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 09:46:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 05:46:33 2017
Received: from localhost ([127.0.0.1]:59246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1r7Q-0002UK-Qa
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:46:32 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:54462)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1r7O-0002U8-RL
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:46:31 -0400
Received: by mail-wm0-f43.google.com with SMTP id i124so3493278wmf.3
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 02:46:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=EsU3BEOePvSvcNyPaVUPnyrOTADutlkU2jL2pIhwJBQ=;
 b=F3PIpo+LVY/ZN8PXQ75luQAlJnLSYeD5UqZ9JRSD1MR0O9RWtpqvpUewkn71tRenn4
 kScy4avPWfPc9+SqED9AkUSUqgW8tdwcsclVWWIZ+PF+2sXlagGMgRyjW/OpdBNxd8x8
 Lk3s852F26or/XS+Z71odjbD6MfNSaO2yAQXObWHRd+zBfrRQ5HAhaV3zwPxDg0MVVcU
 vSeL6YcYFNJlshEQ6JyGVPOMG7WBYgHuD1gl39bOrO6LFvgRn+P6LAvpe3J79B071bsV
 RmjNSZOS68T/Vib2Om938vn7HfPW1dLpfw64q2ky/+4r4kduJuK8wwfN4EQQbcvs83DB
 oq2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=EsU3BEOePvSvcNyPaVUPnyrOTADutlkU2jL2pIhwJBQ=;
 b=ORqJ6n33pAyWnhHN6YKFwI+TMu9V43hKExuII8/hOIeh5dclvGRqGdQ5X618tjpWR6
 fKbrq0h5Lg3afxOJl1eqLxf9s4n9jSQTgdlwpKQlYmZ+EweVcOI3Js6SfTj9BQTcSRau
 4lM7Hlb3lbE2KRj7HLPNUYWxy1itJBBdbeWNY3lLmUko/d+ss3fPnKP6JHummCbZjCyk
 i1sD0eglrcApahKDSwqY2ueO+sBt5BdiiPilM6cDFtABMnThnyQva5kmtUQYyqxBt9I8
 G7XqrOvnv0uiexGLAXlpLe+AYSSqfkOXTr/+WhWJc4oZ8qlmOB4t8vsPaT9Q+HAIxIGf
 GKZQ==
X-Gm-Message-State: AMCzsaVeNrs3xe3jwWgox0EOucP/V2ohQDpSji9olYMtwyxeXbMfFV7r
 ENO7HU20cx1Ma+YMcfp6Em4=
X-Google-Smtp-Source: AOwi7QBJfmrAQ+nXiYJFgi2wCl3JTbjbwlFz3t/NZ4mkwG63sxGMwmmUORk7Lb/tEfYh3wmhuNtBnA==
X-Received: by 10.223.144.227 with SMTP id i90mr10346189wri.190.1507628785077; 
 Tue, 10 Oct 2017 02:46:25 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id x73sm11777244wme.34.2017.10.10.02.46.24
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 10 Oct 2017 02:46:24 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <m3a810mmk0.fsf@HIDDEN>
 <59DC8179.5060105@HIDDEN> <87r2ubo0qz.fsf@HIDDEN>
 <59DC8FCF.6070501@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 10 Oct 2017 11:46:21 +0200
In-Reply-To: <59DC8FCF.6070501@HIDDEN> (martin rudalics's message of "Tue, 10
 Oct 2017 11:15:59 +0200")
Message-ID: <87efqbnxn6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Having just reproduced it here, it's the switch from python to html
>> that does it. If you do 'emacs -Q second.html' the SGML menu is
>> created correctly. I get lots of
>>
>> (emacs:12642): Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
>>
>> as well, which may be related.
>
> Damn.  That's the usual menu bar bug from etc/PROBLEMS.
>
>
> Maybe it now no more auto-widens the frame?

It autowidens for me when it adds the SGML menu.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 09:32:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 05:32:22 2017
Received: from localhost ([127.0.0.1]:59231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1qte-00027s-S3
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:32:22 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1e1qta-00027d-Oh
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:32:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1e1qtR-0000ox-G4
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:32:09 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:49652)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1e1qtK-0000lK-Ez; Tue, 10 Oct 2017 05:31:58 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2029
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1e1qtJ-00058N-Lb; Tue, 10 Oct 2017 05:31:58 -0400
Date: Tue, 10 Oct 2017 12:31:41 +0300
Message-Id: <83a80zqrgi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <59DC8FE4.1000409@HIDDEN> (message from martin rudalics on Tue,
 10 Oct 2017 11:16:20 +0200)
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <87zi90jvc9.fsf@HIDDEN>	<59DC8141.60601@HIDDEN>
 <87mv4zo0i5.fsf@HIDDEN> <59DC8FE4.1000409@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 28605
Cc: ola.nilsson@HIDDEN, rpluim@HIDDEN, larsi@HIDDEN,
 28605 <at> debbugs.gnu.org, kaushal.modi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Tue, 10 Oct 2017 11:16:20 +0200
> From: martin rudalics <rudalics@HIDDEN>
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
> 	28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
> 
>  > Is that combination possible? I thought
>  >
>  > 'configure --with-x-toolkit=lucid'
>  >
>  > disabled GTK usage completely.
> 
> I could have sworn that there was an option to make a GTK build with
> xaw3d scroll bars.

What does --without-toolkit-scroll-bars do?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 09:16:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 05:16:37 2017
Received: from localhost ([127.0.0.1]:59219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1qeS-0001it-FW
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:16:37 -0400
Received: from mout.gmx.net ([212.227.15.18]:57227)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1qeQ-0001ia-Lh
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:16:35 -0400
Received: from [192.168.1.100] ([46.125.249.32]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MNqfr-1dw4xT12XT-007VjG; Tue, 10
 Oct 2017 11:16:28 +0200
Message-ID: <59DC8FE4.1000409@HIDDEN>
Date: Tue, 10 Oct 2017 11:16:20 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <87zi90jvc9.fsf@HIDDEN>	<59DC8141.60601@HIDDEN> <87mv4zo0i5.fsf@HIDDEN>
In-Reply-To: <87mv4zo0i5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ramDM+mxh0ww7D/d1UMZbR7u1EjyfHhpJ6Eu10sEza3lsTOYrLq
 bOZuQF0m80QaxpjoLoRtJZ1McJVxpdYEoqEHmIBRaBPQvTZtjLm/rgR0wdIeVMjraPxDFKy
 +I5GmvGBHi9i8rGSMU4flprdEnhZhlaBMvcnc7S7YdRrBON++5EcZGrY74klosqoNoJdpZM
 19LlzqwtbAfETyNxf0H6A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:gytZ2jwE4y4=:yIe/tLlPVHHJr26QVI5rcv
 88lBrYT6WiFvd4JcseE2xotfKZbzqCXgF7jBEzin25a0iD05KH4eCBRyvpJPXslre+tXSeBB0
 xuiH9jQRIAztgO0Kn/zwPyJT55C6U1KcVbG2olm8Yq5gAbwcsXKvMC7xlEdTZFRrMENpZlCTd
 IQ2KE3On7dcJpqjFznVyV/Y2ahMJTyFR9D5BHydiEsIywtzu/vgS2nwseA/VgDjRCUQJ86mdh
 6ZbMV68pt9Cv+Kf7Gs4UwFDSH03y6tTZBbeJ6aY484ITLtjk2YFm0J4dmmAdmVULkMxbjgGSU
 IcO8VtqTuUm9khGJyWPzZMg7Aqu2/s3qbl64Y8dEGki/aG+BbJvBN91bbZguWuzxs+WLwbn1A
 KftHF9fH2XhmNOv1CXrPQFT2gGENUMdeIOYbLwp1387sEgOnOnVJeAET1I2H3GCDb83BcVg0N
 aJt/4s4YTi5gWeqBbKed0ZT3X05LxXaBtr4uIX4czybb/3lAU3Wn605xD2yzApxnuuWVvp8ac
 Ab6NnwO94yknCtP8RDQRhQE/0BeLAymA3MndTWFOEpdgvyJOBCkY29pSrOgG+KfqCf/kp9zFc
 wu/e7M4jBvi0BCp3T2ErtNFKguvDZ42NP5vPdwXNvwjy2xH0W5NZNIwWbEQZBpZk0ScL38Xqs
 9g7LeTeVhXLCZyQMX7ZTXcceTalueiD1+pTVSLoTkm0r5k2Xn8u71KOfSxUmjoisVxeo9/D9B
 TruYZtgWQ2E9rHP+CM19JomtoBzhNJ+9YqUn3RETJtvUheXu03/lEPNZHp7QXcTLiczXKAZwj
 z5WTM1X3W8Sp2aJs9oUknPJsDSEudsLv73bvvDDNqRwS3eV8NE=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Is that combination possible? I thought
 >
 > 'configure --with-x-toolkit=lucid'
 >
 > disabled GTK usage completely.

I could have sworn that there was an option to make a GTK build with
xaw3d scroll bars.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 09:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 05:16:17 2017
Received: from localhost ([127.0.0.1]:59216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1qe9-0001iH-6R
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:16:17 -0400
Received: from mout.gmx.net ([212.227.15.15]:52744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1qe6-0001hz-V0
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 05:16:16 -0400
Received: from [192.168.1.100] ([46.125.249.32]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MHX0m-1dyXG01740-003IjA; Tue, 10
 Oct 2017 11:16:08 +0200
Message-ID: <59DC8FCF.6070501@HIDDEN>
Date: Tue, 10 Oct 2017 11:15:59 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <m3a810mmk0.fsf@HIDDEN>	<59DC8179.5060105@HIDDEN>
 <87r2ubo0qz.fsf@HIDDEN>
In-Reply-To: <87r2ubo0qz.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:1UJkFP8eNaEjjHx9fUlOXMPTzvxCPnv1hmruZj156r/2OlJfXak
 ckkl+1ykxwozYgKXbgdSsRl/GUQ7Yn2y+pc5MxXaa/UHNP1FKn+HCs1TC7wv2CVmMnDmVow
 0ADIp9l6BHI3AtYbEhewhqfQJ4+NxS4w8UExlJ8Lf2SEJ8fERhVZSoIZKDk8swuiU0s74zB
 d2UwOJWe1nY2WzCDNqUtQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:+qdsDkn478s=:vvX/RAdTOOiROHwirEHF3P
 Rysr+aXogoPDpAbNBxRjTaoJkT1eSgFax2QDBT5O03vn5mNRjfHrh2Kgjd0BAB4evwe+F8SXH
 0QIqa2tF24QjLxUxo+5+b+cbWD7hqovMf6IhhBL1X3vqcbVc1BvEeQM/1FFaShOQIxvWXZFRC
 wKswieq3SZHGX5AVm85HpNULEMZ2Kawq1Q8awlHTiKmTboITOItsnGoh6fDsK1KUbmIfsz05J
 iFb5hOXbizUhkCvpYfcGMypilyaQCP3+DIk82O9gYVZYORfkLBisPPPKeJHc0T+pEwDbw3PW4
 wnR+LnmuVA+W24jQzrKar2cKCdQXIWBvkUAy8lixdnnPdwLJQzgJykqn5ihPYAnTKKHYL1v71
 1rGdD436XdnWp4tFnzbXhnlBGfw124uxFO5p3R9rG6IQblsSTi6DuuO2r0Vu/OxReP6lDRPyZ
 iO94q0sYR6JigXFoCJf7MC4VuFmbN5URuvS9MZjE+maPRqwdn3y+oL8xVd1eEdysHJ0tli3dR
 sMHXW/Pj1nR+18aDJwQN0J0GTNHhLOzSlli1Mzqk4fl0v0n3I6yVTq2qATVSfdytcx4u5Jb81
 lzQJcZQTMY8x7ysuVDtmszaQLXwpwTY75M0wKArhW84WCR5WWwogneApFuZ/R7OmfazulTAi4
 cqxuaxhXL6lxNxiUMiyjeOAdIhkDIlCy5iFnaBjoDByAha+xlgGpBDeH5KBsxArh3s4jGjnNg
 3rDK2oo70IlVoozvIz2fvFon/5d6RM5Pfx9OJxK53be5q7VG9niDskvJbtMCI+vnFywYHGsO0
 X//LovQ1d6WyQJJNVWNYHbkIlwj8UoCk7Hrl4Vetsjwl3z+BmY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Having just reproduced it here, it's the switch from python to html
 > that does it. If you do 'emacs -Q second.html' the SGML menu is
 > created correctly. I get lots of
 >
 > (emacs:12642): Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
 >
 > as well, which may be related.

Damn.  That's the usual menu bar bug from etc/PROBLEMS.


*** Emacs built with GTK+ toolkit can unexpectedly widen frames

This resizing takes place when a frame is not wide enough to accommodate
its entire menu bar.  Typically, it occurs when switching buffers or
changing a buffer's major mode and the new mode adds entries to the menu
bar.  The frame is then widened by the window manager so that the menu
bar is fully shown.  Subsequently switching to another buffer or
changing the buffer's mode will not shrink the frame back to its
previous width.  The height of the frame remains unaltered.  Apparently,
the failure is also dependent on the chosen font.

The resizing is usually accompanied by console output like

Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

It's not clear whether the GTK version used has any impact on the
occurrence of the failure.  So far, the failure has been observed with
GTK+ versions 3.4.2, 3.14.5 and 3.18.7.  However, another 3.4.2 build
does not exhibit the bug.

Some window managers (Xfce) apparently work around this failure by
cropping the menu bar.  With other windows managers, it's possible to
shrink the frame manually after the problem occurs, e.g. by dragging the
frame's border with the mouse.  However, some window managers have been
reported to refuse such attempts and snap back to the width needed to
show the full menu bar (wmii) or at least cause the screen to flicker
during such resizing attempts (i3, IceWM).

See also https://debbugs.gnu.org/cgi/bugreport.cgi?bug=15700,
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22000,
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22898 and
https://lists.gnu.org/archive/html/emacs-devel/2016-07/msg00154.html.


Maybe it now no more auto-widens the frame?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 08:54:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 04:54:26 2017
Received: from localhost ([127.0.0.1]:59196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1qJ0-00019K-Jj
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:54:26 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:60153)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1e1qIx-00019B-OZ
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:54:25 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1e1qIf-0004Y2-5H; Tue, 10 Oct 2017 10:54:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <m3a810mmk0.fsf@HIDDEN>
 <59DC8179.5060105@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEX/cXNCDhIWBQT+aG7/
 bnO2ODv+a3H/Zm4fCAj+bHOigzC4AAACWklEQVQ4jWXRzYujMBQA8AcVhzl2oODZk8dCBnsNNLjk
 2IPsVYg88TaD04YeFRY8Chss77/dl9hOZfYVMeaX9xEKKceQpSGGYVze/EC6jvFx5AcMaTYs539m
 3ItmP2Ac0u9KK8jScVydesIw9OOwAr/utz6S5bXdvgXw6X/KXVmWJ/6FxROy8RnDvVMA/u5XtkDC
 TcZ7k+SexAOmsOXhl30unzyqeUjS7D7NtuTnUQ5OSfYNIR7w6WH3Hw1w3nKL8rSGxI8I9jT24Xpr
 6Fewlr5PGM7Jdme9lLuH8fgLlPYcpHxCAtaedr/tQ54F4XYNYG35DP8Js/0sAyxxJSI1aUdc6nzf
 I+ckRE47NUVKM1xd3FxbPqhokko5p6QmDzVEmved9sBnnZw03Ri+QOvG1yaSUiutNQPBzbYQ0e06
 E9VOKt9DT6Ba3wNeiyafUZPjHd9jApoZLiA1Etazn4qBdCXpAJ29VBEecjTKKQWah+M6AbopLoQw
 pnaV8vcgvsR8ANt0dYxCILY8lIyIZjpGDB3DJhZ1i4VDgFdyxdEACvjCC8YbxNwgOYBIFQU2YEMG
 bITYI2JVSYhpVu2vyDCYfM+QV3OrOEET5tjMHTc33d54KGYtARTd2gLrI8PVXozI85rHZ2jJ5Ecj
 GUT+waVyrFWtK65F3AzhrwDR7X0PPsf3BoixQIFw9NAxdJyDlQdqa9NAYUAcrNiIA7cPEGk1xw1f
 AISwgqcS7wgB1CQ3LyAZcpNzmngvQPrm7YzmZS+5FNfn5ty+WjJiXn7IDfg9XnOLGEIg/wMfhfkH
 W/g88ZyzRZsAAAAASUVORK5CYII=
Date: Tue, 10 Oct 2017 10:54:04 +0200
In-Reply-To: <59DC8179.5060105@HIDDEN> (martin rudalics's message of "Tue, 10
 Oct 2017 10:14:49 +0200")
Message-ID: <m3h8v7jscz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> It was both assumption and testing.  That is, I didn't see the problem
>> afterwards (all menus appeared in the right place for me), but that
>> turned out to be due to me not following the bug recipe precisely.
>> After doing that, I was able to observe the problem (i.e., some of the
>> menus went missing).
>
> Do you recall the special ingredient in the recipe that allowed you to
> observe the problem?  Was it the use of gnome-tweak-tool or the switch
> from a python to a html file?

I don't normally use menus, so I didn't investigate much.  But I
think...  uhm...  No, I don't think whether the menus appeared or not
had anything to do with gnome-tweak-tool.  It had to do with changing
modes and buffers in Emacs.  Sometimes the correct menus would appear in
the right place, and sometimes when changing buffers the menus wouldn't
appear at all, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 08:44:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 04:44:44 2017
Received: from localhost ([127.0.0.1]:59176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1q9b-0007U2-Tw
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:44:44 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:53042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1q9a-0007Tm-Dx
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:44:42 -0400
Received: by mail-wm0-f43.google.com with SMTP id k4so3005566wmc.1
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 01:44:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=leGgsW3kl3FYDrGZ5GLj1RYiY0PNLBDMzceNfzg1/fM=;
 b=TqcFyF5Car49iG4vutEWp24eVQ8nNzTtsFtNWwJVPeCVycsXAxhVhI0cyH1K7818YS
 AA3NLwOHMWuZKA0Ea/vEbC/JMqg26tDVYbQbQ//HajJxsmLwIBLhVSQJNfOONZ+l/ZlE
 6FaiPZcwct8wohiYbRZikzp0bhKhlpzeDobFwIVWTmqMhdzhWXmgF0biAm7gpcb46q58
 d6vqxOyNZ39hALfmpygDIGtMmcAGU6tGMShHKWY6zKtqA15YO4pSyybeqPKtcz+IBENd
 uMBLpib/h/TEG5i6z/afRkPKxhzeOOUFiUSa2XP76D9sTtoblDopQCGdjw43Al43+jsW
 8Vgw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=leGgsW3kl3FYDrGZ5GLj1RYiY0PNLBDMzceNfzg1/fM=;
 b=OcRcotGmgWgp89ABnVk2CcWytGnVoHD8xElZt/GSjZJ+fG3KU/wvdBO59Fdj9rSA+h
 lWjGgmUstDCZ8IbVDBaccCBr4enD63BLQ1yUXTADgGmGJ1McUzToMM/AJbBe8eKTZxYk
 OLM+1JxrgXsS+tqdFmFHUptlvKq8iiCFhCCIyi37JDcVUJG73IxkJMYqlk4t2Ag1LKa5
 lRUa1ymSEvnqoLheW+A1sGkQk8e/ptggi3qHwikoWPIhWbQQjvkDufSjMpe79Y8CFDtr
 GzQYJAs83ls0Q/BqpzyFs8Og9TjtafVArG+TmK/FRSssWAEaYfXtb6eWaNEX6WjjDrbO
 nHMg==
X-Gm-Message-State: AMCzsaW1thoa9cTVNQO5AVgBUbqvgU6Avv1Jd2exYBede50tyMzGlqqg
 R+VtKJMwE+WY7+pSBzV1+/Y=
X-Google-Smtp-Source: AOwi7QCMKrjFXRYoSzEUO9GdRarv6OkVGGlNIrGBTwRcSFMLoC43XPnFeetcDAy2jBC3eC7s9Td/vg==
X-Received: by 10.28.147.209 with SMTP id v200mr9471525wmd.123.1507625076620; 
 Tue, 10 Oct 2017 01:44:36 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id d18sm4251853wra.50.2017.10.10.01.44.35
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 10 Oct 2017 01:44:35 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <87zi90jvc9.fsf@HIDDEN>
 <59DC8141.60601@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 10 Oct 2017 10:44:34 +0200
In-Reply-To: <59DC8141.60601@HIDDEN> (martin rudalics's message of "Tue, 10
 Oct 2017 10:13:53 +0200")
Message-ID: <87mv4zo0i5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> ... I see scroll bar issues, but the menus are in the right place
>> (although I normally have the menu-bar turned off ;-) )
>>
>> It may be because I'm running under KDE. I'll see if I can get a pure
>> GNOME enviroment, that may behave differently.
>
> It might be also related to the GTK versions used.  Many people who
> reported problems with menu positions are using GTK 3.22 and higher.
>
> And one issue we should also look into is whether scroll bars show up
> correctly for GTK builds with Lucid/Motif scroll bars and scaling on.

Is that combination possible? I thought

'configure --with-x-toolkit=lucid'

disabled GTK usage completely.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 08:39:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 04:39:26 2017
Received: from localhost ([127.0.0.1]:59172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1q4U-0007M7-8n
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:39:26 -0400
Received: from mail-wm0-f51.google.com ([74.125.82.51]:46544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1q4T-0007Lt-CK
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:39:25 -0400
Received: by mail-wm0-f51.google.com with SMTP id m72so2862316wmc.1
 for <28605 <at> debbugs.gnu.org>; Tue, 10 Oct 2017 01:39:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=N2HqHFBYeTYPC0wVXCbRWU5kE8GLhBxYliZCtQF5eo8=;
 b=PLZ5YksHEsIZ0pULhk868ESBmo5rlpWZc5/4/ZGld9OAJ2y6r9lzLS96xxHSlQ9H9/
 gMx0lEG+0KHEcEauiR+X1LRC9C/HKNBmDly95HTydsLgOZ6PTSetNGsDN8bkwH72iinW
 d9YkpTELNhA1TACwiIj6PfRVOUQeNjySF9JSzurTgCJcR+Be7UrGkUZrGgCJdga+xJ2w
 rJMgwfqNyCfnBElGioW+p2xjor8jSAVlw9esMxQItFkZverPqz705yQqy/zQc6NWHfdV
 V8tt32JbVshhqbQlBxPpGRrBGQ1HlzqNWr7azPrr+5YQkkKMz0BuAFEnbR7lsirZaJMe
 4DZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=N2HqHFBYeTYPC0wVXCbRWU5kE8GLhBxYliZCtQF5eo8=;
 b=XXxOi9A5zlvGVvYmoqlhpbideyj53U/t6AGXdJr6Gqm67vfVyx1tAbY/7+yoGKYQ9s
 3XAP2ID5CzBLSiEnOiGQToENXQeiKtNNWtmrwl+pYTeKerWW1N4HABBqcPSCntZsjNur
 0YSFddebBKXkE+qCVWSjyVKGZuc6TEQ+op2LEXlJtgH2Rxz1se6k6/LVGuYk49vDANJ4
 mcKac4u8oqcgnC0O0Dy9Ueoo5ho73Iwsu0FAEXewPkn4i8jYggBGdMZzNJFxk+wurJJ6
 PKUi3UzN7aOHXWtP3AKIluwZzzCuQHuLv1edIAN9zH5K31TRJ0/kfX6fnUV/Y4nmQhpU
 ppsA==
X-Gm-Message-State: AMCzsaUdGu17BtI2VQbgokjXg7L5P3HFxkPLsNk5bG2+tOoJJd9azY76
 qg4m3+ArmOaLkdgDRr0nwl0=
X-Google-Smtp-Source: AOwi7QCK6mMNrsuMnsnsh2v6111daYyXSMYYIcHO0o1NpLDd89sroF8A+wl7J2dGqEUT9QH9rGnM2A==
X-Received: by 10.223.141.139 with SMTP id o11mr11107908wrb.20.1507624759347; 
 Tue, 10 Oct 2017 01:39:19 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 9sm8573937wml.24.2017.10.10.01.39.18
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 10 Oct 2017 01:39:18 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN> <m3a810mmk0.fsf@HIDDEN>
 <59DC8179.5060105@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 10 Oct 2017 10:39:16 +0200
In-Reply-To: <59DC8179.5060105@HIDDEN> (martin rudalics's message of "Tue, 10
 Oct 2017 10:14:49 +0200")
Message-ID: <87r2ubo0qz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> It was both assumption and testing.  That is, I didn't see the problem
>> afterwards (all menus appeared in the right place for me), but that
>> turned out to be due to me not following the bug recipe precisely.
>> After doing that, I was able to observe the problem (i.e., some of the
>> menus went missing).
>
> Do you recall the special ingredient in the recipe that allowed you to
> observe the problem?  Was it the use of gnome-tweak-tool or the switch
> from a python to a html file?

Having just reproduced it here, it's the switch from python to html
that does it. If you do 'emacs -Q second.html' the SGML menu is
created correctly. I get lots of

(emacs:12642): Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed

as well, which may be related.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 08:15:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 04:15:07 2017
Received: from localhost ([127.0.0.1]:59124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1pgw-0006g5-S0
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:15:06 -0400
Received: from mout.gmx.net ([212.227.15.19]:49255)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1pgu-0006f3-GX
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:15:05 -0400
Received: from [192.168.1.100] ([46.125.249.67]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LqRKT-1dOO8p0CUT-00e2jt; Tue, 10
 Oct 2017 10:14:58 +0200
Message-ID: <59DC8179.5060105@HIDDEN>
Date: Tue, 10 Oct 2017 10:14:49 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN> <m3a810mmk0.fsf@HIDDEN>
In-Reply-To: <m3a810mmk0.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:LrX/ZpZEOW2B1s/gGGdKQPrdYjp+r6YwTEcc5QyPv2+uM8GQL3a
 jzQZO1JA88MFQ0YsS+r/tIzMoz7UlRc55Aod2cFrAn8AJj5+/wVOIFs00EQ2MwF4O1qpqQv
 T828XX0kcZjfEkZEMVZBFJFwspOgbX1sn83yxGEWcC6n0PAtvnMoXayCTHMnQfRDQgfL252
 195e4wmZ7r0VUMtMZlQtg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:zdQgL+u5VG4=:1FNiluauUTHaFJsweACJyZ
 Tcqu5aoxvbO+55eC5T940q3fjfRcpNSHITkY52s3AkmxL/rxuG9OU26mhMo6BZeuIGJNb/a+7
 guy0Wh5N73f7+wc5WnqKL0hC5RUDtv/EHRq7BDRxgGWVNTlngUV9mO+CtM4L8EJFB7wXBho1H
 PLa3JeB968Qbjg7WHzA9z4KmjJZHrCz+LZG5dDO8Zh/gaJz0CkSSmGtVHLgZ/Za/4KH6mDpcU
 +u7od/nZVSb78/IYXkQYlwUEXecexJ+U8XeGopvLuAwMxJ1D0i19y9QOU8y5q3JjPC6DvakIC
 1OcLpxYU1iCBiaj8IMGvCN298SBm67nAV3lstyJ25Xya4HhGHAiLga74+wzecJHznwvv/OV2b
 5aQbRf7jNlDLb82Wpai/9D5+QAq1jHeWXRAjUyfh+TnN+XJxSbPUHL5SsKaeTb8poJFgi9EP1
 m1oHcqTMSn62b1lfSPCPK/h07QcbmpVt8Hl8Bo7iGjggcpEjzeFC5VoRhhW9cqkByjvXSFm6V
 RpO41tNP1B4ChhVacuvR0pCc741itUcCQNawvXPyVVITekCLqdlZUJqxpPA4A+gPtQlz8zb95
 zIxbma7hcyKC0gQ1Oijq+TeOyqWLpWGX8lf+SsOM3b6e2L1G3WAHGwygEyAkBCmaviC1urhHQ
 2vBN4idTj/bbqmOL3DYf9IGbhf74REkmQwUmwMiiwraDdeU5fgZKwt2Wc0bQWj5Zy4HLhOtOz
 d1v5lomETeN6IBN/dSe3Ao3feiAtifNlFjzokGydzBdWWe+keb1HFyobl0YKMQaKzWAN2dGCP
 rz60X6OcwnCtr+7uVxmLRhfr8BpC4rY3CKxnNm6YHZyRY/1yI4UVA9aQMmdW+pKpGjsIAfe
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > It was both assumption and testing. That is, I didn't see
 the problem > afterwards (all menus appeared in the right place for me),
 but that > turned out to be due to me not following the bug recipe precisely.
 > After doing that, I was able to observe the problem (i.e., some of the
 > menus went missing). [...] 
 Content analysis details:   (2.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.125.249.67 listed in dnsbl.sorbs.net]
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [212.227.15.19 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.125.249.67 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -2.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [212.227.15.19 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.1 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > It was both assumption and testing. That is, I didn't see
    the problem > afterwards (all menus appeared in the right place for me),
   but that > turned out to be due to me not following the bug recipe precisely.
    > After doing that, I was able to observe the problem (i.e., some of the
   > menus went missing). [...] 
 
 Content analysis details:   (2.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [46.125.249.67 listed in dnsbl.sorbs.net]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [212.227.15.19 listed in dnsbl.sorbs.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.125.249.67 listed in zen.spamhaus.org]
 -2.8 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [212.227.15.19 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.19 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)

 > It was both assumption and testing.  That is, I didn't see the problem
 > afterwards (all menus appeared in the right place for me), but that
 > turned out to be due to me not following the bug recipe precisely.
 > After doing that, I was able to observe the problem (i.e., some of the
 > menus went missing).

Do you recall the special ingredient in the recipe that allowed you to
observe the problem?  Was it the use of gnome-tweak-tool or the switch
from a python to a html file?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 10 Oct 2017 08:14:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 10 04:14:10 2017
Received: from localhost ([127.0.0.1]:59113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1pg2-0006de-8h
	for submit <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:14:10 -0400
Received: from mout.gmx.net ([212.227.15.18]:50406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1pg0-0006dS-Ry
 for 28605 <at> debbugs.gnu.org; Tue, 10 Oct 2017 04:14:09 -0400
Received: from [192.168.1.100] ([46.125.249.67]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MRoRF-1drDcG3Vvt-00T0AV; Tue, 10
 Oct 2017 10:14:01 +0200
Message-ID: <59DC8141.60601@HIDDEN>
Date: Tue, 10 Oct 2017 10:13:53 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>	<59DB6A13.5030801@HIDDEN>
 <87zi90jvc9.fsf@HIDDEN>
In-Reply-To: <87zi90jvc9.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:GTRvga8JeohUEaqj+TKLRBpJmUgfifC554YRCEnEDEOel3LwGkZ
 Us5If7OUkXhRQgsCSySecXX3aCh7wPQ1nLZBFj4MDXSgoxoV9q/CdjWLBIVk3P5BqjYoUcy
 SdsM2zH7SH/IsQYeIFLlhGrD4mnrKWPEG65P0eLF9EhqTZM+eUkq7V7eo8tBIdfsjrabDkG
 NS1DDQNMtQsicTf7lsVVw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:YCSkslUEqJ0=:kr3CLhox/yKcOh8zyrNcuY
 eZ6NBg4X6r4Yp1kEzZecOaBtg0Ti5XMGpX37yptxC7M3WKK5BBuO4tGK4jWbQWE629Mq6pPJ1
 5vyHxAT0/jOJB/mFLwhuDytY93KAg/wtHbkCL3z6ySpBSW9NdbG+OHc5JqX23Hm2TSqCpFVIw
 fLErEkZiXlXrz84s4YmFhRPrygo3JTKAJDiY1cMALcPrJXgrVYX3vFQha4QhBPnZ8vlsPv+zi
 NHTgQrMDIxnjRh4SIiKohihQutR8wq0dSrlz7ETDQ0GcdSQuYMlmw+aV/33egtL5wiV1Dxoqg
 hSpc0nD6tEdQE5HPEG3ucuzG3HUdju3nbmuzIVEjFzeHo0ocWNn2hpmwlqpyHD+rvAMbMo2lx
 ZfAMa9b+XQMVze3QYqF2+giCLeKuUyY7Jepu1VLjXIuBEUiDqapqJWRJatdsumPoymT7d92Sd
 FF+OclR2yJtyV3DlxyYi+p59kqEKeEkNFFo2gzPdD5JiLZ6CeeVYW02raDAunmK48uGEw57bV
 4Exl6xDOeJRdoQxwOVW2r6HjiTnaian7LfTtsHVq1H6oxtBu89Wx/gG7A3kN44Sqy+2fEzy6b
 /K9NAHxvvAJOM6u5Pis7fnVUf81Yi7C6qH7HB+EzmsJcfEjrw+WwPmbDT4fAoao/BgBXQCUH1
 ajSuaqKclGv2vsb7YVUjxOmtGtVq2Dbf9XG+ZhgRi/8r0CAjt1kxhFfDq/dhTayWmHo3T5MHV
 EyXubdtluAx9YXLCxrjEqPNFbK9BuVp59dPxndQ5vr5SS3yrEv4fCXKu2oZ9tLrJtNZtYyR7S
 7PR2txqCNaPcqARM3KSfk8BT+O981jLLkL/2TBHeGBI+ZfOIV/H4oZ6oGvzcdJLHWpAxb17
X-Spam-Score: 4.4 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > ... I see scroll bar issues, but the menus are in the right
 place > (although I normally have the menu-bar turned off ;-) ) > > It may
 be because I'm running under KDE. I'll see if I can get a pure > GNOME
 enviroment, that may behave differently. [...] 
 Content analysis details:   (4.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [46.125.249.67 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.125.249.67 listed in zen.spamhaus.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (rudalics[at]gmx.at)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [212.227.15.18 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.4 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > ... I see scroll bar issues, but the menus are in the right
    place > (although I normally have the menu-bar turned off ;-) ) > > It may
    be because I'm running under KDE. I'll see if I can get a pure > GNOME enviroment,
    that may behave differently. [...] 
 
 Content analysis details:   (4.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [46.125.249.67 listed in dnsbl.sorbs.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [212.227.15.18 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (rudalics[at]gmx.at)
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.125.249.67 listed in zen.spamhaus.org]

 > ... I see scroll bar issues, but the menus are in the right place
 > (although I normally have the menu-bar turned off ;-) )
 >
 > It may be because I'm running under KDE. I'll see if I can get a pure
 > GNOME enviroment, that may behave differently.

It might be also related to the GTK versions used.  Many people who
reported problems with menu positions are using GTK 3.22 and higher.

And one issue we should also look into is whether scroll bars show up
correctly for GTK builds with Lucid/Motif scroll bars and scaling on.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 14:19:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 10:19:05 2017
Received: from localhost ([127.0.0.1]:58419 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1Ytd-0004Fy-0v
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 10:19:05 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:59730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1e1Ytb-0004Fl-9V
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 10:19:03 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1e1YtT-0003Kx-Rm; Mon, 09 Oct 2017 16:18:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEUaFg8RDAYOCgQMCALR
 yb8IAwBNRz0KBgFBler8AAACcUlEQVQ4jU1TTWvcMBAdh1R7tUTxXtdSIddEotF1D8L3tji+OtRo
 ryXC1d/vm5G3ZMAGzZvveUOj1p1msa6U6L23djTaBfJGGz1qY1yotYZSYwkuhECWxRsTwt98WmrN
 58oCD2ed8zmr8/B2W6rqsgCeEBOuQ15/v6kMOZ2XBlgkRchn6NTp8qBuda51Z4AzhYjHDPnRAu31
 g4IUEiury2v+suwMLIVCZPMqwPw8z/u8LPAohEgxltIASG1SaOyRdtWH9ESEd6ctqZwgKx3SntNq
 KK+dpu1A0AnUeUtTRy3KlqgFgTOeMKAjdprEfhO9ViqTIL1+BKKgv3YSclX49xI+NVnZFiYraVF3
 yC/l5Ht5dO/gUYArGxn9GVAtEnW8ZG70DrQkMMdCnQcyGnsUzClIW9mDHXmD2oyWewSAIdnQyADA
 6hEfA1fNkbAiAC9gEeijD0A4A4dCL0wwJBrT2m9XA2ZYC2oV+oAJOGcvqdOPkwBYHQCPqBpEHKaR
 GHCOk4QoHlzu16nPKj1Y7zzn4Kq8ldzvQ7qmd8NttHJHVushdZg8Z2diOoTyxwynHvVmxGrULGTF
 Y0iIhD62qzUBUKwk3fXbJHOflLigxQuBQ6zvetnUCguDZi6ZmcFsafq0DjxIYQlzA9RqC0zT+yBT
 Bs3GVhXQxizbs3nfMdshNbb7+KkPUgcq0ckdNK4v+7wvvyKznY833g8KRzDvOA68cbXekQlPsyA4
 zMgfA1jUlvPtVa05V3w401BKoDDqIaOQb3zLN3yojLNTjcFjzH8kxXcJBll2BsJT3Of/UhepgUpF
 J/UOhHtx8CgVBX7yaMXN/wAGcgKpYAW4uAAAAABJRU5ErkJggg==
Date: Mon, 09 Oct 2017 16:18:55 +0200
In-Reply-To: <59DB6A13.5030801@HIDDEN> (martin rudalics's message of "Mon, 09
 Oct 2017 14:22:43 +0200")
Message-ID: <m3a810mmk0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

> In the thread of Bug#27667 you wrote
>
>   This should be fixed on master now, I think -- at least I'm unable to
>   reproduce it now.  Could you check and reopen if it's still an issue?
>
> Did you write that because you presumed that once Emacs detects scaling
> correctly, it would also draw menus at the correct place?  Or was there
> some additional reasoning involved?

It was both assumption and testing.  That is, I didn't see the problem
afterwards (all menus appeared in the right place for me), but that
turned out to be due to me not following the bug recipe precisely.
After doing that, I was able to observe the problem (i.e., some of the
menus went missing).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 13:37:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 09:37:38 2017
Received: from localhost ([127.0.0.1]:57326 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1YFV-0002po-OJ
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 09:37:37 -0400
Received: from mail-wm0-f50.google.com ([74.125.82.50]:56055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1YFT-0002pZ-J9
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 09:37:36 -0400
Received: by mail-wm0-f50.google.com with SMTP id u138so23631331wmu.4
 for <28605 <at> debbugs.gnu.org>; Mon, 09 Oct 2017 06:37:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=AiV/PKan6Stf669UWmWbqZDEihluqGlYgYSc+w0zUM0=;
 b=IdhaJeZyQ8EFj7GgDp4E4FbozmQxn5bCwxIK6Rpm76Vap8nYtsPy7UUGzbxjOvZnGF
 s9BPsjrOAzTeqjma1NXCduuxl6/QBeU3LdywN2FkQSjEHyV5HUsN5WXLOKVM99o/neis
 Q2KzHqgpS38XoD63CxZRnagfaMBU1ZweGO3W7MUJhtfmyfaCW2kvGZW4wzPRNtW3V+UP
 dd7/Kb5lROd/ZaU+gFCOuIKsLkO+XEiG9oov1NFCkuazXPsxsG9g6S4qiPIoWBvtKF1Z
 NONb2a3tzyg17SERmdMl5p/xgQkQ0EggRHgggNShwdPuz+B2eSAD38XxYaSNG6BKZ8rf
 HVbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=AiV/PKan6Stf669UWmWbqZDEihluqGlYgYSc+w0zUM0=;
 b=eHNG8ec4PhHnCW9UjQSHVX1xOIveBYEYnVgRUPCm1VsVnFHILd0XQ67Bz9NCpOxiM9
 TiD7yNDonRv8YX1wOJsCafvRLW/IunPqVGDOS93eyAmB4Mv38Tln4kHFsPBMQp+Te0Q6
 Q+yBw3m5/Vdlu5927I4RvgT/KzMOIuyltY12s0HaLa5ybIPWr/f19+F6nMbJDTjGFr/0
 CLsRcf6xl5K/jH0Nno4AM9KXUi7+P4TooBADjLUwuSBYsGccz2xdFbFgvc8+P4Lda1ow
 CqhrmdWBTdkqpOvbe4e2W0o72sESI4z51ah2GpwhkSwhjgmhaZsV/swegGBAaO9jpkq6
 adWA==
X-Gm-Message-State: AMCzsaXScZEmwKKD+gjlMCh3z+z0ShUkWKzRSBO+dYz1jaZ2BRAVRDke
 /BOtTDv6bdcGQcf0jLhE/dc=
X-Google-Smtp-Source: AOwi7QAVtGbJKAvbiH2dsxUQLEG9t76u6FCTKqEBEi0jndJyd15BeEhhwq7xZqmFQEPTG2ZOLtN5+g==
X-Received: by 10.223.136.170 with SMTP id f39mr8555694wrf.162.1507556249788; 
 Mon, 09 Oct 2017 06:37:29 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id w126sm9483496wme.25.2017.10.09.06.37.28
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 09 Oct 2017 06:37:29 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN> <m3o9pgohgf.fsf@HIDDEN>
 <59DB6A13.5030801@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Mon, 09 Oct 2017 15:37:26 +0200
In-Reply-To: <59DB6A13.5030801@HIDDEN> (martin rudalics's message of "Mon, 09
 Oct 2017 14:22:43 +0200")
Message-ID: <87zi90jvc9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

> I'm asking because Robert's fix for scroll bars looks so simple that it
> really would be a shame if there existed no similar fix for the menus.
>

It would be nice, but...

> And there's one question that's still not completely answered: Why did
> (and do) some scalers see problems with the scroll bar and/or menu
> positions and others don't?

... I see scroll bar issues, but the menus are in the right place
(although I normally have the menu-bar turned off ;-) )

It may be because I'm running under KDE. I'll see if I can get a pure
GNOME enviroment, that may behave differently.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 12:22:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 08:22:59 2017
Received: from localhost ([127.0.0.1]:57260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1X5H-0000tg-B8
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 08:22:59 -0400
Received: from mout.gmx.net ([212.227.15.19]:64898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1X5F-0000tS-Jx
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 08:22:57 -0400
Received: from [192.168.1.100] ([46.125.250.35]) by mail.gmx.com (mrgmx002
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M92lh-1e8v4x2yx3-00CTlQ; Mon, 09
 Oct 2017 14:22:50 +0200
Message-ID: <59DB6A13.5030801@HIDDEN>
Date: Mon, 09 Oct 2017 14:22:43 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>	<59DB2CA9.7000402@HIDDEN>
 <m3o9pgohgf.fsf@HIDDEN>
In-Reply-To: <m3o9pgohgf.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:MhHo+RNTglpZkkh42TvxhegZ2jZ8ow/o0Nze8861SiW8ew2QyOf
 4FaExqJTMGn7E3bixhQdFXQtI8UUPz8WWLpxF9tNj1HrBDxBLf3QDmHHbSGgUTaOFE5W7Jz
 JsR0xGmfcXhz/9YNH3SWuy3s3XPU2bWrNnvt5V11LGHuO/DDB8oUv0qmikh7+JZ2vDGs2jz
 JQz0WKOZhuUn7V2MElUVg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:8nHMkCvVa0c=:uXEa0LdAj6X8B0HYSW6mdB
 b6fFRQ62ZMZX5toV7qKL1pBOKGy4T5ydZaIv5MortPTxhYynV99p78fy2vLGl19n9DGyax9Vd
 CnUZaItrqTwRFPj8F7B1eCsETrllHOVyuWR56v200r9UX/AZg0sToPaU60WEOdQ8M1iUrZc4q
 jNXk3pW1ovgG5pN82LsShFx6qgvCkp0gbc7B/wryGLwXctapajjxf9Yu+oD0rsWgKfNWwX0la
 Z/TeJd2jCYThJiThqV0bnm6M/Azu8CeJMKOhAYrTkhCPNVkdMC/FaChdKWNNQq4JAa35c41xW
 Fzoj5rBM/HVDeDgxuz06hAmrnur/shUVBCPY6XeAY+St14F89+weqsLeod4T2fwWpSZOBzfPD
 +ryefveuhOyFMe35hHKtGev+evUpc2BlpUrpDjQC+gBO0r/nKSWRbdyq1kk/sumJAm49QTH7/
 nH8hpF94M2uZToWv1MDCIKHgiYASzfdDdZcnkzoNN1eGQwd3dmb7TRWpfVnJVSzVvl+PasyWM
 qkAD6wyIH9Z6YnFWo3s8grifd9yfmLsR81qFxi+If71hovqeYfz95ZeGNaHLcmVFmApQ1uDJK
 cfhlEWCJplGzMmq7kufRV0YXvh5v1fllBXBgNSNwlui2BEBbn6Whac/8kdBGwL/AZ5eB9iR2r
 ZVSsOTvDES7KvYd8jtXL/6e8+MEtiMemL2Vsy18pXNxKHMaBcIf8zxE1Qff0j4ok4HGE1Al8L
 FJnfsh8wSCWTbOvsnnPQhhmPycbYCFjFaZPzn/vxkNftfNHiAiR5jOLP6nApE+0Sp/sf4RIpj
 XHQZspo13fwTUIHnuqFIf8sHdvBDI4myznw+uZ/u+ZDf8ecIZA=
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 >> But we apparently still do not apply scaling everywhere, in particular
 >> when displaying menus (Bug#27667 and Bug#28511).
 >
 > Yes, that's never worked, and wasn't affected by my patch set.

In the thread of Bug#27667 you wrote

   This should be fixed on master now, I think -- at least I'm unable to
   reproduce it now.  Could you check and reopen if it's still an issue?

Did you write that because you presumed that once Emacs detects scaling
correctly, it would also draw menus at the correct place?  Or was there
some additional reasoning involved?

I'm asking because Robert's fix for scroll bars looks so simple that it
really would be a shame if there existed no similar fix for the menus.

And there's one question that's still not completely answered: Why did
(and do) some scalers see problems with the scroll bar and/or menu
positions and others don't?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 12:22:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 08:22:14 2017
Received: from localhost ([127.0.0.1]:57257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1X4Y-0000sa-0m
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 08:22:14 -0400
Received: from mout.gmx.net ([212.227.15.15]:56038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1X4W-0000sM-Oh
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 08:22:13 -0400
Received: from [192.168.1.100] ([46.125.250.35]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0LaFmY-1dZaIV3nri-00m1I6; Mon, 09
 Oct 2017 14:22:06 +0200
Message-ID: <59DB69E7.5070308@HIDDEN>
Date: Mon, 09 Oct 2017 14:21:59 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87d15z6uo1.fsf@HIDDEN>	<59DB2C8C.7040706@HIDDEN>
 <m3shesohh7.fsf@HIDDEN>
In-Reply-To: <m3shesohh7.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:BY498MISp4uJwYp/Md399DiuvOzZb1qotDmQlOzSDuUlfjkAkOS
 11iOpCU+Sz8OzQSAQIf2lHAza55Xk42kFVI5uCK6xFt0zCtfQcLrTMUeyU2QdHxIs8Swm8f
 yHfAVLDpjod9x5rIpXrmylmYFcMVQ2lDEUJTSpdC4xmCsYS8cSW3hmYovH5WI3PiuRCyBLo
 d60FHZzSzL/jtLmoKB5mA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:lkFv0N1yJFU=:IXdpW6TBK7M7Iq847nQoPQ
 d9j+w9nOisgJ/lvbRw3ZWmCfmt80W5H3YikRIPFctC0fhTd2T3ui0jQzsHJkUdyInfD+OfRXa
 5jN4wk3FA1PcvS76+FD85lUgXtiOYwtgIWnZJHSBf4Ggg/lIfBIWX80rU8lo07ORqO1Aeuigr
 Ktw3KbNDghwoRziqlV8lhCEgZiAM4f6diugjy6oHHyIAzU4qstrIkG/kLLnsS1D1wylR0wzBh
 xguDNRzm3JVqUUlO2TucfqPQMVEaEe8CmHW8/4wR0HF105X5eSLAYmkuSMzeMjGUE14ech8FA
 O/Jgk8zpZCmHwbvlSUzLhA1wm3WJ2Jp0kQQw5vKoAQMkDfDW6HyHslV+225HlUOch1xS6Ol0A
 1aGT2T7QO2/AVwpiYzPItxc8zqgIwLdOHUUuCmpVQ3ejiIGNzo2YAlK2wNtbIUJSjrKqCiUfk
 IGCMPZ2cOcLHiDDwA6YXC/gSoXsTSlA7N1DSuao+5RD1aG8ZAJLTiwboGygiNZPjTSXHHncns
 xnOJiEGWwur6cRScbvlTd9NEYB5jHkUNBP7RJzRKMSYL208Pjw7+ftlSyMwO3jpcshaco0lb0
 fyg+lzMDflhMyzn+yCm/nSTRNNGDY/8LWyVi5GrsiuuabD+Ffe56VCeaHZYHdoUyUNEUtbJM0
 9FmfiaELVtKRPiEf92Ikrk3xj1LJKl8EaxCwwV4CqtFr+9wwmMXtLTVbpLMGrRVNjZ9PPipVn
 UyLpaHn5qpsWtC5ecp+ZEvVxIstJSiuAmBdTRjfgtTKxxtUAG+OAurH67s9yw/G8re2KfS39t
 U5jFprG0o9XzPhZDhHW+3ndiwzgHfbAAZKAhzj6eWPre80ghc4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > By "supply", do you mean setting the GDK_SCALE variable?

No.  I meant an Emacs variable people would set like, for example,
=E2=80=98focus-follows-mouse=E2=80=99.

 > I think that
 > the GTK function will pass us the right scaling factor in that case, i=
f
 > I remember correctly.  On modern machines, the user supplies the scali=
ng
 > by using a GTK tool that doesn't set GDK_SCALE, and the GTK function
 > still returns the correct scaling.

OK.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 09:16:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 05:16:35 2017
Received: from localhost ([127.0.0.1]:57135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1UAq-0000oS-6d
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 05:16:35 -0400
Received: from mail-wm0-f41.google.com ([74.125.82.41]:48926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e1UAl-0000oD-HL
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 05:16:31 -0400
Received: by mail-wm0-f41.google.com with SMTP id i124so20476388wmf.3
 for <28605 <at> debbugs.gnu.org>; Mon, 09 Oct 2017 02:16:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=p7+12lEun4PBkiq/Vn8+6KTx8a2G/1a8nk+/PTPfHHk=;
 b=R5qK7eVyCvIzePaIg5yVZlC2CxSyBfSX6eKbE71zraDq7QKEg09CSdn8EKfwDKytaW
 Sy6hkEUuY69zRu//8EKiPjK24juSPz5sMuz5K3mUdCesWTvg7yICiWbpBfwHgK6jhV/m
 Jr67V4RnmHOElt55h+VBsgtwxRKTRXowWYVBl8wfz7+9WOMLvkmnduvNEeAfuvfxpX4m
 pTOyLwiMHmew/y8k6zjqTQwbuoUYSDFkbcEU/MchND6/wjGhE/SRnk1mxN5Q+Eas24WC
 AhfbZobWRrRMenAdbtUmRnm9qU6mfSPfzI3djAlLyuZ09MuMuBkq2+Dduy8kvxpZIJQL
 R28g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=p7+12lEun4PBkiq/Vn8+6KTx8a2G/1a8nk+/PTPfHHk=;
 b=gbQK99fxs4dhHkyY5K+zGqYZKD9v86LJ03iU/8/YJGhBS0w17c3+wO4TfX/sOyuSw5
 7c6QmVbpzeK83sbH2DVcJjuwT1hZZQNpH5PxLt2QV7kVkrds/EZn25WDfMuMQ1w/2IRe
 ukSBoDZVIdk8+H7R2pkG8WRbvdSQJp9vNmggTMetCMG0vU5CjUlbVNnx20wqUSCXLNZK
 Fh6DgPnondfrFs5aiyyLAwflQNF/bW1go3khFQbdr7BCIuNrN22Pndq4M+3ul7FXDeEP
 iqlDgctEAr2UfSLCDYa46tsi1NgowLM3A2NYIFqy3rpOCXeKiBy2hrIvXFl5KOGfwtZl
 S8nA==
X-Gm-Message-State: AMCzsaUl2COYf3J8QMPdG9YVexY3L+13N7Dg3eZifQuRYXEK8P3ksGAA
 7IEyXdMhyMhZWio1UTLz0EI=
X-Google-Smtp-Source: AOwi7QDXuoNl9ezO8dxjRPG9b4dmnG0Hb9Xgtj3PekQTzBomtXEKGrgyUT4KtqK8Y02gwZkiJUHC8w==
X-Received: by 10.80.207.195 with SMTP id i3mr3509983edk.55.1507540581676;
 Mon, 09 Oct 2017 02:16:21 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id i61sm6190763edc.32.2017.10.09.02.16.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 09 Oct 2017 02:16:20 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87d15z6uo1.fsf@HIDDEN>
 <59DB2C8C.7040706@HIDDEN> <m3shesohh7.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Mon, 09 Oct 2017 11:16:20 +0200
In-Reply-To: <m3shesohh7.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 09 Oct 2017 10:25:40 +0200")
Message-ID: <87h8v8znob.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> martin rudalics <rudalics@HIDDEN> writes:
>
>>> If I remember correctly, in some places it looked at the GDK_SCALE
>>> environment variable (which is normally not set on most systems) and in
>>> other places it queried GTK for what the scaling is, leading to general
>>> confusion of what the frame size was supposed to be.
>>
>> OK.  Are we sure that we now detect any scaling if present?  Or should
>> we allow the user (who might know better) to explicitly supply a scaling
>> factor which overrides a return value of 0 (?) or 1 from the above.
>
> By "supply", do you mean setting the GDK_SCALE variable?  I think that
> the GTK function will pass us the right scaling factor in that case, if
> I remember correctly.  On modern machines, the user supplies the scaling
> by using a GTK tool that doesn't set GDK_SCALE, and the GTK function
> still returns the correct scaling.

That's exactly what happens, although setting the GDK_SCALE variable
directly affects the scaling factor returned from querying the widget,
in case you don't want to use the tool.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 08:26:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 04:26:13 2017
Received: from localhost ([127.0.0.1]:57100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1TO8-00080d-Pr
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:26:12 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:52826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1e1TO7-00080W-IM
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:26:11 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1e1TO5-0003Ts-2T; Mon, 09 Oct 2017 10:26:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87mv523r3k.fsf@HIDDEN>
 <59DB2CA9.7000402@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEWDb2lIJShOLjAtFhtZ
 PTvnPirLAAACZ0lEQVQ4jU1U0bXrIAxzcxmgEAYoxAsQMoAh2n+mJ9O8ey6nHyEKsiyZionINkvv
 JZ299/OeZvYC5CO+RtU5MXAkDAvYMEVVBFvvbe/fVVWNHFJPAf6/XOvMppvKaRJq78cfBAfPyHvm
 eLXLblz6k2pCGVItiCigsPcbaWDcOlBY2jILY7whlsP7HvOIlapGk03E7qNdVwhwUs2vCQSxD7lm
 7Ha3PfazUxx/VzXwu+PQu68X8VeW8pCcNfnz3j6h5y0+nRAY3xbinl9d5ZgLyTJk3sP7Lh3Uh/26
 V4sSRBdTUwW9DJhYRQigLFbFR8CGg/vWKnctOlPUaQMwA5yr0KyvwIbJcCqmOdBKFdkXVTKrUHZm
 gUDygj/fA8EyZYFeUHBLtD0sgN6AUlTg4bTqk7CABGoSjsED+BysWCPjJK/ZRO0tZgdWqy0zMQuB
 E1JbquZUXqy0HIZHKRsqF2k5KOy79otdTL4YJZWqDry8WGHnoE8mr1gfYPVxnCUl7qdi1z0uqlBK
 b4MH+hkTLSqgWnWnS+udFvExXtwG9LiAZTtHuthLfZqMgLrcEDwAGlUiZ419TKr18zCPOVITTadd
 s6RVW+YCGD9T8gzxHBDT6W7lUSLjs/Cficjw+WmbMkCuWudi4nqtcD8WyO2l53MibOuWXWu3LNQH
 QNl5A9vazfg4xRIBIzKbmLFsiO6ULWBuMXKfqMmnjY7hC0DLuhhaLrdnfbGKIJfv1MXmup3rW6Mi
 /r3MLc1HlZxAKsdsdecfBr/3+0QiwZ2KHnss1DB+DeF1llnqw9VuVngMwRzI9XwKXOOURST/ALWx
 sd5j7xdNAAAAAElFTkSuQmCC
Date: Mon, 09 Oct 2017 10:26:08 +0200
In-Reply-To: <59DB2CA9.7000402@HIDDEN> (martin rudalics's message of "Mon, 09
 Oct 2017 10:00:41 +0200")
Message-ID: <m3o9pgohgf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

> But we apparently still do not apply scaling everywhere, in particular
> when displaying menus (Bug#27667 and Bug#28511).

Yes, that's never worked, and wasn't affected by my patch set.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 08:25:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 04:25:49 2017
Received: from localhost ([127.0.0.1]:57096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1TNl-0007zW-H1
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:25:49 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:52818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1e1TNj-0007zO-J0
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:25:48 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=stories)
 by hermes.netfonds.no with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128) (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1e1TNc-0001Wl-6H; Mon, 09 Oct 2017 10:25:42 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN> <87d15z6uo1.fsf@HIDDEN>
 <59DB2C8C.7040706@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAD1BMVEWDb2lIJShOLjAtFhtZ
 PTvnPirLAAACZ0lEQVQ4jU1U0bXrIAxzcxmgEAYoxAsQMoAh2n+mJ9O8ey6nHyEKsiyZionINkvv
 JZ299/OeZvYC5CO+RtU5MXAkDAvYMEVVBFvvbe/fVVWNHFJPAf6/XOvMppvKaRJq78cfBAfPyHvm
 eLXLblz6k2pCGVItiCigsPcbaWDcOlBY2jILY7whlsP7HvOIlapGk03E7qNdVwhwUs2vCQSxD7lm
 7Ha3PfazUxx/VzXwu+PQu68X8VeW8pCcNfnz3j6h5y0+nRAY3xbinl9d5ZgLyTJk3sP7Lh3Uh/26
 V4sSRBdTUwW9DJhYRQigLFbFR8CGg/vWKnctOlPUaQMwA5yr0KyvwIbJcCqmOdBKFdkXVTKrUHZm
 gUDygj/fA8EyZYFeUHBLtD0sgN6AUlTg4bTqk7CABGoSjsED+BysWCPjJK/ZRO0tZgdWqy0zMQuB
 E1JbquZUXqy0HIZHKRsqF2k5KOy79otdTL4YJZWqDry8WGHnoE8mr1gfYPVxnCUl7qdi1z0uqlBK
 b4MH+hkTLSqgWnWnS+udFvExXtwG9LiAZTtHuthLfZqMgLrcEDwAGlUiZ419TKr18zCPOVITTadd
 s6RVW+YCGD9T8gzxHBDT6W7lUSLjs/Cficjw+WmbMkCuWudi4nqtcD8WyO2l53MibOuWXWu3LNQH
 QNl5A9vazfg4xRIBIzKbmLFsiO6ULWBuMXKfqMmnjY7hC0DLuhhaLrdnfbGKIJfv1MXmup3rW6Mi
 /r3MLc1HlZxAKsdsdecfBr/3+0QiwZ2KHnss1DB+DeF1llnqw9VuVngMwRzI9XwKXOOURST/ALWx
 sd5j7xdNAAAAAElFTkSuQmCC
Date: Mon, 09 Oct 2017 10:25:40 +0200
In-Reply-To: <59DB2C8C.7040706@HIDDEN> (martin rudalics's message of "Mon, 09
 Oct 2017 10:00:12 +0200")
Message-ID: <m3shesohh7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> If I remember correctly, in some places it looked at the GDK_SCALE
>> environment variable (which is normally not set on most systems) and in
>> other places it queried GTK for what the scaling is, leading to general
>> confusion of what the frame size was supposed to be.
>
> OK.  Are we sure that we now detect any scaling if present?  Or should
> we allow the user (who might know better) to explicitly supply a scaling
> factor which overrides a return value of 0 (?) or 1 from the above.

By "supply", do you mean setting the GDK_SCALE variable?  I think that
the GTK function will pass us the right scaling factor in that case, if
I remember correctly.  On modern machines, the user supplies the scaling
by using a GTK tool that doesn't set GDK_SCALE, and the GTK function
still returns the correct scaling.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 08:00:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 04:00:56 2017
Received: from localhost ([127.0.0.1]:57077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1Szf-0007Lw-Ud
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:00:56 -0400
Received: from mout.gmx.net ([212.227.17.22]:52537)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1Sze-0007Lg-6g
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:00:54 -0400
Received: from [192.168.1.100] ([46.125.250.35]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0M4ScS-1d5Nf11XxM-00ydR9; Mon, 09
 Oct 2017 10:00:47 +0200
Message-ID: <59DB2CA9.7000402@HIDDEN>
Date: Mon, 09 Oct 2017 10:00:41 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87mv523r3k.fsf@HIDDEN>
In-Reply-To: <87mv523r3k.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:tNnWXC3Vez9zOghBXlxD8oDrVbKU2sj/fRXNWw3/r28dio6l9tK
 Hjg//Szn3CcTD2Oj3HwP5WY/nI2Oh7ignBgPCXrM073gg3y/YF/jFuXGiEYShwVIb5khOCP
 5rEPIBKtMZC7oEVmqU0X2hX117UJUNY+6I+J6poh3N5GDywesGefmF4cPs7xOXbjR/glECo
 DbWQojKs9DWahIOqsDo6g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Nd4eLNh0igU=:/7Kluwqqehd4mwlM0AeCu7
 V1ACIhQlQrk7fuxH9D8I2/qJi36+D6RG7fPgAd6rvH+igKlqMUhy3Ak24IBnZYH74F+UXcecJ
 j2L5qWPQAcxEUMRbEPlG7gZ8nknxiF7fDeymYdjMxDK++8/JIrfmadQiq8Cl6DN3nc9NWz8qb
 PqbtLUZWwRkjN7eru3m//CtJZXzn88DaXGfgj+iDLHhO2JPdm/niu95D5i4KANzxWBXDDliwn
 iBgXT0qN1KrQIGGRW/ELy8U+cfwOjVm/R29Lwdd0GUaW5Q4eHvOu7gG9id4fcYOr7eUqFPScU
 jBySvIK9PdisODJTUhoCVKxD8k54XBpcs672R6RZjG+kZNjzjpXeL+jAfv1joYOsF1kaYrfXC
 9JQ2T1DgadTkP3Tq4m6JHAFMRrPLh9DT+lLCIesIz8koESVjjP7gXE69ZKjQ/srRt1wp9jShc
 ESUSJGNZ97ywQC8fb2qySt8uhrq3OIB/3vv8TyJl3vLxUx1z/8Qj2vAxGs7lzFxSlteMSjZ5F
 RN46zO/PNHmBhpX7b1TDnS3IeEM0w6vu3pggknIn67sdSU4bn/wD4asb7/xScnIzibnWYHa+r
 LM0MlCNxo4ckYXM8HK1APwtqPedgFHOPV2jEBI7MonClC+RDLZtGBOYhV+/F7cxU3wGEFmoU6
 yiMvmYiRyL7xIxGczi8IRqYBdMDzXLVugo4VPAkmykxaEleC6q29kK/9DbKcDZ50tdxf77563
 YsjQRKDBctb0DOABz1tGRThTC1+BfslmbZ4wFHsxcEeR+ETA+Wo+BfEcjdMTHPII+0rLtKp14
 dQ3gC1+mduzGpel/0IMxoRmss2w45cmdUwQrGdWJTeithRK95A=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > xg_get_gdk_scale and xg_get_scale differ in that the former only
 > looked at GDK_SCALE, and the latter queries the widget for its scale
 > factor, which will work better in environments where the scale factor
 > is set via the GNOME configuration utility. Lars' changes also apply
 > that scale in more places, resulting in eg scrollbars being at the
 > correct position, rather than completely off to the side of the Emacs
 > frame.

But we apparently still do not apply scaling everywhere, in particular
when displaying menus (Bug#27667 and Bug#28511).

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 9 Oct 2017 08:00:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 09 04:00:27 2017
Received: from localhost ([127.0.0.1]:57074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e1SzD-0007LD-Mx
	for submit <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:00:27 -0400
Received: from mout.gmx.net ([212.227.17.21]:64507)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e1SzC-0007L1-Fi
 for 28605 <at> debbugs.gnu.org; Mon, 09 Oct 2017 04:00:26 -0400
Received: from [192.168.1.100] ([46.125.250.35]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0LfXmv-1dUJ220efh-00p7FT; Mon, 09
 Oct 2017 10:00:19 +0200
Message-ID: <59DB2C8C.7040706@HIDDEN>
Date: Mon, 09 Oct 2017 10:00:12 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>	<59D88B8B.6050205@HIDDEN>
 <87d15z6uo1.fsf@HIDDEN>
In-Reply-To: <87d15z6uo1.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:xK51cEoYWUI8kXuw8KhpfuYBkrgaw335177u50eoSd6zJQ6ic5j
 MkPOlZRlK3nP66FXFzPn0G655F7Rl0H1TKex6QjQwsDX/szRci+N4Np/ma/5JHgKyViCIhW
 SgQeL/umcSgI/Hlqui3XuqN43WVy2kqyMLzelEzTwXJHntXJkNICnU+fg0873ctJWWnV1Yh
 Jr9OYELM2F06xAx1tYBAA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:gZr63lF+ZAQ=:v13a04e1Hoyho0QsQslSM9
 SsEPeOYBhcuQL4Xm3HPrWHdb2MNpXBQDOyQbQcg1lsuq4sbQNk6DTEINR4/t82FUF+zV2DSqZ
 8Qc5usD6N8bhIjomB6MaJ4RvO982azyYE+eX+5LEh4g2Pmgc6bjeQTn+6CgQbVe3PQLBIJrQZ
 XDlaBKa114sQk0SVkOSptMMaodiQAkvtKZdOUeajflsIWFGunX+nz3pVhwWMSF0MMhfQKttlR
 czVfY4csX+aYsiPtpD81W1Smk8tV4BG1SAOamGYTKoWeJwkOqJe4u1Wq2MBG4d5AA95QhjTqH
 d1dZeaeyf5CXPQn+7YJ26gnac9ihLKhcAInQP5jA68gUyYDHaxMV1uVdadKl/V+Qvvfyf2Ay+
 mnP6Usp4OMYIknZ0XICvHO0vPq//UtTko9IxGV13c8itgaestRoLNcV3CodMyPyxTx8e58Pa7
 y58MKd8mbVkUu9GdEv+CNeAPb2k/eMaQKEDmpIq0bQLVpQfPo9n3+GQryD7JDnRPl+lDTJqaB
 yuVUCOplv7fAaoLhHBZ0dF7DkT4Vvnho9KKyXNWQWGkQM0OFIARWFxjYbD9Ac89WKA0A8tmDn
 z4TeipxkFqc1Dbv8fKJujnqFJCP489wXOu937yHnacvZ7ojPAhZrrgCses2PLas02Z06TYw+c
 dzyWNQQb0AdwFNJxqx9TwuUMo6y0MbSi5jHPtFGX6sqY/EEHCY49JIU0OSG7rURsUcqJLhTId
 WYZ3PyopJnp2KOWIqSyHyErTTTnP2m8JYDzq8FqXAc8yfxBfRBPq7XlH5Y2RGJQSbsMmFNaGx
 Fme5rGH6/K9r4/aaVdUPp/u9Cd36RROQ+U1fMOeLq4ITO1iAL8=
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > If I remember correctly, in some places it looked at the GDK_SCALE
 > environment variable (which is normally not set on most systems) and in
 > other places it queried GTK for what the scaling is, leading to general
 > confusion of what the frame size was supposed to be.

OK.  Are we sure that we now detect any scaling if present?  Or should
we allow the user (who might know better) to explicitly supply a scaling
factor which overrides a return value of 0 (?) or 1 from the above.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 8 Oct 2017 09:51:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 08 05:51:22 2017
Received: from localhost ([127.0.0.1]:55494 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e18F0-0002vH-1d
	for submit <at> debbugs.gnu.org; Sun, 08 Oct 2017 05:51:22 -0400
Received: from mail-wm0-f46.google.com ([74.125.82.46]:44917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e18Ex-0002v2-JN
 for 28605 <at> debbugs.gnu.org; Sun, 08 Oct 2017 05:51:20 -0400
Received: by mail-wm0-f46.google.com with SMTP id 196so7730477wma.1
 for <28605 <at> debbugs.gnu.org>; Sun, 08 Oct 2017 02:51:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0DGAnzOpQLBZSfj2peJJDrtl+n0erXH+yw7XBqUrgvw=;
 b=Gh3bf9vpqboOnaEU/lPtaDGa1Kk+MZVzsA09eKL2gPhihIJfZaINzdiIUxsDMfHWH7
 M5D/JZoGfd144m8j1MA9l5hSB2Sut7VGmVi8xmmqh3UeYeRBAOJsVfO+OCl9DzgFE5fD
 tqmKcJrcvWRqR+D2bTJvfS0qhcEXrTRppFx6Jw37mD+iulHw2A/PQFIwteqRErIi8ULw
 uc4p822m7AIeHL3E0ylGlyaUuTMQBR/i5eUUn0OOlPIOBLbXyIL0IUpAV7MiugP/WYjf
 kI3fRrp/gOuXp3AeLK4MkgHnJADzRwAuhVdqQwZmkKCOFS7ZP40HrKv2E3U+WgfuG2yF
 8izA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0DGAnzOpQLBZSfj2peJJDrtl+n0erXH+yw7XBqUrgvw=;
 b=rUCQGFNe2P2ALc1d76e3ltpNBnLsDC7dGBzfNXLZadHurpD/kdlvK7G62vT2AOraFI
 6JQb091DPnLAHq2zZPl7utJbCsqr/D62Rn0DnwzfzX3suGdpPeGnKfcteqBjSdFr1S7+
 P3ZkImSY7VrVMKTbX9Eg+k/+60NVE5SbwsBXsx1w2Ij0LsLvLd3DfmTGjZA20wgJLeod
 TvgMRjlyYregKHlnp5Fk4xMhikFxaaN2QWXeKQoK0kWeaTGLYihrJ+DdhYigQP+vghkC
 j/WJefHCHqzvCiZEssa754SGMk/7ZBlKAVV62pqqn7sHFn9Lt1/Sd/d9JDyDCAqu3/6I
 lfLg==
X-Gm-Message-State: AMCzsaXlFyTAInz4KBky+ybDf86IKtRjH4436/RWAeEeYayU6vQpxLU5
 WOfIBy3HFBIPdYJy4AMkB68=
X-Google-Smtp-Source: AOwi7QARcMc1yn7TmtdDhRAXUX3KvmpbTLXeIfGLp+yOScuzdpvO1I1r7p00t8PR+H9tct38z6CgJQ==
X-Received: by 10.80.203.141 with SMTP id k13mr9830004edi.122.1507456273474;
 Sun, 08 Oct 2017 02:51:13 -0700 (PDT)
Received: from rpluim-ubuntu ([2a01:e34:ecfc:a090:fdbc:ef3:a1ca:7b91])
 by smtp.gmail.com with ESMTPSA id r8sm5341653edd.96.2017.10.08.02.51.11
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 08 Oct 2017 02:51:12 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN>
Date: Sun, 08 Oct 2017 11:51:11 +0200
In-Reply-To: <59D88B8B.6050205@HIDDEN> (martin rudalics's message of "Sat, 07
 Oct 2017 10:08:43 +0200")
Message-ID: <87mv523r3k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Lars' HiDPI changes were a huge improvement over what was there
>> before.
>
> Can you tell me what Jan's first stab at scaling did and what Lars' did
> differently?  Or simpler: How do the return values of xg_get_gdk_scale
> and xg_get_scale differ in practice?  Because IIUC that's what these
> changes boil down to in the case we're discussing here.

xg_get_gdk_scale and xg_get_scale differ in that the former only
looked at GDK_SCALE, and the latter queries the widget for its scale
factor, which will work better in environments where the scale factor
is set via the GNOME configuration utility. Lars' changes also apply
that scale in more places, resulting in eg scrollbars being at the
correct position, rather than completely off to the side of the Emacs
frame.

>> I'm talking here only about leaving alone the x_clear_area
>> code, but still changing the width calculation.
>
> You mean the width of the scroll bar as it's drawn by the toolkit?

Yes. Basically:

diff --git a/src/gtkutil.c b/src/gtkutil.c
index 0da7039..78077d7 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -3879,7 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
-      left -= (scale - 1) * ((width / scale) >> 1);
+      width /= scale;


Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 7 Oct 2017 11:53:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 07 07:53:46 2017
Received: from localhost ([127.0.0.1]:53808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0nfu-0006Mh-5q
	for submit <at> debbugs.gnu.org; Sat, 07 Oct 2017 07:53:46 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:47943)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1e0nfs-0006MX-4X
 for 28605 <at> debbugs.gnu.org; Sat, 07 Oct 2017 07:53:45 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1e0nfj-0004kh-7q; Sat, 07 Oct 2017 13:53:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN> <87a8145wcr.fsf@HIDDEN>
 <59D88B8B.6050205@HIDDEN>
Date: Sat, 07 Oct 2017 13:53:34 +0200
In-Reply-To: <59D88B8B.6050205@HIDDEN> (martin rudalics's message of "Sat, 07
 Oct 2017 10:08:43 +0200")
Message-ID: <87d15z6uo1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

> Can you tell me what Jan's first stab at scaling did and what Lars' did
> differently?  Or simpler: How do the return values of xg_get_gdk_scale
> and xg_get_scale differ in practice?  Because IIUC that's what these
> changes boil down to in the case we're discussing here.

If I remember correctly, in some places it looked at the GDK_SCALE
environment variable (which is normally not set on most systems) and in
other places it queried GTK for what the scaling is, leading to general
confusion of what the frame size was supposed to be.

I should have squashed that patch series before applying instead of
merging in my branch.  Merging makes it difficult to see what the
changes really are...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 7 Oct 2017 08:08:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 07 04:08:56 2017
Received: from localhost ([127.0.0.1]:53722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0kAK-0006zo-Lz
	for submit <at> debbugs.gnu.org; Sat, 07 Oct 2017 04:08:56 -0400
Received: from mout.gmx.net ([212.227.15.18]:65086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e0kAI-0006zZ-5v
 for 28605 <at> debbugs.gnu.org; Sat, 07 Oct 2017 04:08:55 -0400
Received: from [192.168.1.100] ([46.125.250.74]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M9aX9-1e9ILg0Wyd-00CzR7; Sat, 07
 Oct 2017 10:08:47 +0200
Message-ID: <59D88B8B.6050205@HIDDEN>
Date: Sat, 07 Oct 2017 10:08:43 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CB5D69.7040404@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>	<59D74E49.2000605@HIDDEN>
 <87a8145wcr.fsf@HIDDEN>
In-Reply-To: <87a8145wcr.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:xNATYF+nUhT+JtbtPiPZqvF+MNB3b6v6OMzjhBBnr2m7p64ymAS
 KnZnoXLmA/2Snp5TFK0NyD1mTIUe742rYouh8U6B5hAxx5pRUAAfEOVlgEPam70eU0FOn6d
 OWq8IMOHm0E4nLCb1z+8uPoj21Z2cpBSrigT+bEOiCnttrlnGIGsBPgL4CpUIu/aXcYEEtO
 yzy3MMl7ZRoFy9Srp2rqg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:KtdbH7uUONs=:vpjUeaqaMoOW9Xc0BDg+AE
 urNYO8Y3QnR94rTDju5fyjPOVmCCOkjGPosNrVkDEQs2xT05AtCBX5ii1WYNisTwTJgvnAa/w
 fi75z7ST4V9oaqCi8S+Gjw8qEPeRAG9B5ap2GC5ctdie1dK6Y+cbU64EsZMoVs7qmnqjvDNNK
 zyG9pmPFWfxaw4YTjuPRhfr4XbdoK9tQ4FD9tGRDDTMIkce0LRkPcdESvt3QbtrYkFClO9xK/
 wfKHKs7n6IyWMfmT3d9zUtZqYQzLedoLdjj4jlD64ExB89GAljboKsOhCKngmihfmS4HNa8Io
 EKTTEB/2ZIT/X4hVRHC7tW9lg2DSh/CEojGKUjMfazWWfUjLWzpV5PGQUTDIrZ9UnVB662P0g
 mcjF9EnnulSmGK+PM9VlnDDHucedCkWG+I8hK9gtK8IDA38+OO6U359PqZqw0JT21J84gz2Jr
 zWn6hRcFNYjwqyyF03yn15VEkfoS6vaSM1jGNmAHF2g4ZVc0koVn4yar/dm4L2oNe2sDc3jNm
 zhKnXvCg8mxgHVR7DjT4HJUDG2yDMgyV3pU59FJuMYFGQWxu3fp4YaYJTCx6AuwlCtupucX4u
 OKkLxFyDMZm4RwYndxLdTVUJ+fLdSmHQIpfEMautQFWnmpzZqycxI6oN/P2yJDKXhVTShUyQ+
 YoTcmO2iCFYtMELGK8z9RyY1wSWyy1lFonerJUjvEFbEcIro1gfFq4hGApJZngnqxr+tCfT82
 9h/NOboeFywf9TxzM74eHq4XvuxeQQAlyAKvapxWWs8ReXHWIbMOJ9okR2rkBfiBm+DywG2Fg
 9wesm7UBJhs752u+X0YiwG0yVe3kj4+7Rv3IFLeX3pcCZPbqshLkRuvYZUwKiu9u7O3uPSo
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Lars' HiDPI changes were a huge improvement over what was there
 > before.

Can you tell me what Jan's first stab at scaling did and what Lars' did
differently?  Or simpler: How do the return values of xg_get_gdk_scale
and xg_get_scale differ in practice?  Because IIUC that's what these
changes boil down to in the case we're discussing here.

 > I'm talking here only about leaving alone the x_clear_area
 > code, but still changing the width calculation.

You mean the width of the scroll bar as it's drawn by the toolkit?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 6 Oct 2017 11:50:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 07:50:30 2017
Received: from localhost ([127.0.0.1]:52234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0R9C-0006H7-54
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 07:50:30 -0400
Received: from mail-wr0-f173.google.com ([209.85.128.173]:45115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e0R9A-0006Gr-9F
 for 28605 <at> debbugs.gnu.org; Fri, 06 Oct 2017 07:50:28 -0400
Received: by mail-wr0-f173.google.com with SMTP id k7so1863831wre.2
 for <28605 <at> debbugs.gnu.org>; Fri, 06 Oct 2017 04:50:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=6cAXHrLP9rqVwHygGUDpDuM/BDoKgRuc5BuSWdEu9hE=;
 b=KNMkkK5RgVUSKNE+YaSN8YRlp68AUGnxcY7ea3nnlFyNATn01F6vhKwIC/DzeqX9T4
 LJK9YPZeUbi/ygUg2qRpv1stM2bORbNpJvMaIqkcX+Dk7bDC51sTSpfO1evmREH8VP+Q
 FfZJmyyRGhvgzLweCPpBKWxdfLaitPSdFirbWvMuLu2LqrVFLDRJzC4U8hBI7smrVwKW
 FOAhQfyH8Fy5RpcjbE5sNPpfw1hiV3OQ/2CL9/zsmHFtT96H4d+VmPGKwRwJr4/dNpKA
 wLDORAC4nVGKMKhPtt0HB73UzGQRrdcrcfdK5rXmj5oWIHXnAK8G+XMhznL6J8/HE3M1
 DTaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=6cAXHrLP9rqVwHygGUDpDuM/BDoKgRuc5BuSWdEu9hE=;
 b=nZJ4YQ+rmZe0k+6w9828J6n3n1pGKIdmAM9O832UMoHks9dwATMCkPZY3LXf/zNWUD
 CgxXyQzi3Llsm0MloBkmWyMOge/nCnkL1Rvxg7fZvQ7TWS1343u+2u63RiPp0f8fXv8R
 SLpAqaCcJRBYIf33ElGOVyawF45cGXXNO8L6/+P8j8uDdohKmrnxeJ1Q27hgErhFUp4U
 lHB/KuQm7M9VSgQ7QRHqPz27W5hHXng1IQfvISK+wcUcoqlZ+AY3XEXdlTtGbimYSy8L
 cR4mJ5QRLHW/54OBWJJhMvoy6TQ1G0y/DNg260vkfdyaROj4om21z0snJw73hGzNxicj
 8DYA==
X-Gm-Message-State: AMCzsaU4qU5p0xE4A1Gg9f7E941mA/zSzhB/bIIpamhnXBYJ7e6/Bvue
 LHmAZBiXcUJ5OYvWoXP0EDdtjC+tFDQ=
X-Google-Smtp-Source: AOwi7QBRnEjnfLiSzw/lXX+qnrIIUTMZ4OeCP+ETnB+Yyajpk7pgv74qDUjtQxxBWbydnD+bT6AXsQ==
X-Received: by 10.223.161.219 with SMTP id v27mr1676529wrv.193.1507290622018; 
 Fri, 06 Oct 2017 04:50:22 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id k9sm2753953wrk.27.2017.10.06.04.50.20
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Oct 2017 04:50:20 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN> <87o9pk65ae.fsf@HIDDEN>
 <59D74E49.2000605@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Fri, 06 Oct 2017 13:50:12 +0200
In-Reply-To: <59D74E49.2000605@HIDDEN> (martin rudalics's message of "Fri, 06
 Oct 2017 11:35:05 +0200")
Message-ID: <87a8145wcr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.8 (--)

martin rudalics <rudalics@HIDDEN> writes:

>> OK. The best course of action is then probably not to touch the
>> existing adjustments, and not to add any similar ones for the
>> horizontal case.
>
> Lars already touched them and IIUC provoked this bug.
>

Lars' HiDPI changes were a huge improvement over what was there
before. I'm talking here only about leaving alone the x_clear_area
code, but still changing the width calculation.

>>>> That code was added in commit c0055ff5b03c9121ab5bf752496b09416f0f0a7d
>>>> which is quite old,
>>>
>>> ... 2015 rather strikes me as "fairly recent" ...
>>>
>>
>> Oops, I think I looked at the date on the wrong commit, I thought I'd
>> seen 2010.
>
> OTOH this means that the code was not tested very intensively and Jan
> didn't have much time left to improve it.
>
>>>> I suspect it did no real harm even though oldx
>>>> tends to end up negative, possibly x_clear_area does some kind of
>>>> clipping.
>>>
>>> In my experience, X silently swallows anything that happens outside the
>>> frame.  GTK can be much more picky in this regard, especially when
>>> trying to draw something outside a parent widget.  But the corresponding
>>> error messages are usually a pain to read.
>>
>> Yet another reason not to disturb the status quo.
>
> To be on the safe side, we probably should leave the non-scaling parts
> alone.  For the scaling parts do whatever you consider appropriate.  If
> it fixes the behavior for Ola, we should install it and wait for
> complaints.

OK, I'll wait for Ola confirm, then clean it up (and split it into at
least 2 to make it easier to revert).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 6 Oct 2017 09:35:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 05:35:32 2017
Received: from localhost ([127.0.0.1]:52157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0P2a-0000q9-M9
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 05:35:32 -0400
Received: from mout.gmx.net ([212.227.15.18]:64360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e0P2Y-0000pk-ML
 for 28605 <at> debbugs.gnu.org; Fri, 06 Oct 2017 05:35:31 -0400
Received: from [192.168.1.100] ([46.125.250.105]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M4WNA-1d6NbL2Rxs-00yisH; Fri, 06
 Oct 2017 11:35:23 +0200
Message-ID: <59D74E55.7060803@HIDDEN>
Date: Fri, 06 Oct 2017 11:35:17 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CB5D69.7040404@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <59D73C40.7050604@HIDDEN> <87k20864kq.fsf@HIDDEN>
In-Reply-To: <87k20864kq.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:7DVhEiDZdFHGzp0czHpBtwdz2AlNViKGKI+isX4zDTy2boHVka7
 Wfsj7P1oIIZ23PWn2cRdjRWEp8nutJk2BMSxEXsX+vvn/fsbiYDqYToMEm0l7yJsE6oZ6xk
 hrzEFslSO5rGcGXPhC/6YRvUipj9pBUpPpuHMMRdkbfNklhMWfD2tZZNoKHJT2yl+BInB0r
 r7MIf4G7lYmlyTLWwkxlA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Aec/OSlPwnc=:GnRU0d9syz2NMCsPjPqSHC
 u4/h1tRM3TuS/zssForqFF41n0OG/z91Vkf2yLe4geqniPZDn56yGrq4lnaKHH2lQfIXofktU
 DqVe4TJtP8Cvl7JhqkUvbskaMYb4I0fs1Fc4o+PrZa9uO93+AX/lz54RNgnnSd6TPa2vl+JTp
 llfPbZcVBM+3cpNaPV1YS5UZlyviWH13vm/j3infsyyu0VAXxT3KS3my1iqL8Rd9CXxe+He9k
 g7pV8v1xAQ0oe2xSkWYSwa/5WQ3D5iJ34KNTBEu44NlUU3PT945roEhg0peDkX9Ool7+yi9pA
 W43vfFaYrz5dJeq7b6bZ1ty5SdLWPuM7ywt05HiYwFCS4E0JP67v/mlWC8Uo779GbcWLNHV83
 Oj2GSTP+qJlTaktIb+vu97v5I6xDGBzsxfdOQd6ua8A7v9R2E5w2Z3ZS9DzuySRBFEG0wakHF
 3+LtE6rc04ocUdYr75Un89oEY8oOyXB2CZA7jZPKlkDbzc1pWiC79Oc49cwpZG/676Vbt6h1J
 dssOR2yCdNVOGXqosfOlNpsis3EAb06ozRxdXR9uf4r8zw14iSGLYvALdyN/bpha7E9i4V48N
 xLHAnga+50y5zXV7pMn0el37Hv7BGLAVgvqOvit7i8Zj8jB0aY1kjDa9UxXg7YClPqO116a3K
 QtVu9JrMGxbBk6V5eZ8WpiqlINnccy52bNvvnTNFFkEzgx0vLnuOMyaVU40HmKV1B963jX0Zx
 /6c1GPZzRPu+l4l0o9/uOwIlwwSGRslCYZK3PWz9kCkyzwp30x7UH4Kz+5r1ffqJneliw4gP1
 Qwjpo3hj3BjUMgTlXKml47dt1a4QaRLNPrbIGe5YOV6TvythmZBKFYqN0Z6kQZaQ6ncaZN/
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > Hmm, I'm not sure that helps. 'toggle-frame-fullscreen' does the
 > correct thing, but using the maximize control in the title-bar doesn't=

 > (but that also doesn't give me proper full screen, just full screen
 > minus the widget bar along the bottom of the display). I think we can
 > safely ignore this one and say it's my local problem.

=E2=80=98toggle-frame-fullscreen=E2=80=99 makes a frame "fullboth" which =
is different
from "maximized".  From the Elisp manual:

      A "maximized" frame is like a "fullboth" frame, except that it
      usually keeps its title bar and the buttons for resizing and
      closing the frame.  Also, maximized frames typically avoid hiding
      any task bar or panels displayed on the desktop.  A "fullboth"
      frame, on the other hand, usually omits the title bar and occupies
      the entire available screen space.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Oct 2017 09:35:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 05:35:30 2017
Received: from localhost ([127.0.0.1]:52154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0P2Y-0000pv-EJ
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 05:35:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60919)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e0P2W-0000ph-LW
 for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 05:35:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e0P2N-0000EX-5j
 for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 05:35:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:50387)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1e0P2M-0000ED-PU
 for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 05:35:18 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:51885)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e0P2G-0005PH-Vr
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 05:35:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rudalics@HIDDEN>) id 1e0P2D-0008Vz-2I
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 05:35:13 -0400
Received: from mout.gmx.net ([212.227.15.19]:50573)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <rudalics@HIDDEN>) id 1e0P2C-0008Tg-Oy
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 05:35:09 -0400
Received: from [192.168.1.100] ([46.125.250.105]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M7Gj8-1d3dW907eA-00x10h for
 <bug-gnu-emacs@HIDDEN>; Fri, 06 Oct 2017 11:35:07 +0200
Message-ID: <59D74E49.2000605@HIDDEN>
Date: Fri, 06 Oct 2017 11:35:05 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CB5D69.7040404@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>	<59D73C6F.3020907@HIDDEN>
 <87o9pk65ae.fsf@HIDDEN>
In-Reply-To: <87o9pk65ae.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ZVPHKY/dURSWEH4kQ0SQFwjivTMS2DN113i3AedJkNib6CLjzzn
 hnUM9/8BuGo2Z0ALTH6mrasqxPiCV4W6MR5W/W+TPu+9b1BVg9nHUUx9xKk1Ak5wEBoQmN+
 kvOY+fQIZTapIPNObbQhBmKI9x/U3XHXzAHVWLQCgQZf1wzcyO5O8MjnhNUMiPTBD3UHAqY
 HfVNZfkRl1h+6aZTwpZjw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:mtaVCYs4NYs=:RuWpgKPbutonwZ0JTZj62R
 Lzm6vaWBfT4xec/WroNUs93HjryhJnJu1V0uwMceIECKDINXmS7q/hIHSaPpeH6g9gy/7MD15
 ipBWf5BPJhI7VzYv5lsNeDuFT3JeNDaGw8LHtWJIQ5FNiwiFmprHSv3FQ/3OgpcQxLfrBA4ZM
 hUdJTVhfHWcb5v3TbxUgp7CfAYYgtWXOlsGbcRnW2B6bSDxGgfxdRbSKFJ9HIVaPLygK9BnyK
 31mMiwn7K96iVg1RIWZXBBBSdfR1t5j/Iekthuqbz5P12sMacYg8xh04JSV1ueDeeI2hdEH+o
 e1INiJxaGMrsfkpPc1Ndwm9Wna+JwsoacmGxr5uAGpsico5pjQ1YmemyXmbprRs7QMuVFcyge
 zKm7V6qosXe01VTt30A5ehQH5JR6MubvXRcOVnvwMNQOMbGfvGjBoVBtrJ6IwD+YzEAn4lZSV
 YSZdeo38ln7QfrF6G0r9PBtUcHrG6kotvGyHJoZ11O9deIpTuhaqcemq9fy48DJyJ251vs6Dv
 M8meV7K2B8iAFvdy/d4AiGaXdjiZZ5ySm4aEr7QMLZHUX9AV+0PsVJ6WtyWkkNwrRWhl1Wp6f
 +qcmaVwTi9k+p6RIe5Zqf0mCCAzR0iMWl0C6JSoz3IVvNt67h6VOku3ZFFX9C6LW154y6OtKg
 FYTXtHIEDjHLHYijASMOeuTb53jk5N8WGn9Aqg497se8M9jjhVbj6LXrTLfyp1RPn2oyEqGbe
 giDGE7Hjrkae6z7XOGA0Ht1I4RfLSdvIjM2jyt6mi/D4GxSvwpA4xhda+LkYM7qJcpFqVG4jf
 5KOxk8BDBnuhu56BqViiFYYo9ns1vzWn6hZXP+3pHg9txG2YzqbjxN1txhTzA3qS4TzJdZ7
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

 > OK. The best course of action is then probably not to touch the
 > existing adjustments, and not to add any similar ones for the
 > horizontal case.

Lars already touched them and IIUC provoked this bug.

 >>> That code was added in commit c0055ff5b03c9121ab5bf752496b09416f0f0a7d
 >>> which is quite old,
 >>
 >> ... 2015 rather strikes me as "fairly recent" ...
 >>
 >
 > Oops, I think I looked at the date on the wrong commit, I thought I'd
 > seen 2010.

OTOH this means that the code was not tested very intensively and Jan
didn't have much time left to improve it.

 >>> I suspect it did no real harm even though oldx
 >>> tends to end up negative, possibly x_clear_area does some kind of
 >>> clipping.
 >>
 >> In my experience, X silently swallows anything that happens outside the
 >> frame.  GTK can be much more picky in this regard, especially when
 >> trying to draw something outside a parent widget.  But the corresponding
 >> error messages are usually a pain to read.
 >
 > Yet another reason not to disturb the status quo.

To be on the safe side, we probably should leave the non-scaling parts
alone.  For the scaling parts do whatever you consider appropriate.  If
it fixes the behavior for Ola, we should install it and wait for
complaints.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 6 Oct 2017 08:52:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 04:52:49 2017
Received: from localhost ([127.0.0.1]:52134 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0ONE-00088N-8w
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:52:49 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:49606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e0ONC-000889-6i
 for 28605 <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:52:46 -0400
Received: by mail-wm0-f54.google.com with SMTP id b189so6219572wmd.4
 for <28605 <at> debbugs.gnu.org>; Fri, 06 Oct 2017 01:52:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=+oXHuDcTezl5yniZ5Nx/5FvLFcj0Zujur+bmeo3h/KE=;
 b=BughdzpXbVKGGq4LdgKFa9FCdP4GCleSXs4TmdoQimgViu/5SCS4CLI+BEeSqIp+/y
 Pt7eeVxTDb8nLch3+IID53quaufou5mlxHsTQT4eBXcmuIZY8/PkGXkJsBCA8/yBuzEW
 GqF3jSsndrIYaBKPoOF3ZVgcGaO8HvOEgyfNyCp5PQG+EATNupnw57i3HD118V2R2U9l
 cSIsST86k0FPCmfaM9VSGef5fHhLivchbByeFy5JQCnBIasxyJv0cVB+fQOmwfUA2t+9
 HrLv88FAztQWCfO3H70AdhGFtXBmJQKUB1Edxdf+sKyDoexFQfuRTFm1rLSDBMOeVAOM
 RHkA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=+oXHuDcTezl5yniZ5Nx/5FvLFcj0Zujur+bmeo3h/KE=;
 b=RZqnEa/EALrOPxZRjCFVbbn8Zlu9JYxlEb3cqioRN+uqdRUkXSFOEHYaAaIsoD2feJ
 PowKDM28CCh35By+CM7lG7Ram6O3sYGLjnz1qTD087Yt2oO0NhydlPr9WYSujQKbVGbH
 DI5fUmSFn8+wCFaHzVWuur8dULaBtoRE4E0W6XOvaUSHs6zUF0GjMrq7SlOzFkoyje7w
 T419s0NjC+rWxJ1QiYHltkShz1ljkVqRogRs3qSoh2pXEixSxbLhbhUogf4O3EKkLtKT
 hGtOriFwTliA0hBWzlD7vE+FdLS4fk8PilvSwV1CEZyX+By5XWC4fL0ckCpqo5CmTRwp
 4fVg==
X-Gm-Message-State: AMCzsaW0y5FTg9Xmz+xpwnXbT+SUFPw4PJcApH3PfkO0/D0IrWcabPUb
 4ThEycwa4c1kGaD4XrDR1lo=
X-Google-Smtp-Source: AOwi7QA453xx4XLh+9k30oa0f707rcePbkLioABNNWLBwst0AsU+eLDTyLehez/N1JLTLeIfdBMNxA==
X-Received: by 10.80.164.1 with SMTP id u1mr2311857edb.11.1507279959325;
 Fri, 06 Oct 2017 01:52:39 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id r25sm937728edm.4.2017.10.06.01.52.37
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Oct 2017 01:52:38 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <59D73C40.7050604@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Fri, 06 Oct 2017 10:52:37 +0200
In-Reply-To: <59D73C40.7050604@HIDDEN> (martin rudalics's message of "Fri, 06
 Oct 2017 10:18:08 +0200")
Message-ID: <87k20864kq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> The horizontal fix is somewhat cargo-culted from the vertical case,
>> so I'm not 100% sure that this hunk is correct (why is it only
>> adjusting the width and the x position? Should it adjust the height/y
>> for the horizontal case?):
>>
>> +       {
>> +         /* Clear under old scroll bar position.  */
>> +         oldw +=3D (scale - 1) * oldw;
>> +         oldx -=3D (scale - 1) * oldw;
>> +         x_clear_area (f, oldx, oldy, oldw, oldh);
>> +       }
>>
>
> The entire horizontal scroll bar code has been cargo-culted from the
> vertical one so any adjustments should probably go the same way.

It doesn't seem to make any visual difference, but if eg oldx =3D=3D 0,
and oldw > 0, oldx will end up negative. That makes me uncomfortable
:-)

>> I sent off a request to assign@HIDDEN more than a month ago, and have
>> heard nothing back (and have also pinged the copyright clerk at the
>> FSF). Help?
>
> It's relieving that you have sent a request already.  Unfortunately it
> seems normal that this process takes a month at least.  Let's wait for
> two more weeks and ask Richard if nothing happens till then - maybe he
> can help us speed things up.

OK, we'll wait some more.

>> False alarm. Looks like my window manager is not giving Emacs the
>> correct height when I maximize the frame, so the window behind it was
>> showing through (although I guess that could also be an Emacs bug,
>> just not related to this one, since it happens without scroll bars).
>
> I'm quite confident that setting =E2=80=98frame-resize-pixelwise=E2=80=99=
 to t will fix
> that.  Some window managers are very strict in the sense that if an
> application prefers frames getting resized character-wise, that wish
> prevails over the desire to maximize frames to the size of the screen.

Hmm, I'm not sure that helps. 'toggle-frame-fullscreen' does the
correct thing, but using the maximize control in the title-bar doesn't
(but that also doesn't give me proper full screen, just full screen
minus the widget bar along the bottom of the display). I think we can
safely ignore this one and say it's my local problem.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Oct 2017 08:37:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 04:37:38 2017
Received: from localhost ([127.0.0.1]:52121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0O8Y-0005sO-8M
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:37:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e0O8W-0005sC-FJ
 for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:37:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e0O8Q-0000qG-Ia
 for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:37:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35029)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e0O8Q-0000q6-Es
 for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:37:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36809)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e0O8P-00014W-4L
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 04:37:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e0O8L-0000ig-MI
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 04:37:29 -0400
Received: from [195.159.176.226] (port=52769 helo=blaine.gmane.org)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1e0O8L-0000gp-Eg
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 04:37:25 -0400
Received: from list by blaine.gmane.org with local (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1e0O89-0002eL-0X
 for bug-gnu-emacs@HIDDEN; Fri, 06 Oct 2017 10:37:13 +0200
X-Injected-Via-Gmane: http://gmane.org/
Mail-Followup-To: bug-gnu-emacs@HIDDEN
To: bug-gnu-emacs@HIDDEN
From: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
Date: Fri, 06 Oct 2017 10:37:13 +0200
Organization: not if I can help it
Lines: 43
Message-ID: <87o9pk65ae.fsf@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN> <87a815lq3w.fsf@HIDDEN>
 <59D73C6F.3020907@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
Mail-Copies-To: never
X-Debbugs-No-Ack: yes
Cancel-Lock: sha1:+P4BgfZYtymXfVlYuegmVnHOIJA=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bug-gnu-emacs@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

martin rudalics <rudalics@HIDDEN> writes:

>> Thinking about this some more, this whole calculation just looks
>> wrong. oldx, oldw, oldw and oldh are in unscaled pixels, as far as I
>> can tell. We need to scale when using GTK routines, but x_clear_area
>> ends up calling X11 routines, so I've almost convinced myself that we
>> should in fact delete the oldw and oldx adjustments for the vertical
>> scrollbar rather than adding them for the horizontal one.
>
> Be sure to distinguish code that decides where to draw a scroll bar from
> code that decides which area to clear and possibly redraw.  Sometimes,
> the area that gets cleared can be substantially larger than the area
> occupied by a toolkit scroll bar.  From my experience, this is often
> noticeable with GTK scroll bars since their width is determined by the
> chosen theme and cannot be adjusted individually by Emacs.

OK. The best course of action is then probably not to touch the
existing adjustments, and not to add any similar ones for the
horizontal case.

>> That code was added in commit c0055ff5b03c9121ab5bf752496b09416f0f0a7d
>> which is quite old,
>
> ... 2015 rather strikes me as "fairly recent" ...
>

Oops, I think I looked at the date on the wrong commit, I thought I'd
seen 2010.

>> I suspect it did no real harm even though oldx
>> tends to end up negative, possibly x_clear_area does some kind of
>> clipping.
>
> In my experience, X silently swallows anything that happens outside the
> frame.  GTK can be much more picky in this regard, especially when
> trying to draw something outside a parent widget.  But the corresponding
> error messages are usually a pain to read.

Yet another reason not to disturb the status quo.

Regards

Robert





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 6 Oct 2017 08:19:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 04:19:04 2017
Received: from localhost ([127.0.0.1]:52112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0Nqa-0005Op-ET
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:19:04 -0400
Received: from mout.gmx.net ([212.227.15.15]:57399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e0NqY-0005O4-Sj
 for 28605 <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:19:03 -0400
Received: from [192.168.1.100] ([46.125.250.105]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M1Fe4-1dBz7Q1xvM-00t8Rd; Fri, 06
 Oct 2017 10:18:56 +0200
Message-ID: <59D73C6F.3020907@HIDDEN>
Date: Fri, 06 Oct 2017 10:18:55 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CB5D69.7040404@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN>	<87efqikk0x.fsf@HIDDEN>
 <87a815lq3w.fsf@HIDDEN>
In-Reply-To: <87a815lq3w.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:qTz3QdPd7QmzUDldWs0Rdqrhr/ht4f9J7c546y6MhWVtTZv5O+e
 m3lomNCL1TSMUrNajE9kp1LadhUGtXovG64GauqWcLDg4Lnw7ur3BfFskUqtCmmURO3C7/m
 vXzmP2A9P5/1qTBBXV9aYen6EdIIQHP8LeagbiNJhY+vrfvXkAKsaGIKS0Nl41NnNwe3ipR
 CgrXsXissuBth97ukgSyg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:FrAPDt9VoPI=:Ev9Nh+9X+8wMLtHusqRH5c
 mqkHtMpJ8lOjBn3xjChvPwZlfwT95zDT4Py+2gOMa6a81ym57LrsE9b5b5Wg+NwHZup4JlOaR
 uae7Uxo4aJv+MAavSYUn2vO9pRg3s2pSQTQsePSbcmaS0SN2baXr5G+m7a7kQ8aki3QqX2jX0
 6xjvuH6bvRUsRemzo55o6dFuauhbrf4heTIC4p+UksNUxO4qaB19nQSfOZAGuA9PmY9vpVWoS
 JH1JuN4v8nicnIHw6HUkdi/u0/0Q6bas6MRPp0AFkmt2mTvITPuPCGpWhS2iVOKnIA0QWAwen
 LKsD1b3fkQxcNBEuqNGM2VO8HoRyovhRk18NyOrg7g6zVR0HbmGuG7FBb9ZlteEWzmYPKwlk+
 /hqGOgUyF0viTN3zzxHOh8Y/7LuvWYsf2y7mY2E7Avre2tvXjyyBExXXLX2lutvH50YRn3DA0
 WD3BICpWOqa5zqusY4EuFRY8P51KiusQjIvfkjk4enoam425W14wyK0ztMzhoASMl9WG1nwCs
 bro5hJTLXbAAaLkCjXqxpE+PLLvSFCisEhn1zRFZqaCcuBPHRpAbtaiCgKDHysV+tdGLDoKD5
 pvu6lB3ot3u5gzW/8oDXP6Wi4sqLPA7U8RjzHweRnqt9mCjtTpBiq1gqOtyR0pSpd7t/fbb7f
 6QgBjO3KTETyaGGkJxm4y7MCfx8hQ2jjSajTf9s9JQQav5ZTaI9JubGXqv/A3idxk79s1wmmo
 tqtBQq1tdoUg6nZRRUFE7SYnSGraTtzKQrqb8hXvivHDaCrL3+dZH4+4gXGQh1XB+lS2XWkqB
 Y2oek6gJl6JC5tUp6GZoCqh8IH69NN2WzLAdZvBsC7KRmjBkWFIFUp03Gcg+7mWl5LZRMOV
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Thinking about this some more, this whole calculation just looks
 > wrong. oldx, oldw, oldw and oldh are in unscaled pixels, as far as I
 > can tell. We need to scale when using GTK routines, but x_clear_area
 > ends up calling X11 routines, so I've almost convinced myself that we
 > should in fact delete the oldw and oldx adjustments for the vertical
 > scrollbar rather than adding them for the horizontal one.

Be sure to distinguish code that decides where to draw a scroll bar from
code that decides which area to clear and possibly redraw.  Sometimes,
the area that gets cleared can be substantially larger than the area
occupied by a toolkit scroll bar.  From my experience, this is often
noticeable with GTK scroll bars since their width is determined by the
chosen theme and cannot be adjusted individually by Emacs.

 > That code was added in commit c0055ff5b03c9121ab5bf752496b09416f0f0a7d
 > which is quite old,

... 2015 rather strikes me as "fairly recent" ...

 > I suspect it did no real harm even though oldx
 > tends to end up negative, possibly x_clear_area does some kind of
 > clipping.

In my experience, X silently swallows anything that happens outside the
frame.  GTK can be much more picky in this regard, especially when
trying to draw something outside a parent widget.  But the corresponding
error messages are usually a pain to read.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 6 Oct 2017 08:18:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 06 04:18:19 2017
Received: from localhost ([127.0.0.1]:52104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e0Npr-0005N0-6U
	for submit <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:18:19 -0400
Received: from mout.gmx.net ([212.227.15.19]:53958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e0Npp-0005Mn-QY
 for 28605 <at> debbugs.gnu.org; Fri, 06 Oct 2017 04:18:18 -0400
Received: from [192.168.1.100] ([46.125.250.105]) by mail.gmx.com (mrgmx001
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0M5dMm-1d7ZGM3Rxw-00xYLQ; Fri, 06
 Oct 2017 10:18:10 +0200
Message-ID: <59D73C40.7050604@HIDDEN>
Date: Fri, 06 Oct 2017 10:18:08 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CB5D69.7040404@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>	<87tvzfjfcp.fsf@HIDDEN>
 <59D5E8F6.8080002@HIDDEN> <87efqikk0x.fsf@HIDDEN>
In-Reply-To: <87efqikk0x.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:XesQOY5/C/Iv9zaXwXsi7vNGclYavmAEngN4JKBvSiMH7wxbrdw
 BoFadXfyWJ2SIkaLwyOaIv1U9c3S5khO/727ivnOIgd+5XIPyGISqoJsbFe+Go+mB3g8+zp
 nWX8/g4/2WpR8oSZzzq10olMD2aAH4be7Eckj/p/RFUtVx4VSKqnRCzeHJRa6ot8KHoC/7N
 QXWUgMEOimNP13hnLNQEg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:1oesireQL40=:PUleVVPLoVCaMAkn3ZB5yG
 97TT5CAjl5mOJE45LBU65H4gWx39daX/Mdxi09vNkMCkmzLHOADpSFZKhdHtbB7EGU5TqWxvF
 24apbB4JLGBKFmEK+C4vVSd0/smP8wc/4vQYiLS6KfKKXGqcbWPLx7w9utEpr3gSh6HU0PNh+
 atfWbtfaFeanv8+7N2PEl3fZ92KIpfGmTKRkgELn6twymTAT/veYp6jau/7vjM4fxkUkpnd5/
 DSkABVd48Z7RznEi0K9x1rrL6UMYcETNrXA9rlJpoN0wiawo7Of+szPHefil/9qdcE+ekR3SL
 hDSRbkZs39pdjKoniW7aOfYfaVKW3/3YFXsBmgVahjd1MpyxQjhLdexCR/vLKuorWNFRQTkQO
 8/zlQcCkBl0lDBYz7qsInA1zDfvz9+yknDzMO7SuT9SEfJx9GsUmLSvovSk+vJdGfTn/XtAr1
 Hij2A3ijJk80Y6Kf+C2ygKpFYl3anxinYVXk4FxuMDKZgRgADNwYZTv0syoz9SHFvpf0wDdVb
 ltOYtPATVjsm1KF1Rjy38xf5K21Ys3iiw68iFTyhv6RKY2BbjxhNPZX0ofb7JAumMYBUqWb6u
 UcpqCZ3PYrEgRHIsX8CI0/kU5o7+B+sJiby6huHKzp2ZLyYV3I7kpw0WPjZHF5MqfosS2/HB6
 zhLGGhBT0zCGace49oHAuhbk6UsWbtS91dyPqEwBl9cFfrip+hpvVDJx8BChFsvVJWmR9UcS1
 /QRvvGino4PbKD8gyQJwVXZakX/Sjao25l8WD+nSZbtio7JVr8wYRAHO5lsQD3JP5PMFY5n6l
 zNs1EnIU95oulq+MzTgjmH8isXQsN+yOJC6+mzi6kl3Lg4mTi4zIsN6ueIMdPxt3j94qANW
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > The horizontal fix is somewhat cargo-culted from the vertical case,
 > so I'm not 100% sure that this hunk is correct (why is it only
 > adjusting the width and the x position? Should it adjust the height/y
 > for the horizontal case?):
 >
 > +       {
 > +         /* Clear under old scroll bar position.  */
 > +         oldw +=3D (scale - 1) * oldw;
 > +         oldx -=3D (scale - 1) * oldw;
 > +         x_clear_area (f, oldx, oldy, oldw, oldh);
 > +       }
 >

The entire horizontal scroll bar code has been cargo-culted from the
vertical one so any adjustments should probably go the same way.

 > I sent off a request to assign@HIDDEN more than a month ago, and have=

 > heard nothing back (and have also pinged the copyright clerk at the
 > FSF). Help?

It's relieving that you have sent a request already.  Unfortunately it
seems normal that this process takes a month at least.  Let's wait for
two more weeks and ask Richard if nothing happens till then - maybe he
can help us speed things up.

 > False alarm. Looks like my window manager is not giving Emacs the
 > correct height when I maximize the frame, so the window behind it was
 > showing through (although I guess that could also be an Emacs bug,
 > just not related to this one, since it happens without scroll bars).

I'm quite confident that setting =E2=80=98frame-resize-pixelwise=E2=80=99=
 to t will fix
that.  Some window managers are very strict in the sense that if an
application prefers frames getting resized character-wise, that wish
prevails over the desire to maximize frames to the size of the screen.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 5 Oct 2017 12:46:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 08:46:21 2017
Received: from localhost ([127.0.0.1]:49868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e05Xh-0006rz-0K
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 08:46:21 -0400
Received: from mail-wm0-f43.google.com ([74.125.82.43]:53355)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e05Xe-0006rj-Ut
 for 28605 <at> debbugs.gnu.org; Thu, 05 Oct 2017 08:46:19 -0400
Received: by mail-wm0-f43.google.com with SMTP id q132so1970322wmd.2
 for <28605 <at> debbugs.gnu.org>; Thu, 05 Oct 2017 05:46:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0d6Tv3B6LDJqa3L/y5TvxuAcJ+7w3pbv06SK6f13e0c=;
 b=k+FbtRT6BrF3k+uZwCExDLXHXg1s/30LwTNFMfoadR+8Qn4uegPwJ2VCS5JvvpJA7j
 oFhukYaUFCJQlWvvslNRnCfzrXhGZo1HFcSw+ZYBn1BEQaJ4IGHP0DcxF8aet/uwmTHW
 DcbPNRaYoRFBQ4Db+BYLcx0uqNhI6Hg4B/pv/Pe9LSWRPvnPPTWCbWlb8vpQvMxg2d74
 sIqNcK0NQelOuo+KxVSjIJ8hyYhdBJSy3F55XULZje83vN1p3q0dcxGIyY+sIVSVKVlC
 LAyjGwboWhZKbBUWNDuC9NEV1VUh8SgRenykYJ+ipW4gQjyXV0HWDrTYttFtlT2YSwxg
 pyOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0d6Tv3B6LDJqa3L/y5TvxuAcJ+7w3pbv06SK6f13e0c=;
 b=ocSEcb6FXQe3/awKlDuVR3zF4FXnzklds+gPZq0YlRrliHnh/hEr+NKOnxMXdIom+4
 OYPzWyc8IC66WBauao/zb2/HSwsPFVHbKoNhxTYpEQlQfpSErUsUsoDda/8CBwmmO0gb
 STTRQ471WMz3RyrJj1v1/133NVH8a6C07riQaRielWpEkY51WqeyBD4ZH8oDxu/NxReZ
 KQu+WLqXnRNrhIfuPNrV5OBt/7n/6udM8rym+SWaPRDLuOhPeFjtLGlItSNVF6WTWsr9
 KdTsUQ5zTcvpKDIcivXF6BEEtfN6i1VR53TetGRThewIrDp7LS0ayCDQoBQNPVpeKCOm
 9n1A==
X-Gm-Message-State: AHPjjUjDLrwESNwIXDV8LEysv49DYUMfMw901gfBaKyrLWcMxYVDNZSp
 ako37al67bJ7KRMFoWSwbRQ=
X-Google-Smtp-Source: AOwi7QD1fIQabGKkQPsPI6Qfw6eT9XG+Ul2hqPbn83/YLOKHnPfIBsqwbzMaGq1NpFe43Vglu9joDA==
X-Received: by 10.80.208.130 with SMTP id v2mr31279650edd.62.1507207573086;
 Thu, 05 Oct 2017 05:46:13 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id d3sm14205930edd.41.2017.10.05.05.46.11
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 05 Oct 2017 05:46:12 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
 <87efqikk0x.fsf@HIDDEN>
Date: Thu, 05 Oct 2017 14:46:11 +0200
In-Reply-To: <87efqikk0x.fsf@HIDDEN> (Robert Pluim's message of "Thu, 05
 Oct 2017 11:42:54 +0200")
Message-ID: <87a815lq3w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Robert Pluim <rpluim@HIDDEN> writes:

> The horizontal fix is somewhat cargo-culted from the vertical case,
> so I'm not 100% sure that this hunk is correct (why is it only
> adjusting the width and the x position? Should it adjust the height/y
> for the horizontal case?):
>
> +       {
> +         /* Clear under old scroll bar position.  */
> +         oldw += (scale - 1) * oldw;
> +         oldx -= (scale - 1) * oldw;
> +         x_clear_area (f, oldx, oldy, oldw, oldh);
> +       }

Thinking about this some more, this whole calculation just looks
wrong. oldx, oldw, oldw and oldh are in unscaled pixels, as far as I
can tell. We need to scale when using GTK routines, but x_clear_area
ends up calling X11 routines, so I've almost convinced myself that we
should in fact delete the oldw and oldx adjustments for the vertical
scrollbar rather than adding them for the horizontal one.

That code was added in commit c0055ff5b03c9121ab5bf752496b09416f0f0a7d
which is quite old, I suspect it did no real harm even though oldx
tends to end up negative, possibly x_clear_area does some kind of
clipping.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 5 Oct 2017 11:57:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 07:57:47 2017
Received: from localhost ([127.0.0.1]:49837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e04mg-0005Yw-U1
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 07:57:47 -0400
Received: from mail-oi0-f41.google.com ([209.85.218.41]:52136)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1e04mf-0005Yg-Cf
 for 28605 <at> debbugs.gnu.org; Thu, 05 Oct 2017 07:57:45 -0400
Received: by mail-oi0-f41.google.com with SMTP id j126so589262oib.8
 for <28605 <at> debbugs.gnu.org>; Thu, 05 Oct 2017 04:57:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=Tj5H1fkDDMn+XdaZTuE8hG99ocYYYS0K7RpGBKD7P0o=;
 b=ofFZdylSJLFB9+JEDot/g8NTDO4X+/X+tOuFoF5RAVIEV3FqBv3plbG7BtbrFNAiw0
 /3uQ3UB6QUUJBfhz7oEOQPtiB5rZ7ePx13eFJp3dw+Hk58B1Amtby8fNP9BSzOlF593c
 niuv/FZJfAU8H7cZDR3dQr99O/t97FrKhR0KcxWToSY9zuisj1gzi26hQhQ6VLk3MO7i
 clpqrat0ZEuPWpPgvYVHR+Dokx09bbQkQV/wp4DW01yH+gEVWi+ldqvviVeZAej+aYtE
 j39dExc+59wxoa0J2PurfykAFAnSTQggRX2OiseTl0PFIBKpxZGfpmO7EiWPJW8+Mz3Q
 WiNQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=Tj5H1fkDDMn+XdaZTuE8hG99ocYYYS0K7RpGBKD7P0o=;
 b=MIJXkRfqkREIWJA9e8JVy6HWITkApDQWw7JmWnoCd6yLNtvYvIZ+fC0U179vnr/NzP
 aRYH4Q+0ZQCRDJlU8SNcAN/youEquSdo24t6zhv2UmPhfJ7DBeGzwiTgAqBTqzfg6I9w
 CH3CvCVxG/+V9GWB++D0O5Kg17UoQvRNKtK+g1ubeXkKUrqVauPbMPMB9t5n2gB0+ygP
 Dqp2WYPcaQqx2HYB5TL1gwGNu+nekhpvyj141MyJCtQuqflVTFW6DcoxYS/TL00qoyUa
 2OCJ9lA+1cyeFGp5kqOcTbaah87BTx1MPORqOGHozP6Vg5Ct3hV/kUa1ja+UFJW7B57R
 u8cg==
X-Gm-Message-State: AHPjjUjaorWQu2Bp3PtMVxhbMBiMF3TxEnt7disE/DjdplxiITUcTG/6
 P20xUiA5sL1K8zqBHnXGio+hlEVtq+ZQdon2JUo=
X-Google-Smtp-Source: AOwi7QBvhJxA+M7OAutyuA21MHIHMAXRBgOB3J/lzBGwxA94Gf272I44mHSWWlN2lX1ffI3nZWEjV20TMO1XRkG1GdA=
X-Received: by 10.202.69.85 with SMTP id s82mr10714886oia.269.1507204659580;
 Thu, 05 Oct 2017 04:57:39 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Thu, 5 Oct 2017 04:57:38 -0700 (PDT)
In-Reply-To: <59D5E8F6.8080002@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Thu, 5 Oct 2017 13:57:38 +0200
Message-ID: <CAKyOKyEz+FJrghW4VB-SSOa7vngpiu9kKsxYWa5wEFvm+5duKA@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Thu, Oct 5, 2017 at 10:10 AM, martin rudalics <rudalics@HIDDEN> wrote:
>> Yes, I think removing the calculation for left is the correct fix (at
>> least it looks correct here). The horizontal scrollbars need fixing as
>> well, see below.
>
> Looks good to me.  Ola, can you check whether Robert's patch fixes
> horizontal scroll bars on your system?
>

I'll try to find time before the weekend.

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 5 Oct 2017 09:43:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 05:43:06 2017
Received: from localhost ([127.0.0.1]:49734 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e02gM-0000BB-Bs
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 05:43:06 -0400
Received: from mail-wm0-f52.google.com ([74.125.82.52]:47279)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1e02gK-0000Ag-NQ
 for 28605 <at> debbugs.gnu.org; Thu, 05 Oct 2017 05:43:05 -0400
Received: by mail-wm0-f52.google.com with SMTP id t69so963582wmt.2
 for <28605 <at> debbugs.gnu.org>; Thu, 05 Oct 2017 02:43:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=s+VIoFAUNqt+Jm3BXTSNYgTs/v5WduLLOQJPlWy3aCE=;
 b=YvB5oPjR4WZvkR/5uXduYB5zRMs5rzMgXNBB8KXsRvgT4bKifdPv6C5v/oU8vnl8n8
 mka18LkOMMOkF6/MG9SOyKOqGzdX4IWKfUwKkSVCS/oHQlg28lRoCaM3xhcvaEziPk5E
 Ip9EuMIAkJXPNVqSfay9T6SuRIuaM+rcnJQzC3pHbrXTY0s3+csZ07OCOvq5QDaei9yX
 TS2Rva5RQsYxD8o3AnOJjJk+qMhHpb0vtvYC1C+pcNw4hrTVLrg6xNM56jLrfIZZ10MX
 QkOGNUV1fgSgEQwauCGM1yacjkDarJaKBucPMb87c9q8ZoRmGhBCFeqET+zGK4wIi2Gd
 iYrA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=s+VIoFAUNqt+Jm3BXTSNYgTs/v5WduLLOQJPlWy3aCE=;
 b=QgFJ4h/kMMgbJCJIMwB+G4yhZ0dPXpHFwYkpv0rI1ON7hcng4Oq5iFlAwqskdmMYij
 shgMGTdiZnPRW3aORsYnI9PeAvAsf+cA5tZc3kDhRLzhpmEl2S107xoGGQcPzWXyvCtR
 vHFjTUx+ow+tM11cbtbZnQhvcdK2KpwQPqhsFeUdiEsWqH24FRhRYTouohzVB9qmaPYH
 gkli3m8sg8SUkG6bhr4ShYBJEJMpHoLCg9CAecQogcOtIod6Gnhvrm8lt/V2cETrW1pA
 uBZ+hxxPG0m9tvtRZ/WyjF+S/NgAj3+6AHGS6+UVETQAWiw1A2zHUPBR3/JdJV9NpnGR
 jHfw==
X-Gm-Message-State: AHPjjUh4NdoD2bwXzOUJYWEbntuGzkrL76w7VJoAlTtlPtEzfUudloSX
 /2nclQEAjqSxPmU/pk9ZvB4=
X-Google-Smtp-Source: AOwi7QAtpj6yqrFk8QXEd0uHqTPrqx0yW17rcr/QUGPUrOElGS8MBG5SpUqwOOKALVEYLJAg7moPPQ==
X-Received: by 10.28.71.211 with SMTP id m80mr20680963wmi.158.1507196578747;
 Thu, 05 Oct 2017 02:42:58 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id o59sm35170519wrc.45.2017.10.05.02.42.56
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 05 Oct 2017 02:42:57 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN> <59D5E8F6.8080002@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Thu, 05 Oct 2017 11:42:54 +0200
In-Reply-To: <59D5E8F6.8080002@HIDDEN> (martin rudalics's message of "Thu, 05
 Oct 2017 10:10:30 +0200")
Message-ID: <87efqikk0x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>,
 Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

>> Yes, I think removing the calculation for left is the correct fix (at
>> least it looks correct here). The horizontal scrollbars need fixing as
>> well, see below.
>
> Looks good to me.  Ola, can you check whether Robert's patch fixes
> horizontal scroll bars on your system?

The horizontal fix is somewhat cargo-culted from the vertical case,
so I'm not 100% sure that this hunk is correct (why is it only
adjusting the width and the x position? Should it adjust the height/y
for the horizontal case?):

+       {
+         /* Clear under old scroll bar position.  */
+         oldw += (scale - 1) * oldw;
+         oldx -= (scale - 1) * oldw;
+         x_clear_area (f, oldx, oldy, oldw, oldh);
+       }

>> xg_update_scrollbar_pos and xg_update_horizontal_scrollbar_pos
>> are now 99% identical apart from the 'hidden' check.
>
> Could you refactor them?

Not until I or somebody else understands them better :-)

> Note that unless you have done so already, you
> will probably have to sign papers anyway so that we can install your
> patch.  If you don't sign, we can probably apply the fix for vertical
> scroll bars at most.  Eli will decide how to proceed then.

I sent off a request to assign@HIDDEN more than a month ago, and have
heard nothing back (and have also pinged the copyright clerk at the
FSF). Help?

Worst case I can put the changes in the public domain.

>> I don't think this will be the final version: I sometimes get the echo
>> area being the wrong size...
>
> How?  Is the mode line of the window above fully visible or does the
> horizontal scroll bar overdraw the mode line of its window and the echo
> area?

False alarm. Looks like my window manager is not giving Emacs the
correct height when I maximize the frame, so the window behind it was
showing through (although I guess that could also be an Emacs bug,
just not related to this one, since it happens without scroll bars).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 5 Oct 2017 08:10:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 05 04:10:51 2017
Received: from localhost ([127.0.0.1]:49664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1e01F4-0006JO-Rk
	for submit <at> debbugs.gnu.org; Thu, 05 Oct 2017 04:10:51 -0400
Received: from mout.gmx.net ([212.227.17.21]:56256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1e01F3-0006JA-55
 for 28605 <at> debbugs.gnu.org; Thu, 05 Oct 2017 04:10:49 -0400
Received: from [192.168.1.100] ([212.95.7.239]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MaE4a-1dkXj00P7o-00JpSU; Thu, 05
 Oct 2017 10:10:42 +0200
Message-ID: <59D5E8F6.8080002@HIDDEN>
Date: Thu, 05 Oct 2017 10:10:30 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Robert Pluim <rpluim@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>	<59CB5D69.7040404@HIDDEN>	<CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>	<59CE05F2.1010202@HIDDEN>	<CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>	<59CE8E74.5010308@HIDDEN>	<CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>	<59D35549.6030905@HIDDEN>	<CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>	<87wp4c750c.fsf@HIDDEN>	<CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>	<59D4A45F.5010606@HIDDEN>	<CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 <87tvzfjfcp.fsf@HIDDEN>
In-Reply-To: <87tvzfjfcp.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:ID2TeWh04MaFRwHWCD4j3zmBH4PHU/wBqeddOFf6KdHuhH6Niz1
 n7DIN7undQMVv2KcKfFMUMHbCRz519vsdunjbyZhQtwnQ+LA2cQt+VqdeoaCt8i6s6CB3U+
 6cBbtrjID3QhYF5BjLsttoNnt74LBQnn4uYeeMUZetQpzzd9U/Cs5YCeV9+Fu1agqyaHM/M
 L7rHBMNFP8zswkcjsS2rw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:iKDaz0xapyo=:kZwOtH7U5pZhoNEnAZogpY
 ZzkCm+FxdTEcBpIYrYkHGtBUCEzeNrfs52a7ZhpMYrkdg5ZCqzUVlwn12pUM57vR+j2yf3Yda
 WIOiyKD84DPueYUIovOixeXr9osGgdhZcjSkE7CNyEBUVz3t4IK4Lcd7GqlJodPADLNPM1YWn
 +6rzUO7emew9IXUsvq/+/oVd263NEUfihaTxcieyfhrgRwV+3m636ZESSOX4+hcoET81LjU3j
 7vMxi+yjCM7UNH7r3rPn/ZaRHgDTSERFfz6YkJU4gvJwvx7yZEvyA2W/HgT+pEeFVvCmmxIjn
 3/XsfI+Lu8W159mlvJSWV/wMuXDsNyTOgGqeg57uXGCFyaxQzh28G4mrLcJz9sJtQc6P6Fa6n
 ymczGWp8Qz7Ga+JXQQ0zQYF59z2mZi0d4abzCaaM6/M7QUEB9fHXTqRQ0GvgBOpbRJ/k7ITAn
 Eaim3LfbeBARJlGSs4E1dF70ddTXN+saxOkW8X9vDYUBqC4Iqbmxm5eUTchj5saXEfT+IiVPI
 xakzcj7tHeNhXCIpbLHeC/efx+ZyeQfS3B4umG+S/iVnHMcSgAXBohtxSyMpd4ay2Tf5u8EOn
 E4+GdzPiNRJs24GQz7OmDf7T/+X98btXGSpykpMKVPbrQSylEjVfKgZsN2MHc4lxfxaIuqTZA
 MyZT95rQz0Ghl4nx6KwGi44Zc8yoO4nyLa+cRbboqJIpxmporkudyujndnqzB0Z9dL6UGCocw
 Jq35+gHEg1OFAbYgcOFv2Nr4QdHdHqxw7gjNYvYSMGRgYp/hdE5I4G/nUl/pU8y3Aa1Rh9DSZ
 vfvPIMBPpSWMk7ci1B2rEUi4lZ3On9bs5ptYwO1eDdTMqeu+6ctqafY6spECIfj22/aQT0K
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

 > Yes, I think removing the calculation for left is the correct fix (at
 > least it looks correct here). The horizontal scrollbars need fixing as
 > well, see below.

Looks good to me.  Ola, can you check whether Robert's patch fixes
horizontal scroll bars on your system?

 > xg_update_scrollbar_pos and xg_update_horizontal_scrollbar_pos
 > are now 99% identical apart from the 'hidden' check.

Could you refactor them?  Note that unless you have done so already, you
will probably have to sign papers anyway so that we can install your
patch.  If you don't sign, we can probably apply the fix for vertical
scroll bars at most.  Eli will decide how to proceed then.

 > I don't think this will be the final version: I sometimes get the echo
 > area being the wrong size...

How?  Is the mode line of the window above fully visible or does the
horizontal scroll bar overdraw the mode line of its window and the echo
area?

Thanks for your continuous efforts to get this working, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Oct 2017 11:57:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 07:57:05 2017
Received: from localhost ([127.0.0.1]:47667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dziIT-0004Eo-As
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:57:05 -0400
Received: from mail-wm0-f44.google.com ([74.125.82.44]:47144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1dziIR-0004EB-QG
 for 28605 <at> debbugs.gnu.org; Wed, 04 Oct 2017 07:57:04 -0400
Received: by mail-wm0-f44.google.com with SMTP id t69so22272636wmt.2
 for <28605 <at> debbugs.gnu.org>; Wed, 04 Oct 2017 04:57:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Ks3StDVxfGwDHzG7qQqU5r+KiYT3hMZx/JUkl/si04U=;
 b=brQ+npv2575pMB4GzYQz90KjIjJ4oQlRYWd3EQdrVCj2eNd9djIUNlEz9blgfEVtP/
 QoaSRfRMxKFsynQo1ofcdcIy3KLJsgI4jjqQ16oLReretPUWkAiQpdy8xR8CWoDMvslb
 fiOu93dHMYhAdBKKbbAKA52s6gOVoarkPwA/zFjYHq5HkMtlzBnHelfWn8p+PBj9PkFQ
 0m+HV/rd4Ev7TmVgBzc/Z9FlJ6BNMHyjHCNbmjrkCsEltsUjrG/7DerXds2cX+fjm2TG
 nOqvPcO52ubaHHduHBTuVIulXWfj6VmwSYSDHfOWxiBkIY4aRDt/FBo7zyMR0iBowdXQ
 YXHQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=Ks3StDVxfGwDHzG7qQqU5r+KiYT3hMZx/JUkl/si04U=;
 b=MlCt5VnBpUVCKJWReudXaOifR6JvkdMY1jcT7LETdzQUhdfbhQXnBl7Jzh6VQZssJR
 Ncxub2PpYExe/iTyE08oyItPUsMMcgdvxw8RAFB2uPNmnjT1ZNuXkjsgQ/c8Mkcu0SQL
 QN/DyH/eT2GlGDYBLA+3xONoT0ZOhv4/UEG9mAsJKFFcwBXygmxmk/3q8+Vm2zzfYZ1u
 Sb8gmkxyeJzM31z3gPAdTrDFqt7IISYvLcozJOHpug2OVFQravX7C54hhkf0sO0pBKsF
 3FjsU2B1G76O78lfi72c/cAjlYjCkOqRoSBE2BSHkKZd3vUV6hrpX/+T6LiLij2BjbXv
 w2iQ==
X-Gm-Message-State: AHPjjUiSd/E8LZPA/43HWRMoOPK5q1kKz863h2H3VqacfYebrwb5Qlbi
 VbdrlXkHdYyJxajE93HpCAM=
X-Google-Smtp-Source: AOwi7QCc16vzofbMF+G/gH9C+3GsfEeBau4B9NxA+VoLrSffJoxmVT3I15qfSkf1Urq8Mp8kBPqlgw==
X-Received: by 10.80.136.81 with SMTP id c17mr28124602edc.13.1507118217899;
 Wed, 04 Oct 2017 04:56:57 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id h56sm15834845ede.15.2017.10.04.04.56.56
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Wed, 04 Oct 2017 04:56:56 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
 <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Wed, 04 Oct 2017 13:56:54 +0200
In-Reply-To: <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
 (Ola Nilsson's message of "Wed, 4 Oct 2017 11:59:44 +0200")
Message-ID: <87tvzfjfcp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Ola Nilsson <ola.nilsson@HIDDEN> writes:

> On Wed, Oct 4, 2017 at 11:05 AM, martin rudalics <rudalics@HIDDEN> wrote:
>>On Tue, Oct 3, 2017 at 6:58 PM, Ola Nilsson <ola.nilsson@HIDDEN> wrote:
>>> This works for me:
>>>
>>> @@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,
>>>         top /= scale;
>>>         left /= scale;
>>>         height /= scale;
>>> -      left -= (scale - 1) * ((width / scale) >> 1);
>>> +      width /= scale;
>>
>> Deceptively simple.  Whatever was that left rigmarole needed for?
>> What changes with
>>
>>       width /= scale;
>>       left -= (scale - 1) * (width >> 1);
>
> From the top of my head, the vertical scrollbar is placed to far to the left
> overlapping the window to the left and leaving a white band between the
> scroll bar and the left-fringe of the window to the right.
> It does nothing if scale is 1, obviously.

Yes, I think removing the calculation for left is the correct fix (at
least it looks correct here). The horizontal scrollbars need fixing as
well, see below. xg_update_scrollbar_pos and xg_update_horizontal_scrollbar_pos
are now 99% identical apart from the 'hidden' check.

I don't think this will be the final version: I sometimes get the echo
area being the wrong size...

diff --git a/src/gtkutil.c b/src/gtkutil.c
index 0da7039..b41e8f1 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -3879,7 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
-      left -= (scale - 1) * ((width / scale) >> 1);
+      width /= scale;
 
       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;
@@ -3955,6 +3955,12 @@ xg_update_horizontal_scrollbar_pos (struct frame *f,
       GtkWidget *wfixed = f->output_data.x->edit_widget;
       GtkWidget *wparent = gtk_widget_get_parent (wscroll);
       gint msl;
+      int scale = xg_get_scale (f);
+
+      top /= scale;
+      left /= scale;
+      height /= scale;
+      width /= scale;
 
       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;
@@ -3981,8 +3987,12 @@ xg_update_horizontal_scrollbar_pos (struct frame *f,
           gtk_widget_set_size_request (wscroll, width, height);
         }
       if (oldx != -1 && oldw > 0 && oldh > 0)
-        /* Clear under old scroll bar position.  */
-        x_clear_area (f, oldx, oldy, oldw, oldh);
+       {
+         /* Clear under old scroll bar position.  */
+         oldw += (scale - 1) * oldw;
+         oldx -= (scale - 1) * oldw;
+         x_clear_area (f, oldx, oldy, oldw, oldh);
+       }
 
       /* GTK does not redraw until the main loop is entered again, but
          if there are no X events pending we will not enter it.  So we sync





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Oct 2017 09:59:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 05:59:53 2017
Received: from localhost ([127.0.0.1]:47560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzgT2-0007lR-TQ
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:59:53 -0400
Received: from mail-oi0-f44.google.com ([209.85.218.44]:55767)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1dzgT1-0007l9-7n
 for 28605 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:59:51 -0400
Received: by mail-oi0-f44.google.com with SMTP id g125so1197778oib.12
 for <28605 <at> debbugs.gnu.org>; Wed, 04 Oct 2017 02:59:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=DkqeGnOURBnTlydVtnxFn1f7nHD8Vh7wSfwhN+vny1w=;
 b=erhe7Dr972/8pN3USHd9/QsY7KmdNmveAwAOVzxh8ij+kYIiC19x63O0fhaWBVE3av
 /vTyo+YfOkgsjA8wJ2FJJKAGSCaZlXE+pakLmpBQP3norRvjGSnAt9yVun9w8+yzC+XI
 WKUz0yx36TjCNAbPacTDDgFK4WZvsRAldkRvAqv4dpm+8XDeYvTk5JMniTz7LWbKvhxY
 GRkGD5UDx5Opg6S+LDzMqhU8sku2W9560+myTAYShnR9Q3SAiobgzDdh922swB7zcH7w
 FRz3ooF/7jc/+QVn3KW9IjUgG4yP+S1oKxKzKzlnUu/OCtlMGhoyDJsFdtFA92V6Eaci
 5uBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=DkqeGnOURBnTlydVtnxFn1f7nHD8Vh7wSfwhN+vny1w=;
 b=mbOVzkbOARrtgwGYsolaMqenz/LNkerPAxSj+ban0PMHRGEDrv2EtijZnVhAIcCfpY
 SOVbd9kOglqtVPNGUpZ9in2Ur5D7iGmAAG1mFSA9alX3P108KTuKgkOZBZ9gNDsSiCfR
 f3Zujo0pCJztjLtRXqSQNktkXQy49Yow2S3h4Ti3AOkZJ8cmoa4r6g/Abg8Jo0rU/nzS
 FSFMr7dy/yGqijXJ7l7gj9Etzb4ghjhYiKyMu19duApwfI6W8gimhDvVJ0QaPoO147nl
 MGj685Pj4kRPagx0So4ayod0Cz+eNMH3SokV7eyzWdD6UwKRNx4OKWGQQYb+0gT8Oq+h
 6uaQ==
X-Gm-Message-State: AMCzsaUJVaazFnoHKg5A7S/FYyi/rHAmZ1QlBWcS9B0fkg0pI4pmawyf
 o3oz9jkCqjbOtbDPU6ID7Zs5KSudQmTnG7fy/4c=
X-Google-Smtp-Source: AOwi7QA3GzQgaoSS28nDzaeLEx+LUAkz2rblY7N0tNSJjvvd9/wyruEvpCgSjulfhC9L79ViSHLFoAyxFIC3PQAMUzg=
X-Received: by 10.202.6.129 with SMTP id 123mr8979938oig.399.1507111185248;
 Wed, 04 Oct 2017 02:59:45 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Wed, 4 Oct 2017 02:59:44 -0700 (PDT)
In-Reply-To: <59D4A45F.5010606@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <59D4A45F.5010606@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Wed, 4 Oct 2017 11:59:44 +0200
Message-ID: <CAKyOKyEb3ea=UuoBwW8nov6AfLYBzk68yorBdkEBR-W126k3OA@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28605
Cc: Robert Pluim <rpluim@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Wed, Oct 4, 2017 at 11:05 AM, martin rudalics <rudalics@HIDDEN> wrote:
>On Tue, Oct 3, 2017 at 6:58 PM, Ola Nilsson <ola.nilsson@HIDDEN> wrote:
>> This works for me:
>>
>> @@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,
>>         top /= scale;
>>         left /= scale;
>>         height /= scale;
>> -      left -= (scale - 1) * ((width / scale) >> 1);
>> +      width /= scale;
>
> Deceptively simple.  Whatever was that left rigmarole needed for?
> What changes with
>
>       width /= scale;
>       left -= (scale - 1) * (width >> 1);

From the top of my head, the vertical scrollbar is placed to far to the left
overlapping the window to the left and leaving a white band between the
scroll bar and the left-fringe of the window to the right.
It does nothing if scale is 1, obviously.

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Oct 2017 09:06:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 05:06:06 2017
Received: from localhost ([127.0.0.1]:47501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzfd0-0004YM-Ls
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:06:06 -0400
Received: from mout.gmx.net ([212.227.17.22]:63492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1dzfcz-0004Xe-QY
 for 28605 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:06:06 -0400
Received: from [192.168.1.100] ([46.125.250.31]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MYLKn-1dmnYs0k77-00V7Ai; Wed, 04
 Oct 2017 11:05:59 +0200
Message-ID: <59D4A46D.60509@HIDDEN>
Date: Wed, 04 Oct 2017 11:05:49 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <CAKyOKyHcE76993DCP0dxNzWCAmSr3ujZoPnQPns83Y2yQZKhPA@HIDDEN>
 <CAKyOKyGpcKVA-Q4ZAjZL8k3mxa6O2F-PeFtr_uP+yb7gDDrGTg@HIDDEN>
In-Reply-To: <CAKyOKyGpcKVA-Q4ZAjZL8k3mxa6O2F-PeFtr_uP+yb7gDDrGTg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:+FZh7WXLBMAmv5IF0QCveH6vWDMd3xL078ZmE9MED4riM1oYvyx
 YXpbbljdjrpyZQlAojbw0yiBywKkk5IXetb1G68f7+RMdKWpk1XDf+aCzFtkKAMttVZj+PD
 EFWi3rwE/JKY42FWHT4cEGYDygNSDzOnhykzZa0tZcSk2nGu/CUTQy8UScM9I7uT0VHg8cx
 9+ozvhWr0qUYaUGLXknuQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:odsd3brwaWA=:9pr5J+mT7s4eDa2mFAy9Ue
 dPc2SjAMzWO2+t+CZgER1HLbaxyjUiHDjUHLTjTEnqWEN3+xEPnPbsUi3EVXjPeFtb7PIz60I
 um0XYyK7jVorVPToD/aDS6uGjLYhRf83FOv/6typqxP1GOn2ywIrN26HbSgh3e5n2og6Em5RU
 ytIh2UIvSFsI9rNMZlpz1P5abPwvkCkUk9ei4K/MsjDTA4gJ9Y7QeLmvOgG2gcF5T5AI2lf7a
 QkgprByx0/eR74jFHJehdxnG1wn1EeM41SXUGW/9pdQUbL22DoZLXONXmWtQeudNSuv5hltpM
 9ympBOcIvIG1jlEmAdlXvzejR/6ffIUrX/GK6d1yyNvZSQZBm3a+I+IRxVSy4lzwUeochoY02
 G14OyXMVnlDamHXbGVyAS5OzsYXqRzsOsQ52Ct53JQf0450zptiiybGed0vjlG9KFMay2EgqH
 iCXeXnmffhEh7WlNl7NQlsrrA4RRIGIMT1aO1N8zxeTbuWKgoi43LtnBOZvlACBWODBu2tYpn
 DN/sJs02i8lgKSIkbDa8pD+TR5zfB097AnTLyWGlNAaDAGbA5vWT8DYye+VYwCyXMx9KFtJq9
 Xeh2/6OBTtvx5a6nRJYAqXxJLipsT+1Ys3Ugu0/59k5USYEMZH3St0YpQYnvwgssVq+tE8bqW
 l+wX0nXNAdG/mv6VvmwhNv5iUcaSdInzCnDzt6AADVnDzmD/VFKZW6bKcdQvjabVvBbmNe20U
 GltdFxr4byyjV0nI2Zyrtof7xR45DyJPX49YJ6mJShmn83xfPzemIeD3PR89vN+Pui6y5mIvo
 zHpwVYWmdiTo8Ul2lQg/WGJu9UOew+r6nI0UpoOLzPVANNANDEFtwPsLMyNetn2wcAXIoKl
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 >> I just realized that I never tested with scaling off.
 >
 > I did some more tests this morning.
 >
 > With scaling set to 1 (off) the scroll bars look like the attached screenshot.
 > But they look like that without the patch I sent too.
 > I have not noticed this on my other system where I have a normal monitor.

IIUC this is a GTK idiosyncrasy where the scroll bar width is determined
by the theme and Emacs cannot deal with it correctly.

See update_theme_scrollbar_width in gtkutil.c

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Oct 2017 09:05:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 05:05:54 2017
Received: from localhost ([127.0.0.1]:47496 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzfco-0004XO-Eb
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:05:54 -0400
Received: from mout.gmx.net ([212.227.17.21]:51758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1dzfcm-0004X8-Cf
 for 28605 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:05:52 -0400
Received: from [192.168.1.100] ([46.125.250.31]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lg5kl-1dXkqv0Xc3-00pfMx; Wed, 04
 Oct 2017 11:05:46 +0200
Message-ID: <59D4A45F.5010606@HIDDEN>
Date: Wed, 04 Oct 2017 11:05:35 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>, Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
In-Reply-To: <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:sivm3pPC682H5cwJEhOPpiDzUW25LBse03ho+Bekb41bG2AUE5p
 CSAqQ1ivwZ/08BNVxYVi3zq4JYvU5nxJttVBWeQi8+LloLdq/29tnJr1qBgTznZO7ThXzFX
 e6538xQgoZmmJ1ynqipHBh4jQ3ste7MobRcgHOjoXaQuxQ1Qpm+lXM+gRjhTWc94zis6O/p
 0RCGEoLHn0+pNumUVK14g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:FHg6/sdCKTc=:LgJFUrsSoRQjerji4Fz2IJ
 Hl0q+ujYgxlgpxLzhKQ5qU9Gs4D26SIPobKOLOILQBhzQlQw6y3fL+DUbPnp+ctbmAxsEsZkZ
 Wl2EutFOxGW4hpXWPFobL78IAsaD0UWihVzrv+JuAXQEFsNB8UqKDPsikeVu+VprpLs0Mnn4Y
 nquw9Fo8cFSjTeVjwSPr+o9SX6j+osO6zIJY5T6H5Dn6MksW2QYOY622UjP5K8pKE4udE1KHE
 vtPj8hedhHEEDhagn0VPL0gSlnXu1J9lhVWz9REa4HQw8SuP1W1MZJDnfyV1ESsvTgGaO38UH
 7lrzXib3jZKSfFi4OVofuA/TBUyepn9YdHyuj0yCS07FtKEKsZI5zPVNtmMv+Zo83rEjEj7kW
 ix/GLEe9WdMDKiKKWWZIG95VBi+vDiI8SiShAsPI8K1Qvs+oPMr+mMrzBtjDdP8P/BmKPu70F
 FKt9+VheOM3M9MZSPB8m+FrPISTTzci/RTTyt48zpHLF7+zZFzPcmEA/gPKnbhaeM45sA5TXo
 90mMcMz1cZXjnediZQj60+XLvm/al/UG+GkhD9lr6FU/vQRIFGCAsX/7+3i1RQNkdT8cZkull
 Yf786DqwrP4y+2NGxB7YtCuEe/YUDjsnKCkF7rJpSa4kNNPJjJOnaWjFqtxrZMtUEwsQrJAv9
 4C4EawTM4EjXU2nirwmp9OanlaKQHokKL7Q+2RIKnLpT+FOtyj8XNDtu01d342MmVKJd4yo8T
 w1MbGZ5xulXdb8RR0KSnj0hT/M1p73etXuSub26ggNXuSPyBelZ58PSyEQOk7pxsfNqBgK11j
 x16G/vZCB8Sz36setNrUjtCsINZzJRM4+Uohk9PHYWvMZe1PPf0s0sK3zFcAaM8WagEXOSX
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > This works for me:
 >
 > @@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,
 >         top /= scale;
 >         left /= scale;
 >         height /= scale;
 > -      left -= (scale - 1) * ((width / scale) >> 1);
 > +      width /= scale;

Deceptively simple.  Whatever was that left rigmarole needed for?
What changes with

       width /= scale;
       left -= (scale - 1) * (width >> 1);

 > The horizontal scroll bars are still no-show.

With scaling on their positions are apparently off-window.  Some
clearing effect is visible in horizontal-still-not-ok.png but might be
off as well.

 > As a funny side effect, each time I turn vertical scrollbars on or off
 > (not switching sides) the frame shrinks with about two lines.

This would be too strange.  I suppose it comes from turning on and off
_horizontal_ scroll bars.  Just as turning vertical scroll bars on and
off should shrink your frame by about two columns.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Oct 2017 09:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 05:03:49 2017
Received: from localhost ([127.0.0.1]:47484 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzfam-0004TG-RE
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:03:48 -0400
Received: from mout.gmx.net ([212.227.17.21]:53725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1dzfak-0004T3-AI
 for 28605 <at> debbugs.gnu.org; Wed, 04 Oct 2017 05:03:46 -0400
Received: from [192.168.1.100] ([46.125.250.31]) by mail.gmx.com (mrgmx103
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0MSdRI-1dpoCd1lZs-00RVb8; Wed, 04
 Oct 2017 11:03:39 +0200
Message-ID: <59D4A3E0.1040008@HIDDEN>
Date: Wed, 04 Oct 2017 11:03:28 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
In-Reply-To: <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:A3vx1FoB8Arv/drP9eBg9yhDFkX/sGjELfc5GqYm1e2Qjw47pJl
 LcE7SkJ9114KT+mIkvVyBcemKWuswke4SAy0ovh9GacIkQgFA1Y0MMSxeLdPde6du7Fa4ub
 FFwLMF3YKSsQ5pPbAy67xCtSV4H1fn8uXTPPSNb+DOcUId1htPP0vOJ/oCJcLKDFAI9ZnQ0
 gBCr+BlbvZREvQfhNgp3g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:1V9m+l1iwG8=:bW9eiVwlZuy101263Yw+Jf
 1Yx0IHVoQhO2AJQufa2QlBkLQRxi5yVXSm/dlLGiN1MwK88X7IdzMS5DTycFdSOP5aOTU4Hwf
 bu16bRD4zWI6uak2iZbBwHky1vvn60hpr2OGkoSLzcDxl457x8B7MAQJyG4IyBH/fADAZ0onz
 AFox09RRafvlesc4Zl6GuNQGFx1TqwcfetA5lXssbkb33Hw7XPzDdit+dJFdXZumRewSsvDiX
 OYTkVe8XX0shs87Q0pr9Hje9cZaYPctRTYFm2m3VPO/01Bve+n9jcZXXpvvjrxs/V6wVit4fp
 Dn9RCIhqxrN74WB5T/teU9i1TXhj0oPT/vNyTHuol8HBDaXrOxZZMH1IpvD34MyBxITDmcdmf
 WtS7TxI4nDBgBDU3+FhKyyudgoxTE5QlnVFbYY9Tk/YdpBt5CNH2cgkpkk0ZozLXoLkpgcc58
 qv5PfkU8TqUNRbBu3fXqrkvSmPTnlEgnlm5JD0KKY+T5L81DOV77agqQDwAxY1gJLZ65NGtnW
 L4NbXJ+LcTESUR03WOK+7Ae/soY4vXYLkSFLSbP2VaGIU4l/1VWVfznbmkJ6HLE6548ixDhW3
 HJhMAyVpI6wqdlTMX3L1u81nPHJLwx2Xx5FfG/7RkFSZhB5RizBrhnFgeFgUP/T4Cq02ZZlGk
 bsPozd8pAiXCKXMBKY48BjgxAn7kUPnME2AcIWEbAh/h7bFdmxU1SJRR66+NdeF85+z1MGz6V
 7QStaJAr5jfYuVvZXsMr8SqGDIyyam30mVp6p+JfIvNlJD6mzVO5zEIknPBQ5GeWtspt0NIm4
 AiKX8aM7ez/Q/pQN2SV6cK2p3UcxYiNMHi6g5Scemk6i2SqErVuOeUVDUqB/eb1bXiMAdpL
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

 > Made no difference what I can see, except a lot of messages :
 >
 > (emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
 > assertion 'extra_space >= 0' failed

Hmmm...  I could have sworn that using xg_get_gdk_scale would have tried
to clear entirely within the region cleared by xg_get_scale.  Apparently
I failed or some boundaries became negative instead.

Sorry for the miss, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 4 Oct 2017 06:48:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 04 02:48:25 2017
Received: from localhost ([127.0.0.1]:47331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzdTk-0000pB-Rf
	for submit <at> debbugs.gnu.org; Wed, 04 Oct 2017 02:48:25 -0400
Received: from mail-oi0-f47.google.com ([209.85.218.47]:57135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1dzdTi-0000oy-Q9
 for 28605 <at> debbugs.gnu.org; Wed, 04 Oct 2017 02:48:23 -0400
Received: by mail-oi0-f47.google.com with SMTP id v9so5877672oif.13
 for <28605 <at> debbugs.gnu.org>; Tue, 03 Oct 2017 23:48:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=0+rMRzKUfT8BzIm4+K0UtEsIW97UbUmW4b9ltzaqJ8g=;
 b=kbhboJ7BVTss6Ppu7FfH6QanL1tOxHwC8Z9G2kJwgPtA7RiPaVOd0Xx8dGQC7Uhl2q
 dEJ23sCng1vo8YWxrlOIkKW+C1fyUJMTvTS2hjHyruOtzOTmnKABHTDJ49aM6E4EaR2f
 gR1l000vDl0rJvjlqeJz7oNSZ8KfnLySh7kap3Zw1Twg4R68KOdROllbxhBD1gIl1/CW
 P44UnnTuIMybYJUkgFakhBlOgj5AykpW3JJJT75L2zh2yYrFhdMiB0/RVKJEfSuN97It
 f06/6tko5P54pBMi7H2h6CYgDUMB49SyeWqOD059LvDR8ytsKpctg4/l2lB1OOw0yLya
 Wu4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=0+rMRzKUfT8BzIm4+K0UtEsIW97UbUmW4b9ltzaqJ8g=;
 b=hG9TViIbS/X5E9V4CEh/p6ve1inafXUCY+UGsswRWoIVJ9v9dF8To+r/96LOaLOBEv
 Ua9naHr71GIuIjHkclXX2t+z5JjZPM8/Xjhy17fsntgVd953wynbk6xN3ajP/SLm3Ji+
 lI1oRx51mv+lq1MW0Q/1fLIKEDwKb+aqqOtAZcqJcbQTIfiHfmrg89RuUHiYvAlsmRMO
 p3njRRQ4Rtmj6+aG7wInjW+CLCrokld8CX8xs/xiMB8xfFOKB1o24OndwAYpr+CQTAft
 f36V1mVHX8A2MZftuU/wxQXuoL03oTELAmKFXmpszpu1I2XTjyC2LywMS9Vg2vf6zo7U
 IgVA==
X-Gm-Message-State: AMCzsaXKg2K6CnFBb0ibS5flsFxraW7WI/u/xPDVRpozwwhAslYsxpS9
 KhKdJ5/ieffTPwk+40plc44TkdqG/ZbOUrMxnoc=
X-Google-Smtp-Source: AOwi7QAmzOBDvk90/nuk09ntXp8aIkQtk33RixN/s94VDribARqCXBnA09o0tOdGL73ZvLGISKMb8FDanoaOiUIrjzk=
X-Received: by 10.157.9.196 with SMTP id 4mr2228709otz.315.1507099695966; Tue,
 03 Oct 2017 23:48:15 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Tue, 3 Oct 2017 23:48:15 -0700 (PDT)
In-Reply-To: <CAKyOKyHcE76993DCP0dxNzWCAmSr3ujZoPnQPns83Y2yQZKhPA@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
 <CAKyOKyHcE76993DCP0dxNzWCAmSr3ujZoPnQPns83Y2yQZKhPA@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Wed, 4 Oct 2017 08:48:15 +0200
Message-ID: <CAKyOKyGpcKVA-Q4ZAjZL8k3mxa6O2F-PeFtr_uP+yb7gDDrGTg@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/mixed; boundary="001a11c18664057ba5055ab2fe45"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--001a11c18664057ba5055ab2fe45
Content-Type: text/plain; charset="UTF-8"

On Tue, Oct 3, 2017 at 6:58 PM, Ola Nilsson <ola.nilsson@HIDDEN> wrote:
>
>
> On Oct 3, 2017 17:49, "Ola Nilsson" <ola.nilsson@HIDDEN> wrote:
>
> On Tue, Oct 3, 2017 at 3:08 PM, Robert Pluim <rpluim@HIDDEN> wrote:
>> Ola Nilsson <ola.nilsson@HIDDEN> writes:
>>
>>>> does your problem go away?  If so, then it would be interesting how the
>>>> values returned by xg_get_scale differ with gtk_widget_get_scale_factor
>>>> and xg_get_gdk_scale called.
>>>
>>> Made no difference what I can see, except a lot of messages :
>>>
>>> (emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
>>> assertion 'extra_space >= 0' failed
>>
>> Through inspection I noticed we're not adjusting the width of the
>> scrollbar for the scale. Does the following help?
>>
>> diff --git a/src/gtkutil.c b/src/gtkutil.c
>> index 0da7039..60ba627 100644
>> --- a/src/gtkutil.c
>> +++ b/src/gtkutil.c
>> @@ -3879,6 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,
>>        top /= scale;
>>        left /= scale;
>>        height /= scale;
>> +      width /= scale;
>>        left -= (scale - 1) * ((width / scale) >> 1);
>>
>>        /* Clear out old position.  */
>
> This works for me:
>
> @@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,
>        top /= scale;
>        left /= scale;
>        height /= scale;
> -      left -= (scale - 1) * ((width / scale) >> 1);
> +      width /= scale;
>
>        /* Clear out old position.  */
>        int oldx = -1, oldy = -1, oldw, oldh;
>
>
> I just realized that I never tested with scaling off.

I did some more tests this morning.

With scaling set to 1 (off) the scroll bars look like the attached screenshot.
But they look like that without the patch I sent too.
I have not noticed this on my other system where I have a normal monitor.

-- 
Ola Nilsson

--001a11c18664057ba5055ab2fe45
Content-Type: image/png; name="Screenshot from 2017-10-04 08-42-14.png"
Content-Disposition: attachment; 
	filename="Screenshot from 2017-10-04 08-42-14.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j8co45xu0
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--001a11c18664057ba5055ab2fe45--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 16:58:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 12:58:08 2017
Received: from localhost ([127.0.0.1]:46655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzQWG-0000Mc-0f
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 12:58:08 -0400
Received: from mail-oi0-f42.google.com ([209.85.218.42]:45675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1dzQWE-0000M4-S8
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 12:58:07 -0400
Received: by mail-oi0-f42.google.com with SMTP id f3so15394418oia.2
 for <28605 <at> debbugs.gnu.org>; Tue, 03 Oct 2017 09:58:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=f4u9CUeL1Mhp85Amw5WZpRdFnbu0NhCDqovIa7pZLW0=;
 b=sQAUbQ9uTTmTSkblbDAGGZqbdpKrnKk2BOS8Xr7d+Dv6Ml5ZIgbC4od3XyuQ9prLSi
 Hqwgrsr7yigAX7yudtfSKVqlNsZF7lIkvfpKS229kM6gm2BWKoxJN7sTcPOVNE7eh8/a
 WSR5yqgN+Hp8JtdJCglsn9KgfaKcIHE9IU191re7OFZzyFAOmtMErJG/RXtUS0QB3J+S
 uhI55dS3mJ0BCNIsy01oBIWjRq3yNJrr01Qo+PDPJAkeExJ6CmzT9xf2hOxaNECt3fwY
 mPXBPTQ4DA7zfUI9Z6S7SXbeoQgY9+UnlFUjovL0nAF2EB7+jrYM4SeN1OuuyR2hbHoj
 TMNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=f4u9CUeL1Mhp85Amw5WZpRdFnbu0NhCDqovIa7pZLW0=;
 b=Z/pvQr0jvk1/YrE/GPXTSL+ElIayv6mTUIMSvETHt5ea2KlQXWazDT1A4KmO5HVbQy
 cA8E0gDAgyVRvmCcsR/Rlu52Uqgu3T1cdRmcRHcC0TNLx666X81R66arUWDJyYZ6cv77
 8MkBlEWwTYl0Ycy0EJaG9obhyUDhtljGtoriGsQ2ZvYs+JGHAOAKxktCmVEqurkpvnXW
 UB0AAz1bqsb8/A+EwvevCiBCVq0YzMBljNAhLX1ugL7Vxe1la1BjoHla6lg3Ut0znA7J
 gY+8lBLjZwJwAbOiCMUDSZn19gDUkIx8qeUELgAeAfhBos9nJd4x6JLXWvV4BkEPyNYe
 svRw==
X-Gm-Message-State: AMCzsaXG90Hx7zyfE1jUKxVtiDBbrVqXTvWWeGHQqIiAxFC//UIah9rI
 94SYwKpm/dpCPz08NI/9kZEDtFBaGBQJ17PzOeg=
X-Google-Smtp-Source: AOwi7QATf4dWR62Kk2pZGCc7yuPMN5+fXqGVe2CyaD7lBi+y/xIyv2mCX9unV5iouBSh4F6QSf4NXt3Esh/uwy+37BU=
X-Received: by 10.202.244.145 with SMTP id s139mr8221728oih.24.1507049881141; 
 Tue, 03 Oct 2017 09:58:01 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Tue, 3 Oct 2017 09:58:00 -0700 (PDT)
Received: by 10.168.167.136 with HTTP; Tue, 3 Oct 2017 09:58:00 -0700 (PDT)
In-Reply-To: <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
 <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Tue, 3 Oct 2017 18:58:00 +0200
Message-ID: <CAKyOKyHcE76993DCP0dxNzWCAmSr3ujZoPnQPns83Y2yQZKhPA@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/alternative; boundary="001a1134e8aad31447055aa7640f"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--001a1134e8aad31447055aa7640f
Content-Type: text/plain; charset="UTF-8"

On Oct 3, 2017 17:49, "Ola Nilsson" <ola.nilsson@HIDDEN> wrote:

On Tue, Oct 3, 2017 at 3:08 PM, Robert Pluim <rpluim@HIDDEN> wrote:
> Ola Nilsson <ola.nilsson@HIDDEN> writes:
>
>>> does your problem go away?  If so, then it would be interesting how the
>>> values returned by xg_get_scale differ with gtk_widget_get_scale_factor
>>> and xg_get_gdk_scale called.
>>
>> Made no difference what I can see, except a lot of messages :
>>
>> (emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
>> assertion 'extra_space >= 0' failed
>
> Through inspection I noticed we're not adjusting the width of the
> scrollbar for the scale. Does the following help?
>
> diff --git a/src/gtkutil.c b/src/gtkutil.c
> index 0da7039..60ba627 100644
> --- a/src/gtkutil.c
> +++ b/src/gtkutil.c
> @@ -3879,6 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,
>        top /= scale;
>        left /= scale;
>        height /= scale;
> +      width /= scale;
>        left -= (scale - 1) * ((width / scale) >> 1);
>
>        /* Clear out old position.  */

This works for me:

@@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
-      left -= (scale - 1) * ((width / scale) >> 1);
+      width /= scale;

       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;


I just realized that I never tested with scaling off.

/Ola Nilsson

--001a1134e8aad31447055aa7640f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div><br><div class=3D"gmail_extra"><br><div class=3D"gma=
il_quote">On Oct 3, 2017 17:49, &quot;Ola Nilsson&quot; &lt;<a href=3D"mail=
to:ola.nilsson@HIDDEN">ola.nilsson@HIDDEN</a>&gt; wrote:<br type=3D"a=
ttribution"><blockquote class=3D"quote" style=3D"margin:0 0 0 .8ex;border-l=
eft:1px #ccc solid;padding-left:1ex"><div class=3D"elided-text">On Tue, Oct=
 3, 2017 at 3:08 PM, Robert Pluim &lt;<a href=3D"mailto:rpluim@HIDDEN">r=
pluim@HIDDEN</a>&gt; wrote:<br>
&gt; Ola Nilsson &lt;<a href=3D"mailto:ola.nilsson@HIDDEN">ola.nilsson@g=
mail.com</a>&gt; writes:<br>
&gt;<br>
&gt;&gt;&gt; does your problem go away?=C2=A0 If so, then it would be inter=
esting how the<br>
&gt;&gt;&gt; values returned by xg_get_scale differ with gtk_widget_get_sca=
le_factor<br>
&gt;&gt;&gt; and xg_get_gdk_scale called.<br>
&gt;&gt;<br>
&gt;&gt; Made no difference what I can see, except a lot of messages :<br>
&gt;&gt;<br>
&gt;&gt; (emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_<wbr>allocat=
ion:<br>
&gt;&gt; assertion &#39;extra_space &gt;=3D 0&#39; failed<br>
&gt;<br>
&gt; Through inspection I noticed we&#39;re not adjusting the width of the<=
br>
&gt; scrollbar for the scale. Does the following help?<br>
&gt;<br>
&gt; diff --git a/src/gtkutil.c b/src/gtkutil.c<br>
&gt; index 0da7039..60ba627 100644<br>
&gt; --- a/src/gtkutil.c<br>
&gt; +++ b/src/gtkutil.c<br>
&gt; @@ -3879,6 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 top /=3D scale;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 left /=3D scale;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 height /=3D scale;<br>
&gt; +=C2=A0 =C2=A0 =C2=A0 width /=3D scale;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 left -=3D (scale - 1) * ((width / scale) &g=
t;&gt; 1);<br>
&gt;<br>
&gt;=C2=A0 =C2=A0 =C2=A0 =C2=A0 /* Clear out old position.=C2=A0 */<br>
<br>
</div>This works for me:<br>
<br>
@@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,<br>
<div class=3D"quoted-text">=C2=A0 =C2=A0 =C2=A0 =C2=A0top /=3D scale;<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0left /=3D scale;<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0height /=3D scale;<br>
</div>-=C2=A0 =C2=A0 =C2=A0 left -=3D (scale - 1) * ((width / scale) &gt;&g=
t; 1);<br>
+=C2=A0 =C2=A0 =C2=A0 width /=3D scale;<br>
<div class=3D"quoted-text"><br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0/* Clear out old position.=C2=A0 */<br>
</div>=C2=A0 =C2=A0 =C2=A0 =C2=A0int oldx =3D -1, oldy =3D -1, oldw, oldh;<=
br></blockquote></div></div></div><div dir=3D"auto"><br></div><div dir=3D"a=
uto"><div class=3D"gmail_extra"><div class=3D"gmail_quote"><blockquote clas=
s=3D"quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-l=
eft:1ex"><font color=3D"#888888"></font></blockquote></div></div></div><div=
 dir=3D"auto">I just realized that I never tested with scaling off.=C2=A0</=
div><div dir=3D"auto"><br></div><div dir=3D"auto">/Ola Nilsson=C2=A0</div><=
div dir=3D"auto"><div class=3D"gmail_extra"><br></div></div></div>

--001a1134e8aad31447055aa7640f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 15:49:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 11:49:57 2017
Received: from localhost ([127.0.0.1]:46579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzPSH-00073W-6Q
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 11:49:57 -0400
Received: from mail-oi0-f43.google.com ([209.85.218.43]:52618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1dzPSF-00073G-1Z
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 11:49:55 -0400
Received: by mail-oi0-f43.google.com with SMTP id p126so15021027oih.9
 for <28605 <at> debbugs.gnu.org>; Tue, 03 Oct 2017 08:49:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=tLBvknrs+kCVatw/0qu8FAIlbxzFXP7sMZ9sC1J5D/4=;
 b=TIO9D61IOwvR8XeBEjCxPnAzp8Jwi6unJ9h+ORAFiP9kdXiMMp89MIVfUTUJRYBRrG
 GfFX0xjXqyYsWiexSYYWluOFQBvmQj12LxQb1VjQDt24Ai7xFV/Bn0DoFpqWHSvWEaur
 cVK4A7dR4YX3genTGr0WEmRbBf5Tql9ibQdYWgtNsq327h47LtVyUdDzfyvzo2ltmPRQ
 sxD4B5OUjyNEGxKg+SfV9sh6yv2+paTuG6pguBQ2VHbbNMuqrwa3Qlu+SfOHZg5kb1iO
 cTf20MmGJBksXWGhHmLtgD2NB4yl1kFmrXpF3AYvrHSp7WCF1QSwzlSVK56TjTsVxbo8
 l6bw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=tLBvknrs+kCVatw/0qu8FAIlbxzFXP7sMZ9sC1J5D/4=;
 b=NOeGYb3+4/Sm5ERf1PhUH7Cod6U3o/kVT9WnOf09m4JSiMjnDqlLjdYnIFYpm1zHq9
 mAA0sCK2N3KYc3A44pXfWffG/7T+ah7JvWuxNsp6lqoz+QAmfGwrYGd39wCjtL56Zy3k
 LLUCzBdUtPWFWkWTdMpOf4A2U+Nwg9z+du3tNqk8wLVOVPLMnW8IXhLT/GTNN8FjEqVd
 y/Z+dBuf+rpg9x+XRzqi+XNSFcrcN8aiBZBVZWNG/oY6G6T7xm1dgVLfkmQKT8Sob1fy
 9zMF50b1yBvdpuB0PN13pCihRQOu+NGGV+FgCOkGhq8iGUXDAGPsyj8RWY4EUXR4bExL
 n1Rg==
X-Gm-Message-State: AMCzsaWV63aJwR6LSIdWNyOt2TJvasCe+P3WSq3YOdagme/UDdqp53P8
 3naPiEddTNPSlSwDvnkKU4vXQuQhkjgmqjaRxS0=
X-Google-Smtp-Source: AOwi7QDejQ9Z7sp/gkWK9iOr2iJk82GERzK8OOOxlqr+ttv9Ik+15hsMph1kUDWumKXU1QUTTL6M949fbtdQ7mPtwgE=
X-Received: by 10.157.49.6 with SMTP id e6mr9450399otc.436.1507045787977; Tue,
 03 Oct 2017 08:49:47 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Tue, 3 Oct 2017 08:49:47 -0700 (PDT)
In-Reply-To: <87wp4c750c.fsf@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 <87wp4c750c.fsf@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Tue, 3 Oct 2017 17:49:47 +0200
Message-ID: <CAKyOKyHGPGJqnOn8U68YbUyNX=X0MgxdwupGMiAeEd_wFXbjxw@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: Robert Pluim <rpluim@HIDDEN>
Content-Type: multipart/mixed; boundary="001a11415652db3827055aa67087"
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--001a11415652db3827055aa67087
Content-Type: text/plain; charset="UTF-8"

On Tue, Oct 3, 2017 at 3:08 PM, Robert Pluim <rpluim@HIDDEN> wrote:
> Ola Nilsson <ola.nilsson@HIDDEN> writes:
>
>>> does your problem go away?  If so, then it would be interesting how the
>>> values returned by xg_get_scale differ with gtk_widget_get_scale_factor
>>> and xg_get_gdk_scale called.
>>
>> Made no difference what I can see, except a lot of messages :
>>
>> (emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
>> assertion 'extra_space >= 0' failed
>
> Through inspection I noticed we're not adjusting the width of the
> scrollbar for the scale. Does the following help?
>
> diff --git a/src/gtkutil.c b/src/gtkutil.c
> index 0da7039..60ba627 100644
> --- a/src/gtkutil.c
> +++ b/src/gtkutil.c
> @@ -3879,6 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,
>        top /= scale;
>        left /= scale;
>        height /= scale;
> +      width /= scale;
>        left -= (scale - 1) * ((width / scale) >> 1);
>
>        /* Clear out old position.  */

This works for me:

@@ -3883,7 +3883,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
-      left -= (scale - 1) * ((width / scale) >> 1);
+      width /= scale;

       /* Clear out old position.  */
       int oldx = -1, oldy = -1, oldw, oldh;

Screenshots included.

The horizontal scroll bars are still no-show.

As a funny side effect, each time I turn vertical scrollbars on or off
(not switching sides) the frame shrinks with about two lines.

-- 
Ola Nilsson

--001a11415652db3827055aa67087
Content-Type: image/png; name="ok.png"
Content-Disposition: attachment; filename="ok.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j8bs25x60
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--001a11415652db3827055aa67087
Content-Type: image/png; name="ok-dividers.png"
Content-Disposition: attachment; filename="ok-dividers.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j8bs2nej1
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--001a11415652db3827055aa67087
Content-Type: image/png; name="horizontal-still-not-ok.png"
Content-Disposition: attachment; filename="horizontal-still-not-ok.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j8bs37452
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=
--001a11415652db3827055aa67087--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 15:26:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 11:26:42 2017
Received: from localhost ([127.0.0.1]:46534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzP5m-0006QN-Hy
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 11:26:42 -0400
Received: from mail-qt0-f179.google.com ([209.85.216.179]:43324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1dzP5k-0006QA-Uq
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 11:26:41 -0400
Received: by mail-qt0-f179.google.com with SMTP id a43so7686104qta.0
 for <28605 <at> debbugs.gnu.org>; Tue, 03 Oct 2017 08:26:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=QDD5eYvzwGA0x4gAkcjxyRFo7HQsBW1omlLjh2C17so=;
 b=EnxJQ/RMeLvT73RkvIJKdL3IoTJoGqlE/s805xc/VnOXyNDQinV9RuSKGLjtMhUCfM
 0u9VvStbbcD4w3keRel89EyC9bcgR26/EdbIhDSpmL6n5GOj1PLokBStRvvoKaxFpi25
 AorX80Vz5UQnw6kz+aFCnnkpSxBs/tAuRu0yEifrNj1EWixKZKOWYCFkvB02h4fC6U9e
 +ln5+uV2NrJ8M99Lj+seQsoYZKSpxjZeWA2nR3/rncRflqUYMqVSOLb/Cd9yUQ/XCpSl
 wkGfqQJ54PG82CmLysvwNuM0i122acAS9q4BfU+tPS7okFMs7BItrsHoMNhA67zUfa/b
 CvGQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=QDD5eYvzwGA0x4gAkcjxyRFo7HQsBW1omlLjh2C17so=;
 b=rMrO56tanQZ76h5Qi8Mjn9gyYd0AbvcxxWcitIEXlQg4Jk6PZRHv6mRNUSEyzjjiz6
 aicm7dS4kkydtZGVCX9lToHmj/1QgR0soCjTOHt1gZd2WAR2cAhewC4Tmc5rUvwLCfQd
 KghjJu9wFGpYl6AJjL/tf0KXHIpZ1IR1QFsq4XL4tLO104MycSTvTqn0QmcIWkD1+bzA
 ugn7r2y/j0zNHOTUMl+e90ALyY2Kr5ZEF9LIs+sgXGBVoaKZ/xLrAxzpJYmoLei6Kj5s
 b/jjhxHu1EjQ4eXSiUSKncpIUw8xkzKhEVSQLRdGgS5rcJyHVOime/eeDOmVsNfH/Pde
 U/GQ==
X-Gm-Message-State: AMCzsaXLdQgWrlSh/39EzEQQN61kHpfQptNY20PhpCsoZxjT6rCM7G0e
 SatghLU+j9yN5CAxdBVm7tbG8OVD7K1kZSt++GQ=
X-Google-Smtp-Source: AOwi7QA6gKXHb8GPagImpaNDPD0XCH4WRFdZoyCByPRgCZYE4ZvIO7nM1nApNXuRifcvNSTewdtkWPnFc81xcsV++0U=
X-Received: by 10.129.80.4 with SMTP id e4mr3000739ywb.119.1507044395170; Tue,
 03 Oct 2017 08:26:35 -0700 (PDT)
MIME-Version: 1.0
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
In-Reply-To: <59D35549.6030905@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Tue, 03 Oct 2017 15:26:24 +0000
Message-ID: <CAFyQvY0JzEwfwxSff6rZNF4krarZ+JxirVJqmNdRivLQOHT3yg@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>, Ola Nilsson <ola.nilsson@HIDDEN>
Content-Type: multipart/alternative; boundary="001a1147fb6cd5c0c9055aa61d9b"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--001a1147fb6cd5c0c9055aa61d9b
Content-Type: text/plain; charset="UTF-8"

On Tue, Oct 3, 2017 at 5:16 AM martin rudalics <rudalics@HIDDEN> wrote:

> Thanks for the details.  From your initial screenshot it was not clear
> to me that the effect is really that bad.
>

I don't see that bad of an effect. I only see, may be a pixel of the left
side of the fringe getting truncated.


> CC-ing Kaushal Modi: Is this the same problem as the one you posted in
> Bug#27830?
>

Thanks for looping me in. Here's a little gif that shows the problem. Looks
like the problem shows up only when disabling both scroll bars AND window
dividers (I have them off by default).

https://i.imgur.com/cqJHTzU.gifv

It might be difficult to see even in this gif.. but we are looking for a
green bracket covering all the newly added lines after the last git commit
(diff-hl package). Notice that the vertical part of the green bracket in
the fringe hides when both scroll-bar and window dividers are hidden.

@martin Apologies for not being able to follow up in my debbugs thread
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27830 I'll find some time
today to provide you with more debug info in that thread. In the meanwhile,
see if this gif provides you any hints.






-----
-- 

Kaushal Modi

--001a1147fb6cd5c0c9055aa61d9b
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr">On Tue, Oct 3,=
 2017 at 5:16 AM martin rudalics &lt;<a href=3D"mailto:rudalics@HIDDEN">rud=
alics@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" styl=
e=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Thanks =
for the details.=C2=A0 From your initial screenshot it was not clear<br>
to me that the effect is really that bad.<br></blockquote><div><br></div><d=
iv>I don&#39;t see that bad of an effect. I only see, may be a pixel of the=
 left side of the fringe getting truncated.</div><div>=C2=A0</div><blockquo=
te class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc so=
lid;padding-left:1ex">
CC-ing Kaushal Modi: Is this the same problem as the one you posted in<br>
Bug#27830?<br></blockquote><div><br></div><div>Thanks for looping me in. He=
re&#39;s a little gif that shows the problem. Looks like the problem shows =
up only when disabling both scroll bars AND window dividers (I have them of=
f by default).</div><div><br></div><div><a href=3D"https://i.imgur.com/cqJH=
TzU.gifv">https://i.imgur.com/cqJHTzU.gifv</a></div><div><br></div><div>It =
might be difficult to see even in this gif.. but we are looking for a green=
 bracket covering all the newly added lines after the last git commit (diff=
-hl package). Notice that the vertical part of the green bracket in the fri=
nge hides when both scroll-bar and window dividers are hidden.</div><div><b=
r></div><div>@martin Apologies for not being able to follow up in my debbug=
s thread=C2=A0<a href=3D"https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D27=
830">https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D27830</a>=C2=A0I&#39;l=
l find some time today to provide you with more debug info in that thread. =
In the meanwhile, see if this gif provides you any hints.</div><div><br></d=
iv><div><br></div><div><br></div><div><br></div><div><br></div><div><br></d=
iv><div>-----</div></div></div><div dir=3D"ltr">-- <br></div><div class=3D"=
gmail_signature" data-smartmail=3D"gmail_signature"><p dir=3D"ltr">Kaushal =
Modi</p>
</div>

--001a1147fb6cd5c0c9055aa61d9b--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 13:09:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 09:09:04 2017
Received: from localhost ([127.0.0.1]:45414 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzMwZ-0000d3-Qd
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 09:09:03 -0400
Received: from mail-wm0-f52.google.com ([74.125.82.52]:43802)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1dzMwY-0000cU-4h
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 09:09:02 -0400
Received: by mail-wm0-f52.google.com with SMTP id m72so10944522wmc.0
 for <28605 <at> debbugs.gnu.org>; Tue, 03 Oct 2017 06:09:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=o2DadGKZ+ae3OmLESlbHcH64EHEKC+Q3ugmnw8Nm+HQ=;
 b=J10hrHc3zDLoaoBPFTS1MaXGb0FoRhzj+bYtWwycC/fuHsaoian2P/j/a7RcVXe6IM
 LwmHnb3XCaO3O9dxkfUPECtsgTmPvJqVc1vSw51FUPrm4gNz+s+tpBUc0Z+wJmmXU+Jn
 7GHbudUjorY4XMTFUTUbOGngGBWiJflFFoO8V8MzVOtN/SS+nK+Is81mb+vLN/5JnZQK
 Ly0RH6Ur2iAnC9uFUxQN1olSYk3piluWfhymK96RNlKIiRCZknJZxBwOwEeDtULFggKF
 XHUZthBBztjCp+MNtj3BRgZum9zWvUrA39bp/7UXpviQ9GScEsyHcPbZkdoagM2+NBKj
 6S2w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:user-agent
 :mime-version;
 bh=o2DadGKZ+ae3OmLESlbHcH64EHEKC+Q3ugmnw8Nm+HQ=;
 b=XtB4vJ/qZ5bQt08lrRqAravfcZuY71j+ej3Z5jI+93bpcT3STbrz1qMnlYtkk2470H
 FdWomYKCNML7CSvtIyTxld5JWxOji1LkK6rTKviafphr47juPebEgDEtDz1yJF6FKJhC
 llBKDsoRxhtfai272IxFzIZV/qYPHZJq4zcX3mnxaEJkqEHss/BGZDqxb15MflhR/o6N
 XlCnwzsm5HPAl/gyuNL9jxL8WJjdWmrEDWVKljC/p1c07GPibksSU58ia0EqQo3aS4r5
 4qvzdMLobLIxcGo9v0jJ7wZdherDUJz3k6SBBgNZvddPm7HG2mVdhJacPM+jvMglP+qp
 22cg==
X-Gm-Message-State: AHPjjUi8eHaXmcsQupN6ONA3E2zuVqfphux/eBfyTBwMkgWL/n7dqqCY
 ivXcDOElkTJGsiLjoDI5/cc=
X-Google-Smtp-Source: AOwi7QC2zZchx734p9FXSca0mMzHf/WHRg+QjNgjyucNTyF8SMMIV4eI4PW/CWmJj6kFjQvV9ZnJjw==
X-Received: by 10.80.212.40 with SMTP id t40mr24870366edh.67.1507036136373;
 Tue, 03 Oct 2017 06:08:56 -0700 (PDT)
Received: from rpluim-ubuntu ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id h33sm11934223edh.70.2017.10.03.06.08.55
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 03 Oct 2017 06:08:55 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
 <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Tue, 03 Oct 2017 15:08:51 +0200
In-Reply-To: <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
 (Ola Nilsson's message of "Tue, 3 Oct 2017 14:12:26 +0200")
Message-ID: <87wp4c750c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: martin rudalics <rudalics@HIDDEN>, Lars Magne Ingebrigtsen <larsi@HIDDEN>,
 28605 <at> debbugs.gnu.org, Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

Ola Nilsson <ola.nilsson@HIDDEN> writes:

>> does your problem go away?  If so, then it would be interesting how the
>> values returned by xg_get_scale differ with gtk_widget_get_scale_factor
>> and xg_get_gdk_scale called.
>
> Made no difference what I can see, except a lot of messages :
>
> (emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
> assertion 'extra_space >= 0' failed

Through inspection I noticed we're not adjusting the width of the
scrollbar for the scale. Does the following help?

diff --git a/src/gtkutil.c b/src/gtkutil.c
index 0da7039..60ba627 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -3879,6 +3879,7 @@ xg_update_scrollbar_pos (struct frame *f,
       top /= scale;
       left /= scale;
       height /= scale;
+      width /= scale;
       left -= (scale - 1) * ((width / scale) >> 1);
 
       /* Clear out old position.  */




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 12:12:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 08:12:42 2017
Received: from localhost ([127.0.0.1]:45351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzM3z-0007TV-4p
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 08:12:42 -0400
Received: from mail-oi0-f54.google.com ([209.85.218.54]:44275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1dzM3s-0007T1-DC
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 08:12:36 -0400
Received: by mail-oi0-f54.google.com with SMTP id s145so8100658oie.1
 for <28605 <at> debbugs.gnu.org>; Tue, 03 Oct 2017 05:12:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=nK5jtSFsFhey5Oy0JplgU9CUMuDsSEzrMmFlRS81WCc=;
 b=cUv6cTfqXs+Gj+Dv4BWhjXCyRgVS8xBmUO2zTvOqeN+8EI4eDUSQzzdDKW4tKShTZh
 nAtOeeItboX5anrP9pANIMc2ZRtqqVQzdUHHMa4srFIH0q0AhnHhggUnMnNRz0At9il1
 VR3WEeo3y5TZxl2p6nphH1PNgLq3Aj/1z03A/YmsCMlKNj2cb4fHrYkBjJEf9XW9a+ok
 6wi+wetyvW3yhvJ/HgCNyaZ9eogW6O+YEAnTU7HnR7vW2b5o3dWD3rrfIvfhdUwTvASF
 NLIYu/lm+F4cs7+Cw5fwZxx4rXsMlt+bn4yxZld0KkDpX4mJ4gOvP+oBcvuT8NAe0T4I
 f2iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=nK5jtSFsFhey5Oy0JplgU9CUMuDsSEzrMmFlRS81WCc=;
 b=d6G+tNG6jEsEKRy4Dxb2fkvat4ma2eAWkct8PzTLtRHvtgxgN8UfGjvhklzOmHpske
 kgSxVRNAu+KVIS4oUbk6ROhNIU+Xfd6YnLhiMCZGatIAVDVQtbtlhrM9vpZfS/o+2Zld
 UxUUw41kzf0n7w5VGU+iWkWdEN058mS97FnarOGz/5ujCUKsUPhBjrC8kChNr1g0Nf++
 oXix6J/4ljTjixKi9i3nmn3MwJ4ELhtuIreWH1Ws+8h7NThKPpvY7g34YpTZGnKjETGT
 8ThH+p+w5rIPCAW1/BCYVZcTJ432hzyPxFNyY91dJO4mAYy5myG2WxQBZkmNMQ8kSkgM
 8fCA==
X-Gm-Message-State: AMCzsaUHvIvvOPQO+KaavcDSXZaCUrH+He0cve5YPMkas7Yb2msV6Lxk
 shsK9QXeSA3T9YjWmK6SlSj+oQe+g27JIvtasmQ=
X-Google-Smtp-Source: AOwi7QDjtQvUi2r155p2jfzyaTUVNygCRrv68z2yK4OXpySvI8D0VvLwGphwvumK6GppA7ZhOTiydR2WVMaSSp/7/Rg=
X-Received: by 10.202.244.145 with SMTP id s139mr7764393oih.24.1507032746641; 
 Tue, 03 Oct 2017 05:12:26 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Tue, 3 Oct 2017 05:12:26 -0700 (PDT)
In-Reply-To: <59D35549.6030905@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Tue, 3 Oct 2017 14:12:26 +0200
Message-ID: <CAKyOKyG2LuF=op8KhivkwkfMMHDk_19e0MDhV8vd+HSxu5X1Gg@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Tue, Oct 3, 2017 at 11:15 AM, martin rudalics <rudalics@HIDDEN> wrote:
>> If the frame contains three side-by-side windows and scroll bars on
>> the right I expect to see (from left to right):
>>
>> frame border
>> left fringe for window one
>> window one
>> right fringe for window one
>> scroll bar for window one
>> right fringe for window two
>> window two
>> left fringe for window two
>> scroll bar for window two
>> right fringe for window three
>> window three
>> left fringe  for window three
>> scroll bar for window three
>> frame border
>>
>> Of all the fringes, only the left fringe of window one is visible.
>> Using scroll bars on the left, only the right fringe of window three
>> is visible.
>> In both cases, characters that are next to non-visible/hidden fringes
>> are partially hidden.
>> I'm attaching two screenshots that should show this.
>
> Thanks for the details.  From your initial screenshot it was not clear
> to me that the effect is really that bad.
>
>> I bit the bullet and did a git bisect:
>>
>> 36cf0791ba75ee16dfbedfe437567ec6dd945b8a is the first bad commit
>> commit 36cf0791ba75ee16dfbedfe437567ec6dd945b8a
>> Author: Lars Ingebrigtsen <larsi@HIDDEN>
>> Date:   Sun Jul 16 16:50:57 2017 +0200
>>      Remove usage of the GDK_SCALE variable
>>
>>      * src/gtkutil.c (xg_get_gdk_scale): Remove.
>>      (xg_get_default_scrollbar_height)
>>      (xg_get_default_scrollbar_width): Pass in a frame to check for
>>      scaling.
>>      (xg_frame_set_char_size): Use the API for querying scale
>>      instead of looking at the GDK_SCALE variable.
>>      (xg_get_default_scrollbar_width): Ditto.
>>      (xg_get_default_scrollbar_height): Ditto.
>>      (xg_update_scrollbar_pos): Ditto.
>>
>>      * src/xfns.c (x_set_scroll_bar_default_height): Pass in the
>>      frame to get the width.
>
> Great.  Lars, how should we proceed from here?
>
> (1) Revert that commit.
>
> (2) Revert the call of gtk_widget_get_scale_factor only.
>
> (3) Try to fix the build with your change in place.
>
> (4) Provide some option so that users can either use your approach or
>     Jan's.  The default should prefer Jan's setup to avoid that users
>     like Ola have to go through this again.
>
>> I also played with the dividers and horizontal scroll bars.
>>
>> The horizontal scroll bars are not visibla at all with scaling on.
>
> Apparently, the horizontal scroll bar code does not handle scaling.  If
> we fix the current problem, maybe you could help me fix that one too.
>
>> Dividers on the right fixed the hidden character problem but not the
>> hidden fringes,
>
> Yes.  IMHO it's because the scroll bar clearing code hides the dividers
> instead of the text.  If you customize dividers to a sufficiently large
> width you should be able to make the entire text visible and even parts
> of the dividers (on the left side of a window, only - the right sides
> will remain obscured as before).
>
>> I attach some screenshots of this as well.
>
> Very informative, thanks.  One thing that stupefies me about these
> screenshots is that the menu and toolbar items are smaller in
> horizontal-scrollbars-no-dividers.png than in with-hidpi-scaling.png.
>
>> This is with emacs -Q --no-x-resources, dividers off, horizontal
>> scrollbars off.
>>
>> frame pixel: 2034 x 466   cols/lines: 226 x 25   units: 9 x 18
> [...]
>> height header-line: 0  mode-line: 0  divider: 0
>
> All these values are completely as expected so the problem must be
> confined to this x_clear_area call in xg_update_scrollbar_pos in
> gtkutil.c
>
>           /* Clear under old scroll bar position.  */
>           oldw += (scale - 1) * oldw;
>           oldx -= (scale - 1) * oldw;
>           x_clear_area (f, oldx, oldy, oldw, oldh);
>
> where the value of scale is now obtained via
>
>       int scale = xg_get_scale (f);
>
> If you replace the latter by the old
>
>       int scale = xg_get_gdk_scale ();
>
> does your problem go away?  If so, then it would be interesting how the
> values returned by xg_get_scale differ with gtk_widget_get_scale_factor
> and xg_get_gdk_scale called.

Made no difference what I can see, except a lot of messages :

(emacs:2302): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
assertion 'extra_space >= 0' failed

I tested with dividers and horizontal scrollbars with the same results
as before.

-- 
Ola Nilsson




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 09:28:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 05:28:19 2017
Received: from localhost ([127.0.0.1]:45187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzJUx-0000tZ-A4
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 05:28:19 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:47068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1dzJUu-0000tO-NL
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 05:28:17 -0400
Received: from cm-84.209.243.26.getinternet.no ([84.209.243.26] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1dzJUm-0008Pf-W1; Tue, 03 Oct 2017 11:28:11 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
 <59D35549.6030905@HIDDEN>
Date: Tue, 03 Oct 2017 11:28:07 +0200
In-Reply-To: <59D35549.6030905@HIDDEN> (martin rudalics's message of "Tue, 03
 Oct 2017 11:15:53 +0200")
Message-ID: <87shf037iw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 28605
Cc: Ola Nilsson <ola.nilsson@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

martin rudalics <rudalics@HIDDEN> writes:

> Great.  Lars, how should we proceed from here?
>
> (1) Revert that commit.

Rather not, because it makes using Emacs on Ubuntu 17.04 with a hiDPI
display very awkward.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 3 Oct 2017 09:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 03 05:16:21 2017
Received: from localhost ([127.0.0.1]:45178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dzJJJ-0000VG-G4
	for submit <at> debbugs.gnu.org; Tue, 03 Oct 2017 05:16:21 -0400
Received: from mout.gmx.net ([212.227.17.20]:49950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1dzJJB-0000Uq-TZ
 for 28605 <at> debbugs.gnu.org; Tue, 03 Oct 2017 05:16:14 -0400
Received: from [192.168.1.100] ([46.125.250.123]) by mail.gmx.com (mrgmx102
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Lqn7e-1dLHmq3Gl8-00eMJW; Tue, 03
 Oct 2017 11:16:02 +0200
Message-ID: <59D35549.6030905@HIDDEN>
Date: Tue, 03 Oct 2017 11:15:53 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Ola Nilsson <ola.nilsson@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
 <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
In-Reply-To: <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:UwpXP0fYEdihVudVzhbm3zo4B0XZ9XYfE69FL6g+pkz/PJV+Bfw
 ST5LphLuJv0FyIKPmlrQg2XvgEZVdGlkoQYvKGWOYbTdSS0oOmw/kX6+yn96eMX4fKktcMJ
 lZ9xNt4Dr85pHDIFeC/sGTpyq3nOGH0fLzO2ulGTcLsbrvLEgWVC5J4WqurHCaOcj5ZnkYc
 eX7TyEcW9qu3k1GT6K96w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:NyPpn8bY7GI=:arFihTSUXh2NT4zX9HrIMs
 9S+cm2rpTEsp+4BN0C9Zel/XA1mVLsUdhuBunZp/5BM1Q1jwe5+SoPRA/XwCAMCT9CNodeYBJ
 BVYIWP4U4diRx7jkrDRYrOIqbF9BWGOpDAWqNmryde6daJOUBH+5l9VKlQcTvQHkt/4idrs2S
 cmQ7YK4+dgnqWz/oeAcABwNfN6WQ5aLC7MGrtEzaUlMfYqIl1XgW8WUqmvFCypplA+JFEJncA
 ZiN1c+e5oQ3RW3zmnvd0Hu2guCXbWXwpfibz4FPzRly/0/KcFY5rtHk/pLCWZGpfz9jXquO/Q
 tYizDHLxY6EsW69uj5DxYG5s53hhncmKlZ3RWQyoMcY2MPxu+AFYhFLDOLbEgliFLgenpYHx+
 slvxM/eDOI5vZWbPc0+cuVyQBcPHUv38bcR1r91FfggEtM6Dkpe8c4I9xvZi1fM6uAnXALboY
 Q5YxWqFkr7lkD9pyUqO0BoN2eTbhx3es3bDVd4dkRyKBZP7Oq3bfFnSyJmq+pQMxht2aYPREU
 A+1gnl+T8kwNiHZOXDXLICk6W7cPWsLOCI1xnitsAady5AojoITpOtzYX6Cx33rWv/eG8W8bV
 ouAyxO2vwxYOS2zBQxguLnTevX6AEgzZSUrj5wYDfo+ATSTGq8wdd1WTLBZ/GiZ6wOLQ5FK8K
 Ms/AbgkDHSYU5WNitkMtGh5ldtqkYz+Kb1WkEYT5hMcAgDg6cwg4MZdJ8YYNJQMzLdnJHl17a
 vGvAX753PJJV/uqYgJL3lDw4dcrhib6l48jp5StawqarP106ll0mWaHu8rrNYIACLVz4WMiar
 CG7wfksWJ7H38k9D+OPxXD8MABFM4pRvp89mRRn+v1RqHkMP8jM4v9zXSFASgxk7sbLwLXU
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 28605
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 28605 <at> debbugs.gnu.org,
 Kaushal <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > If the frame contains three side-by-side windows and scroll bars on
 > the right I expect to see (from left to right):
 >
 > frame border
 > left fringe for window one
 > window one
 > right fringe for window one
 > scroll bar for window one
 > right fringe for window two
 > window two
 > left fringe for window two
 > scroll bar for window two
 > right fringe for window three
 > window three
 > left fringe  for window three
 > scroll bar for window three
 > frame border
 >
 > Of all the fringes, only the left fringe of window one is visible.
 > Using scroll bars on the left, only the right fringe of window three
 > is visible.
 > In both cases, characters that are next to non-visible/hidden fringes
 > are partially hidden.
 > I'm attaching two screenshots that should show this.

Thanks for the details.  From your initial screenshot it was not clear
to me that the effect is really that bad.

 > I bit the bullet and did a git bisect:
 >
 > 36cf0791ba75ee16dfbedfe437567ec6dd945b8a is the first bad commit
 > commit 36cf0791ba75ee16dfbedfe437567ec6dd945b8a
 > Author: Lars Ingebrigtsen <larsi@HIDDEN>
 > Date:   Sun Jul 16 16:50:57 2017 +0200
 >      Remove usage of the GDK_SCALE variable
 >
 >      * src/gtkutil.c (xg_get_gdk_scale): Remove.
 >      (xg_get_default_scrollbar_height)
 >      (xg_get_default_scrollbar_width): Pass in a frame to check for
 >      scaling.
 >      (xg_frame_set_char_size): Use the API for querying scale
 >      instead of looking at the GDK_SCALE variable.
 >      (xg_get_default_scrollbar_width): Ditto.
 >      (xg_get_default_scrollbar_height): Ditto.
 >      (xg_update_scrollbar_pos): Ditto.
 >
 >      * src/xfns.c (x_set_scroll_bar_default_height): Pass in the
 >      frame to get the width.

Great.  Lars, how should we proceed from here?

(1) Revert that commit.

(2) Revert the call of gtk_widget_get_scale_factor only.

(3) Try to fix the build with your change in place.

(4) Provide some option so that users can either use your approach or
     Jan's.  The default should prefer Jan's setup to avoid that users
     like Ola have to go through this again.

 > I also played with the dividers and horizontal scroll bars.
 >
 > The horizontal scroll bars are not visibla at all with scaling on.

Apparently, the horizontal scroll bar code does not handle scaling.  If
we fix the current problem, maybe you could help me fix that one too.

 > Dividers on the right fixed the hidden character problem but not the
 > hidden fringes,

Yes.  IMHO it's because the scroll bar clearing code hides the dividers
instead of the text.  If you customize dividers to a sufficiently large
width you should be able to make the entire text visible and even parts
of the dividers (on the left side of a window, only - the right sides
will remain obscured as before).

 > I attach some screenshots of this as well.

Very informative, thanks.  One thing that stupefies me about these
screenshots is that the menu and toolbar items are smaller in
horizontal-scrollbars-no-dividers.png than in with-hidpi-scaling.png.

 > This is with emacs -Q --no-x-resources, dividers off, horizontal scrollbars off.
 >
 > frame pixel: 2034 x 466   cols/lines: 226 x 25   units: 9 x 18
[...]
 > height header-line: 0  mode-line: 0  divider: 0

All these values are completely as expected so the problem must be
confined to this x_clear_area call in xg_update_scrollbar_pos in
gtkutil.c

           /* Clear under old scroll bar position.  */
           oldw += (scale - 1) * oldw;
	  oldx -= (scale - 1) * oldw;
           x_clear_area (f, oldx, oldy, oldw, oldh);

where the value of scale is now obtained via

       int scale = xg_get_scale (f);

If you replace the latter by the old

       int scale = xg_get_gdk_scale ();

does your problem go away?  If so, then it would be interesting how the
values returned by xg_get_scale differ with gtk_widget_get_scale_factor
and xg_get_gdk_scale called.

Thanks, martin

CC-ing Kaushal Modi: Is this the same problem as the one you posted in
Bug#27830?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#28605; Package emacs. Full text available.

Message received at 28605 <at> debbugs.gnu.org:


Received: (at 28605) by debbugs.gnu.org; 2 Oct 2017 09:18:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 02 05:18:58 2017
Received: from localhost ([127.0.0.1]:43440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dywsM-00064G-2C
	for submit <at> debbugs.gnu.org; Mon, 02 Oct 2017 05:18:58 -0400
Received: from mail-oi0-f54.google.com ([209.85.218.54]:52396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ola.nilsson@HIDDEN>) id 1dywsK-000643-71
 for 28605 <at> debbugs.gnu.org; Mon, 02 Oct 2017 05:18:56 -0400
Received: by mail-oi0-f54.google.com with SMTP id p126so8052169oih.9
 for <28605 <at> debbugs.gnu.org>; Mon, 02 Oct 2017 02:18:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc; bh=iZzP7gO+ud1Wjx4afkgb1Jo+UaaIq2EUmWbMMJobZCs=;
 b=fb+mCCIspT6RXK+wrWP2pOx20h+kTbXvwPfWtzQwIl9JiEP9ZTXCCal4jl3IDBeoIq
 VDPgGe4NJcxKuc59Svk1TPN+hmDesI4E0Loo9btu3hjjo5vg4pukquG8KDpHliA+6TYq
 dkQVXyHJm5dlcEQ++fOyDVnRGwV9ZLbVxmVTFCE3DzFl0vqCP1jAVH25R4/yAzGcU1yB
 BtkLphf6RXpPt+oDULCqZwt3oFXyCQbRd1Alh2Blr/cosuQNCVeK+UYZhQV9tzp2GfPC
 C9sHp0ymb1cT+VQ2qST4Cv53QHBKQPIT98hXPEO7Ce1+dWeL8iYN6aNeAoTLoe/bIAOt
 bN9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:in-reply-to:references:from:date
 :message-id:subject:to:cc;
 bh=iZzP7gO+ud1Wjx4afkgb1Jo+UaaIq2EUmWbMMJobZCs=;
 b=rF8JKIqeA1mQg7e+T9Yj1ed9kdg8Kw4Djbo5S3O+o8NsPwl4JQ6tpU7v0lbmAQ5unj
 jgfEg4Lp9EpvzwGuYJEKBEx4VUH0yWr5FnfVET2b6h2PxuzVoYSonnUsaHd31fhoc/Xj
 auaHhCxohBvPBsJraiMa6uJrSkSMSBit7hkIccHp2c2DgiL8FDxwsuB/poIfHj3jr89v
 LXopvYoJSJz2qdunBWdxeXR3+Mbj7WU49+zGhwOwaQsmBepBgKPAVyN+qdyyhwitIJ+q
 ZXBsCNYU9AHyFABgG54Jiigg26wL7ZaYYZ5S6p1hp0kf6UuUfG/A6OvF0/uVyE2O2h7B
 Wprw==
X-Gm-Message-State: AMCzsaWd/5hmmi7gbTuZ8Vj6bStiMukk6Mm3C4V4+z6KD+WUfhQhlwti
 VWp/ZoiYJYuCVVG51yCJVNcLTP/H8sS36aQ9fK4=
X-Google-Smtp-Source: AOwi7QDZ6aGpLd8naG5T+xXJNsqSUFfYqCyBN/wADk3MILRrwlh2a69zWK+hjMQjfMApovNzh9eUX1avJQtnDON1anc=
X-Received: by 10.202.78.216 with SMTP id c207mr1847317oib.242.1506935929513; 
 Mon, 02 Oct 2017 02:18:49 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.168.167.136 with HTTP; Mon, 2 Oct 2017 02:18:47 -0700 (PDT)
In-Reply-To: <59CE8E74.5010308@HIDDEN>
References: <jwqwp4l23ej.fsf@HIDDEN>
 <59CB5D69.7040404@HIDDEN>
 <CAKyOKyHPBjPzmE1TpiTbiGn1ApA1Q03d00TxS=bMWN3pHqEXrw@HIDDEN>
 <59CE05F2.1010202@HIDDEN>
 <CAKyOKyGvMcLkhANyB_utWOap4-bYfQ_qp9Y-H+u3fmdCHWenMw@HIDDEN>
 <59CE8E74.5010308@HIDDEN>
From: Ola Nilsson <ola.nilsson@HIDDEN>
Date: Mon, 2 Oct 2017 11:18:47 +0200
Message-ID: <CAKyOKyGc538w6V_gif-7HKtQ6RZy-4diXDkn8uPuE3EH-a=uqA@HIDDEN>
Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden
To: martin rudalics <rudalics@HIDDEN>
Content-Type: multipart/mixed; boundary="001a1134e410c78b97055a8cdc4b"
X-Debbugs-Envelope-To: 28605
Cc: 28605 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--001a1134e410c78b97055a8cdc4b
Content-Type: text/plain; charset="UTF-8"

On Fri, Sep 29, 2017 at 8:18 PM, martin rudalics <rudalics@HIDDEN> wrote:
>>> You mean that the scroll bar from the window on the left affects the
>>> things displayed in the window on the right?
>>
>> Yes, the scroll bar affects the window on both sides. It's only the frame
>> edge
>> with no scroll bar that shows a fringe.
>
> Can you please be a bit more precise: How would the scroll bar affect
> the window on _both_ sides?  Does the scroll bar also affect the
> contents of the window it belongs to?

If the frame contains three side-by-side windows and scroll bars on
the right I expect to see (from left to right):

frame border
left fringe for window one
window one
right fringe for window one
scroll bar for window one
right fringe for window two
window two
left fringe for window two
scroll bar for window two
right fringe for window three
window three
left fringe  for window three
scroll bar for window three
frame border

Of all the fringes, only the left fringe of window one is visible.
Using scroll bars on the left, only the right fringe of window three
is visible.
In both cases, characters that are next to non-visible/hidden fringes
are partially hidden.
I'm attaching two screenshots that should show this.

I bit the bullet and did a git bisect:

36cf0791ba75ee16dfbedfe437567ec6dd945b8a is the first bad commit
commit 36cf0791ba75ee16dfbedfe437567ec6dd945b8a
Author: Lars Ingebrigtsen <larsi@HIDDEN>
Date:   Sun Jul 16 16:50:57 2017 +0200
    Remove usage of the GDK_SCALE variable

    * src/gtkutil.c (xg_get_gdk_scale): Remove.
    (xg_get_default_scrollbar_height)
    (xg_get_default_scrollbar_width): Pass in a frame to check for
    scaling.
    (xg_frame_set_char_size): Use the API for querying scale
    instead of looking at the GDK_SCALE variable.
    (xg_get_default_scrollbar_width): Ditto.
    (xg_get_default_scrollbar_height): Ditto.
    (xg_update_scrollbar_pos): Ditto.

    * src/xfns.c (x_set_scroll_bar_default_height): Pass in the
    frame to get the width.


I also played with the dividers and horizontal scroll bars.

The horizontal scroll bars are not visibla at all with scaling on.
Dividers on the right fixed the hidden character problem but not the
hidden fringes,

I attach some screenshots of this as well.


>> The hidpi scaling in gnome works only so far, and I'm not sure all of gtk
>> is aware of the setting. But then I know next to nothing about gtk.
>> The menu-bar and scroll-bars get decent size, but I select a larger font
>> for emacs using X resources (turned off for the report). I noticed
>> yesterday that the fringes are dis-proportionally narrow and the fringe
>> symbols almost unreadable.
>
> On a frame with such bad fringes please do
>
> M-: (window--dump-frame) RET

This is with emacs -Q --no-x-resources, dividers off, horizontal scrollbars off.

frame pixel: 2034 x 466   cols/lines: 226 x 25   units: 9 x 18
frame text pixel: 1992 x 466   cols/lines: 221 x 25
tool: 0  scroll: 26/0  fringe: 16  border: 0  right: 0  bottom: 0

#<window 5>   parent: nil
pixel left: 0   top: 0   size: 2034 x 448   new: 448
char left: 0   top: 0   size: 226 x 25   new: 25
normal: 1.0 x 1.0   new: nil

#<window 3 on *scratch*>   parent: #<window 5>
pixel left: 0   top: 0   size: 1020 x 448   new: 448
char left: 0   top: 0   size: 113 x 25   new: 25
normal: 0.5 x 1.0   new: nil
body pixel: 978 x 430   char: 108 x 23
width left fringe: 8  left margin: 0  right margin: 0
width right fringe: 8  scroll-bar: 26  divider: 0
height header-line: 0  mode-line: 18  divider: 0

#<window 6 on *scratch*>   parent: #<window 5>
pixel left: 1020   top: 0   size: 1014 x 448   new: 448
char left: 113   top: 0   size: 113 x 25   new: 25
normal: 0.5 x 1.0   new: nil
body pixel: 972 x 430   char: 108 x 23
width left fringe: 8  left margin: 0  right margin: 0
width right fringe: 8  scroll-bar: 26  divider: 0
height header-line: 0  mode-line: 18  divider: 0

#<window 4 on  *Minibuf-0*>   parent: nil
pixel left: 0   top: 448   size: 2034 x 18   new: 0
char left: 0   top: 25   size: 226 x 1   new: 1
normal: 1.0 x 1.0   new: 0
body pixel: 1992 x 18   char: 221 x 1
width left fringe: 8  left margin: 0  right margin: 0
width right fringe: 8  scroll-bar: 26  divider: 0
height header-line: 0  mode-line: 0  divider: 0

-- 
Ola Nilsson

--001a1134e410c78b97055a8cdc4b
Content-Type: image/png; name="with-hidpi-scaling.png"
Content-Disposition: attachment; filename="with-hidpi-scaling.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j89yfkd60
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--001a1134e410c78b97055a8cdc4b
Content-Type: image/png; name="without-hidpi-scaling.png"
Content-Disposition: attachment; filename="without-hidpi-scaling.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j89yfkdm1

iVBORw0KGgoAAAANSUhEUgAAA/sAAAFrCAYAAACOgZlQAAAABHNCSVQICAgIfAhkiAAAABl0RVh0
U29mdHdhcmUAZ25vbWUtc2NyZWVuc2hvdO8Dvz4AACAASURBVHic7N13nBT1/fjx18zu3V7vjevH
NXovIkYUECyA4FeNxhhjYoslKtYYY4k1ohgVFcEeS0zyM2o09lhQpPderjeO43rZNjO/P/Z2uOMK
x3EFz/fz8eDB3k7Z93xmtrzn0xSa7d2717Z58+arnU7nL4ARQCBCCCGEEEIIIYQ4kTUA22w225uj
Ro1alpmZ6QBQAL788suE8vLyj9LS0kaPGTMGm83Wr5EKIYQQQgghhBCiaxobG9m+fTs5OTmboqOj
58yYMaNY2bt3r239+vWr586dO9rf37+/YxRCCCGEEEIIIUQ3uFwu3nvvvU3jxo07yTJt2rTrsrKy
fp2YmNjfcQkhhBBCCCGEEKKbLBYL9fX1cXv37j1gdTqdl6Snp2MYRn/HJYQQQgghhBBCiOMwYsQI
8vLyLlGBYQEBAf0djxBCCCGEEEIIIY5TQEAAhmGMUIGg/g5GCCGEEEIIIYQQPSbICkgTfiGEEEII
IYQQYgBR+zsAIYQQQgghhBBC9CxJ9oUQQgghhBBCiAFGmvELIYQQQgghhBADjNTsCyGEEEIIIYQQ
A4wk+0IIIYQQQgghxAAjzfiFEEIIIYQQQogBRmr2hRBCCCGEEEKIAUaSfSGEEEIIIYQQYoCRZvxC
CCGEEEIIIcQAIzX7QgghhBBCCCHEAGPt7wCEEEII0ZqiKKiqiqIoKIpiPgee1niGYaDrOrquH3Vf
vr6+5mOn09k7AfehE/F4uhqT95x6aZrWq3EJIYT4aZNm/EIIIcQJwmKxoKoqOQVFrN64iX25+VTX
1lFdW0tNXT0Bfn5EhIcSFRHBxFEjOHniOIICAnC73R3uc97l15iP/7n0qb44jF51Ih5PZzF5b9zo
hsGKNespP3TIXDZ/1ow+i1EIIcRPj9TsCyGEEP1MVVVQFD763ze898nnHKqqbne92vp6auvrySss
Zt3mrbzw5jucO2sGv1gwF+TG/QlFURQsFgt1DQ18/NW3/Pd/31BTW9dqHUn2hRBC9CZJ9oUQQoh+
5K3Jf+aVv1FQXHJM2+q6zr8/+ZxN23fywG03YfP16aUoxbGqqa3j7fc/4utVazpteSGEEGLgaWhs
AiAwwL9H1usuacYvhBBC9BNVVdmdk8v9i5fgaNHXW1VVRg3NZtzI4USFhxMeFoqP1Up1bS0lZQdY
vWkL23fvNdfPLSxi0dIXueuGa1Dae6FmA+37/kQ5nhcXPWQ+9sbk6+PD9+s2tEr042KiKSs/2GZd
IYT4qbrwdzcd0/r/eP6vvRRJz2lssnPjvQ+j6W6u//UvGTdiWLvrbdu9lyeXv4pqUXn2wXvw9en5
G/ZSsy+EEEL0k7yiklaJvqIonD19GhefO4egwAB0XTcH5POIZ9yIYcybNYPd+3N56uXXKSk7AMDm
Hbv45oc1nDZlUj8dzU9XaHCQ+dh7rmw2X06bMpnv165nxilTmDXtFMrKD3L/k0v6K0whhBB9RNfd
NDmcPLHsFW656vI2Cf+23Xt54oWX0QwD387u0h8nSfaFEEL0KIvFYg40B5ijxnfWlNnPzw84PJK5
xWIxBzbzjjzvdrsxDANVVc39K4piJsNut7vN6PQt1/P+azma/dGaV3uPpb1tNU1rUzPr7afd8jW9
67Q8hua1ee61N81E389m456br2NoRjputxu3293q9Vsm/aqqMjQznYfvWMidjzxu1hb/67+fMu2k
SSjH8MPBW/Yul8vcd8uybRu3Z50jR6A/sux9fHywWCyAJwF2Op1tyqu98vVeL90dqb6757w75eBl
s9nMx3a73Xx88fxz+O3F56MqCpqmmTdmhBBCtPbBK0s7Xd5yINQTXWCAPzddeTl/eXYZmmG0Sfhb
JvpWVeWPN17bK7X6IM34hRBC9BBFUVAtFj779nu+/O4HCktKsVhUBsXEcNL4McydeTpqi+S3Je+X
+N2/vxaAVRs2kV9cQlFpGaEhwaSnJPPL8+YRFx3Frn05fPXDarbt3kvFoUr8/fzIGpzKLxbMJSE2
xty/YRis37aDVes3UVxWxsFDVdgdDmKjo4iLiWLkkGxm/Wwq0DYe742GL79fxYrVa8krKsZudxAV
EU5MVBTpKUnMOOVkoiPCWiXgjU12/t/Hn5FbUEjZwQoqq2sIDgwkLDSYtKRE5sw4ncRBsQB88d1K
cgoKAbCoKn+68VoyU1NwOp34+vqyZeduPv1mBTv37qe2voGwEM8+LBYLqzduBjzNGa+77BL+tMjT
rLG84hD78wtIT0lq9xx1VvY3X3k5uq6zZtMWikrLOHCwgsAAf4ZmpnPx/LnERkaY22/esYsHnnrO
3Mc9N13HiOzMVmWx/K1/8N//fQNASFAQi+6+nbCQ4Fbl+8WKlaxYs578omIa7XZCgoPIHpzG6Sef
xMTRIzpMrjs6nuM5590phyO3BXjnuSfNx36+vmhuNx3dtpDfX0II4dHU1NSl9X4Mn5uGYTB6aDZ3
Xn81jy55Ad0wWLzsVRZe9Wt8rFYWL3vFTPT/dPN1DE5K7NJUut0hNftCCCF6hMPp4qFnnmbXvpxW
z+/PL2B/fgFfrFjJ/QtvIDw0pMN9PPj0c22ea7LbKSs/yIat24mJiiS/qLjVcqfLxdrNW9myczeP
/+kOYiIjAHC53fzl2WVt9ldQXEJBcQlrNm7hs29W8Midt+JjtbRap66hkYeeft5Mxr1Kyw9SWn6Q
zTt28u9PPufZB+8hMjwMgD05eTzw1HPYHY5W21TX1lJdW0teYTGjhmaTOCgWpXnkfa9zZ88ka3Aq
uq6jKApLXn2DL7/7odV+DlVVtxml3zAMhqSnkZ2exu79uQBs3L6jw2S/M08uf6XNc84aFyvXbWTD
1h0svvcPRIaFAjBqaDZzz5jOfz7/HwDPvfYWT95/F75Wz8+K/fmFfPzVt+Z+rr/8l4SHhpg/0joq
36rqGlZt2MSqDZsYN2IYC6/+DT6W1uemM8dzzrtTDkfzY/hRKoQQoudpmsaoIVmehP/ZZei6zhMv
vIJFVUFV+iTRB1B7bc9CCCF+MlRV5fEXXjIT/ZCgIM4/50zOP+dMM7k/cLCCRUtfgk6HkPOIj4tl
6sTxDMvMMJ9rstvNRD8uOoqTJ4xttdzhdLZKML2yBqcx94zp/PbiC/j5vLMZkpFuLissKePfn3ze
an3DMHj4maVmIqqqKlMnjOOX553LJQvmMn3qSUSEhXLSuDFERYSb2730zr/MRD8+LpYL557FFRdf
wP+dPZtTJo0nMvxwK4D9+YVmk24/m43zzpqFruuoqspr/3qvVaIfGhzMqKHZZKQmt9vMT9d1Tho3
xvw7t7C4zTrHIik+jlMmjW9VTnaHw6yl977mJfPnkjgoDoCKqireePcDs+vG86+/ZR7rrGmnMG7E
sFYtLh5Zcrh8/f38OHv6NH51/nzGjxxuvsaGbTv46/JXzX0ei2M9590tByGEEKIjZsJ/3VUoioLb
7cbhcoJh9EmiD9KMXwghRA9Yu3krm3fsAjzJ6+N/usOs8T57+jSuv/vPNDY1sT+/gA3btjN2+NAO
97XkwXtIHBSHYRgoisI/P/qEN9/9wFz+2B9vJ2twarvLt+3ea36nWVTV3Je3H7iiKFw07xwWLX2R
les2AvDZN99x4Zwzze1WrFnP/vwCAIICA7j/lt8zODnJ/EL2NkFvaGxq9SVdXHq4P/YDt95IeGiI
+Zrevt+NTU0YhsHmnbvMdadOHIeP1YJhGBQUl/LRl1+byy67YAHnzpqJonheF2D+b681l3tjTmpO
ugFKD5R3+L1+tO/7Zx+6j4S4GLNs//XRp7zx7vsAbN25u832N11xGXc8tAhN1/n06xVMnTCOvbl5
5DdPIRgXE82vz1/Qqp/8d2s3sC/PU76hwcE8etetxEZFYhgGC848g4++/JoX3/4nAOu2bGPzjl2M
yM7s0vF095wfbzl0FlNny+T3lxBCeHT18/DH9rnpdrtR8Hw/uRXAALeuU1VdgxY/qNdfX2r2hRBC
HLeWNdFnT59GaHAQLpcLl8tFoL8fs6edYi7fumtPp/uKiYzAbrfjcDiw2+3MOPmkVstTE+M7XF5e
cch8rKqquS+n04mmaWiahtvt5pRJE8z16hoaaGw6PKjad2s3mI8vnHs2SYPicDgc5vE4nU7sdjtW
S+uv0MQWCffTL7/Ott17zUTf7XZjt9tRmxP2ls3Xh2cd7uv++YrvzefPOHUq886YjtPpMI+15eBv
LYU294UHqKmra3edroiOCGtVttNPnmwuO9CibL2S4wfx83nnmH8//dLrvPPBfwFP+S+88nJUtXVL
ju/WrjcfXzj3LCJCQ3A6nbhcLhwOB7OnncLg5KQW62+gq7p7zo+3HIQQQoj2bN+zj8eXvgSKgs3X
F4uPFZr78G/cvrPXX1+SfSGEEMdt57795uMhGYPx9/cnICCAgIAA/P39SUlMMJeXHazodF9HNmkL
8Pfr8vKWc9V72Ww2/P39abDb2ZdfwKYdu8jJb91XvK6hwXycU1BgPh47fGiHTeyOrF2Ye8Z08/Hm
Hbu45/GnuPTG21i8/BV27N2PzWYza+cLikrMdWOiIszHLW+EzDzlZHNk+KMJa5Hs2x1ty6CrjrVs
dV1nfvN4A+Bpzu9sjvnn884mNTG+zTbeVhMAI4dktSlHTdMYNWxIu+t31bGe8/aOq6WjlYMQQghx
pO179rUajO/Pt93IXddfjaqq6IbO4uW9n/BLM34hhBDHxel0taolffiZzqfPKTtY0e1m0Edb3nJ6
OqvVSm5hMe9/9iXrt2xrM3BeR/ttaDw8InBYSHCXvyOnThhLY1MTr/7jXTPhbWyys2L1OlasXsew
zAxuuuIyggMDqG9sNLeLjgg3X6PlAHwxUW1Hfe8oZn8/v1bPdbcZf1fLtiVNc3PlLy7ktgcfM5+L
DA/jvDNn4Xa3vVnRsnxbDtrXUlRzFxCA+oaGLh9Pd895V5/3Ljue67e76wohxEA20Jrxb9+zjyeX
v9pq1P2U+EEoisKd113Fo0teQDMMFi9/lZuvuKzT7o3HQ0bjF0IIcVx8fKz42WxmYhUTGYFPJ/PF
RnRxJPPjtW7LNh57/sVWPwyiIsKx+fqi6zqlzXPTHynQ39+s9a2qqSW6xSB8nXG73cw6dSqnTBrP
FytWsnLdRvbl5ZvLd+zdx0PPLOXh229qdXMkwN//8D5azC3vcDrxazGXfWcaGg7fPAgKCOjSNj3F
arXyYYtxBsBz02LFmnVMnTC2TS15y/Ktrq1rldh7VdbUmI+DArt+PN0950II8WNw8fW3dGm9t5c8
0cuR9LyuHtuPQWOTnadeeq1Vop+aEG9+H47Iymg1Ld8zL/+NpY/e3+4gvMdLkn0hhBDHRVEUkuIH
sTc3D4DLLjyPqRPGdbi+YRgd9j3vSa//6z0z6bvkvHnMmXEaAf7+GIZBQ2Mjl9xwa7vbDU5JMgcb
XL91O+dMn4amtZ0pXVGUVkml1WrF7Xbja7Uy74zpnHfWLKpra/lq5Wre+H/vo+k6+UXF5BWVEBjg
T129J+Gtq28wZywICwmmorIKgMLiMkKzM9q8bnvqWrQU6Cw5dmsa1mOYyu5oFEVh3ZZtfPPDGgAs
FotZVkvfeJvMtJQ2yXxaciJbdu4GYOe+HE6dNL5VOVosFrbv3mv+PTglucvH091zLoQQQvQURVGw
WKwoisYfb7y2VaIPnu5q3oR/0fMvolqOPktRd0kzfiGEEMdtWFaGmey/+9/PGDtiGDYfH7PJs6Io
5mB1Tqez15rxe5e7Na3V2ABjhg3B18cHp9OJqqocuYuWTbOnThxnJvvvfPBfhmVmkJmW0mo0fovF
Qn1DIy3Hnlu1cTMTRo/Er7kW2eVyERQQwIIzz+CH9RvZk+Mpn+raWiLDw8xkv6yiwuxzPyRjMN+t
8Qxg98a/P+CJe+5Ec7vN17Yckah7Yy4uOzwTQGpSYqsyUlXV3L78UCWpiQkoitLuDZdjLfsmh4Pn
X3/b/PuKiy9gx559rFizDqfTxaKlL/HoH26hZYFPnTDOTPbffv9Dxo4YRkRzc35VVflq5Wp27881
1z9lwrguHU99Q0O3z/nxlkNHy/z8/M1xGryxt+Tn59/qb6fT0e6NJSGEAPjglc67yXnV19f3ciQ9
p6vH5PVjODZ/PxvLFz0IgN48UOyR3G43wzPTef0pTxc411F+G3WX1OwLIYQ4bnNnnMbXK1dTU1fH
/vwCfveHezl5/Fhio6OwWq3U1ddTXVtHUUkpF587h8HJib0aj9ViITkhnvwiz5zzjyx5gcljxzAo
NprK6hrWbNrS4bY/mzieT75eQU5+IXaHgzsfeZwp48cwODkZA4Oy8oNs3LaD7PTB/P7yX5pfzk+8
8DIWi4WRQ7JIS0okMjwMt1tjx759ZqLv6+tDZmoKkWFh5BV6YtuwdQdD0wdjGAbTJk80k/38omLu
fPhxfnXBfDJSUgDYsrP1TAaNTXZCgoP4Yf0m87nMtJRW60SEhlJR5Wkt8PRLrzNu5HAqq2u48uLz
uzWHvZfFYuGFN96htvmH17DMDGZMPYkp48awZdduamrrKCgu4ZV/vMuVF19gTr936uQJfPrNd+QU
FFJVXcNN9z7I6SefRGR4GLv357Jqw+FjGTdiGKOGZrf6odTZ8XT3nPeWX1y/sNNxAxZccW2rvxde
dTkTRg7v7bCEED9SP4ZE91gNxGMyDANXFwZz1Tq4EdCTJNkXQghx3AID/Lnn5ut55JmlVFRVUVNb
x8dffdvuuq4Wc673pisuvoB7Hn8KwzCorK7h46++6dJ2hmFw1w3X8OBTz5FXWIxhGKxct9Gco91r
1YZN/OLcc4hs0Uxd0zQ2bd/JpnZG17VYLFzzy4sJDgpkaGY667duB+DrH1Zz/tmz8fWxMmpoNmNH
DGPjth0A7MvL555FT3UYa05hEZqus3rjZsBTc3zy+DGt1pk6cRzvf/YlAPnFJeQXe2YCuOKi87tU
Hu1RFIWV6zear+tjtXLtZb/A7XZj8/Xhd5dezKPPLgPg82+/Z+SQLCaNHomu657y/f01PPz0UnIK
CmlobOLDL75q8xqjhmZz85WXt/kh1NnxdPecnyiO5+aLEEIIcSRpxi+EEOK4GYZBQmw0Sx66hy9W
rGT1xi0UFJdQ39CAzWYjLCSY+NgYRg3NJmlQXK834wfITE3myfvu4h//+S/78gqorK4hPDSE+NgY
Th4/li279vB985zvRzbpDrDZWHT3HXz53Q+sWLOO/KJi7A4nURHhxEZFMjg5iZk/m0p4SJC53Z9u
uo4NW7eze38Oh6prqK2rJzwkhJioSFISE1hw1hmEBQfhcrk4ZdJ43vz3fzAMg/qGRl7/f+/zu0sv
wul0ctMVl/HIkmXsajGdYUeOnPlg1qlTCQoIaHUsP593Nk6Xm3VbtlJX3+A5D8OGoChty7KrZVtR
WcXyt/5hPv+LBXOJDAs1k/mxw4dy6uSJfLt6LQDPvfYW8bfdyKCYaLN8H/vjbXy1cjXfrl5HXmER
jU1NBAUGkpGazPSpJ3HSuDE4HI42MXV2PMdzzrtTDt3ZtjOapslvMiGEED1Geeutt4w5c+b0dxxC
CCEGAEVR8PHxwWq1oqqqOYidYRjouo6mabhcrjYJTXDw4Xni6+rq2uy3u8tVVcVms6GqqtnX2zAM
XC4XVqsVq9XTwK2hoaHNqPEAPj4++Pj4mMfi3d57HC238e7P+1reY9d1HV3XcTqdrfr9//Wl11s1
Lf/53LO5cO5ZOJ1OrD4+fL1yNf9buYr8omI0TSc2OopJY0aRmpjAE8teblOGGanJ3HvzDa3GEfDy
8/PDYrGYMbndbhzNzcu7U7aKohAYGGj2R3c4HDiPaLLo5+dnzspgGAaNjY1tyvjI8m1Ztu5OWoB0
djzdPefHcw12tCwoKKhVn/2jaWpq6vS4hRBCiK768MMPJdkXQggh+kOD3c7C+x+hvsW0eZPHjuZ3
v7qY4MBAADNhBcwbB4qisG33Xt54931yC4uIjYpk0pjR/N/Zs+Aoc8ALIYQQ4qfhww8/lGb8Qggh
RH8I8vfnxt9exl+eW27W5q7euJl1W7Zx6uQJTBw9isy0FMJCQ9B1ncrqGvbm5rFy3UZOmzKZR/9w
KxaLxRz5/2izHAghhBDip0UG6BNCCCH6ga7rjMzO5KHbb+bhZ5ZS09z8W9M0vlq5mq9Wru5w28KS
UoZnpnMMLcSFEEII8RMjw74KIYQQ/cTtdpMcH8ezD93L/DPPwMfatXvwbk2jtLy8l6MTQgghxI+Z
NOMXQggh+pHb7UZRFC6ZP4efzz2LtZu3sWXHLg5UVHDwUCWHqqoJDgokJiqKxLhYpk2ZxIjszHYH
vBNCCCGE8JJm/EIIIUQ/MwwDu92OoihMGj2Ck8ePMQfnazmivHek+vr6+v4OWQghhBAnOEn2hRBC
iBOEd4o4l8vV36EIIYQQ4kdOmvELIYQQQgghhBADjAzQJ4QQQgghhBBCDDCS7AshhBBCCCGEEAOM
NOMXQgghhBBCCCEGGKnZF0IIIYQQQgghBhhJ9oUQQgghhBBCiAFGmvELIYQQQgghhBADjNTsCyGE
EEIIIYQQA4wk+0IIIYQQQgghxAAjyb4QQgghhBBCCDHASLIvhBBCCCGEEEIMMJLsCyGEEEIIIYQQ
A4wk+0IIIYQQQgghxAAjyb4QQgghhBBCCDHASLIvhBBCCCGEEEIMMJLsCyGEEEIIIYQQA4wk+0II
IYQQQgghxAAjyb4QQgghhBBCCDHA/GST/R9Wraapqam/wxBCiBNGcUkpLpfrmJcJIYQQQogTT5eT
/dNnn9Xm3y13/KHV8oLCwjaP+0J7sV19/Q2dbnPXvfdxsKLC3L4v4q2squKpJc9x0aWXMXvuPH55
+W95+bXXcTgcPbL/vi737mp5nmaePYcrfncta9etP6Z9bN+5k6uuu4Ez583n0t9cwfqNG/n08y+4
5Ne/Yc555/PUs8/1UvTd97e33m73WvX++2bFd8f9Gn15DXT2Wr0dR0FhIafPPqvX9t+XTqT37S8v
/w2lZWXHvKw9J9JxCSGEEEL8FFmPZeUlf11MYnz84Y2thzd/7x9/JygoqOciO0ZHxmaxWLq8bcvY
Dxwo594HHmTpkqd7NL6q6mqu/f1NpCQn88c7bicmJpqCgkKWv/Iq6zdu5MnH/oKvr2+X9tVRjP19
Do6F93wdqqziq2++4b4HH+Lf//h7l8vgkcceZ+L48Sx6+EFCQ0NxOp2cde4Cbrj2Gs6ePbvL++lL
F/7fecw752wAikpKuP6mhbz3j7+by/39/fsrtB53ol2LvfW+7okYTrSyEkIIIYQQA8MxJfvBQUGE
hoa2u6yj5/tKZ7EdTcvtHE4Hu/fu7amwTMteepnQ0BAeuPdPZiIaGxNDevpgrrruet59/wMuuuD8
Lu2roxj7+xwcC+/5Cg0NJSY6ijfe/juNjU1dTtJLSkuZP2+OeczlBw+i6zrzzjkHVT0xe6fYbDZs
NhsANbW1wI/rnB2LE+24eut93RMxnGhlJYQQQgghBoZjSvY7c/rss3jtxWUkJyW1WeZyuXjx1df4
6utvcDgcTJo4get/dw2hISE99fKdcrpcvPHW23z25ZccOFDeZrk39ty8fO578CHzOYDHH32Y8WPH
Htfra5rGN9+u4KH772uTzEaEh/PLiy/mo48/MZP9M+fNZ+b00/nu+5W4NY1TTp7Cwht/j6+PD9+s
+K7DGFueg8amJpYuW87K1asxdIPJkyZy3dVXERgYaL7GrJkzWL9xIxUHK4iNjWXhjTcwZtQoANau
W89Lr71OXn4+gQEBTJwwnjtvveW4yqG9cqk4dIi//+NfnDRpImFhh5OeI6+ngsJCLrviKr769GPm
X/BzDMPgupsWYm1uweHWNADO+/nFANx5262cNGniUa+9M+fNZ/7cOXz6xRe4XG4+fPdffXLsHTna
eTva8iP117G0PH+dxdDZtX4sOrueO3vPdOf6WPTkX/lh1Wrq6uuJiYnmhmuu4aTJkwBoaGjghZde
Zs3adTQ2NjJ+3Fj+9Ic7WfH9yj553/alY/1c76lzLYQQQgghuuaYkv3Lrriq1d8P3HsPp5w85ajb
LX/lVXbs2Mmf77mbwMBAnnxmCc8vW96jSceRsd18w/XMm3MOAC++/ArrNmzkjoULGRQXR1FxMbfd
9cc2+5j2s1N47cVlZlLZUyqrqmiy28nOzmp3+ZCsTJa9+JL5t8PhYMyoUVx/zdWUHTjAY4uf5PEn
/8pdt9/W5RifWvIslVVVvLT0eRRF4YFHHuWpJc9x1x23ma/h5+fH7TffTGxMDG+98w5PPr2E115c
htPl4r6HHuaaK37LpIkTqKuvZ8eOnT1WHtD6fKmqyvXXXI2u612qlX/vn+9w+uyzeO6pJ9vcDHjv
n++0Wvdo157D4SAqKoqlTz+NYRh9cuydOdp5O9rylvr7WLoSQ2fX+rHo7Hru7D1zrNcHwMTx45l7
9lkEBwfzyWefc++DD/Hf997FYrHw0F8W4XQ6ueeuPzBoUBxWixVVVfvkfdtTjvws7cixfq731LkW
QgghhBBdc1x99rvSx1jTNN7/z4csfuxRBsXFAXDW7Fk8/8LyYwy1e7FpmsZ7//mQZxY/TnaWJ9mO
i4vt0dfuDVmZGfj5+ZGaksLNN1zP9Tffwh23LOzSWAROp5Mv/vcVy5971qxl+92VV3Lltddx28Kb
8GmuSZtz1plmsjxvzjl8+PEnALicTjRNo66+nqDAQGJjYsgYPLhHj++1F5eRlJiI3W5n9569PPnM
Eg6Ul3PNlVf02Gt09dqbNGE8sbExgKdmtrePvSNHO2+GYXTpvHr1xXk8mq7E0Nm1fuQgfJ0lyh1d
zx3pzvUBcNqpPzMfn79gPm+8/XfKDhxAURRWrVnDv//x9261Wjre921POfKz1Gv+hReZj7v7uX48
n2tCCCGEEOLY9Fif/Y5UHDqE0+nk0ehssQAAIABJREFU+psWHtN2x6qj2CoOHcLlcpGWmtqrr9+Z
iPBw/P382L17D2PHjG6zfNeevSQkJHS4fXJSEk6nk8qqKqKjoo76elVV1ei6TmLi4X0mJsSj6zqV
VVXExsS02cbX19esuQwMDOS5p/7KW++8w0W/+jUTxo3jN5ddSlJiYlcOt8sURcHf358xo0fxu6uu
5JHHFvVost+da6+vjr09RztvGBzTee3PY+luDEde691tYdPyeu5Idz+bvv9hFX97623KysrMsRc0
TaO8/KDnc6ib3ZOO933bU7ryOd8Tn+vH+rkmhBBCCCGOTY/12T+S9/en94fvG6+8REI7tUW9LTws
DEVRyM3PJzszs8vbaZrWY7VNFouFaaf+jBdefImnn3yiVR/Vyqoq3nz77/zfgvkdbp+bl4evjw8R
ERFdijE8PAxVVSkuLjZvchSXlGCxWIg8Yh8dGZyWyt133kF9fT3LXnqZO+++hzdffblL23aHqipY
W5SLoig4nc7j2md3r72+Pnavo503bzeHo53Xlrlffx1LS8cSQ0fXek9p+Z7pzvWRX1DAnx9+mJt/
fwPTTjkFX19fZp49B4CIiAhq6+ooP3iQmOjoLsXQUk+8b/tKV8uus/sQvX2uhRBCCCF+6npl2PKQ
4GB27NpJQWEhfn5+nHLyydz7wEOsXbeeA+Xl5OXn88Oq1T36mnX19dTU1Jj/6uvrAU/N1/TTprFo
8ZNs2rKF8oMHWb12bYf7CQsLA+CHVatpaGjA4XD0SHxX/fY3VNfU8Kf7/sy27dspP3iQdes3cOfd
9xAdHcV5585rtf7efftpaGggJzePxU8/w3nzz8XS3J/9aDH6+voy4/TTePaFZWZ5PL/sRWafMbPV
dIkdqamp4cOPP2bnrt3U1NYSERHRpon48fKer4qKQ6xeu5ann32es2adYS5PTEjggw8/oqzsAJu3
buWjTz495tfozrXXF8fekaOdt66c15bvvb48j95/jU1NrZZ3JYbOrvWe0t57pjvXR31DAwCDYuOo
rKri3ffeN5elpCSTlZnBPX9+kE2bt1BdffhzqKMYWjre921f6krZtbwWvfriXAshhBBCCI9e+QW5
4Nx5PLXkOcaOGc0jf76fO265mVf+9gZPPP00VZVVxMfHk5qSzJSTJvfYax7ZnDQrM4MXljwDwM2/
v4EXlr/Ig4/+hYaGRoZkZ3XYbDQkOJiLL7yAhx9bREhoCPf/6e5jahHQkfCwMJ57+q+89sab/Pnh
R6muqSEmOprTTv0Zv7z4ojaj9D/46F8Az/R8s2bO4JcXH+4v25UYb7zuWpYsfYFfX3U1qmrhlJOn
cM0Vv+1SrJqu8+nnX5CTm4fb5SItLY0/3NazI7h7z5fNZiMxIZ7/m38uc5vnoAdYeOMNLH7qGT75
/AuiIiMZO2Z0l6fla+lYr72+OPbOHO28HW15y/febTff1Gfn0Wv2GTNbDdDWlfLs7FrvKR29Z471
+hg2ZAjnL1jA3ff/GavVwilTTjY/SyyqyoP33cuzS1/gvoceRlE8g/n94bZbURSl19+3fe1oZXfk
9wD0zbkWQgghhBAeyltvvWXMnj27v+MQLXQ2jaEQA4lc6z8dcq6FEEIIIfrOp59+2jvN+IUQQggh
hBBCCNF/JNkXQgghhBBCCCEGGEn2hRBCCCGEEEKIAebEGuJZAHR7bnEhfmzkWv/pkHMthBBCCNG3
pGZfCCGEEEIIIYQYYCTZF0IIIYQQQgghBhhJ9oUQQgghhBBCiAHGCnDgwIH+jkMIIYQQQgghhBA9
xAoQGxvb33EIIYQQQgghhBCih0gzfiGEEEIIIYQQYoCRZF8IIYQQQgghhBhgJNkXQgghhBBCCCEG
GEn2hRBCCCGEEEKIAUaSfSGEEEIIIYQQYoCRZF8IIYQQQgghhBhgJNkXQgghhBBCCCEGGEn2hRBC
CCGEEEKIAUaSfSGEEEIIIYQQYoCRZF8IIYQQQgghhBhgrMe7A6fLSWFRPhWHynG7NcDAMAwADMPA
arXi7xdAUGAwwSEhREfGoKoqYDTvQTneEAYkwzDIydtLdU1Vu8s8Rdy6rA3DIDI8ioz0bBRFyrUr
ah0H2Vz6JVbVh6ExUwnzi+vvkHpVTU0NoaGh/R3GgNUb5VtcUkxoSChBQUFHXfdQ5SEqKg6SnTWk
R2MYiHbv2cmuPTvRNM18zmKxMGzoCDLTs3r1tXvjOtmwv5Z1e2vYnl/PvtIGDCA9LoDhKcFMyAhh
Qqa874UQQoifmuNO9vMLcomKjGL82InNSXxrmubG5XbjdDooLSthx7b3SE9WCPYrRmvagOo3CfzO
QVOSjjeUAcOb6AcFBTFi+GgsFguKonj+Nd8cMQwDAwND1zEMA93Q0XWdouICdu/dSXbmUEn4j1BZ
dQi7o6nVc1tqPiI7eTT5dZtZl/8J2YGno6oqBgYY4O8fQGREVD9F3PPsdrsk+72op8vXbm+ioqKc
utoahgwZ1um6mqZRUlyEzc+P2rpaQoJDeiyO9rT3fvIyDM/7x/s5hQF+fv5ER8X0akzHYs3a1Zw7
bz6BAYHmcw0NDfznww96PdnvyeukrtHN4/9vL9tz6hkeGcWw0Gh+NjoRqwXcChyqa2LpB3nERPpw
2/kZhAf59sjrCiGEEOLEd9zJ/oHyUiZNOAm7w46ua+i6J+n0JJ8aGKCqKjZfG+kJB0mPrsHZsJam
qi/wj7mPhrKHCYiqQfWdiUsZ3xPH1KGNX7/D2s9fQ9fcnicMw1zm4+vHKQtuJHvczF6NoSty8/cR
ERFJ/KAENM2NrmuoqoqqqiiK54aK0VzGmtayzA0S4pOwWKzs2rODodnD+/lIThyVVRXY/PyIjYlr
vnECoLBmYx0RgXFUWfZSUHGAQYMS8Pf3B8NANwxq62o4WFF+QiUpJxpnQy4Vex6loWIlwXGzicq6
HatNyqsn1NTWkpSYTH1DPVVVlYSHR3S4btmBMpKTk7Fafaiuqen1ZN/uaCI9LbPL6+/Yua3f3kd1
ResoXf0CjvqDnpsQGFTWT6O6porw8AgsFguaplFcWkRFZQUblp8NeG5W2IJjSJx6LWHJk/sl9s5s
3l/F3a9uITMkkjPi41i96WtW5G6gprYMi9WX2MhBTJh0GleePpMdxRVc+pfV3HfpcCZkdXwdCSGE
EGLgOO5k3+VyoygKbrfLrGE2jBY1zrqOy+1Cd27C5fqSIJ8d6I7d+EffQkD09YAFZ9Wz+IUHYahB
uJXsHjis9q374nUmnnEpqmrxJMu6hq5rGLqO097Iyv88R9SgwUQOGtxrMXTFocoK0tLSqW+oQ1EU
rBYrFqsVK1asFhWLxQoWT6sJ8PxwRTfQdTeNTU4iwiPYvn0b9F5Rmurqannl1ZfJLyhg0sRJnHP2
nA6bGzc2NvKfDz9g7do1JCYl8etfXU5YWFivx1hVfYjAwCACA4M8N6C8rSTaafngcjrx9fFBNwzA
ICQoBIuiSsLfAWf9Xgp+WMCwGf8mIHwkB/e/RsXexcSNeLS/QxsQmhobiUpKIjIigi1btxAWFt7u
det0OqmpqSY1JQW73U5TaWmvx6ZrevNrO8xuRLphYBg6hqGj657HuqETHhrZqrl8Xyv+4XnikjIJ
iZpBvV1j5a5KGsuqcbvd7M/Z13xD1YKuazTWN1AeeyYnZ4cS6KdSfTCP/G+eJuzSN/st/vbUNjj5
w4vrOCkmibqDxbz+9csMig/h1NOGEh02FkWBkoN1bNn9LV99919uv+EP3DRjPPe8vJI37z5VaviF
EEKIn4DjTvY9P+A8Sb33B5+B3qJfOai4sDj+i17/NtV6PRbfDEKjfg+Af+SvaSh/lsb8RajWN7HG
PIvqN/Z4w2qXrulgGOTv3tBmWVBoJAmDx/CPv17N4fEEWj+0+PgyefbljD71gl6Jz4xT1yk/cICS
siJ0XT/m7QfFJaIbx75dd7z0ykvYfH2YPXsWOTk5LHriL9x2yx1tEv6GhgYef+IxomOimT17Nvv3
7+PlV19i4U239HqMjU2NBAcH43DYPS0kFBWluaXEkRRV9dwMaE5cnC4nVh8fGhrqJdk/gjfRHzHr
A/xDs9C1SsITppO38QFJ9ntIY1MjAD6+NuLi4igtLSE+PqHNesUlRaQPHoyCgtvlpLGpoddj8ybv
bs3N/n37Pd2KWowl4nmsk5Ka2mr9/tBUU0bw2Jk0lu/g0Q8bufDCi7jx7Gx8rG2/Am/8/U3s2rmD
R//+T+6aE0BoVAZ7Nv6vH6Lu3KNvbSLJL4i6Q2V8v+MTzp4xlCmj0wgJCSUiPIyY2Dg0t5s9e/fy
+YqNPPjX+7nqFzcze0g6D762nieum9LfhyCEEEKIXtYDyb4bA+8AcfrhvuSeZwFQqcJZ/TZhaW/i
G3R6q+0V1Z/o4dvAqKWp8j0O5VxNQPqa4w2rXboB9sa6dpfV11QSGBzG0IlntWiZoJs1/7qu43ba
+eHjl/sk2VcUlcaGRsaMGYvN5oeP1QcfH9/m/30AcLlcuNwuXC4nLreLuro6tm7bbDbt7wulJSWc
Pv00Kg8dIiMjA5uvL48vXsStC28zE/6GhgYeX/wYCQkJpKenc7CinLS0wXzx5Rd9EqNhGFgsVqqq
q1CguWbU25S/terqKhwO++Fr2TAICw03B0IUHp5Efz7DZ/4Tv+Ak3E2bUCxhVBZ+RPCgOf0dXrt+
WLWaMaNHebpp/Eg4HHZ0zY2uacTFxrFh0waio2PMzwCAhsYGDF0nODiEpsYGz3u/Dy5Xb/KuaRqp
aanm854++p5k3/searl+f9A0DQwDBZ2YADtLly076jZD420o+AFGv8bennW7ytmwvZSpscl8vuVj
zp0+jOlThhMREUlQUCAREZFERITj4+NLbFwc4eHhBAYG8eq/lnHzb+5h9b4cvt9aytSRg/r7UIQQ
QgjRi44/2Xd7+uV7m+/jTfabc30DA5VarLYUmipexjfwVFAsR+4FtAYaD72HNWDM8YbUIV3XaKiv
QWtOhHMrNHIPNOFyN/fh51C72/lYraTF+pMWZcXpsPdafIfj1FFUhcamRk/TUk1j847tbN+xnTGj
xpKVmYnL5WL7zu3s2r2LzMEZJCQl4nK5aGxsRNf0Pkv2R44cSW5uHllZWZSUFJOaloaiqDzx5CJu
XXg7AE8sXkRSYiLpGRkUFRURPyie3Xt2M3z4iD6J0TAMFEVB13RCQoJRVYtZw3+kwIBA/AP80TUN
t9tNXX2d2WrlSHa7nbXrN1BcUoLb7SYqMpKRI4aTEB/fF4fVb7yJ/rAZb+AfkoS74WtUawzVJZ+z
f83dYOhU5S5vd1vfwDT8wycQPGguwXHntFl++uyzeO3FZSQntR6ws6CwkMuuuIqvPv2423Hfde99
7e77RObv54/d4UBRFAICg0hJTqGgII/09MN95QsLC8jOysblcqFpGtU1NURFR/d6bN4E2DB0cnJy
oXn40Ob5QfD+lzY4rdX6/UFvboEGcOEkfxzOozdht/k2f08ZRvP2J47V24uJtfmzq2gXSYN8mT5l
BIMGxREaEorNZkNVVVwut3nDJTo6iuknj2Td5r18s/YbsqPS+GFrkST7QgghxAB3/Mm+N6lsrtk/
zGj+aaWA4oct9GfYqz6gtvBmQpKfbrGaHfQ6KnNvxG3PxS/+JXorTdV0nZrqQ7idLgD2lzXx5t/+
3m5z7pZ0XeeSSy8iIcS/uS937/LU7Cs0NDRitVhRVZWtW7dy8UWX8OZbf+O771eY6154wc9599//
j6iYKFwuNw0NjeZAiX3hvAXns+jxv2Cz2UhLTaOsrJTB6YNRFIXHn3gMRVFISk4mMzOD4uIiEhMT
ycnJ4UDZAW679Y4+idFM9ptbTChg3og6ksPpQFUVtOYxHVwu1+EbWUdYuWoVTqeLmdNPx+brS9mB
8hOuBrCnORtyyFu5gBHTX8Q/OAFn7ftY/cdh8c0mMnkEJ//iVx1ua2CgOQ9hr9vP/lV3UF/+LXEj
HkRRfTrc5qcuMjKKiooKkhITcTocREVFU1JaQn19HUFBwVRXVxEWFoavry+1NdX4+PhQcaiCIdmd
j9zfE7zXum4YDB6chqe1jKe5THvjCrj7tWbfDc3fT6FBtmPbuHkg1BPJ5l0lBFsDya0pYda0LCIj
IwgNCSUgMNAcfLSpqdHsVmHztREZGcHUSSP58vs9TIkbxubdOf17EEIIIYTodT3UZ/+IxKn5odJc
zaMTga5GY/XxRzdcoFXgqQJyYxh2MBrQ3TXYQiaiK703zZmuQ0N9vTmivabpqKpKVVX7Nfpe4eGR
aJqO0+WmL3JoXddRFZXGxiasFguqamFI9lCiIqO58rdX42jRuqC+uebZ4XDgcntq9hVF7bNkPyAg
gFtvuZ3Hn3gMw4DMjAzKykrJyMzA12YDwyA1NYWSEk9f471791JYWMitt9xOQEBAn8RoGAYKnmS/
1nmQjSWf4GOxkRI2ss26JQ27KK7Yhs0SQGrgeBSXf4c1+6VlB5g1YzpRkZEABAcH9/qx9Lf8tdcQ
mTQJv+BYHDWvgu7A6crt2saKD6o1Ab/ALEae+QF5mx6kaOMtJI1/+ujb/kRFRUVTUXGQxsZG/P38
8PH1JTUljZzcHIYNHU5xSTGjRo6iqbEBq9VKxaFDBAcHt2rm31u8ybuqKOTm5nnq9VvMdOFN99Mz
MgDPd8W27VsIjwjv82n5NF3rsCtOkf9U6pX2R6fXdR2j0cD/tCf4Yc0KDMMgJCSMEUNH9VqsXbEz
t5SfJY7EbRgMTowhKCgIm5/N7KakKAqGAYpiYBgKvjYbgYGBDM1K4p3/rsZX8WFfYXnzOv16KEII
IYToRT2W7AOeJN/THbrFTz0wCEYz0nC7/LD6+mG4C2is/h9Nhz4mIPJM/EPHoaj+uFwWLEr7I7n3
BF03cDldcETz7XUbOx8j4IzpZwHgdLrQ9b6q2VdpamzEwNNv1+ly8tnnn7Bz1w7s9sPJvsWiEhUd
hcPhAAUaGxqxWC19luwDBAYGcustt/PE4kWoCmRmZlJWVkr8oDgUVeVA+QEGDYpnz549FBUWcevC
2wkMDDz6jntIy5r9bQe+Ij1pKDarP3uK2w7UWKnsZ0zmFKrtB8gpXE+iMrH5h3Pb8x4SEsz+3Dwi
IyM7bB3y/Q+rKCwqwul0EhgYyKQJE0hKTGDn7t3s3LWbBefOM98p6zZsoK6ujtOnTUPTNDZs2kxe
Xh5uTSMhPp5JEyfgZzvGWskeljxhKXu/mUtQ6DLC49JxO7di9Z+M1X80mmN35xsbOobRiKvuUxTL
GlLH3Mna92fTWL2VgHZuvHTmzHnzmTVzBus3bqTiYAWxsbEsvPEGxozyJGFOl4s33nqbz778kgMH
ytts39jUxNJly1m5ejWGbjB50kSuu/qqPr0uu0JRFFJTB7M/Zy+DUwfjsDd5mmr7+pKTu5/kpGRz
6s2mpiYqqyrJzhraJ7F5P/sVRSUjIwNFUTyDXx4x24XRYv2E+CTi2+nm0tvT8rVsxn+keiXC/Izv
in/9+x3omyLukOZ24na78bX44+Nrw9fXF6vFiqIqKIpqfl6ZHSsUBavVio/VB6uPFbvdieF2YWC0
+q4WQgghxMDSA332Pf3dFRQMxZNUmUm/d4kCbsbjEzqPmoJF1BQtxxYQi39QJLXFSyjfU4GhBhKS
2bsDtmkGOFwtk31Pn8wJYyd1aXuHy4XWBwNfeWr2FRoaG3A4HLhdLpKTkqiuqWbkiJG4NTculxtN
c+HW3Pj4+GC1WvG12WhobMDHYu3TZB88Cf8tC2/jicWL8LXZGDRoEOUHy1FVlcjIKPLz8ygoKOCW
hbf1eULVss++bug0apW4rFZGpkyloGKXuV5ybAYpUcOocO+n0lkChgW3241FtbSb7E+ZPJkv/vcV
RcXFDB2STXZmJtYjRvdOiB9EdmYmvjZf9u3fz9fffsslF/2ctJQU1q5bT2VlJZERERiGQW5uHidN
9lyLGzZtovxgBadPm4avrw8rV69m7br1/Gzqyb1bWEdhCxpMxqnvseureWSNm0F4bCLO+v9gsWVj
t/ux+v1fH9Gd5zCLjw8RsYMZMuVOdNc63E2ryZp8Bznbn2PwSc8fUxwOhwM/Pz9uv/lmYmNieOud
d3jy6SW89qJn4LUXX36FdRs2csfChQyKi6OouJjb7vqjuf1TS56lsqqKl5Y+j6IoPPDIozy15Dnu
uuO27hdOL/H39ycpKYXcvFwy0jPw8dWJjo6muKSEsLBwmhrr0XSdgqIiMjMysViOHBOldxxO9hVy
9ud4EvzmZDMrM8vzmMM3yjS3ht3RRH1DbZ9Py+cdoK89LpenW1d9Q13zjRPN7MajaW40TfP8092k
JWfidDp6NdauyEwI41B9NSH+cRSVNnq+d83afA7foGxuZUFza7G8kkOEB0ZRXlVJclwgqlTrCyGE
EANaDzbjb24+iAJqc12B0qLOQAlDs/yCiKxsVD0XxagGIDBmEF9+m8PYidehWEOPN5xO6bqB06WB
OSqA50dx12v23X1Ws+/WNRobmnhi8ePHvL3F2vfJvpenyTzmDAaGYZix9NeI9t5k3+12E2Vkk5O/
irBofxxh9SREHa6i8w+1UOLcQlVNJTUHm4h1jcFQQbW0n+xHRUZywXkLyM3LY/uOnWzdto2TJk0i
NSXFXKfl42FDhrBl6zbqGxoICQ4mIT6e3Lw8IiMiOFBejqbrJMTHo+s6u3bv4cwzZhIU5Lkxkpme
wdr163uxlLrOLziTrNM+YOeX88gefxIRMUk0HLiZgOgHGX/mk+zf/h0ZU5a22U5z1VOy82nKC7cz
KG0czrr38A+7hobqtut2xZyzzjQH25s35xw+/PgTz+toGu/950OeWfw42VlZAMTFxZrbOZ1Ovvjf
Vyx/7llCQ0IA+N2VV3Lltddx28Kb+qQJ/LEKDQnFHh1DXkE+GYMHc6C8nNSUNEpKiggLCyM3L4/E
xCT8/PpupgHNfThBT89IR1FUVNVTu9+qdVfzf5qmUVhQSG1tbZ9Py9eyz/6RnE4nAA6nnU8/+az5
JkTzzQjdwNANDDSmnTat1fr9aUx2LN99V0pUQBo7d5XiPsuNrmueFkbNGf/hFkmepF/TNDbvzMfP
J4ry2jJGj4jr78MQQgghRC877mTf22/T0tyM2VvD4Om/2foHn0I4GjPR9WoUvRIw8A1MZfPuZYyZ
1HvN97103cDpdHG42YGNxsZGUhIHo+sd/9gsLS3Fbrd7kv2+GKBP09E1jSknT2b0yDEEBQd3aeq9
psZG1q5fg7Ufkv36+nqeeHIRySnJJCQmUlZWSlSkZ/yFQ4cqSExMwuFw8vjix7jl5sPT8vUF7w2H
+Ph4dD2WmKZBbC7/DHvTAVwxdgKs4QA0uquoPFiL3ujHsOBZBPqEERgYiEVVO7xRYbFYyEhPJz09
na1bt7Hi+5UkJSaatauFRUVs3rKVuvp6T1cLDt/0yEgfzJp16xg/diy5uXkMTk1FVVUaGhrQNI2P
Pvm0D0qne/xDMhk64wO2fj6PoeNGEBmdRdPBBwiJe4HK0kfb3cbiE0RM+mXs++FiErMXoDf+CTX4
Iuqq9uBtDuTv52eWU0sOh6PTMR58fX3Ncq04dAiXy0VacyJ5pKqqanRdJzHx8Hz1iQmemyyVVVXE
xvRec/LjERsTi9vlYs++vdjtDgxDp6S0lMqqKqKiogkPC+/TeLwJelBg18aq0DSN+MQEYmOi+3xa
Pk3T2h2QE1om+w5Onz4NmlsjeGaV0TF0w+wqAeB09H+yf9LoNN77fAvJYVm4GlP49OtcFpw1HD8/
P/TmG65wePpDTXOzcuNuduUeIDvqNDaUbODy0Wf081EIIYQQorf1TM2+AopqaTU4UOtRmY+Y01yN
wsAzqJmiBvbZKM26DprrcLJvb7JTUV5CzsZPaKwsQdfc7W6nqCoLJsdjVQ0MI4Gv//4Iuu7GPyiM
KfNu6IU4dXRNp6amltq6Wg5VHiK/II+iwmLi4mKJjYvF5mvjQHk5hYWFZGdkkT1kKDabjZqaWsDo
02S/vr6eRYsfIzU5hZSUFIqKPKPuFxUVYRiQnJxEcUkRqWmpGBg8vvgxbl14e58l/N4f65VVlRQW
FFBbV4dCEo7gIkodFYRHO8CAqoo69MpgrNVx7COf8PBa0lLTCAsLP2qrBAXIysxgw6ZNOJxOAvz9
qa6p4etvVzBl8mRSU5JRVZXX33zL3CYxIYGVP6yi7MAB8vLzmXXGTABszf3yz5t/LiEn8KB//iGZ
jJj5AVs+m0fWqCHEJs2gLPddwuPPbHd9TXNQWfIVCelz0F37UCz+NFR+gMUnCu97Mj4+nl2795DZ
PKib185du0mI79o0YeFhYSiKQm5+PtmZmW2Xh4ehqirFxcXmDYHikhIsFguREe0P1NZfdIeDQytW
ULd1a/OMJwY+QUH4z5rJ3n17sFqtGPv3U/fRx9Q332gNHjqUiGnTsPj3bi1/cHAwX371RXNczYO0
Nj8+/PljmEm91WqltKSEhvp676I+m5ZP76QZvzd51zWNL7/4H97vK+8Ugp7KcYPpM6d71j8Bavan
jB7MmGEJ5ObsJCVkMpvW1ePvt5+zZ2Ti4+vbqiuNprlZuX43L7z9P2L9hrK/PBeXvYRTJ7R9bwgh
hBBiYOmBPvsaCgpqiyS/zb/mWn6zRt1ormMxa3XaT7J7guZ2sf7LN6mtLGXoiFHoHB5ILVNXWfPf
5cQkZZI2dAHu5vEHvE0fzZ+GR9RCWX18KM3dTtHedb0Ss67raLpGbU0tDocdl8tFSXEpv7zkV7z5
1t/Izy8w173wgp/z7/feZdy48aiqhZqaGtzuvpt6r76+nkVP/IXk5GSSkpIoLCwgKSmZnJz9FOQX
oigKTqeDwWmDKSoqIiU5GcMwWPTEX7jtljv6JOE/3JXAICEpgcP1ucM9/zV5/ksNAoKA5MPb6oZm
nv8jrV23nrCwUGKio2my29nhKRTWAAAgAElEQVS1ew9xcbH4NydZruakICgokMamJgoLi1ptb7FY
SEtLZdWatQQEBhDRnGharVaSk5L4+ptvGT9uLGGhobhcLurq60lKTOyBEuk5AaGZjD7zYwq2PcfO
jW8SnTqH1NG3t1qnqTaH2oqN2Gv3ERGbyKDUn6NVP4CP/0hqymsIippsrvt/C87l+ReWY7VaGTXS
M2jflq1befGVV7nh2t91KSZfX1+mnzaNRYuf5PrfXUP8oEHk5uW1Wj7j9NN49oVl/OlOz/SPzy97
kdlnzGwz5kJ/ctfXU/jKK4SGhJCWmoqiqqAoHDp4kLpPP8fvpMkohUVElpQRnZlp3gyoLi+nYPly
Ei+9FJ/w3qvtHzZ0eIc3wdasWUVW1hDqG+rMG79Wq5WQkBD8/PzaHms/9tn3Ju+arjNj5nTPQIOq
incqwSOnEXScAMk+wP3Xz2HOtc8RYtlFqJ7Ot9862bTte8aNjWZIRiSqAvsKylm98f+zd+fxUdX3
Hv/fs2UjG0kgCUtAkrCFTRYRLNKwCNpQ+9NqbetFvWpdWlTqtaXK4sbPq48iWpdeuV4vagv1p1J7
EYGoIFYFBSqQsAdI2EI0LNm3WX5/hAwZsp1JJslkeD0fDx5kZs6c7+fMOXM+8znne74nRzv25irK
MkDVdosKKo4q2Zan//fJRZr/+FOdvRgAAKAd+eDMfm1RWfejyGwynx+kqXagpvoFv/tsicvlUTzX
v/bT12qqKrTnX5t09Y9uV0R0bG23zIuKN4e9RmcK8lRTXXW+6+b51y4q8l0ul0xmi4JCwrRv+6ca
N/WWdonZ6ay9r3NxcbEqq6pkt9e0eOs9p8ulyvIyFRcVy2G3y+nomGJ/7bqP1CsxUX369NHRY3nq
2zdJebl5yjuapzm/fkgul0svv/KinE6XBlzWX8eOH1NS3yRVV1Xrryve1j2/MlbAtYXL5ZLT5VJF
RYUSExIVFBwss9ksi7n2toYWy4VbMdYOzlV7sKS6qkr5p/LlbOK2XS6XS7uyd6u8rEzh4eHq3auX
Jl010X2RSFyPHho6ZLA2fLZJZrNZSX37qttFXdGTBwzQvv0HNG7MaI8xsX8wcYK+3blTm7d8rYqK
CkVERio6Ksrvin1JCo3or0ETntOgCc81+np4dH9FxfSWxWKXxXVIrvI3ZDZXyWUdo6xvXtHAia+7
p505fbqsFqveXbVKr7y2TCaTSb0TEzXn1/dpWnq64ZjmPjBHr/3363r6P59VWVm5Bg8aqB5xF27r
+eCv79fL//Wabv/VPTKbLfrBxAm69647W/8htIOy/fsVFR2tsF69lJuVVdsryWTSwEGDVHr4sKxn
z8qyd78Sx43Toexs1ZSWymyzKbZHD3WPiVHJnj2KueqqdouvsUK4TnhEuHr16qXiknO1t+U7nw/K
ysrU1G352lPtAeXG94l1xbvFbNaGDRvP5zBz7eB1JnPdDWZ0zcwZkvzjzL4kRUeE6fnf/1Rz//Nd
xdWcU+/wVJ04Lp0sOKb/z56tanuxTCaXTDVBirem6UTpKZ0o3avL4wv1k/Tpemvle3rzf/9Ht93h
X9s9AADwnbYX+84LZ+Vrr9d3P3L/SDKp/ll+ySWnx9WT7flDL6RbpEK7xai05JyCg4NUcvZ7j+L9
Ql1/vqivG2DO44DAhWsfXY4a7d/zjewOl5JHTGqXmOtGhC4qKlZNTbWCg4J18vv8Rm+9Z7VaNTB1
oMrLy1RdXa2ioiLVOOwdcmbf5XJp2/atmpI+Rd9995169+6jvLw85ebl6c7b73IPEHX3XffqtWV/
ltPh0GUDLtP3hd9pQHKy1q79SGfPnlVoaGijZ/t8GafL6aw9cOJwyF5ernNnz+rM2TOKiYlVdHS0
JNV7LkbR569/rqyqkuP8QIMXu2LcWF0xbmyT7Zokjbn8co25/PImp+kRF6fb/+3WBs8HBQVp/Lhx
Gj9unJdL639czu/lsh+W05kr6TvZrN3kNE/Wts9WKLrPLYrpPdk9rclk0vSpUzR96pRm57lx/VqP
x0l9+3o81y0sTL998AH9ton3d+vWTb9/uKlX/UPJrl3qERGh4zt3Kunf/1226GjlPPec5HLJ4XCo
78hROrH9X3KeOSNnVZX6/+Y3ksOho8uWqU+/fjqVnd2uxX5zHE7n+TPkFqWmphq6LV97qjtg5/Et
Pv+grni3WCyaOXOmLGaLLJbaA4Fms9l9W826fYC/FPuSdMWw/lr9yv1a+NL/aee+rxVljlZ4ULi6
WaMUoiiV2ctUWl2mvKps1ZSd1IBYhyqqXfpi8xb97KfX6/X/eVu9+/bV1KnTmzxwAwAAui6fdON3
X93oURA55dT5syIuh8fI/K66aTtocKae/YZq59efatK0WXI5qxoMDuW+3vT8g/qFvkuej6trqnRo
f5bSr7+zyXurt1XtmX2niouLFRbWTcFBwRpw2QDV1Ng1ccJVCrIFKzg4SNXVtQPzBQXZVF5Rruqq
KhUVFcthd3TIXQMqKiqUmpKqnEM5SklO0ZHDh5Wbl6ebbvyZHA6HysvL3QOn3fKzX+ivK95WdU2N
UlNqp+3Zo6eKiorc67+9Cv66bvxV9Q6SnDl7VsOHjdCurF0qKChwP5+Wlqa9e/e6i/2qyko5HY2f
2YcxVdUWOaojZDH1luxOVRRl6V+fv6bgmGs0cMRvVFNT45cj4PsDs8slq80mR3m5aoqKZA0OVnVN
jSxhYTJ166ag2FhVVFfLYrOpPC9PwbGxMlmt7jtidJbW3JavvbjOHxxxuZxyydRgVP664t1kNuuT
jz+tLfAttT1/Mn6UIbPFUnvg0o8G6KsvJqqbXnrsFn2+/aC+2J6jnfuPa8exHElSUkJ3jUzroZED
U1V1Okcv/+lPiuvTXwdLQ2X99lv94pYb9OTC+eoeHaORo0bJcn5ZAQBAYPDJBap1haXz/NmcC/9q
R9g21b9eX1Jt//gLj9rzek2Xy6XUkZO0ac3b6tNvoPr2T5XMZvfAgbWjC56/5EAXzvDXjb7sctbe
C9p1/uzuri/XyRwUppSRV7tv6eZrTqdTZotZpaWlemHpi614v6NDfug7HA79cPIUZX68TpkfZ6pv
nyTN+tH1Cg0NlcViUUhIiEJCQmQymRQZGamf3/JLffzpeq1bv14xMTGamj7VfQ/r9lTbjd/pMcp7
XFycwsK6aczoMe6xGqTaH/71C/uqqio5mujGD2OKzhSo4Ng3OlewQ5Vl+XK5LOo+YLFiEsfL5bJ0
2m0i/V23QYNUlpOjnrGxOvXuu7KGhKhnQoKKy8oUPnKkXC6XQtLSVLxnj3rExensP/+p0+Xl6hkX
p8qKCoU1MjhhR2nNbfnag9PpVEVFhYLCe+pk7l4lJg1yD7yn8//XFe8mSdfMmC6LxSqrxSKLxeqO
1SSTXOf39f50Zl+6cOB64sjLNG5oH1VXV6uyslIVlZWqOf93dXW1qqJTde/9v9Fr//WqgkNCtaM0
UhaLTTf/9Cd6aM59+t+3V6h//8v8atwKAADQNm3K6jU1NUpM7K2s7F0aMXxkqwrfgzkH1DOup+x2
u/t2Zb7kcrkUFZuo4T/8pf654e8ym9tSnLtU47Rq/Mw7VHd7Jl8X+2VlZXI6nbJarXr0D49duLb8
/JmmuuvJHQ6HeyA/p8Pp7vov1XZHdbqcKisrU7du3XwaX30hISGKiYnRj2f9pLYodjhksVgUHBys
yMhIRUREyGQyKSQkRKWlpbJYLPrJj29QTU2NJMlmsykkJETdunVzj0Dva2VlZXK5XDKbzKqsvFDs
V1dX69ChHH1f+L1HsW82mxQdHeV+XFlZVXufbZer3T/PQBWXkKaYnkNUU1Oj6upqORwOWa1WBQUF
yWazcSaxCSEDBujU1q1K6NlT/ZKS5LDbVVpernPnzimib19JUlRamk5s3SqLpJ5RUbL06KHqykqd
LChQ8IgRqqiocA8Y2ZFac1u+9lBdXa3vvvtOoUN+qe1fv6HqT98736HM5e7WX51aO0hjfI9ezc7L
Iot7nv6m7gC13W53f8/sNTWqrKxUZWWlqqqqVF5ertCwMM26/v/RRx/+nwpPndBX5UX6wYQrNOCy
flq3dq3u/tU9FPsAAASQVmd1l8ul06dPKzwsXJmZ6/XXlX+Rw25v8EOq/sj7F16r/d9kMqlHj57q
n3TZ+Wu+e/u8a7zJZFJQUJAmpmeoR59B5weIar2wsDClpKS4z1j7Wl3X982bvzx/K6t6lxS4b291
4Y4BanDJwfk7BlhtKi8vb9fi1GazKSYmRpGRkaqpqXHfXuviAs5qtSo6Olrh4eGy2+2y2+21BzEs
Ftlstna7HEKqvdTAbDbrYM4BjzP70VFRqq6pUWJCgucbTCYF1etSXlVVpX3798lisaiiooJiv5XM
ZrOCg4Pb7aBOILLGxips2jSd2rxZjpMnJZtNzpgYWa+5RqaQENlsNllCQtT79ttVkJmpcydPyllZ
KVdYmJyXX66g2Nh2/W41p7nb8jU2FkrduBm+FhwcrMTEREX88BeqGP//NHpQ4fMvPtOjC+a5e285
z4/xUVtAu9z7Wqez9vl+52/X6I9qxxowy2azyeFwyGaz1fZQO/+Zm81mBQUFKT6+pz5a86GOH83T
Z59/pYryCt3zm7ntcsAdAAB0HtOKFStcM2bMaNWbq6urlZ+f73FmtDUsFosSExPbrRBwuVyqqamR
3W5vc3dsk8kkq9Uqq9XaLj+ky8rKVFpa6pM4w8PDL/nitKyszH12f1fWTo+C34jg4GB3r5Vu3bp1
+c+zoKBA8fHxnR1GwPL15+tyuVRdXe3uEVHXG8JqtXocUHM6nao5fybXZDIpODi43Q+ktRS3N/uw
5kb2b+94aot6h8etVpuLzxfXtbfHdlJ3dt/hcMhut9eO6VJT4859F18uY7ValbVrp/75+SZd96MM
TbzqBzK7L3EDAABd3fr169vWjT8oKEh9z3cnbav2/FFqMplks9l8OghYe/0gCoSC0p/U/zynx1/T
ydEA3qkr3Fs6EOpvPSfau3j3VkvxdPUz2vXHyqnrMRUcHOw+CFD/QEf9aXv37q1rr/uR+3kAABBY
2nxxXmedOfIWP2SA9rvjAWrx+cKI9tpO6vJc7W0Pu0ZuBgAA7YdfA8AlJCoqquWJ0Gp8vjCC7QQA
AHQEin0AAAAAAAIMxT4AAAAAAAGGYh8AAAAAgABDsQ8AAAAAQICh2AcAAAAAIMBQ7AMAAAAAEGAo
9gEAAAAACDAU+wAAAAAABBiKfQAAAAAAAoxVkmw2W7MTRUREdEgwAAAEmpKSkmZfbyrH5uXled1W
v379fB4HAAAwzl/yvsSZfQAAAAAAAo7fFfvbH3hAq5OTm/y39Z57JElZjz+uL2680dA8XXa7Vicn
K3/t2naLe9f8+fry5pt9Os99f/yjMq+4QquTk5tcViPTdJSO+Jzr86dlP/LWWzr99dddqq3m5uPN
96utbXmjo7cxX+jIbaOzbLnjDu145JHODsMrbY3Zn/Y/XRG5/gJyffP8adnJ9a1vyxvkev9Eru+a
ud7a2QFcbMC//7t6XXutJKk0N1f7/vhHDZwzR5GDBkmSQhISvJ+pyaSI1FRZu1AXxXM7d+rgn/+s
EU89pajhw2UNC2vVNB2qAz9nf1v23LffVq+MDMWOH99l2uqKMXfF73JHfs7oGJ21/ykpKdWp775T
VVWVQkNC1LNHD0VEhHdI275Grq9Frm+evy17V8ybXTHmrvhdJtcHHn/Y//gi7/tdsd991Chp1ChJ
0tlvv5UkxYwbpx5XXdXqeZosFv1w3TqfxNdRSo8ckdlqVb9f/KJN03Skjvyc/W3Z0TG64ncZgacz
9j8lJaXKPXrU/bi8okK5R4+qf1JSlyz4yfW1yPXN87dlR8foit9lBJ7O3v/4Ku973Y2/9NAhHXv/
fZUeOtSmaXzl+Acf6JNJk7Ru9GhlP/GEXA6H+7Xy48c9ugU21R3o5Jo12nTddfooLU2Z48dr6333
qaa4uFXxHHj5Za0bM0brxozRnv/8T7mcTvdrjXWX2v7AA/rmrrs8plmdnKxvH35YzvPdmC7uOmJk
Gkkq3LxZX9x4o9YMHaqPJ05UzmuvNYj3xIcfanVysspyc7X51ltrP4Mrr/Sq61RHfs5Gl/3YqlXa
MG2a1gwerA1TpujoO+/4fNnt5eXu9ksPH9aBP/3J/Tj7qac8pm1uXbjsdn1+/fXadv/9Hu/ZPmeO
Nl13nZw1NV615auYpea/X8V792rb/fcrc8IErRk8WBuvucbjc/ZVzFLHb2Nf3HijDr/xhj6eOLHR
ZZea38Z8uexGlquldVFx6pRWp6Tou88/95hv4ZYtWp2crPJ6ycTIfmP/iy9q/bhxWjtqlPY+95zX
y2NUS8slGV9fvojZ6P6nKZGRkR7/vFHw/feNPn/qu++8mo9R5PrmkevJ9eT61rXVHHI9ub4r5Xoj
+x9/yPten9n//ssvlf3EExq2aJHCk5NbPY0vlOXl6eg77yjt0UdVtHevDr7yimLGjVOv666TJIUm
JGjqpk1yOZ3akJ7e6DxKc3L0r7lzddntt2vYokWqPntW+ZmZspeXy+blSinavVsup1Ojnn1WJQcP
av/SpQrt1UuXzZ5teB6DH3pIyXfdpfy1a7VvyRKlf/KJJMkcFOTVNGe2btWW225TwrRpSv31r1V6
+LD2Pf+8guPi1LeRH6bbH3xQSTfdpLQFC1SWmyuT2fhxoI78nI0se8GGDdrxyCPqd8stin/sMX33
2Wfa+eijskVFKXHmTJ8tuzU0VFM3bZIkbb71VsVPnaoBd9whSbKFXzji1tK6MFmtunzJEn0+a5ZO
fPihemdkKH/9ep3KzNSkDz6Q2WaT2Wo11JavYpZa/n6V5OQoJCFBw+bPV1D37iravVtZCxcqOC5O
8VOnetVWSzr6u1y8b58iUlP1g/ffV/GePdp6330ey97SNubLZTeyXC2ti9CEBHUfOVKn1q9Xz6uv
ds/71Pr1ihw6VGFJSZKM7TeOvvuuDrz0kgb+5jeKGjZMOa+9puI9e9yfjS+1tFx1WlpfvorZyP7H
G5GRkSo2+AO1srKi0eerqipb1XZLyPVNI9eT68n15Hpyve90xVzv7f6nTmfkfb/rxu8Ne2mpxrz8
soJjY5V47bX67rPPVPjVV+6VarJaFdanj1x2e5PzOJedLUkaOm+ee8ff3EpqjrO6WmNeekmhiYlK
mDZNZUeO6Mjy5V79ALBFR8sWHa2gmBjJZFJYnz6tmmbf0qWKHDJEY195RTKZFD9limqKi5WzbFmj
PwD63nCD+t96qyS5r5k0qiM/ZyPLfnj5ckWPHKkRixdLkuLT01W8d68OL1/eaJutXvZ67ZttNtki
I1u9LiJSUjT4t79V9qJFihw8WFkLFmjgAw8ocsgQr9ryVcxSy9+v3rNmqfesWe7p4yZO1Lldu3Ti
ww9rd86+ilkd/12WyaRhCxfKEham0MREdR892mPZW9zGfLjsRparxXVx/j2HXn9dw596yj2fUx9/
rKRbbnG/z8i2euStt5Q4Y4YGPfSQJCl6+HB9MmlSq5atJUaWS1KL68tXMRvZ/zTn4gRfd6Tf5XK1
+N6mJjHw1i6PXE+uJ9d7iVxvsEFyPbm+IV/uf/wh73vdjf+y2bM169ChZpOakWl8IaxfPwXHxl54
nJSkqsJCr+YRkZoql8OhnfPmqXDLFjnKy1sfT1KSQhMT3Y9jr7xSZXl5clZVtXqereGsqdGZbdtq
N36T6UI848ap9NAhOaurG7wn4Zpr2jUmX37OLSnKzlbchAkez8VddZWKzu9IL9aey+7Nuhhw550K
T0nRP3/yE4X26aOUe+9tt7iMaOn75ayq0oGXX9ZnM2dq7YgRWjNkiPLXr/f6O+grvtzGuiUlyVJv
IJaQHj08lsvbbawtjCyXkXWRMGOGqgoL3ddHn8vKUkV+vjspGdlWXU6nSg8cUNyVV7pfD4mPV0RK
is+X2+hySc2vr46OuTn1u/B5252vo5Hrm4mHXN8kcj25vr2R68n17pg6Mdcb3Tb8Ie936TP7F3eR
MZnNcjZzNLAxUWlpGv3iizr8xhvaMnu2TGazel9/vUYsXiyz1buPxxYV5fn4/EqtOntWoa0ZWbiV
7KWlcjkc2v/889r/wgsXXnC5JJdLlQUFCuvb1+M9IT17tmtMvvycW2IvKVFQdLTHc0HR0XJUVMhl
t8t0UXvtuezerAuT2azes2bpzLZt6p2RIZPF0m5xGdHS92v3M8/oxOrVGjpvnqKHDZM5KEj7li5V
9ZkzHR2qJN9uY5bQUM8nTCaPMw3ebmNtYWS5jKyLbklJihwyRKcyMxUzZoxOZWYqPDnZnQiNbKu2
qCg57XbZLl727t19trz1Gd3Gmltf9tLSDo25Jf5e5Psjcn3jyPXkel8g19dDrifXG9TStlFfZ+f9
Ll3s+0rvjAz1zsiQvbRUx95/X7uffloxY8cq6aabvJpPTVGR5+PiYslkch8xNVksDbptOCp9f72l
NTxcJotFg+bOVcL06Q1eD6l3RqJORyQbX33OLbFGRKj63DmP56rPnZMlNLTRHXN7Lrs366KyoED7
nn9esePHa/+LLypx5kyF9urVbrG11YnVq5V6770e689R0fj1RR3FX7extmppuYyui8SZM3Xsvfc0
9A9/UH5mphJnzLiwTAa2VbPFIrPNJntZmcdrNaWlCm3wjrbzxTZmi4jo0Ji9ZfTaPbQduZ5c317I
9R3LX7extiLXd51c35Zto6Pzvtfd+M9lZWnHI48of/36Nk3jj6zh4brsttsU2quXKgsKvH5/+dGj
qsjPdz8+8803Ck9OltlmkyQFx8aqqv7Iii6XSg4caHPcFzPbbOo+erRKDh5UeHJyg3++PrrurbZ+
zi2JGjZMhZs3ezxX+OWXiho2zOdt1bGGhzfa5cqbdbFz3jxFpKRowttvK3rYMO145JFGL8xpqi1f
xWyIyyVnZaXHEVN7ebnObN/u+7ZawZ+2MV8ue6PL5cW6SJwxQ+XHjunkRx+pNCfH47oyQ9uqyaSI
QYNUvGeP+32O8vImR2NvUy7wchtrkpcxdyR/LvTJ9U0j1xvjT/thXyHXk+vJ9Q1dirm+tfufzsj7
XmeCiuPHdWzVKoUkJnocKfJ2mo5Qdfp0bXeK87fEqTpzRuXHj0uSe7CFvJUrdXbHDvWcPFnBsbEq
2LhR5SdONLgOwwhzUJC2z5mjlHvvVWlOjo6tWqXhTzzhfj1uwgTtW7JEx1atUs/Jk5X7l7+oqrCw
Xa4nGTx3rrbMni2zzab4adMk1Y4gXLR7t65YtsynbXX059ySAbffrm/uvlu7HntMCdOnq2DjRp3Z
vr12IJJ2EjFwoPLXrVP8lCkKjouTLTrafZbHyLrI/etfdfqbbzR5zRqZLBaNfPZZbbr2Wh1evtw9
squRtnwVc4tMJsVNnKi8v/1NPSdPlsvlUvaTT0oX3QLFVzF35W2srcve4nJ5sS4iUlMVPmCAsp98
UmF9+igqLc3jdSPb6mW33absxx9XwowZik5L094lS5o8a9mmXODlNtYcb2LuSN6MytvRyPVNI9d3
vf2wr5DryfXk+oYuxVzf2v1PZ+R9r4v98hMnJNUO5NCWaTrCzt//XgUbN7ofZy1c6P571vkjPZGD
Bys/M1NZixbJUV6ubv37a/TSpYoZM8br9qLS0tRj0iTt+N3vJJNJKb/6lfrVG/2y++WXa+CcOdrz
zDPas3ix+v3854pPT2+X7lCx48dr/Jtvav8LL+jEgw/KHBSkiEGDfN7FSer4z7kl8VOmaNRzz+ng
q6/q2HvvKbRXL41YvLj1o7UaMHDOHO08eVLf3H237GVltbdOWbBAUsvrouzoUe155hkNfvhhdevf
X1JtUhsyb552L16snldf7XFbq+ba8lXMRox4+mntmj9fG6ZMkSUsTEk33yxbZKTKcnN93lZX3sba
uuxGlsubdZE4c6YOvvqqBtx5Z4PXjOw3+t5wgyqOH9e/HnxQzqoq9frRjzwGxKmvrbnAm+Vqjjcx
tyd/LewbQ65vGrm+VlfaD/sKuZ5cT65v6FLM9Ua3DX/I+6YVK1a4MjIymp0oIiLC/ffWe+5RZUGB
Jn3wQZPTG5kGABDYyAW1SkpKmn29fo6tLy8vz/131u49jU4jScPThrr/7tevn0/iINcDAIwgFzTk
L3l/5cqVXl6z73LpzLZtSr3//rZNAwAIbOSCrotcDwAwglzg97zrxm8yaUZLAyYYmQYAENjIBV0X
uR4AYAS5wO95PRo/AAAAAADwbxT7AAAAAAAEGIp9AAAAAAACjF8W+0feekurk5NVY+B2BS67XauT
k5W/dm0HROYfPps5U6uTk7U6OVlb77mnQ9o88tZbOv31181OcymuCwBAQ+Tx5pHHAQAdwS+Lfa+Y
TIpITZW1iVsYBKIr33xTUzdtUs/Jkzuszdy331bhli3NT3QJrgsAQBtdgrmDPA4A6Ajejcbvh0wW
i364bl1nh9GhQuLjJUmW0FC57PZOjuaCS3FdAADa5lLMHeRxAEBH8DizHxkZ6fHvYsdWrdKGadO0
ZvBgbZgyRUffeafBNCc+/FCrk5NVlpurzbfeqo/S0pR55ZU+7xJWfvy4uwtcc13OTq5Zo03XXVcb
x/jx2nrffR7dCnf+4Q/68mc/U9bjj2vtyJFaP3as9i9d2qqYCjdv1hc33qg1Q4fq44kTlfPaa+7X
Kk6d0uqUFH33+eee79myRauTk1V+9KgkqXjvXm27/35lTpigNYMHa+M11zT6Obck6/HH9cWNN3o8
t/2BB/TNXXe5H7fUlr283P35lh4+rAN/+pP7cfZTT7mnM7ouWtp+6mI+/MYb+njiRK0bPVrZTzwh
l8Ph9fIDABrXUq4nj5PHyeMAEBjcZ/YbS/j1FWzYoB2PPKJ+t9yi+Mce03effaadjz4qW1SUEmfO
bDD99gcfVNJNNyltwfJw06kAACAASURBVAKV5ebKZPbtFQOhCQmaummTXE6nNqSnNzpNaU6O/jV3
ri67/XYNW7RI1WfPKj8zU/byctnqLe+Z7dvVrX9/Tfn0U3fiDO3dW0k332w4njNbt2rLbbcpYdo0
pf761yo9fFj7nn9ewXFx6nvjjQpNSFD3kSN1av169bz6avf7Tq1fr8ihQxWWlCRJKsnJUUhCgobN
n6+g7t1VtHu3shYuVHBcnOKnTm3lp9W4ltqyhoZq6qZNkqTNt96q+KlTNeCOOyRJtvBw93yMrAuj
20/xvn2KSE3VD95/X8V79mjrffcpZtw49bruOp8uOwBcilrK9fWRx8nj9ZHHAaDrsUoXkn9xMwPp
HF6+XNEjR2rE4sWSpPj0dBXv3avDy5c3Wuz3veEG9b/1VklS5KBBPg/cZLUqrE+fZru/ncvOliQN
nTfP/SOlsVjNNpvS5s+XLSJCPSZNUt+f/lRH3nzTqx8J+5YuVeSQIRr7yiuSyaT4KVNUU1ysnGXL
1Pf8kfnEmTN16PXXNfypp9zxnPr4YyXdcot7Pr1nzVLvWbPcj+MmTtS5Xbt04sMPff4jocW2TCaF
9ekjqfYzskVGuh/XZ2RdGN5+TCYNW7hQlrAwhSYmqvvo0Sr86it+JABAGxnJ9fWRx8nj9ZHHAaDr
adCNv7G/JakoO1txEyZ4PBd31VUqOp+IL5ZwzTW+irHVIlJT5XI4tHPePBVu2SJHeXmj03Xr31+2
eoPRRA0bppKDB+VyOg2146yp0Zlt22oTmcnkfj523DiVHjokZ3W1JClhxgxVFRbq7LffSpLOZWWp
Ij/fI0k6q6p04OWX9dnMmVo7YoTWDBmi/PXrVVVY6PXytxh3B7ZldPvplpQkS1iY+3FIjx7tEg8A
XKqay/X1kcfJ4/WRxwGg62kwQF9Tid9eUqKg6GiP54Kio+WoqJDLbpfJ6jmrkJ49fRhm60SlpWn0
iy/q8BtvaMvs2TKZzep9/fUasXixzPXitdbrylb32OVwqKaoSEHdu7fYjr20VC6HQ/uff177X3jh
wgsul+RyqbKgQGF9+6pbUpIihwzRqcxMxYwZo1OZmQpPTlZESor7LbufeUYnVq/W0HnzFD1smMxB
Qdq3dKmqz5xp+wdykY5sy+j2YwkN9XyjyeRXgxcBQCAw0p2fPC7yeD3kcQDoeqxSbZe+lhK/NSJC
1efOeTxXfe6cLKGhDQp9qXZEV3/QOyNDvTMyZC8t1bH339fup59WzNixSrrpJvc0NRcv19mzMlks
HtcDNscaHi6TxaJBc+cqYfr0Bq+HJCa6/06cOVPH3ntPQ//wB+VnZipxxgyPaU+sXq3Ue+/1iM9R
UdF4w/XOPjR4yWKRy+XyeM5RWdn6ttrI2+0HAOBbRnJ9feTxC8jj5HEA6Irc3fhbuoYvatgwFW7e
7PFc4ZdfKmrYsPaJzMes4eG67LbbFNqrlyoLCjxeK8vNVUV+vvvx6S1bFJGSYviHjtlmU/fRo1Vy
8KDCk5Mb/Kt/9iFxxgyVHzumkx99pNKcHM/r3FwuOSsrPc5C2MvLdWb79kbbDYqKapB46wTHxqrq
++895l1y4ECr27KGhzfZfdIIX28/JTk5OvrOOyrJyWl1TABwqTF6vb4/Io+TxwEA3jE8Gv+A22/X
N3ffrV2PPaaE6dNVsHGjzmzfXjuQTTsp+PRTWUJCPJ6LvvxyhSYkqOr06dquY+evx6s6c0blx49L
knvwmbyVK3V2xw71nDxZwbGxKti4UeUnTjS45swcFKTtc+Yo5d57VbJvn06uWaPh9W5JY8TguXO1
ZfZsmW02xU+bJkkq2r1bRbt364ply9zTRaSmKnzAAGU/+aTC+vRRVFrahZmYTIqbOFF5f/ubek6e
LJfLpewnn5SauGVN7BVX6Oi77+rou+8qIiVFwT16uJc9bsIE7VuyRMdWrVLPyZOV+5e/qKqw8EJX
Qy/bihg4UPnr1il+yhQFx8XJFh2t4NjY2s/ewLrw9fZT+NVXyn7iCQ1btMij+yQAoGnenNn3BfI4
ebwp5HEAaH/uYr+lo/3xU6Zo1HPP6eCrr+rYe+8ptFcvjVi8uNFRcX3l2//4jwbPjX7xRfXOyNDO
3/9eBRs3up/PWrjQ/fesQ4ckSZGDBys/M1NZixbJUV6ubv37a/TSpYoZM8ZjntEjRypm7Fh9+x//
IbPFopT77lO/n/3Mq1hjx4/X+Dff1P4XXtCJBx+UOShIEYMGeXStq5M4c6YOvvqqBtx5Z4PXRjz9
tHbNn68NU6bIEhampJtvli0yUmW5uQ2m7ZWRobM7dmjPM8+opqhI/f/t3zT88cclSd0vv1wD58zR
nmee0Z7Fi9Xv5z9XfHq6R/c+b9oaOGeOdp48qW/uvlv2srLa2yAtWCBJhtZFZ2w/AABPHX1mnzxO
HgcAdB7TihUrXBkZGc1OFFFvhNtAs/MPf1BZXp4mrljR2aEAAAJQSUlJs683lWPz8vLcf2ft3tPk
+4enDXX/3a9fP5/H4e/I4wAAf+IveX/lypWet94DAAAAAABdH8U+AAAAAAAB5pK/V8rIZ57p7BAA
AEArkccBAGgcZ/YBAAAAAAgwFPsAAAAAAAQYvyv2tz/wgFYnJzf5b+s993R2iB3iyFtv6fTXX3d2
GF7b98c/KvOKK7Q6OVlf3Hhjg9dddrtWJycrf+3aBq99NnNml13PzS2Xr+fjq22jI9vqiHiyHn+8
0W2uNZxVVdq3ZIk+ufpqrRk6VBuvuUaH/vu/fTJvf4inpe9pZ9lyxx3a8cgjnRpDV933djXk+lpd
dXsj15PrOysecr1x5PqmddV9b2v43TX7A/7939Xr2mslSaW5udr3xz9q4Jw5ihw0SJIUkpDQmeF1
mNy331avjAzFjh/f2aEYdm7nTh3885814qmnFDV8uKxhYQ0nMpkUkZoqayO3nLjyzTflrKnxuL9v
l9HMcvl6Pj7bNjqyrS4Wz9b779eZrVuVev/9Ck9JUfG+fTrx4YdKvvvudm23I+Ix9D29hHXFfW9X
RK6v1RW3N3I9uT5Q4iHXX7q64r63tfyu2O8+apQ0apQk6ey330qSYsaNU4+rrurMsGBA6ZEjMlut
6veLXzQ5jcli0Q/XrWv0tZD4eEmSJTRULru9XWJsL80tV2fMx9/aMsJf4slfv17fffaZrvjv/1b8
lCmSpIRp0zTgjjsCIh4j31OgvZHruy5yPbm+LfwlHnI9LhVed+MvPXRIx95/X6WHDrVpGl84tmqV
NkybpjWDB2vDlCk6+s47rZqPs6pKe599Vp9MmqQ1Q4bos2uv1bFVqzymOfHhh1qdnKyy3FxtvvVW
fZSWpswrr/TohlS4ebO+uPFGrRk6VB9PnKic117zmEfx3r3adv/9ypwwQWsGD9bGa67xiNleXu7u
2lZ6+LAO/OlP7sfZTz3lMa+W2jKipXiMynr8ca1OTta3Dz8s5/nuWRd3GSo/ftyji2ZbusD5Ytlb
UnHqlFanpOi7zz/3bHvLFq1OTlb50aOSjC/XyTVrtOm662q3m/HjtfW++1RTXOx+vaX5eLNttKSj
2vp44kQdeeutRl/L+9vftH7s2HaJ5/gHH+iTSZO0bvRoZT/xhFwOh+GYJenEP/6hsL593cm2jrVb
N8PzcNnt+vz667Xt/vs9nt8+Z442XXednDU1HRqPZOx7aoSR/UZdN8vDb7yhjydObHJd7H/xRa0f
N05rR43S3uee8yqO+lraJ7QUT0fteyMjIz3++TNyPbn+YuR6cn1jyPXk+ks11xvJF/6Q970+s//9
l18q+4knNGzRIoUnJ7d6mrYq2LBBOx55RP1uuUXxjz2m7z77TDsffVS2qCglzpzp1by2/eY3Ov31
1xo4Z44iBg1SyYED+u6zz9T3hhsaTLv9wQeVdNNNSluwQGW5uTKZa4+XnNm6VVtuu00J06Yp9de/
Vunhw9r3/PMKjotT3/NfsJKcHIUkJGjY/PkK6t5dRbt3K2vhQgXHxSl+6lRZQ0M1ddMmSdLmW29V
/NSp7iN6tvBwdwxG2jKipXiMGvzQQ0q+6y7lr12rfUuWKP2TTyRJ5qAg9zShCQmaummTXE6nNqSn
G573xXy17C0JTUhQ95EjdWr9evW8+mr386fWr1fk0KEKS0pyT9fScpXm5Ohfc+fqsttv17BFi1R9
9qzyMzNlLy+X7fwXv6X5GN02jC5bR7QVPXKkirKzG32tKDtb0SNH+jyesrw8HX3nHaU9+qiK9u7V
wVdeUcy4cep13XWG4z6Xna3u52NrLZPVqsuXLNHns2bpxIcfqndGhvLXr9epzExN+uADmW22Do1H
MvY9NcLofqN43z5FpKbqB++/r+I9e7T1vvs81sXRd9/VgZde0sDf/EZRw4Yp57XXVLxnj1frSjK+
T2guno7e99aJjIxUcb1CwJ+Q68n1FyPXk+sbQ64n11/qub6pfNGYzsj7fteN36jDy5creuRIjVi8
WJIUn56u4r17dXj5cq9+AJzZulUFGzZo7KuvKnHGDElSz6uvbrJrWd8bblD/W2+VJPe1hZK0b+lS
RQ4ZorGvvCKZTIqfMkU1xcXKWbbMvWH0njVLvWfNcr8nbuJEndu1Syc+/LD2i2MyKaxPH0mS2WaT
LTLS/bg+I20Z0WI8Btmio2WLjlZQTIzHMtRnsloV1qdPm7vs+WrZjUicOVOHXn9dw596yv3FPfXx
x0q65Rb3NEaW69z5JDh03jz3fC7eRlucj8Ftw4iOaqv7qFE68Y9/SJIcFRU6+dFHSrz2WlnDwlSU
ne0+eu3LeOylpRrz8ssKjo1V4rXX6rvPPlPhV195lVSqz5xRUGysF0vauIiUFA3+7W+VvWiRIgcP
VtaCBRr4wAOKHDLEq/n4Kh4j31MjDO83TCYNW7hQlrAwhSYmqvvo0R7r4shbbylxxgwNeughSVL0
8OH6ZNIkr+MxvE9oLp4O2vdenODrjvS7XC6vl/tSQa4n15PryfUXI9c3jVzf8bm+sXxRUlIiyT/y
vtfd+C+bPVuzDh3SZbNnt2matirKzlbchAkez8VddVWTRxebUvj117KEhCjxmms8njdZGz8OknDR
dJLkrKnRmW3b3BtSndhx41R66JCc1dW101VV6cDLL+uzmTO1dsQIrRkyRPnr16uqsNBwvEbbMjQv
H8TTkXy57EYkzJihqsJC9/Wk57KyVJGf7/XZpIjUVLkcDu2cN0+FW7bIUV7u0zj9VfTIkSrJyZGz
qkqnv/lGO373O53evFlOu13F+/cr+vz1ur4U1q+fgusly7CkpHbbnp01NaopLnb/a6y73oA771R4
Sor++ZOfKLRPH6Xce2+7xGI0Hp+0Y3C/0S0pSZZ6AwKF9OjhnsbldKr0wAHFXXnlhdfj4xWRkuJd
LF7sE5qLx9dtNaV+Fz5/78ZPrifXdxZyfddCrifXX+q5vrF8Uccf8n6XPbNvLylRUHS0x3NB0dFy
VFTIZbc3mcAvVn32rILj4jxWaHNCevZsGEtpqVwOh/Y//7z2v/DChRdcLsnlUmVBgcL69tXuZ57R
idWrNXTePEUPGyZzUJD2LV2q6jNnDLXtTVtG+CKejuTLZTeiW1KSIocM0anMTMWMGaNTmZkKT072
eicVlZam0S++qMNvvKEts2fLZDar9/XXa8TixTIb3E67oujhwyWXS0V79+r0li2KGTNGhVu2KCQx
Uc7qanUfMcLnbV7c1c9kNsvp5RmmoO7dVX36dIvTHV+1SjsffdT9eNiiRQ2KHpPZrN6zZunMtm3q
nZEhk8XiVSy+jscXjO43LKGhnm80mdxndOylpXLa7bJdvA/v3t2rWLzZJzQXj6/bao6/F/n+hlxP
rncj1/slcj253sMlmOsbyxf1dXbe77J7H2tEhKrPnfN4rvrcOVlCQw0nf6n2R0NVYWHtSjTwI6Cx
L7A1PFwmi0WD5s5VwvTpDV4PSUyUJJ1YvVqp996rpJtucr/mqKgwHKs3bRnhi3jaRRPrwZfLblTi
zJk69t57GvqHPyg/M9Pd/dNbvTMy1DsjQ/bSUh17/33tfvppxYwd6/HZBxprt24KT0lRUXa2Crds
UdqjjyrryScVkZqqbv36Ndj5+4uotDSdy8pqcbr4qVN1Vb3Bauqu7ayvsqBA+55/XrHjx2v/iy8q
ceZMhfbq1Wnx+IIv9hu2iAiZbTbZy8o8nq8pLVVoE+9pTEfuE9qrLX+9Zt9fkOvJ9Rcj1/sXcj25
vimXSq739uBOR+d9r7vxn8vK0o5HHlH++vVtmqatooYNU+HmzR7PFX75paKGDfNqPrHjx8tRWan8
zEyP5705CmS22dR99GiVHDyo8OTkBv/MVqvkcslZWelxNMteXq4z27c3Ok9reHijXcAMtWWEl/F0
pKCoqAY/7iTvl90X22HijBkqP3ZMJz/6SKU5OV5367uYNTxcl912m0J79VJlQUGr59FR3QPb2lb3
kSN1+uuvVVNcrJhx4+Sqrtb3X3zR6m59HbHsvWfNUvmxYyrYsMHjeXtpqcfj4Lg4xYwd6/7X2JHd
nfPmKSIlRRPeflvRw4ZpxyOP1BYbnRRPm/lqv2EyKWLQIBXv2eN+ylFe7vWo7j7bH9bT7vveevy5
0CfXN0Su9y1yfcvzINe3H3J9M8j1Pm2rvs7I+15HXHH8uI6tWqWQxMQmj3wamaatBtx+u765+27t
euwxJUyfroKNG3Vm+/bawRS8EHvFFeo5ebJ2PPKIyo8eVeSgQSrNzdWZrVs15qWXDM9n8Ny52jJ7
tsw2m+KnTZMkFe3eraLdu3XFsmWSyaS4iROV97e/qefkyXK5XMp+8kmpiVuFRAwcqPx16xQ/ZYqC
4+Jki452X5/UYltGeBlPW1WdPl3b7dLprH185ozKjx+XpAaDY8RecYWOvvuujr77riJSUhTco4d7
Gm+W3RfbYURqqsIHDFD2k08qrE8fRaWleb1ceStX6uyOHeo5ebKCY2NVsHGjyk+c8LgO1ZvPp7lt
w4iObCt61ChlLVyovj/9qaTaAV5y//pXpc2f3ynxGNHruuuU9847+tdDDynl3nsVnpys4n37VPDp
p7r6//7P8Hxy//pXnf7mG01es0Ymi0Ujn31Wm669VoeXL/fqvrm+iscnfLjfuOy225T9+ONKmDFD
0Wlp2rtkiRyVlV7Pxyf7w3rafd9bjz+Pxk+ubxy5vnnkenK9RK4n119ArvfUJUbjLz9xQlLtQAVt
maat4qdM0ajnntPBV1/VsffeU2ivXhqxeHGrjsaOffVV7V+6VEfefFNVp0+rW1KSkn/1K6/mETt+
vMa/+ab2v/CCTjz4oMxBQYoYNMij+8uIp5/WrvnztWHKFFnCwpR0882yRUaqLDe3wfwGzpmjnSdP
6pu775a9rKz2Vi4LFhhuywhv4mmrnb//vQo2bnQ/zlq40P33rIuO8PXKyNDZHTu055lnVFNUpP7/
9m8a/vjjkrxbdl9th4kzZ+rgq69qwJ13tmq5IgcPVn5mprIWLZKjvFzd+vfX6KVLFTNmjFfzqdPc
tmFER7bVfeRIuRwO9bjqKkm1A2sdeestRde7hq8j4zHEZNIVr72mAy+9pLwVK1R1+rRCExPV7+c/
NzyLsqNHteeZZzT44YfVrX9/SbU/ZobMm6fdixer59VXG79VmQ/i8SVf7Tf63nCDKo4f178efFDO
qir1+tGPPAbxMcpX+8M67bnv9dfCvjHk+saR65tHrifXS+R6cv0Fl2Kur88f8r5pxYoVroyMjGYn
ioiIcP+99Z57VFlQoEkffNDk9EamAdob2yEAf1B3C56m1M+x9eXl5bn/ztq9p9FpJGl42lD33/36
9fNJHOR6dBVshwD8jb/k/ZUrV3p5zb7LpTPbtin1/vvbNg3Q3tgOAaB1yPXoKtgOAaBZ3nXjN5k0
o6XBGYxMA7Q3tkMAaB1yPboKtkMAaJbXo/EDAAAAAAD/RrEPAAAAAECAodgHAAAAACDAdFqxf+St
t3T666+7VFsuu12rk5OVv3atD6Jqe1sd8Rnumj9fX958s0/nue+Pf1TmFVdodXKyvrjxxlZPAwDo
POTxtrdFHgcAtCfvBujzody331avjAzFjh/fddoymRSRmiprE7dL8CkDbXXkZ+gr53bu1ME//1kj
nnpKUcOHyxoW1qppAACdizze9rbI4wCA9tRpxX5XZLJY9MN16wKurY5UeuSIzFar+v3iF22aBgAA
b5HH2448DgBdh2nFihWujIwMSVJkZKTHi8XFxZKkiPNHpU98+KH+9eCDmvLpp9o1f77OfvutrBER
Gr5okRKvvbbFxuzl5Vo7fHijr112++0atmCB+3Hh5s3a98c/qmjvXgVFR+uy225Tyj33SKrtGvfP
G29UWO/eGvvqq+73bJ8zR6WHDmnSP/4hZ02N4bZaUn78uD6dPNn9eOzLLzdY3qzHH1dRVpZ6/ehH
OvT663JUVqrP9dcrbf58mSwWn7XlzWd4cs0aHXzlFZXl5ckaHq7uo0dr1LPPynbRem7OrvnzVXLg
gHpcfbUO/+//SpKSbrpJQ373O5nMZo9l/8H777vft/2BB+QoL9cVr7/unib37bcbzL/7qFHu9xmZ
Rmp+26jT1m0VAHylpKSk2dcjmjjzm5eX5/47a/eeJt8/PG2o++9+/fq1GEdLub455PG2t0UeJ48D
CGz+kvdXrlx54cz+xcm/OdsffFBJN92ktAULVJab604WLbGGhmrqpk2SpM233qr4qVM14I47JEm2
8HD3dGe2btWW225TwrRpSv31r1V6+LD2Pf+8guPi1PfGG2WyWnX5kiX6fNYsnfjwQ/XOyFD++vU6
lZmpSR98ILPNJrPVaqgtI0ITEjR10ya5nE5tSE9vcrriffsUkZqqH7z/vor37NHW++5TzLhx6nXd
dT5ry+hnWJqTo3/NnVv7w2HRIlWfPav8zEzZy8u9+pEgSUW7d8vldGrUs8+q5OBB7V+6VKG9eumy
2bMNz2PwQw8p+a67lL92rfYtWaL0Tz6RJJmDgryapqVt42Kt3VYBIBB5k+sbQx5ve1vkcfI4AHQU
q3Qh+dcd3W9J3xtuUP9bb5UkRQ4aZLw1k0lhffpIksw2m2yRke7H9e1bulSRQ4Zo7CuvSCaT4qdM
UU1xsXKWLXMngoiUFA3+7W+VvWiRIgcPVtaCBRr4wAOKHDLEq7YMhW21KqxPH7ns9haXb9jChbKE
hSk0MVHdR49W4VdfefUjocW2DC7XuexsSdLQefPciTFx5kzDcdTnrK7WmJdeUmhiohKmTVPZkSM6
sny5Vz8SbNHRskVHKygmxmMZvJ3GyLZRX6u3VQAIMN7m+kaRx9veFnmcPA4AHcTj8Gj9I/7NHf1P
uOaadgvIWVOjM9u21SZWk8n9fOy4cSo9dEjO6mr3cwPuvFPhKSn6509+otA+fZRy773tFpcR3ZKS
ZKk3CE1Ijx6qKizslFgiUlPlcji0c948FW7ZIkd5eavnFZaUpNDERPfj2CuvVFlenpxVVb4I1TBv
to067bmtAkBXZDTXtxZ53DfI47XI4wDQeg0G6DOS+EN69myXYCTJXloql8Oh/c8/r/0vvHDhBZdL
crlUWVCgsL59JUkms1m9Z83SmW3b1Dsjw6tr6tqDJTTU8wmTqeWzCO0kKi1No198UYffeENbZs+u
/ayuv14jFi+W2erduIy2qCjPx+e3kaqzZxWakOCzmFvizbZRpz23VQDoqtqjyK9DHvcN8ngt8jgA
tJ5Vqu3S503ib89kbA0Pl8li0aC5c5UwfXqD10PqHZmuLCjQvuefV+z48dr/4otKnDlTob16tVts
XU3vjAz1zsiQvbRUx95/X7uffloxY8cq6aabvJpPTVGR5+PiYslkUnBsrKTa7cHlcnlM46isbFvw
jfBm26jT2T8cAcBfeJvrW4s87jvkcfI4ALSFuxt/m67hawVreHijXdLMNpu6jx6tkoMHFZ6c3OBf
/aPZO+fNU0RKiia8/baihw3TjkceqT06bLCtrs7oclnDw3XZbbcptFcvVRYUeN1O+dGjqsjPdz8+
8803tevCZpMkBcfGqur77y+8weVSyYEDXrfTEm+2DaNKcnJ09J13VJKT4/N4AcDf+DLXk8fbjjxO
HgeA9tSq0fh9IWLgQOWvW6f4KVMUHBcnW3S0+wjz4LlztWX2bJltNsVPmyapdiTZot27dcWyZZKk
3L/+Vae/+UaT16yRyWLRyGef1aZrr9Xh5cvdo9oaacuIqtOn5aiokMvprH185ozKjx+XpFYPFuSL
tppbrryVK3V2xw71nDxZwbGxKti4UeUnTihuwgSvYzIHBWn7nDlKufdelebk6NiqVRr+xBPu1+Mm
TNC+JUt0bNUq9Zw8Wbl/+YuqCgsVkZLS2o+hSUa2DW8UfvWVsp94QsMWLWqXeAHAn/gy15PH294W
eZw8DgDtyV3sd/SZ/YFz5mjnyZP65u67ZS8r87i3bOz48Rr/5pva/8ILOvHggzIHBSli0CB3t7Wy
o0e155lnNPjhh9Wtf39JtQl0yLx52r14sXpefbXCk5MNtWXEzt//XgUbN7ofZy1c6P571qFDbfkY
2tRWc8sVOXiw8jMzlbVokRzl5erWv79GL12qmDFjvI4pKi1NPSZN0o7f/U4ymZTyq1+p3y23uF/v
fvnlGjhnjvY884z2LF6sfj//ueLT0+WoqPC6rZa0tG0AAJrmy1xPHm97W+Rx8jgAtCfTihUrXBkZ
Gc1OFBER0UHhAAAQWEpKSpp9vakcm5eX5/47a/eeJt8/PG2o++9+/fr5PA4AAGCcv+T9lStXet56
DwAAAAAAdH0U+wAAAAAABBiKfQAAAAAAAgzFPgAAAAAAAYZiHwAAAACAAEOxDwAAAABAgKHYBwAA
AAAgwFDsAwAAAAAQYCj2AQAAAAAIMBT7AAAAAAAEGIp9AAAAAAACDMU+AAAAAAABhmIfAAAAAIAA
Q7EPAAAAAECAXwE7FAAAIABJREFUodgHAAAAACDAUOwDAAAAABBgKPYBAAAAAAgwFPsAAAAAAAQY
in0AAAAAAAIMxT4AAAAAAAGGYh8AAAAAgABjNTKRyWRqcRqXy9XmYAAAQOcg1wMAEFgMFfsAACDw
NVfMGzkYAAAA/Afd+AEAAAAACDAU+wAAAAAABBiKfQAAAAAAAgzFPgAAAAAAAYZiHwAAAACAAEOx
DwAAAABAgKHYBwAAAAAgwFDsAwAAAAAQYCj2AQAAAAAIMBT7AAAAAAAEGIp9AAAAAAACDMU+AAAA
AAABhmIfAAAAAIAAQ7EPAAAAAECAodgHAAAAACDAWDs7AAAA4B9MJlNnhwAAAHzEULHvcrnaOw4A
ANCJyPUAAAQWuvEDAAAAABBgKPYBAAAAAAgwFPsAAAAAAAQYin0AAAAAAAIMxT4AAAAAAAGGYh8A
AAAAgABDsQ8AAAAAQICh2AcAAAAAIMBQ7AMAAAAAEGAo9gEAAAAACDAU+wAAAAAABBiKfQAAAAAA
AgzFPgAAAAAAAYZiHwAAAACAAEOxDwAAAABAgKHYBwAAAAAgwFDsAwAAAAAQYCj2AQAAAAAIMBT7
AAAAAAAEGIp9AAAAAAACDMU+AAAAAAABhmIfAAAAAIAAQ7EPAAAAAECAodgHAAAAACDAUOwDAODn
TKbOjgAAAHQUX+V9in0AAPxcSEhoo8+Hhjb+PAAA6Lp8lfcp9gEA8HM94+IafT6+R48OjgQAALQ3
X+V9in0AAPxcZGSE+iclqVtYmCxms0JCQtQ/KUkREeGdHRoAAPAxX+V9azvFBwAAfCgiIpziHgCA
S4Qv8j5n9gEAAAAACDAU+wAAAAAABBiKfQAAAAAAAgzFPgAAAAAAAYZiHwAAAACAAEOxDwAAAABA
gKHYBwAAAAAgwFDsAwAAAAAQYCj2AQAAAAAIMBT7AAAAAAAEGIp9AAAAAAACDMU+AAAAAAABhmIf
AAAAAIAAQ7EPAAAAAECAodgHAAAAACDAUOwDAAAAABBgKPYBAAAAAAgwFPsAAAAAAAQYin0AAAAA
AAIMxT4AAAAAAAGGYh8AAAAAgABDsQ8AAAAAQICh2AcAAAAAIMBQ7AMAAAAAEGAo9gEAAAAACDAU
+wAAAAAABBiKfQAAAAAAAgzFPgAAAAAAAYZiHwAAAACAAEOxDwAAAABAgKHYBwAAAAAgwFDsAwAA
AAAQYCj2AQAAAAAIMBT7AAAAAAAEGIp9AAAAAAACDMU+AAAAAAABhmIfAAAAAIAAQ7EPAAAAAECA
odgHAAAAACDAUOwDAAAAABBgKPYBAAAAAAgwFPsAAAAAAAQYin0AAAAAAAIMxT4AAAAAAAGGYh8A
AAAAgABDsQ8AAAAAQICh2AcAAAAAIMBQ7AMAAAAAEGAo9gEAAAAACDAU+wAAAAAABBiKfQAAAAAA
AgzFPgAAAAAAAYZiHwAAAACAAEOxDwAAAABAgKHYBwAAAAAgwFDsAwAAAAAQYCj2AQAAAAAIMBT7
AAAAAAAEGIp9AAAAAAACjFWSIiIilJ+f3+REpaWlHRYQAACXkqZybFBQkNfzaiqXJyYmavv27V7P
DwAA+K8jR440+7pVqv1xsH///g4JCAAAdKwlS5YoIyNDAwcO7OxQAABAOztw4ICkVnTjv/766/Xy
yy97PLds2TJde+21vomsCzh16pTS09N16tSpzg7FkIqKCi1fvlzLly+X3W5v1Twefvhhpaena82a
NS1O29U+H1/6n//5H6Wnp+u//uu/Grx2xx13KD09Xenp6Zo/f36j7zcyjRF///vflZ6ebrhXTl5e
nqZNm6Zf/vKXrW7TH1VWVuqGG27Qzp07PZ735vNxOBxKT0/Xpk2b2itMQ5YtW+beNur/+/Of/9yq
+f3973/Xjh07fBxl+zISs7+sr5dffrnR9ZWRkeGexsj3ve716dOn65e//KVeffVVlZSUtHv8v/zl
L/X66697PPfmm2/q5ptvbve2/UVBQYF+/OMfq6CgoLNDMaSiokIrV67UypUrW53rFyxYoB//+MfK
zMxscdqu9vn40ttvv60f//j/b+/Ow6Kq/geOv2cAQWZAXHBBkUVRQFy+brgvqGmmpGmZln6zTC3N
ejSzb33d+xYqVmppVmLkrkkmZpoKGOYCAi4obgiKiGApm0ACM78/eOb+uM6AdxBc8Lyex+eRO2fu
PffcmTn3c+7nnuvP2rVrjV6bOnUq/v7++Pv787///c/k+5WUUeLXX3/F39+fO3fuKCqfkpLC8OHD
mThxYoW3+TgqKChg3LhxxMfHy5ab0z7FxcX4+/tz+PDhqqqmIsHBwdJno/S/oKCgCq3v119/NWqX
x52SOj8ux+v77783ebxefvllqYyS77vh9RdeeIGJEyeyZs2aSsust6yUtTwltm7dSs+ePVGpVNKy
69evc+jQocf6BCg/P5/g4GAARo0ahaVl1Rz2J7V9KlNUVBQajYaoqCgmT54sey0wMJDCwkK+/PLL
Mt+vpExVWLVqFba2tg91mw/D9u3bcXJyom3bthVeh0qlwtXVFY1GU4k1M9+AAQNo2bIlV69eJSgo
iNdeew1XV1ecnZ0rtL6ff/4ZPz8/2rVrV8k1rTpK6vy4HC8AW1tbPvjgA9kyKysr6f9Kv+8DBgyg
Z8+eJCcnExISQlRUFN988w02NjZVUu+n3Y4dO+jSpYusL7tx4wZHjx5l2LBhj7Bm5SsoKGDTpk0A
DBs2rMr6+ie1fSpTXFwctra2xMbGMn78eNlrCxYsoLCw0OSgvzllqkJQUBA1a9Z8qNt8GHbu3EnD
hg3x8fGp8DpUKhVNmzZ95OdCffr0wcPDg2vXrrF+/XpGjx6Ni4sLjRs3rtD6du3aRa9evR6obR42
JXV+XI4XQM2aNXn33Xdly0r//ir9vvft2xdfX1+uXbvGrl27iIuLIzAw8IH7ehHsK6TT6YiNjeX7
77/nmWeeAUpGdvft20f79u0ZOXIkavXTO9+haB/IzMzk4sWLjBkzhg0bNvDXX39Rr1496fW6desC
YG1tTXFxscl1KClT2aKjo0lLS6N79+6cOnXqoWzzYdDpdPz888+89tprD7QetVpt8urNw+bm5oab
mxunT58GoG3btk9UoP6wPC7HC0o6+969e5f5utLvu7OzMz179qRnz5707duX8ePHs23bNsaOHVvp
dX7a6XQ6Tp48ybp16+jbty9QMpAdERFBmzZt8Pf3r/Z9WXlE+0BWVhaJiYm8+OKLbN26lb///lv6
LgPUqVMHKP97raRMZYuNjSU9PR1fX1/OnDnzULb5MOh0On799VfGjBnzQOtRq9VGmcuPgouLCy4u
Lpw9exaA1q1bP1GB+sPyuBwvKOnru3XrVubrSr/vjRs3ltbTo0cPpk6dys6dOx/4gmmVBvtXr17l
7NmzeHt707Rp06rcVJVTq9UEBARw7NgxFixYAEB4eDgLFy7E19dXKqfX6wkODub333/nr7/+QqPR
0KJFC9555x2aNGkilbt9+zbffvstR48eJT8/n6ZNmzJy5EgpUAZ4+eWXSU9PZ/r06fzxxx+cPn0a
Kysr3nvvPfr168fp06fZuHEjFy9eJCsrC61WS6dOnZg6dSr29vZcunSJN998U7YfgwcPBsDJyYkN
GzaYVR8o6eSmT59OQkICrVu35r///S/29vaK26c6O378OGq1WjoBiI6Ofuxvb9HpdKxcuZIJEyZw
9OjRR12dShUdHc2tW7fo1atXhd5/48YNRo8eLf09b948k4FbREQE69atIzU1FVtbW3x8fPjggw/Q
arUALFmyhJSUFJo1a8bvv/+OlZUVzz//vNHVoMqwbNkyzp8/T9++fdmyZQt3796lf//+TJ06FbVa
TX5+vvQbACXpgoasnxEjRjB16lTptbi4OL777jsSExOxs7NjxIgRsvYACAsLY+HChaxbt47PP/+c
s2fPotFomDZtGr179yYxMZHg4GDOnj1LVlYWTk5OvPTSSzz33HOy9dy9e5e1a9cSFhbG7du3adKk
CaNGjWLgwIGK66z0eO3du5f169dz48YNGjRowOjRo2X1uV8bPmpNmjShffv2HDx4UBbs32+/qtK1
a9c4f/48LVu2lPVzTyK1Ws3cuXOJiYlh8eLFABw6dIiPPvqIDh06SOV0Oh1btmwhLCyMW7duodFo
aNasGW+++SZOTk5SuczMTIKDgzl+/Dj5+fk0adKE559/XgqUASZMmEBGRgZTpkzhzz//5OzZs1hZ
WTF58mR69+7N2bNn+emnn0hMTCQ7OxutVkv79u2ZMGECdnZ2JCUlGV1VGjVqFAANGzbk22+/Nas+
ANnZ2fz3v//lwoULeHt7M2PGDOzs7BS3T3UWFxeHWq3G39+fn3/+mbi4OPr37/+oq1UunU5HUFAQ
Y8eO5fjx44+6OpUqLi6OrKyscoOt8qSnp8vOlT/88EOT6zp06BBbtmwhLS0NW1tbvLy8mDZtmpRF
tmLFClJTU3FzcyM8PBxLS0ueffbZKrk9cvXq1Vy8eJFevXoREhLC3bt36d27N2+++abU1xt+AwDp
9h4oSRefMGGC9NqpU6f48ccfSUpKws7OjqFDhzJixAjZ9iIjI1myZAnffPMNK1eu5Ny5c2g0GiZN
mkS3bt1ISkpiy5YtJCQkkJOTQ8OGDRk2bJhRDFFYWMiGDRuIjIwkMzMTJycnhg8fjp+fn+I6Kz1e
YWFhbN26lYyMDBwdHRkxYoSsPvdrw0fNkJX6559/yoL9++0X/H87h4WF8cYbb1RtsB8TE8Py5cuZ
Nm3aEx/sA5w8eZI1a9ZIf6tUKtasWYO1tbV0he2nn34iODgYOzs7OnbsyK1bt6TRVMNJUEFBAe++
+y4pKSkAaDQaLl68SGhoqNEBA1i5ciVWVlY0b96c1NRUbt++DZS077Fjx2jUqBGtW7fm8uXL7Nu3
j8LCQubOnUvNmjXx8fGhqKiIc+fOAdCqVStUKhWOjo7S+s2pz+bNmykqKqKgoIDo6Gg2bdrEpEmT
FLdPdRYVFYWHhwe1atXC09OTqKioxz7YDw0NpWbNmvTs2bPaBftxcXE4Oztjb29fofc7OjqyadMm
dDpdmZ31lStXWLhwISNGjOCdd94hOzubyMhI8vPzpWAfID4+niZNmrB+/XoSExOZM2cODRo0kAWx
leXy5cu4urqycuVKLl26xOzZs2nTpg19+vTBxsZG6jynT59Ot27dGDlyJIAs7f3UqVPMnDmTbt26
MXbsWFJSUlizZg21a9dm0KBBRttcuHAhgwcPZurUqaSmpkrpvcnJyTg6OjJlyhRq1arFhQsX+PLL
L6ldu7asc543bx4nT55k7NixuLu7k5yczLFjxxg4cKDiOis5XkeOHCEgIIAhQ4bQvXt3jh49SmBg
IHZ2drJBofLa0Bx6vd7onjtLS8sHTslzd3cnNjYWnU6HWq1WvF9V5eTJk6xevZpJkyY98cE+lHxf
169fL1u2bt06rK2tpStsoaGhbNq0Ca1WS7t27cjMzOTEiRPcvHlTCvYLCgr4z3/+Q2pqKlByW8fl
y5fZs2ePUXANJXO+WFpa4u7uTlpaGpmZmUBJ+8bExNCgQQNatWpFcnIy4eHhFBYW8sEHH2BjY4OX
lxdFRUVcvHgRAE9PT1QqlSy7zJz6hISEUFxcTEFBAbGxsWzfvl3KklLSPtVZXFwc7u7u2Nvb4+Hh
QUxMzGMf7O/ZswcbGxu6du1a7YL9U6dO4eTkhJ2dXYXeX69ePb777jv0en2ZcxmkpKQQGBjI0KFD
mTRpEtnZ2Rw9epSCggJZP5SQkICTkxPffPMNSUlJBAQEUL9+fQYMGFChupUnOTmZpk2bEhgYyOXL
l/n000/x8fGhe/fu2NjY8N133wEl83B07tyZoUOHAvJ+88yZM8ydOxdfX19GjRpFamoq69atw8HB
gX79+hltMzAwkP79+/Pmm2+SmpoqBcUpKSnUrVuXCRMmYG9vT2JiIqtWrcLBwYHOnTtL7w8ICCA+
Pp5Ro0bh4uJCSkoKMTEx+Pn5Ka6zkuMVHR3Nl19+yaBBg+jcuTPHjx/nq6++QqvVys49ymtDc+j1
eqN5ISwsLB64r3dxceHEiRNSX690vwzt7OfnB4g0fsV0Oh2LFi2ia9euzJo1iwkTJrB8+XJ2797N
4sWLWb9+PWq1WpoIbMqUKQwcOBAoGYWysLCQ1rV7925SUlLQaDQEBgbi6elJZmYmf/75p8ltu7q6
8vnnn1OzZk2KiorIyMgAoF27dgwYMEC6j+f69eu88sorHD58GJ1OR+PGjVmxYgW3bt2SRumWLFli
dL+WOfVp1qwZS5cuJTg4mB9//FFKM1LaPtWVXq8nOjpaGhxp06YNO3fulL6gj6M7d+6wdu1a5s+f
/6irUiUuXLiAu7t7hd9vYWFBw4YNy025Msx0+tZbb0kBrqngytLSkilTpqDRaOjYsSODBg1i+/bt
VRLsq1Qqpk2bho2NDfXr18fHx4fY2Fj69OmDSqWiYcOGUp20Wq30d2lBQUE0a9aM+fPno1Kp6Nq1
Kzk5OWzevNlksD9w4ECef/55AFmb9+vXT3bC0L59e86fP09YWJjUMZ06dYojR46wYMECevbsCUDn
zp2ldldaZyXHa/v27Xh6ejJjxgwAunTpQmJiItu3b5cdt/La0Bw5OTnSyYpBp06dpCuiFaXVaikq
KiIvLw+tVqtov65du/ZA23xa6HQ6li1bRqdOnZg2bRrvvvsuAQEB7Nu3j2XLlrF69WrUarU0edSE
CROkE6qMjAxZX79//34p42fhwoV4eHiQlZXFsWPHTG7b2dmZTz75ROrr//rrL6AkjbdPnz40atQI
KMlimThxIseOHUOn09GoUSMWLVrE7du3+fe//w3A/Pnzjfp6c+rj6urKJ598wubNm9m8ebP0xCal
7VNd6fV64uLipN8CHx8fdu/e/Vj39Xl5eWzcuJEPP/zwUVelSiQmJuLi4lLh91tYWNCgQYNy+45L
ly4BJZOqGo6zqavJlpaWTJgwAVtbW/71r3/h5+dHaGholQT7arWaiRMnYmNjQ7169fDy8uLEiRN0
794dlUpFgwYNpP3TaDTS36Vt2LABNzc3Zs2ahUqlolOnTuTk5BASEmIy2O/bt6903lK6zXv16iXr
Q9u2bcvFixeJjIyUgv0zZ84QHR0tuxLfoUMHWV+vpM5KjtfOnTvx8PDg7bffBqBjx44kJSURGhoq
O27ltaE5cnNzjTIf27dvz7x588xaz700Gg3FxcXk5+ej0WgU7Vfpdq5Xrx5paWlVG+wPHz6c4cOH
l/m64QqxgY2NjdGEMpVV5kGp1WqCgoKwsbGRZpnXaDS88847spQPw4j+8uXLSUhIoEuXLnTs2FFW
H8Ns0oMGDcLT0xMABweHMlMun3/+eanTtrS0lLbh7e3NgQMH2LZtG7m5udIH/+7du2RnZ+Pg4KBo
38ypT48ePVCr1VK5rKwss9qnurp06RKZmZnSRHBt27Zlw4YNJCQk0KpVq0dcO9OCg4Px9PR8oMnr
Hme3b9+u8owiV1dXdDodixcv5plnnsHLy8vkSG6TJk1kI9MtWrRg586d6PV62SRXlcHJyUlWhzp1
6kjZQEoUFRURHx/PG2+8Iaub4TNdWFgom2QOSn4XTLl79y6bN28mPDycjIwMCgsLKS4ulmX6nDhx
Amtra6N1lA6aKsuFCxeMgu8OHTqwefNm2bIHbUMDW1tbo5l3K5ppUprhuOj1ekDZflVlsP/cc8+V
e8tAUVER//zzj/S3tbW1yX68Mso8KLVazYoVK7CxsZFmmbe1tWXixImMGzdO6ssMA07ffvst58+f
p1OnTvzrX/+SfW4NAwL9+/fHw8MDgFq1apnM4IOS2+xK9/WGbbRs2ZKDBw+yY8cO7ty5g06nA0pS
NXNycqhVq5aifTOnPl26dEGtVkvlsrOzzWqf6ury5ctkZmZKGQze3t5s3bqVCxcuSOdFj5tNmzbh
4eFRbbMuMjMzKzx5nVIuLi7odDpWrFiBn58fHh4eJvt6Jycn2YRxzZs3Z8+ePVUyGNSgQQNZHRwc
HKRzciWKiopISEjg1VdflfX1Pj4+/PTTTyb7+q5du5pcV2FhISEhIURGRnLz5k2KioooLi6mdevW
Upn4+Hhq1KhhtI6q6OsTExONLky0a9eOkJAQ2bIHbUMDW1tboyfqlM7urKh7+3ol+1W6nQ2ZXmb3
kmWdmFbkQ7x3714CAwOlv6dNm2Y0OFBZZSqD4QNhb2/P5MmTpZO20h+UV199latXrxIVFcUvv/zC
L7/8Qv369VmyZIkUeBg6TVNXp0ypXbu20TKdTseHH35IXFycyfcUFhYq3i9z6mPYV8OX03DSUfq1
8tqnuoqKikKlUtG8eXPy8/Np1qwZarWaqKioxzLYT09PZ8eOHXz++efk5+cDJY8x0ev15OfnY21t
/cSftBUXF1dJJ1Kah4cHs2fPZtu2bbz//vuo1WoGDBjA9OnTZUHIvbPFGkZrs7OzFZ+oK2VtbS37
W6VSmfUYrjt37lBcXExQUJBsoju9Xo9er+evv/6SrjAalE4VLm3VqlUcOHCAt956ixYtWmBlZUVQ
UJCUngwlvz+1a9eu9EEPU3Jzc41SPe3t7fnnn39kn5cHbUMDS0vLKrmFKScnR7ryAcr2y/A9V6qs
41GR4xQWFiabSGnSpElGgwOVVaYyGPosOzs7xo8fL7Vt6b7spZde4tq1a8TGxvLbb7/x22+/4ejo
yPz586VbGQx9a+nb5spjaoBep9Mxb948aWLOe5nzuTSnPoZ9NfQDpvr68tqnuoqJiUGlUuHu7k5+
fj5ubm6o1WpiY2Mfy2A/IyOD3bt388knn8j6ekD09WZwd3dn5syZ7Nixg9mzZ6NWq+nTpw9TpkyR
bfvebJqaNWtSXFxMbm5upQz0lnZvP6VWq2WDofeTl5dHcXEx69evZ+PGjdJyQ19/69Ytoyvrhonm
7hUUFMTBgwd5/fXXadasGVZWVqxfv176zYGSfuth9fWGrLfStFrtfft6c9vQwMLCokoG03Jzc7Gw
sJDOIZXsl6l2NjvYt7a2lkYYDPR6PTVq1DB7J7p168by5culv0tPalPZZSqTra2tbBKJ0uzt7QkI
CODmzZscP36ckJAQLl26xA8//MCcOXOkMoDiZ9Oa+mIkJiZKgf4HH3xAnz590Ov1FTrxMbc+91Ne
+1RXUVFR6PV6o/2OiooymohNyQ9dVf8YpqWlUVhYyDvvvGP02uDBg1m4cGGZV2ufFPb29g/leeR+
fn74+fmRl5fHnj17+Oqrr2jdurVsvobSHR6UZMSo1eoK32NYlTQaDRYWFowfP97kZ8BUoFDWyeKB
AwcYM2aMrC1KZ2FByXG6fft2lWQ53Eur1Rp9JrKzs7G2tq7yk8XymLvfly9fxsXFRWp3JftlbiBW
o0YNWYAHJX39vSdHSnTu3JmAgADp73sHiyqzTGWytbUt88KBnZ0dc+fO5e+//yYuLo7Q0FCSkpLY
tGkTM2fOlMoAUjp+RSQnJ0uB/rRp0+jevTt6vV72DGelKqM+pZXXPtXViRMn0Ov1vP7667LlMTEx
DzwbfFUwZFTNmjXL6LVRo0bx0Ucf0aVLl0dQs8pjZ2dndL90VTA8ESUvL48DBw6wZs0avL29ZfM1
3Ps7nJOTg1qtrpSrvJXN1tYWCwsLXnnlFZOfAVOD+GX19QcPHmTkyJGytrg3aNZqtQ+tr7e1tTWa
Lyc3N/eR9/XmunLlCs7OzlK7K9mv0u1sYHaw7+joKE3uYpCammryqvCVK1eIj4/Hx8fH5P00tWvX
NnnVuirKPCynTp3C1dUVR0dHnn32WRwdHZk5cyY3b96UyrRt25bIyEj27NlD//79admyJTk5OURG
Riq+h9dwsFUqFc888wwWFhZlTrpSeiAmMzPTaOSxMurzNMvLy+Ps2bMMGTJElg65f/9+QkNDycnJ
kQV1dnZ2XLlypdx1KinzIDw8PGQDZFCS6nfx4kXmzJmDq6trlW37YXFxcSEpKemhbc/W1pYXXniB
bdu2yb7vUJJCnZGRQf369YGSE0ZXV9dHekVFo9GYvNpraWkpTQL2ICever2eu3fvyjIX8vPziY+P
p3nz5tKydu3asXbtWg4dOiTdsw+mr9aUVWelWrRoQWxsrGxZTEwMLVu2rPA6K4M533fD1eTSM/Er
2S9nZ2ez6mS416+0GzdumBzsuXr1KufOncPT09PkrTMODg73va2ssso8LGfOnKFp06bUrVuX/v37
U7duXebOnSsLpFu1asWRI0fYv38/vXr1wsPDg9zcXI4cOaL4Hl5DEKNSqejbty8WFhZlZvSV7uuz
s7ON+vrKqM/TLC8vj4SEBAYOHCib0DAiIoLff/+d3NxcWVBnb2/P1atXy12nkjIPwt3dXTZABiVz
l1y+fJmZM2dWi8mznZ2dq/R86V62trYMHTqUnTt38vfff8teS0tLkz12+fTp07Jg7VGwtbUts6/3
9PQkJSVFmvS2Igx9fenMhfz8fBISEmRz+Pj4+LBx40aOHDkiu2/eVF9fVp2VatasmTSHmsGJEydk
5x6Pgjnf9+vXr3Py5EnZRUQl+1W6nQ2fQ7OD/UGDBrF06VK++OIL2rRpw5kzZ4iMjOS9994zKhsb
GyvNxv8gk2c8Sfbu3cv+/ftxd3endu3a0gR2pdM7nn32WUJCQrh+/TqTJ09Gq9WSm5uLj4+P4uDa
w8MDOzs7cnJyWLp0Kc2bN5dmrL6XVqulfv36ZGRk8Pbbb9OkSRMcHR2lTIPKqM/TLCYmhqKiIgYN
GiRL2beysmLnzp1ER0dLEzhByeDK7t27+e2333BxcaFOnTpGg2VKyihx+PBhoytx3t7eODo6yu6l
gpLZemvUqGG0/EnVpk0b9u/fT1FRUZn39ZbXPpmZmRQUFEhXNzMzM6X5KAzHIjQ0lISEBDp37oyD
gwPHjh2/IPtNAAAKyUlEQVQjPT2d9u3by9ZZo0YN5s+fz5gxY7h8+TJhYWFMnz7drP1JSkri6tWr
Ukdx8uRJsrKycHZ2rtBEhG5ubvzxxx907dqVOnXqYG9vLwVSr7/+Ou+//z6WlpbS1f0LFy5w8eJF
o3vQy6JSqWjfvj27du3C19cXvV7PihUrjK4Wt2nTBl9fXwICArh+/Tru7u6kpKRw+vRp5s6dq7jO
So7XiBEj+Oijj1i6dCk9evTgyJEjxMfHV9kklUVFRRw8eNBoeffu3WWfyft931NSUoiMjCQ5OZmf
f/4ZJycnXnzxRel1Jftl7iz5/fr14+uvv2blypX4+PiQkJDA4cOHeeutt4zKnj59WpqNvzoED0qE
hYURERGBq6srDg4O0gR2Xl5eUpkBAwawa9cubty4wYwZM9BoNNy5cwcvLy/FwbW7u7vUJ3/99de4
ubkZ3XdqoNFocHR05ObNm8ycOZNGjRpRr149KdOgMurzNDt58iTFxcX069dPlrJvZWXFnj17iIuL
kw1Yent78/vvv7N//36cnZ1xcHAwSotWUkaJqKgoo76sZcuW1K1bF29vb9nyAwcOYGVlZbT8SdWq
VSsiIiLK7evLa5/MzEz++ecf6UpoVlaWlOlqOBZ79+7l/PnzdOjQgVq1anH8+HEyMjJo06aNbJ2W
lpYsWrSIkSNHcuXKFQ4dOmTyN7M8V65cITU1VZpn5fTp02RnZ9O4ceMKxVIuLi4cOXJEOk/RarVS
v/nKK68we/ZsLCwspKv7iYmJJCYmGt2DXhaVSkXbtm3Zu3ev9PjN1atXG2WB+/j40KFDB5YtW0Z6
ejouLi5cv36dM2fOGGWelFdnJcfL39+fhQsXsnLlSnx9fYmOjiYhIaHKJqksKiri8OHDRss7d+4s
+0ze7/uemprK4cOHuXbtGrt27aJhw4b4+/tLryvZr9Lt3K9fP1q2bGl+sD9kyBAsLCzYtm0be/fu
pWHDhsyYMYMhQ4aYu6pqydfXl7S0NJKSkrh06RK1a9dm+PDh0iNroGTEavny5axevZpjx45RUFCA
i4uLWYG1Vqvlk08+YdWqVYSFhRETE8P48eNZsmSJyfKzZs1i1apVUrZF6VsdKqM+T7Po6Gjs7Oxk
J3lQ0pHUrl2bqKgoWbDv5+dHQkICq1atIicnh2HDhhk9I1lJGSU+++wzo2WzZ8+W1ae66t69O59/
/jnHjx8vM02xvPZZtGiR7HGEX375pfT/8PBwoOREPDIykmXLlpGfn0/jxo35+OOPje7d8vT0pHXr
1nz22WdS2py5t9zs27dPNqD3ww8/ACX3Dpt7MgEwbtw40tPT+fjjj8nLy5M9s75t27YsXryYH374
gQULFmBlZYW7u7vZj5KcMWMGS5cu5dVXX8XGxobBgwdjZ2cnPebTYP78+axdu5aQkBBu376Nk5OT
yTTl8uqs5HgZnhayYcMG9uzZQ/369ZkxY0aVPZ4uLy/P5Gy8O3bskGU83O/7vm/fPsLDw3F0dKRf
v36MHTtWdtW2KvZr4MCBWFhY8MsvvxAeHk6DBg14++23TT6N4WnUoUMH0tPTuXr1KklJSdSqVYvn
nntONiNzzZo1CQgIkJ5rX1BQQNOmTc0KrDUaDR9//DFBQUH88ccfnDx5kjFjxrBixQqT5adNm0ZQ
UBDXrl0jISFBNmhUGfV5msXGxqLVamnRooVsefPmzXFwcCAmJkYW7Pfq1YsLFy4QFBREbm4uzz33
nPSoYnPKKPHFF18YLZs5c6asPtWVr68vX3/9NSdOnKBjx44my5TXPsuXL5dlxq5atUr6/86dO4H/
Dz6/+eYb8vPzcXJyYsaMGUbnfS1atMDLy4svvvgCCwsLk89Av5+IiAi2b98u/W3o94cNG2Z0+4gS
o0aN4ubNmyxcuJD8/HzZM+t9fHxYsGABGzduZPHixVhZWeHq6mr2oySnTJnC119/zeTJk7G2tuaZ
Z57Bzs7OKBP8P//5Dxs2bCA0NJSsrCwaNWpk8lag8uqs5Hh16tSJd999l23btrFv3z7pEcCmnqBQ
GfLz840yaADWr18vy3i43/c9PDycP/74A0dHR3r37s1LL70k6+uV7pehncPDw2nZsiWqjRs36vv0
6SONSguCIFQXixYtorCwUPEIdVVYsmQJqampsuBTEB62Xbt2MWTIEKNARRAE4Um3bNkyCgsLef/9
9x9ZHVasWEFaWhqffvrpI6uDIJR24cIF0tLSeLKn4BQEQSjHuHHjOHToEBkZGY+6KoIgCIIgVIFR
o0Zx7Ngxo/lyBEFABPuCIFRfjRo1YvHixUb3iQuCIAiCUD00bNiQefPmib5eEExQbdy4UT969OhH
mvoiCIIgCELVCQwMJCIi4lFXQxAEQRCEhyQtLa0k2L/f5HqP47OgBUEQBEEQBEEQBOFxkpOTU+7r
Dyu23rRpk0jjFwRBEARBEARBEITqxqxgf8eOHbRq1QobGxu8vLzYunVrhTdcVFSESqXip59+KrPM
V199JdIOBUEQBEEQBEEQBMFMioP9qKgoRo4cSbt27di8eTOdO3dm9OjRHDp0qEIbVqlUtGrVSvas
4XuJYF8QBEEQBEEQBEEQzGeptGBgYCBubm6sW7cOtVqNv78/UVFRLFmyhB49epi9YQsLC+Lj481+
nyAIgiAIgiAIgiAI5VN8ZT8sLIwBAwagVpe8Ra1WM3DgQMLCwqQyU6dOpUuXLrL3vfzyy5SeADA5
ORmVSiX9uzeNPzc3V3rt/PnzzJ8/X/r7vffeq9BOCoIgCIIgCIIgCMLTRNGV/czMTP7++29cXV1l
y11dXcnNzSU9PZ0GDRoo2mCTJk1ISkqiuLiY5s2bG72u0WhISkoCoF+/fgwdOlQK8u3t7RVtQxAE
QRAEQRAEQRCeZoqC/aysLAC0Wq1sueGxAVlZWYqDfUtLS1xdXSkqKjL5ukqlkgYVrKyscHBwMBpk
EARBEARBEARBEAShbJXy6D1Dar8gCIIgCIIgCIIgCI+eoijdMGN+bm6ubHlOTg4ADg4OlVwtQRAE
QRAEQRAEQRAqSlGw7+DgQN26dbly5Yps+ZUrV3BwcKBOnTpASYq+Xq+XlcnLy6ukqgqCIAiCIAiC
IAiCoITi/Pu+ffuyf/9+dDodAHq9nr1799KjRw8pjb9+/frcuHFDeo9er3+gx+vZ29sbZRMIgiAI
giAIgiAIglA+xcH+jBkzSExMZNy4cfzyyy+MHz+ec+fOMWvWLKlM3759uXr1KsHBwWRkZDB//nzS
09Nl68nIyCA5OVnKErh58ybJyckkJycbbdPHx4ft27cTERHBuXPnyMjIqOBuCoIgCIIgCIIgCMLT
Q3Gw36VLF7Zs2UJsbCwjRowgODiYJUuW0KNHD6lM165dmTNnDjNnzsTb25u7d+8yZMgQ2Xpef/11
3NzcpMfuvf3227i5ueHm5ma0zTlz5tCsWTP8/f3x8vLi008/reh+CoIgCIIgCIIgCMJTQ7Vx40b9
vQH5vQyP2DMoLCxk8ODBnD9/noiICNzd3auyjoIgCIIgCIIgCILw2DNMYl+We2PrqrJp06aKPXrP
ysqKkJAQOnXqxO3btyu7XoIgCIIgCIIgCIIgPADLir7Rzs6O7du3V2ZdBEEQBEEQBEEQBEGoBBW6
si8IgiAIgiAIgiAIwuPLEmDXrl2Puh6CIAiCIAiCIAiCIFSS/wN41SU5jlt7NAAAAABJRU5ErkJg
gg==
--001a1134e410c78b97055a8cdc4b
Content-Type: image/png; name="horizontal-scrollbars-no-dividers.png"
Content-Disposition: attachment; 
	filename="horizontal-scrollbars-no-dividers.png"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_j89yq7og2
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